# Business Table for Grafana

![Table](https://github.com/VolkovLabs/business-table/raw/main/src/img/dashboard.png)

![Grafana](https://img.shields.io/badge/Grafana-11.2-orange)
![CI](https://github.com/volkovlabs/business-table/workflows/CI/badge.svg)
![E2E](https://github.com/volkovlabs/business-table/workflows/E2E/badge.svg)
[![codecov](https://codecov.io/gh/VolkovLabs/business-table/branch/main/graph/badge.svg)](https://codecov.io/gh/VolkovLabs/business-table)
[![CodeQL](https://github.com/VolkovLabs/business-table/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/VolkovLabs/business-table/actions/workflows/codeql-analysis.yml)

## Introduction

Business Table panel is a Grafana plugin that allows to summarize large amounts of data from various data sources.

## Requirements

- Business Table panel 1.X requires **Grafana 10.3** or **Grafana 11**.

You can install the Business Table panel plugin from the [Grafana Plugins catalog](https://grafana.com/grafana/plugins/volkovlabs-table-panel/) or use the Grafana command line tool.

For the latter, please use the following command:

```bash
grafana-cli plugins install volkovlabs-table-panel
```

## Highlights

- Tree View with expandable and collapsible elements.
- Supporting tabs for multiple data frame views.
- Sorting using dashboard variables.

## Business Suite for Grafana

The Business Suite is a collection of open source plugins created and actively maintained by Volkov Labs.

The collection aims to solve the most frequent business tasks by providing an intuitive interface with detailed written documentation, examples, and video tutorials.

[![Business Suite for Grafana](https://raw.githubusercontent.com/VolkovLabs/.github/main/business.png)](https://volkovlabs.io/plugins/)

## Feedback

We're looking forward to hearing from you. You can use different ways to get in touch with us.

- Ask a question, request a new feature, or report an issue at [GitHub issues](https://github.com/volkovlabs/business-table/issues).
- Subscribe to our [YouTube Channel](https://www.youtube.com/@volkovlabs) and leave your comments.
- Sponsor our open-source plugins for Grafana at [GitHub Sponsor](https://github.com/sponsors/VolkovLabs).
- Support our project by starring the repository.

## License

Apache License Version 2.0, see [LICENSE](https://github.com/volkovlabs/business-table/blob/main/LICENSE).
