/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@grafana/ui","react","@grafana/runtime","rxjs","lodash","@emotion/css","@emotion/react","react-dom","redux","react-redux"],((e,t,n,r,o,i,a,l,s,c,u)=>(()=>{var d,p,f={774:(e,t,n)=>{"use strict";var r=n(997),o=n(7),i=n(959),a=n(89),l=(n(241),n(781),n(470));n(846);n(531);const s={form:{root:r.createSelector((e=>`data-testid form-${e}`)),sectionHeader:r.createSelector((e=>`data-testid form section-${e}`),"headerDataTestId"),sectionContent:r.createSelector((e=>`data-testid form section-content-${e}`),"contentDataTestId"),fieldSelect:r.createSelector((e=>`form field-select-${e}`)),fieldCustom:r.createSelector((e=>`data-testid form field-custom-${e}`)),fieldSlider:r.createSelector((e=>`data-testid form field-slider-${e}`)),fieldRangeSlider:r.createSelector((e=>`form field-range-slider-${e}`),"sliderAriaLabel"),fieldNumberInput:r.createSelector((e=>`data-testid form field-number-input-${e}`)),fieldColor:r.createSelector((e=>`data-testid form field-color-${e}`)),fieldInput:r.createSelector((e=>`data-testid form field-input-${e}`)),fieldDatetime:r.createSelector((()=>"data-testid date-time-input")),fieldRadio:r.createSelector((e=>`data-testid form field-radio-${e}`))},codeEditor:{copyButton:r.createSelector((()=>"data-testid code-editor copy-button")),copyPasteText:r.createSelector((()=>"data-testid code-editor copy-paste-text")),modal:r.createSelector((()=>"data-testid code-editor modal-window")),miniMapButton:r.createSelector((()=>"data-testid code-editor mini-map-button")),modalButton:r.createSelector((e=>`data-testid code-editor modal-button-${e}`)),pasteButton:r.createSelector((()=>"data-testid code-editor paste-button")),wrapButton:r.createSelector((()=>"data-testid code-editor wrap-button"))}},c=e=>({rootOutline:a.css`
      border: 1px solid ${e.colors.border.weak};
      background-color: ${e.colors.background.primary};
    `,header:a.css`
      padding: ${e.spacing(.5,.5)};
      min-height: ${e.spacing(4)};
      display: flex;
      align-items: center;
      justify-content: flex-start;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,headerSolid:a.css`
      border-radius: ${e.shape.radius?.default};
      background: ${e.colors.background.secondary};
    `,title:a.css`
      font-weight: ${e.typography.fontWeightBold};
      margin: ${e.spacing(0,.5)};
      overflow: hidden;
      text-overflow: ellipsis;
    `,collapseIcon:a.css`
      margin-left: ${e.spacing(.5)};
      color: ${e.colors.text.disabled};
    `,actions:a.css`
      margin-left: auto;
      display: flex;
      align-items: center;
    `});var u=(e=>(e.SELECT="select",e.SLIDER="slider",e.GROUP="group",e.CUSTOM="custom",e.COLOR="color",e.RADIO="radio",e.HIDDEN="hidden",e.INPUT="input",e.NUMBER_INPUT="numberInput",e.RANGE_SLIDER="rangeSlider",e.DATETIME_PICKER="datetimePicker",e))(u||{});const d=({value:e,onChange:t,min:n,max:r,step:a,...l})=>{const s=i.useRef(null),c=i.useRef(!1),[u,d]=i.useState(e?.toString()??"0"),p=i.useCallback((e=>{d(e.currentTarget.value),c.current=!0}),[]),f=i.useCallback((()=>{let e=Number(u);if(Number.isNaN(e)&&(e=0),void 0!==a){let t=1e3*a;for(void 0!==n&&(t=1e3*n);t<1e3*e;)t+=1e3*a;e=t/1e3}void 0!==r&&e>r?e=r:void 0!==n&&e<n&&(e=n),c.current&&(t?.(e),d(e.toString()),c.current=!1)}),[u,r,n,t,a]),g=i.useCallback((e=>{"Enter"===e.key&&s.current?.blur()}),[f]);return i.useEffect((()=>{d(e?.toString()||"0")}),[e]),i.createElement(o.Input,{ref:s,...l,type:"text",value:u,onChange:p,onBlur:f,onKeyDown:g})},{default:p}=n(72),{default:f}=(o.stylesFactory(((e,t,n=!1)=>{const{spacing:r}=e,o=e.colors.border.strong,i=e.colors.primary.main,s=e.colors.primary.main,c=`box-shadow: 0px 0px 0px 6px ${e.colors.primary.transparent}`;return{container:a.css({width:"100%",margin:t?r(1,0,2.5):r(1,3,1,1),paddingBottom:t&&n?e.spacing(1):"inherit",height:t?"auto":"100%"}),slider:a.css`
      .rc-slider {
        display: flex;
        flex-grow: 1;
        margin-left: 7px; // half the size of the handle to align handle to the left on 0 value
      }
      .rc-slider-mark {
        top: ${e.spacing(1.75)};
      }
      .rc-slider-mark-text {
        color: ${e.colors.text.disabled};
        font-size: ${e.typography.bodySmall.fontSize};
      }
      .rc-slider-mark-text-active {
        color: ${e.colors.text.primary};
      }
      .rc-slider-handle {
        border: none;
        background-color: ${s};
        box-shadow: ${e.shadows.z1};
        cursor: pointer;
        opacity: 1;
      }

      .rc-slider-handle:hover,
      .rc-slider-handle:active,
      .rc-slider-handle-click-focused:focus {
        ${c};
      }

      // The triple class names is needed because that's the specificity used in the source css :(
      .rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging,
      .rc-slider-handle:focus-visible {
        box-shadow: 0 0 0 4px ${e.colors.text.primary};
      }

      .rc-slider-dot,
      .rc-slider-dot-active {
        background-color: ${e.colors.text.primary};
        border-color: ${e.colors.text.primary};
      }

      .rc-slider-track {
        background-color: ${i};
      }
      .rc-slider-rail {
        background-color: ${o};
        cursor: pointer;
      }
    `,tooltip:l.css`
      body {
        .rc-slider-tooltip {
          cursor: grab;
          user-select: none;
          z-index: ${e.zIndex.tooltip};
        }

        .rc-slider-tooltip-inner {
          color: ${e.colors.text.primary};
          background-color: transparent !important;
          border-radius: 0;
          box-shadow: none;
        }

        .rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {
          display: none;
        }

        .rc-slider-tooltip-placement-top {
          padding: 0;
        }
        
        .rc-tooltip-hidden {
          display: none;
        }
      }
    `,sliderInput:a.css({display:"flex",flexDirection:"row",alignItems:"center",width:"100%"}),sliderInputVertical:a.css({flexDirection:"column",height:"100%",".rc-slider":{margin:0,order:2}}),sliderInputField:a.css({marginLeft:e.spacing(3),input:{textAlign:"center"}}),sliderInputFieldVertical:a.css({margin:`0 0 ${e.spacing(3)} 0`,order:1})}})),n(67)),{default:g}=n(67);s.form;t.SD=({title:e,actions:t,children:n,isOpen:r=!1,onToggle:l,headerTestId:s,contentTestId:u,fill:d="outline",isInlineContent:p=!1,isExpandDisabled:f=!1})=>{const g=o.useTheme2(),m=o.useStyles2(c),b="solid"===d,h="outline"===d;return i.createElement("div",{className:a.cx({[m.rootOutline]:h})},i.createElement("div",{className:a.cx(m.header,{[m.headerSolid]:b}),"data-testid":s,onClick:()=>{f||l?.(!r)}},i.createElement(o.IconButton,{name:r?"angle-down":"angle-right",tooltip:r?"Collapse":"Expand",className:m.collapseIcon,disabled:f,"aria-expanded":r}),i.createElement("div",{className:m.title},e),t&&i.createElement("div",{className:m.actions,onClick:e=>e.stopPropagation()},t)),r&&i.createElement("div",{style:{padding:p?0:g.spacing(.5)},"data-testid":u},n))},t.Q7=d},997:(e,t)=>{"use strict";t.createSelector=function(e,t){const n="string"==typeof e?()=>e:e;let r="aria-label";return t?r=t:n().startsWith("data-testid")&&(r="data-testid"),{selector:n,apply:(...e)=>({[r]:n(...e)})}},t.getJestSelectors=(e,t=[])=>n=>Object.entries(e).reduce(((e,[r,o])=>({...e,[r]:(e=!1,...i)=>{const a="object"==typeof o&&"selector"in o?o.selector:o,l="function"==typeof a?a(...i):a;return l.startsWith("data-testid")||t.includes(r)?e?n.queryByTestId(l):n.getByTestId(l):e?n.queryByLabelText(l):n.getByLabelText(l)}})),{})},261:(e,t,n)=>{"use strict";n.d(t,{A:()=>l});var r=n(942),o=n.n(r),i=n(278),a=n.n(i)()(o());a.push([e.id,".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n","",{version:3,sources:["webpack://./../node_modules/rc-slider/assets/index.css"],names:[],mappings:"AAAA;EACE,kBAAkB;EAClB,WAAW;EACX,YAAY;EACZ,cAAc;EACd,kBAAkB;EAClB,kBAAkB;EAClB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;;EAEE,kBAAkB;EAClB,WAAW;EACX,yBAAyB;EACzB,kBAAkB;AACpB;AACA;EACE,UAAU;EACV,uBAAuB;EACvB,4BAA4B;EAC5B,sCAAsC;EACtC,yCAAyC;EACzC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,WAAW;EACX,YAAY;EACZ,gBAAgB;EAChB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;EACf,oBAAoB;EACpB,YAAY;EACZ,YAAY;EACZ,mBAAmB;AACrB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,aAAa;EACb,gBAAgB;AAClB;AACA;EACE,qBAAqB;EACrB,6BAA6B;AAC/B;AACA;EACE,qBAAqB;EACrB,iBAAiB;AACnB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,qBAAqB;EACrB,2BAA2B;EAC3B,wBAAwB;EACxB,gBAAgB;AAClB;AACA;EACE,kBAAkB;EAClB,SAAS;EACT,OAAO;EACP,WAAW;EACX,eAAe;AACjB;AACA;EACE,kBAAkB;EAClB,qBAAqB;EACrB,WAAW;EACX,kBAAkB;EAClB,sBAAsB;EACtB,eAAe;AACjB;AACA;EACE,WAAW;AACb;AACA;EACE,kBAAkB;EAClB,WAAW;EACX,WAAW;EACX,uBAAuB;AACzB;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,UAAU;EACV,WAAW;EACX,sBAAsB;EACtB,sBAAsB;EACtB,yBAAyB;EACzB,kBAAkB;EAClB,eAAe;AACjB;AACA;EACE,qBAAqB;AACvB;AACA;EACE,kBAAkB;AACpB;AACA;EACE,yBAAyB;AAC3B;AACA;EACE,sBAAsB;AACxB;AACA;;EAEE,sBAAsB;EACtB,kBAAkB;EAClB,gBAAgB;EAChB,mBAAmB;AACrB;AACA;;EAEE,8BAA8B;AAChC;AACA;EACE,WAAW;EACX,YAAY;EACZ,cAAc;AAChB;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,SAAS;EACT,SAAS;EACT,UAAU;AACZ;AACA;EACE,aAAa;EACb,gBAAgB;EAChB,wCAAwC;EACxC,uCAAuC;EACvC,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,UAAU;EACV,aAAa;EACb,iBAAiB;EACjB,mBAAmB;AACrB;AACA;EACE,MAAM;EACN,UAAU;EACV,YAAY;AACd;AACA;EACE,UAAU;EACV,YAAY;AACd;AACA;EACE,iBAAiB;AACnB;AACA;;EAEE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;EACE,yBAAyB;EACzB,wBAAwB;EACxB,yBAAyB;EACzB,4BAA4B;AAC9B;AACA;;EAEE,yCAAyC;EACzC,6BAA6B;AAC/B;AACA;EACE,0CAA0C;EAC1C,6BAA6B;AAC/B;AACA;;EAEE,sBAAsB;EACtB,yDAAyD;AAC3D;AACA;EACE,iEAAiE;AACnE;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;EACA;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;AACF;AACA;EACE;IACE,sBAAsB;IACtB,0BAA0B;EAC5B;EACA;IACE,sBAAsB;IACtB,0BAA0B;IAC1B,UAAU;EACZ;AACF;AACA;EACE,kBAAkB;EAClB,YAAY;EACZ,aAAa;EACb,mBAAmB;EACnB,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,sBAAsB;EACtB,6CAA6C;AAC/C;AACA;EACE,aAAa;AACf;AACA;EACE,oBAAoB;AACtB;AACA;EACE,eAAe;EACf,YAAY;EACZ,gBAAgB;EAChB,WAAW;EACX,eAAe;EACf,cAAc;EACd,kBAAkB;EAClB,qBAAqB;EACrB,yBAAyB;EACzB,kBAAkB;EAClB,2BAA2B;AAC7B;AACA;EACE,kBAAkB;EAClB,QAAQ;EACR,SAAS;EACT,yBAAyB;EACzB,mBAAmB;AACrB;AACA;EACE,WAAW;EACX,SAAS;EACT,iBAAiB;EACjB,uBAAuB;EACvB,yBAAyB;AAC3B",sourcesContent:[".rc-slider {\n  position: relative;\n  width: 100%;\n  height: 14px;\n  padding: 5px 0;\n  border-radius: 6px;\n  touch-action: none;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-rail {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background-color: #e9e9e9;\n  border-radius: 6px;\n}\n.rc-slider-track,\n.rc-slider-tracks {\n  position: absolute;\n  height: 4px;\n  background-color: #abe2fb;\n  border-radius: 6px;\n}\n.rc-slider-track-draggable {\n  z-index: 1;\n  box-sizing: content-box;\n  background-clip: content-box;\n  border-top: 5px solid rgba(0, 0, 0, 0);\n  border-bottom: 5px solid rgba(0, 0, 0, 0);\n  transform: translateY(-5px);\n}\n.rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  width: 14px;\n  height: 14px;\n  margin-top: -5px;\n  background-color: #fff;\n  border: solid 2px #96dbfa;\n  border-radius: 50%;\n  cursor: pointer;\n  cursor: -webkit-grab;\n  cursor: grab;\n  opacity: 0.8;\n  touch-action: pan-x;\n}\n.rc-slider-handle-dragging.rc-slider-handle-dragging.rc-slider-handle-dragging {\n  border-color: #57c5f7;\n  box-shadow: 0 0 0 5px #96dbfa;\n}\n.rc-slider-handle:focus {\n  outline: none;\n  box-shadow: none;\n}\n.rc-slider-handle:focus-visible {\n  border-color: #2db7f5;\n  box-shadow: 0 0 0 3px #96dbfa;\n}\n.rc-slider-handle-click-focused:focus {\n  border-color: #96dbfa;\n  box-shadow: unset;\n}\n.rc-slider-handle:hover {\n  border-color: #57c5f7;\n}\n.rc-slider-handle:active {\n  border-color: #57c5f7;\n  box-shadow: 0 0 5px #57c5f7;\n  cursor: -webkit-grabbing;\n  cursor: grabbing;\n}\n.rc-slider-mark {\n  position: absolute;\n  top: 18px;\n  left: 0;\n  width: 100%;\n  font-size: 12px;\n}\n.rc-slider-mark-text {\n  position: absolute;\n  display: inline-block;\n  color: #999;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n}\n.rc-slider-mark-text-active {\n  color: #666;\n}\n.rc-slider-step {\n  position: absolute;\n  width: 100%;\n  height: 4px;\n  background: transparent;\n}\n.rc-slider-dot {\n  position: absolute;\n  bottom: -2px;\n  width: 8px;\n  height: 8px;\n  vertical-align: middle;\n  background-color: #fff;\n  border: 2px solid #e9e9e9;\n  border-radius: 50%;\n  cursor: pointer;\n}\n.rc-slider-dot-active {\n  border-color: #96dbfa;\n}\n.rc-slider-dot-reverse {\n  margin-right: -4px;\n}\n.rc-slider-disabled {\n  background-color: #e9e9e9;\n}\n.rc-slider-disabled .rc-slider-track {\n  background-color: #ccc;\n}\n.rc-slider-disabled .rc-slider-handle,\n.rc-slider-disabled .rc-slider-dot {\n  background-color: #fff;\n  border-color: #ccc;\n  box-shadow: none;\n  cursor: not-allowed;\n}\n.rc-slider-disabled .rc-slider-mark-text,\n.rc-slider-disabled .rc-slider-dot {\n  cursor: not-allowed !important;\n}\n.rc-slider-vertical {\n  width: 14px;\n  height: 100%;\n  padding: 0 5px;\n}\n.rc-slider-vertical .rc-slider-rail {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-track {\n  bottom: 0;\n  left: 5px;\n  width: 4px;\n}\n.rc-slider-vertical .rc-slider-track-draggable {\n  border-top: 0;\n  border-bottom: 0;\n  border-right: 5px solid rgba(0, 0, 0, 0);\n  border-left: 5px solid rgba(0, 0, 0, 0);\n  transform: translateX(-5px);\n}\n.rc-slider-vertical .rc-slider-handle {\n  position: absolute;\n  z-index: 1;\n  margin-top: 0;\n  margin-left: -5px;\n  touch-action: pan-y;\n}\n.rc-slider-vertical .rc-slider-mark {\n  top: 0;\n  left: 18px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-step {\n  width: 4px;\n  height: 100%;\n}\n.rc-slider-vertical .rc-slider-dot {\n  margin-left: -2px;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-leave {\n  display: block !important;\n  animation-duration: 0.3s;\n  animation-fill-mode: both;\n  animation-play-state: paused;\n}\n.rc-slider-tooltip-zoom-down-enter.rc-slider-tooltip-zoom-down-enter-active,\n.rc-slider-tooltip-zoom-down-appear.rc-slider-tooltip-zoom-down-appear-active {\n  animation-name: rcSliderTooltipZoomDownIn;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-leave.rc-slider-tooltip-zoom-down-leave-active {\n  animation-name: rcSliderTooltipZoomDownOut;\n  animation-play-state: running;\n}\n.rc-slider-tooltip-zoom-down-enter,\n.rc-slider-tooltip-zoom-down-appear {\n  transform: scale(0, 0);\n  animation-timing-function: cubic-bezier(0.23, 1, 0.32, 1);\n}\n.rc-slider-tooltip-zoom-down-leave {\n  animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);\n}\n@keyframes rcSliderTooltipZoomDownIn {\n  0% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n  100% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n}\n@keyframes rcSliderTooltipZoomDownOut {\n  0% {\n    transform: scale(1, 1);\n    transform-origin: 50% 100%;\n  }\n  100% {\n    transform: scale(0, 0);\n    transform-origin: 50% 100%;\n    opacity: 0;\n  }\n}\n.rc-slider-tooltip {\n  position: absolute;\n  top: -9999px;\n  left: -9999px;\n  visibility: visible;\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip * {\n  box-sizing: border-box;\n  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\n}\n.rc-slider-tooltip-hidden {\n  display: none;\n}\n.rc-slider-tooltip-placement-top {\n  padding: 4px 0 8px 0;\n}\n.rc-slider-tooltip-inner {\n  min-width: 24px;\n  height: 24px;\n  padding: 6px 2px;\n  color: #fff;\n  font-size: 12px;\n  line-height: 1;\n  text-align: center;\n  text-decoration: none;\n  background-color: #6c6c6c;\n  border-radius: 6px;\n  box-shadow: 0 0 4px #d9d9d9;\n}\n.rc-slider-tooltip-arrow {\n  position: absolute;\n  width: 0;\n  height: 0;\n  border-color: transparent;\n  border-style: solid;\n}\n.rc-slider-tooltip-placement-top .rc-slider-tooltip-arrow {\n  bottom: 4px;\n  left: 50%;\n  margin-left: -4px;\n  border-width: 4px 4px 0;\n  border-top-color: #6c6c6c;\n}\n"],sourceRoot:""}]);const l=a},278:e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n="",r=void 0!==t[5];return t[4]&&(n+="@supports (".concat(t[4],") {")),t[2]&&(n+="@media ".concat(t[2]," {")),r&&(n+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),n+=e(t),r&&(n+="}"),t[2]&&(n+="}"),t[4]&&(n+="}"),n})).join("")},t.i=function(e,n,r,o,i){"string"==typeof e&&(e=[[null,e,void 0]]);var a={};if(r)for(var l=0;l<this.length;l++){var s=this[l][0];null!=s&&(a[s]=!0)}for(var c=0;c<e.length;c++){var u=[].concat(e[c]);r&&a[u[0]]||(void 0!==i&&(void 0===u[5]||(u[1]="@layer".concat(u[5].length>0?" ".concat(u[5]):""," {").concat(u[1],"}")),u[5]=i),n&&(u[2]?(u[1]="@media ".concat(u[2]," {").concat(u[1],"}"),u[2]=n):u[2]=n),o&&(u[4]?(u[1]="@supports (".concat(u[4],") {").concat(u[1],"}"),u[4]=o):u[4]="".concat(o)),t.push(u))}},t}},942:e=>{"use strict";e.exports=function(e){var t=e[1],n=e[3];if(!n)return t;if("function"==typeof btoa){var r=btoa(unescape(encodeURIComponent(JSON.stringify(n)))),o="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(r),i="/*# ".concat(o," */");return[t].concat([i]).join("\n")}return[t].join("\n")}},249:function(e,t,n){var r,o;void 0===(o="function"==typeof(r=function(){"use strict";function t(e,t,n){var r=new XMLHttpRequest;r.open("GET",e),r.responseType="blob",r.onload=function(){l(r.response,t,n)},r.onerror=function(){console.error("could not download file")},r.send()}function r(e){var t=new XMLHttpRequest;t.open("HEAD",e,!1);try{t.send()}catch(e){}return 200<=t.status&&299>=t.status}function o(e){try{e.dispatchEvent(new MouseEvent("click"))}catch(n){var t=document.createEvent("MouseEvents");t.initMouseEvent("click",!0,!0,window,0,0,0,80,20,!1,!1,!1,!1,0,null),e.dispatchEvent(t)}}var i="object"==typeof window&&window.window===window?window:"object"==typeof self&&self.self===self?self:"object"==typeof n.g&&n.g.global===n.g?n.g:void 0,a=i.navigator&&/Macintosh/.test(navigator.userAgent)&&/AppleWebKit/.test(navigator.userAgent)&&!/Safari/.test(navigator.userAgent),l=i.saveAs||("object"!=typeof window||window!==i?function(){}:"download"in HTMLAnchorElement.prototype&&!a?function(e,n,a){var l=i.URL||i.webkitURL,s=document.createElement("a");n=n||e.name||"download",s.download=n,s.rel="noopener","string"==typeof e?(s.href=e,s.origin===location.origin?o(s):r(s.href)?t(e,n,a):o(s,s.target="_blank")):(s.href=l.createObjectURL(e),setTimeout((function(){l.revokeObjectURL(s.href)}),4e4),setTimeout((function(){o(s)}),0))}:"msSaveOrOpenBlob"in navigator?function(e,n,i){if(n=n||e.name||"download","string"!=typeof e)navigator.msSaveOrOpenBlob(function(e,t){return void 0===t?t={autoBom:!1}:"object"!=typeof t&&(console.warn("Deprecated: Expected third argument to be a object"),t={autoBom:!t}),t.autoBom&&/^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(e.type)?new Blob(["\ufeff",e],{type:e.type}):e}(e,i),n);else if(r(e))t(e,n,i);else{var a=document.createElement("a");a.href=e,a.target="_blank",setTimeout((function(){o(a)}))}}:function(e,n,r,o){if((o=o||open("","_blank"))&&(o.document.title=o.document.body.innerText="downloading..."),"string"==typeof e)return t(e,n,r);var l="application/octet-stream"===e.type,s=/constructor/i.test(i.HTMLElement)||i.safari,c=/CriOS\/[\d]+/.test(navigator.userAgent);if((c||l&&s||a)&&"undefined"!=typeof FileReader){var u=new FileReader;u.onloadend=function(){var e=u.result;e=c?e:e.replace(/^data:[^;]*;/,"data:attachment/file;"),o?o.location.href=e:location=e,o=null},u.readAsDataURL(e)}else{var d=i.URL||i.webkitURL,p=d.createObjectURL(e);o?o.location=p:location.href=p,o=null,setTimeout((function(){d.revokeObjectURL(p)}),4e4)}});i.saveAs=l.saveAs=l,e.exports=l})?r.apply(t,[]):r)||(e.exports=o)},67:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>k});var r=n(405),o=n(705),i=n(300),a=n(850),l=n(694),s=n(452),c=n.n(s),u=n(273),d=n(358);var p=n(959),f=n(102),g=n(644);function m(e,t,n){return(e-t)/(n-t)}function b(e,t,n,r){var o=m(t,n,r),i={};switch(e){case"rtl":i.right="".concat(100*o,"%"),i.transform="translateX(50%)";break;case"btt":i.bottom="".concat(100*o,"%"),i.transform="translateY(50%)";break;case"ttb":i.top="".concat(100*o,"%"),i.transform="translateY(-50%)";break;default:i.left="".concat(100*o,"%"),i.transform="translateX(-50%)"}return i}function h(e,t){return Array.isArray(e)?e[t]:e}var v={MAC_ENTER:3,BACKSPACE:8,TAB:9,NUM_CENTER:12,ENTER:13,SHIFT:16,CTRL:17,ALT:18,PAUSE:19,CAPS_LOCK:20,ESC:27,SPACE:32,PAGE_UP:33,PAGE_DOWN:34,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40,PRINT_SCREEN:44,INSERT:45,DELETE:46,ZERO:48,ONE:49,TWO:50,THREE:51,FOUR:52,FIVE:53,SIX:54,SEVEN:55,EIGHT:56,NINE:57,QUESTION_MARK:63,A:65,B:66,C:67,D:68,E:69,F:70,G:71,H:72,I:73,J:74,K:75,L:76,M:77,N:78,O:79,P:80,Q:81,R:82,S:83,T:84,U:85,V:86,W:87,X:88,Y:89,Z:90,META:91,WIN_KEY_RIGHT:92,CONTEXT_MENU:93,NUM_ZERO:96,NUM_ONE:97,NUM_TWO:98,NUM_THREE:99,NUM_FOUR:100,NUM_FIVE:101,NUM_SIX:102,NUM_SEVEN:103,NUM_EIGHT:104,NUM_NINE:105,NUM_MULTIPLY:106,NUM_PLUS:107,NUM_MINUS:109,NUM_PERIOD:110,NUM_DIVISION:111,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,NUMLOCK:144,SEMICOLON:186,DASH:189,EQUALS:187,COMMA:188,PERIOD:190,SLASH:191,APOSTROPHE:192,SINGLE_QUOTE:222,OPEN_SQUARE_BRACKET:219,BACKSLASH:220,CLOSE_SQUARE_BRACKET:221,WIN_KEY:224,MAC_FF_META:224,WIN_IME:229,isTextModifyingKeyEvent:function(e){var t=e.keyCode;if(e.altKey&&!e.ctrlKey||e.metaKey||t>=v.F1&&t<=v.F12)return!1;switch(t){case v.ALT:case v.CAPS_LOCK:case v.CONTEXT_MENU:case v.CTRL:case v.DOWN:case v.END:case v.ESC:case v.HOME:case v.INSERT:case v.LEFT:case v.MAC_FF_META:case v.META:case v.NUMLOCK:case v.NUM_CENTER:case v.PAGE_DOWN:case v.PAGE_UP:case v.PAUSE:case v.PRINT_SCREEN:case v.RIGHT:case v.SHIFT:case v.UP:case v.WIN_KEY:case v.WIN_KEY_RIGHT:return!1;default:return!0}},isCharacterKey:function(e){if(e>=v.ZERO&&e<=v.NINE)return!0;if(e>=v.NUM_ZERO&&e<=v.NUM_MULTIPLY)return!0;if(e>=v.A&&e<=v.Z)return!0;if(-1!==window.navigator.userAgent.indexOf("WebKit")&&0===e)return!0;switch(e){case v.SPACE:case v.QUESTION_MARK:case v.NUM_PLUS:case v.NUM_MINUS:case v.NUM_PERIOD:case v.NUM_DIVISION:case v.SEMICOLON:case v.DASH:case v.EQUALS:case v.COMMA:case v.PERIOD:case v.SLASH:case v.APOSTROPHE:case v.SINGLE_QUOTE:case v.OPEN_SQUARE_BRACKET:case v.BACKSLASH:case v.CLOSE_SQUARE_BRACKET:return!0;default:return!1}}};const y=v,w=p.createContext({min:0,max:0,direction:"ltr",step:1,includedStart:0,includedEnd:0,tabIndex:0,keyboard:!0,styles:{},classNames:{}});var E=["prefixCls","value","valueIndex","onStartMove","style","render","dragging","onOffsetChange","onChangeComplete","onFocus","onMouseEnter"];const A=p.forwardRef((function(e,t){var n,i=e.prefixCls,a=e.value,l=e.valueIndex,s=e.onStartMove,u=e.style,d=e.render,m=e.dragging,v=e.onOffsetChange,A=e.onChangeComplete,C=e.onFocus,S=e.onMouseEnter,x=(0,g.A)(e,E),O=p.useContext(w),R=O.min,I=O.max,P=O.direction,D=O.disabled,T=O.keyboard,M=O.range,k=O.tabIndex,B=O.ariaLabelForHandle,N=O.ariaLabelledByForHandle,F=O.ariaValueTextFormatterForHandle,L=O.styles,j=O.classNames,_="".concat(i,"-handle"),V=function(e){D||s(e,l)},z=b(P,a,R,I),G={};null!==l&&(G={tabIndex:D?null:h(k,l),role:"slider","aria-valuemin":R,"aria-valuemax":I,"aria-valuenow":a,"aria-disabled":D,"aria-label":h(B,l),"aria-labelledby":h(N,l),"aria-valuetext":null===(n=h(F,l))||void 0===n?void 0:n(a),"aria-orientation":"ltr"===P||"rtl"===P?"horizontal":"vertical",onMouseDown:V,onTouchStart:V,onFocus:function(e){null==C||C(e,l)},onMouseEnter:function(e){S(e,l)},onKeyDown:function(e){if(!D&&T){var t=null;switch(e.which||e.keyCode){case y.LEFT:t="ltr"===P||"btt"===P?-1:1;break;case y.RIGHT:t="ltr"===P||"btt"===P?1:-1;break;case y.UP:t="ttb"!==P?1:-1;break;case y.DOWN:t="ttb"!==P?-1:1;break;case y.HOME:t="min";break;case y.END:t="max";break;case y.PAGE_UP:t=2;break;case y.PAGE_DOWN:t=-2}null!==t&&(e.preventDefault(),v(t,l))}},onKeyUp:function(e){switch(e.which||e.keyCode){case y.LEFT:case y.RIGHT:case y.UP:case y.DOWN:case y.HOME:case y.END:case y.PAGE_UP:case y.PAGE_DOWN:null==A||A()}}});var H=p.createElement("div",(0,f.A)({ref:t,className:c()(_,(0,o.A)((0,o.A)({},"".concat(_,"-").concat(l+1),null!==l&&M),"".concat(_,"-dragging"),m),j.handle),style:(0,r.A)((0,r.A)((0,r.A)({},z),u),L.handle)},G,x));return d&&(H=d(H,{index:l,prefixCls:i,value:a,dragging:m})),H}));var C=["prefixCls","style","onStartMove","onOffsetChange","values","handleRender","activeHandleRender","draggingIndex","onFocus"];const S=p.forwardRef((function(e,t){var n=e.prefixCls,o=e.style,i=e.onStartMove,l=e.onOffsetChange,s=e.values,c=e.handleRender,u=e.activeHandleRender,d=e.draggingIndex,m=e.onFocus,b=(0,g.A)(e,C),v=p.useRef({});p.useImperativeHandle(t,(function(){return{focus:function(e){var t;null===(t=v.current[e])||void 0===t||t.focus()}}}));var y=p.useState(-1),w=(0,a.A)(y,2),E=w[0],S=w[1],x=(0,r.A)({prefixCls:n,onStartMove:i,onOffsetChange:l,render:c,onFocus:function(e,t){S(t),null==m||m(e)},onMouseEnter:function(e,t){S(t)}},b);return p.createElement(p.Fragment,null,s.map((function(e,t){return p.createElement(A,(0,f.A)({ref:function(e){e?v.current[t]=e:delete v.current[t]},dragging:d===t,style:h(o,t),key:t,value:e,valueIndex:t},x))})),u&&p.createElement(A,(0,f.A)({key:"a11y"},x,{value:s[E],valueIndex:null,dragging:-1!==d,render:u,style:{pointerEvents:"none"},tabIndex:null,"aria-hidden":!0})))})),x=function(e){var t=e.prefixCls,n=e.style,i=e.children,a=e.value,l=e.onClick,s=p.useContext(w),u=s.min,d=s.max,f=s.direction,g=s.includedStart,m=s.includedEnd,h=s.included,v="".concat(t,"-text"),y=b(f,a,u,d);return p.createElement("span",{className:c()(v,(0,o.A)({},"".concat(v,"-active"),h&&g<=a&&a<=m)),style:(0,r.A)((0,r.A)({},y),n),onMouseDown:function(e){e.stopPropagation()},onClick:function(){l(a)}},i)},O=function(e){var t=e.prefixCls,n=e.marks,r=e.onClick,o="".concat(t,"-mark");return n.length?p.createElement("div",{className:o},n.map((function(e){var t=e.value,n=e.style,i=e.label;return p.createElement(x,{key:t,prefixCls:o,style:n,value:t,onClick:r},i)}))):null},R=function(e){var t=e.prefixCls,n=e.value,i=e.style,a=e.activeStyle,l=p.useContext(w),s=l.min,u=l.max,d=l.direction,f=l.included,g=l.includedStart,m=l.includedEnd,h="".concat(t,"-dot"),v=f&&g<=n&&n<=m,y=(0,r.A)((0,r.A)({},b(d,n,s,u)),"function"==typeof i?i(n):i);return v&&(y=(0,r.A)((0,r.A)({},y),"function"==typeof a?a(n):a)),p.createElement("span",{className:c()(h,(0,o.A)({},"".concat(h,"-active"),v)),style:y})},I=function(e){var t=e.prefixCls,n=e.marks,r=e.dots,o=e.style,i=e.activeStyle,a=p.useContext(w),l=a.min,s=a.max,c=a.step,u=p.useMemo((function(){var e=new Set;if(n.forEach((function(t){e.add(t.value)})),r&&null!==c)for(var t=l;t<=s;)e.add(t),t+=c;return Array.from(e)}),[l,s,c,r,n]);return p.createElement("div",{className:"".concat(t,"-step")},u.map((function(e){return p.createElement(R,{prefixCls:t,key:e,value:e,style:o,activeStyle:i})})))},P=function(e){var t=e.prefixCls,n=e.style,i=e.start,a=e.end,l=e.index,s=e.onStartMove,u=e.replaceCls,d=p.useContext(w),f=d.direction,g=d.min,b=d.max,h=d.disabled,v=d.range,y=d.classNames,E="".concat(t,"-track"),A=m(i,g,b),C=m(a,g,b),S=function(e){!h&&s&&s(e,-1)},x={};switch(f){case"rtl":x.right="".concat(100*A,"%"),x.width="".concat(100*C-100*A,"%");break;case"btt":x.bottom="".concat(100*A,"%"),x.height="".concat(100*C-100*A,"%");break;case"ttb":x.top="".concat(100*A,"%"),x.height="".concat(100*C-100*A,"%");break;default:x.left="".concat(100*A,"%"),x.width="".concat(100*C-100*A,"%")}var O=u||c()(E,(0,o.A)((0,o.A)({},"".concat(E,"-").concat(l+1),null!==l&&v),"".concat(t,"-track-draggable"),s),y.track);return p.createElement("div",{className:O,style:(0,r.A)((0,r.A)({},x),n),onMouseDown:S,onTouchStart:S})},D=function(e){var t=e.prefixCls,n=e.style,o=e.values,i=e.startPoint,a=e.onStartMove,l=p.useContext(w),s=l.included,u=l.range,d=l.min,f=l.styles,g=l.classNames,m=p.useMemo((function(){if(!u){if(0===o.length)return[];var e=null!=i?i:d,t=o[0];return[{start:Math.min(e,t),end:Math.max(e,t)}]}for(var n=[],r=0;r<o.length-1;r+=1)n.push({start:o[r],end:o[r+1]});return n}),[o,u,i,d]);if(!s)return null;var b=g.tracks||f.tracks?p.createElement(P,{index:null,prefixCls:t,start:m[0].start,end:m[m.length-1].end,replaceCls:c()(g.tracks,"".concat(t,"-tracks")),style:f.tracks}):null;return p.createElement(p.Fragment,null,b,m.map((function(e,o){var i=e.start,l=e.end;return p.createElement(P,{index:o,prefixCls:t,style:(0,r.A)((0,r.A)({},h(n,o)),f.track),start:i,end:l,key:o,onStartMove:a})})))};var T=n(291);function M(e){var t="touches"in e?e.touches[0]:e;return{pageX:t.pageX,pageY:t.pageY}}const k=p.forwardRef((function(e,t){var n=e.prefixCls,s=void 0===n?"rc-slider":n,f=e.className,g=e.style,m=e.classNames,b=e.styles,h=e.disabled,v=void 0!==h&&h,y=e.keyboard,E=void 0===y||y,A=e.autoFocus,C=e.onFocus,x=e.onBlur,R=e.min,P=void 0===R?0:R,k=e.max,B=void 0===k?100:k,N=e.step,F=void 0===N?1:N,L=e.value,j=e.defaultValue,_=e.range,V=e.count,z=e.onChange,G=e.onBeforeChange,H=e.onAfterChange,U=e.onChangeComplete,$=e.allowCross,W=void 0===$||$,q=e.pushable,Y=void 0!==q&&q,K=e.draggableTrack,X=e.reverse,Q=e.vertical,J=e.included,Z=void 0===J||J,ee=e.startPoint,te=e.trackStyle,ne=e.handleStyle,re=e.railStyle,oe=e.dotStyle,ie=e.activeDotStyle,ae=e.marks,le=e.dots,se=e.handleRender,ce=e.activeHandleRender,ue=e.tabIndex,de=void 0===ue?0:ue,pe=e.ariaLabelForHandle,fe=e.ariaLabelledByForHandle,ge=e.ariaValueTextFormatterForHandle,me=p.useRef(null),be=p.useRef(null),he=p.useMemo((function(){return Q?X?"ttb":"btt":X?"rtl":"ltr"}),[X,Q]),ve=p.useMemo((function(){return isFinite(P)?P:0}),[P]),ye=p.useMemo((function(){return isFinite(B)?B:100}),[B]),we=p.useMemo((function(){return null!==F&&F<=0?1:F}),[F]),Ee=p.useMemo((function(){return"boolean"==typeof Y?!!Y&&we:Y>=0&&Y}),[Y,we]),Ae=p.useMemo((function(){return Object.keys(ae||{}).map((function(e){var t=ae[e],n={value:Number(e)};return t&&"object"===(0,l.A)(t)&&!p.isValidElement(t)&&("label"in t||"style"in t)?(n.style=t.style,n.label=t.label):n.label=t,n})).filter((function(e){var t=e.label;return t||"number"==typeof t})).sort((function(e,t){return e.value-t.value}))}),[ae]),Ce=function(e,t,n,r,o,a){var l=p.useCallback((function(n){return Math.max(e,Math.min(t,n))}),[e,t]),s=p.useCallback((function(r){if(null!==n){var o=e+Math.round((l(r)-e)/n)*n,i=function(e){return(String(e).split(".")[1]||"").length},a=Math.max(i(n),i(t),i(e)),s=Number(o.toFixed(a));return e<=s&&s<=t?s:null}return null}),[n,e,t,l]),c=p.useCallback((function(o){var i=l(o),a=r.map((function(e){return e.value}));null!==n&&a.push(s(o)),a.push(e,t);var c=a[0],u=t-e;return a.forEach((function(e){var t=Math.abs(i-e);t<=u&&(c=e,u=t)})),c}),[e,t,r,n,l,s]),u=function o(a,l,c){var u=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit";if("number"==typeof l){var d,p=a[c],f=p+l,g=[];r.forEach((function(e){g.push(e.value)})),g.push(e,t),g.push(s(p));var m=l>0?1:-1;"unit"===u?g.push(s(p+m*n)):g.push(s(f)),g=g.filter((function(e){return null!==e})).filter((function(e){return l<0?e<=p:e>=p})),"unit"===u&&(g=g.filter((function(e){return e!==p})));var b="unit"===u?p:f;d=g[0];var h=Math.abs(d-b);if(g.forEach((function(e){var t=Math.abs(e-b);t<h&&(d=e,h=t)})),void 0===d)return l<0?e:t;if("dist"===u)return d;if(Math.abs(l)>1){var v=(0,i.A)(a);return v[c]=d,o(v,l-m,c,u)}return d}return"min"===l?e:"max"===l?t:void 0},d=function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",o=e[n],i=u(e,t,n,r);return{value:i,changed:i!==o}},f=function(e){return null===a&&0===e||"number"==typeof a&&e<a};return[c,function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"unit",i=e.map(c),l=i[n],s=u(i,t,n,r);if(i[n]=s,!1===o){var p=a||0;n>0&&i[n-1]!==l&&(i[n]=Math.max(i[n],i[n-1]+p)),n<i.length-1&&i[n+1]!==l&&(i[n]=Math.min(i[n],i[n+1]-p))}else if("number"==typeof a||null===a){for(var g=n+1;g<i.length;g+=1)for(var m=!0;f(i[g]-i[g-1])&&m;){var b=d(i,1,g);i[g]=b.value,m=b.changed}for(var h=n;h>0;h-=1)for(var v=!0;f(i[h]-i[h-1])&&v;){var y=d(i,-1,h-1);i[h-1]=y.value,v=y.changed}for(var w=i.length-1;w>0;w-=1)for(var E=!0;f(i[w]-i[w-1])&&E;){var A=d(i,-1,w-1);i[w-1]=A.value,E=A.changed}for(var C=0;C<i.length-1;C+=1)for(var S=!0;f(i[C+1]-i[C])&&S;){var x=d(i,1,C+1);i[C+1]=x.value,S=x.changed}}return{value:i[n],values:i}}]}(ve,ye,we,Ae,W,Ee),Se=(0,a.A)(Ce,2),xe=Se[0],Oe=Se[1],Re=(0,u.A)(j,{value:L}),Ie=(0,a.A)(Re,2),Pe=Ie[0],De=Ie[1],Te=p.useMemo((function(){var e=null==Pe?[]:Array.isArray(Pe)?Pe:[Pe],t=(0,a.A)(e,1)[0],n=null===Pe?[]:[void 0===t?ve:t];if(_){if(n=(0,i.A)(e),V||void 0===Pe){var r=V>=0?V+1:2;for(n=n.slice(0,r);n.length<r;){var o;n.push(null!==(o=n[n.length-1])&&void 0!==o?o:ve)}}n.sort((function(e,t){return e-t}))}return n.forEach((function(e,t){n[t]=xe(e)})),n}),[Pe,_,ve,V,xe]),Me=p.useRef(Te);Me.current=Te;var ke=function(e){return _?e:e[0]},Be=function(e){var t=(0,i.A)(e).sort((function(e,t){return e-t}));z&&!function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=new Set;return function e(t,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1,a=r.has(t);if((0,d.Ay)(!a,"Warning: There may be circular references"),a)return!1;if(t===o)return!0;if(n&&i>1)return!1;r.add(t);var s=i+1;if(Array.isArray(t)){if(!Array.isArray(o)||t.length!==o.length)return!1;for(var c=0;c<t.length;c++)if(!e(t[c],o[c],s))return!1;return!0}if(t&&o&&"object"===(0,l.A)(t)&&"object"===(0,l.A)(o)){var u=Object.keys(t);return u.length===Object.keys(o).length&&u.every((function(n){return e(t[n],o[n],s)}))}return!1}(e,t)}(t,Me.current,!0)&&z(ke(t)),De(t)},Ne=function(){var e=ke(Me.current);null==H||H(e),(0,d.Ay)(!H,"[rc-slider] `onAfterChange` is deprecated. Please use `onChangeComplete` instead."),null==U||U(e)},Fe=function(e,t,n,r,o,l,s,c,u){var d=p.useState(null),f=(0,a.A)(d,2),g=f[0],m=f[1],b=p.useState(-1),h=(0,a.A)(b,2),v=h[0],y=h[1],w=p.useState(n),E=(0,a.A)(w,2),A=E[0],C=E[1],S=p.useState(n),x=(0,a.A)(S,2),O=x[0],R=x[1],I=p.useRef(null),P=p.useRef(null);p.useLayoutEffect((function(){-1===v&&C(n)}),[n,v]),p.useEffect((function(){return function(){document.removeEventListener("mousemove",I.current),document.removeEventListener("mouseup",P.current),document.removeEventListener("touchmove",I.current),document.removeEventListener("touchend",P.current)}}),[]);var D=function(e,t){A.some((function(t,n){return t!==e[n]}))&&(void 0!==t&&m(t),C(e),s(e))},k=(0,T._q)((function(e,t){if(-1===e){var n=O[0],a=O[O.length-1],s=r-n,c=o-a,d=t*(o-r);d=Math.max(d,s),d=Math.min(d,c);var p=l(n+d);d=p-n;var f=O.map((function(e){return e+d}));D(f)}else{var g=(o-r)*t,m=(0,i.A)(A);m[e]=O[e];var b=u(m,g,e,"dist");D(b.values,b.value)}})),B=p.useMemo((function(){var e=(0,i.A)(n).sort((function(e,t){return e-t})),t=(0,i.A)(A).sort((function(e,t){return e-t}));return e.every((function(e,n){return e===t[n]}))?A:n}),[n,A]);return[v,g,B,function(r,o,i){r.stopPropagation();var a=i||n,l=a[o];y(o),m(l),R(a);var s=M(r),u=s.pageX,d=s.pageY,p=function(n){n.preventDefault();var r,i=M(n),a=i.pageX,l=i.pageY,s=a-u,c=l-d,p=e.current.getBoundingClientRect(),f=p.width,g=p.height;switch(t){case"btt":r=-c/g;break;case"ttb":r=c/g;break;case"rtl":r=-s/f;break;default:r=s/f}k(o,r)},f=function e(t){t.preventDefault(),document.removeEventListener("mouseup",e),document.removeEventListener("mousemove",p),document.removeEventListener("touchend",e),document.removeEventListener("touchmove",p),I.current=null,P.current=null,y(-1),c()};document.addEventListener("mouseup",f),document.addEventListener("mousemove",p),document.addEventListener("touchend",f),document.addEventListener("touchmove",p),I.current=p,P.current=f}]}(be,he,Te,ve,ye,xe,Be,Ne,Oe),Le=(0,a.A)(Fe,4),je=Le[0],_e=Le[1],Ve=Le[2],ze=Le[3],Ge=function(e,t){if(!v){var n=0,r=ye-ve;Te.forEach((function(t,o){var i=Math.abs(e-t);i<=r&&(r=i,n=o)}));var o,a,l=(0,i.A)(Te);l[n]=e,_&&!Te.length&&void 0===V&&l.push(e),null==G||G(ke(l)),Be(l),t&&(null===(o=document.activeElement)||void 0===o||null===(a=o.blur)||void 0===a||a.call(o),me.current.focus(n),ze(t,n,l))}},He=p.useState(null),Ue=(0,a.A)(He,2),$e=Ue[0],We=Ue[1];p.useEffect((function(){if(null!==$e){var e=Te.indexOf($e);e>=0&&me.current.focus(e)}We(null)}),[$e]);var qe=p.useMemo((function(){return(!K||null!==we)&&K}),[K,we]),Ye=function(e,t){ze(e,t),null==G||G(ke(Me.current))},Ke=-1!==je;p.useEffect((function(){if(!Ke){var e=Te.lastIndexOf(_e);me.current.focus(e)}}),[Ke]);var Xe=p.useMemo((function(){return(0,i.A)(Ve).sort((function(e,t){return e-t}))}),[Ve]),Qe=p.useMemo((function(){return _?[Xe[0],Xe[Xe.length-1]]:[ve,Xe[0]]}),[Xe,_,ve]),Je=(0,a.A)(Qe,2),Ze=Je[0],et=Je[1];p.useImperativeHandle(t,(function(){return{focus:function(){me.current.focus(0)},blur:function(){var e,t=document.activeElement;null!==(e=be.current)&&void 0!==e&&e.contains(t)&&(null==t||t.blur())}}})),p.useEffect((function(){A&&me.current.focus(0)}),[]);var tt=p.useMemo((function(){return{min:ve,max:ye,direction:he,disabled:v,keyboard:E,step:we,included:Z,includedStart:Ze,includedEnd:et,range:_,tabIndex:de,ariaLabelForHandle:pe,ariaLabelledByForHandle:fe,ariaValueTextFormatterForHandle:ge,styles:b||{},classNames:m||{}}}),[ve,ye,he,v,E,we,Z,Ze,et,_,de,pe,fe,ge,b,m]);return p.createElement(w.Provider,{value:tt},p.createElement("div",{ref:be,className:c()(s,f,(0,o.A)((0,o.A)((0,o.A)((0,o.A)({},"".concat(s,"-disabled"),v),"".concat(s,"-vertical"),Q),"".concat(s,"-horizontal"),!Q),"".concat(s,"-with-marks"),Ae.length)),style:g,onMouseDown:function(e){e.preventDefault();var t,n=be.current.getBoundingClientRect(),r=n.width,o=n.height,i=n.left,a=n.top,l=n.bottom,s=n.right,c=e.clientX,u=e.clientY;switch(he){case"btt":t=(l-u)/o;break;case"ttb":t=(u-a)/o;break;case"rtl":t=(s-c)/r;break;default:t=(c-i)/r}Ge(xe(ve+t*(ye-ve)),e)}},p.createElement("div",{className:c()("".concat(s,"-rail"),null==m?void 0:m.rail),style:(0,r.A)((0,r.A)({},re),null==b?void 0:b.rail)}),p.createElement(D,{prefixCls:s,style:te,values:Xe,startPoint:ee,onStartMove:qe?Ye:void 0}),p.createElement(I,{prefixCls:s,marks:Ae,dots:le,style:oe,activeStyle:ie}),p.createElement(S,{ref:me,prefixCls:s,style:ne,values:Ve,draggingIndex:je,onStartMove:Ye,onOffsetChange:function(e,t){if(!v){var n=Oe(Te,e,t);null==G||G(ke(Te)),Be(n.values),We(n.value)}},onFocus:C,onBlur:x,handleRender:se,activeHandleRender:ce,onChangeComplete:Ne}),p.createElement(O,{prefixCls:s,marks:Ae,onClick:Ge})))}))},72:(e,t,n)=>{"use strict";n.r(t),n.d(t,{Popup:()=>l,default:()=>dn});var r=n(452),o=n.n(r),i=n(959),a=n.n(i);function l(e){var t=e.children,n=e.prefixCls,r=e.id,a=e.overlayInnerStyle,l=e.className,s=e.style;return i.createElement("div",{className:o()("".concat(n,"-content"),l),style:s},i.createElement("div",{className:"".concat(n,"-inner"),id:r,role:"tooltip",style:a},"function"==typeof t?t():t))}var s=n(102),c=n(405),u=n(644),d=n(850),p=n(398),f=n.n(p),g=n(370),m=(n(358),n(115));const b=i.createContext(null);var h=n(300),v=n(697),y=[],w="data-rc-order",E="data-rc-priority",A="rc-util-key",C=new Map;function S(){var e=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).mark;return e?e.startsWith("data-")?e:"data-".concat(e):A}function x(e){return e.attachTo?e.attachTo:document.querySelector("head")||document.body}function O(e){return Array.from((C.get(e)||e).children).filter((function(e){return"STYLE"===e.tagName}))}function R(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(0,g.A)())return null;var n=t.csp,r=t.prepend,o=t.priority,i=void 0===o?0:o,a=function(e){return"queue"===e?"prependQueue":e?"prepend":"append"}(r),l="prependQueue"===a,s=document.createElement("style");s.setAttribute(w,a),l&&i&&s.setAttribute(E,"".concat(i)),null!=n&&n.nonce&&(s.nonce=null==n?void 0:n.nonce),s.innerHTML=e;var c=x(t),u=c.firstChild;if(r){if(l){var d=(t.styles||O(c)).filter((function(e){if(!["prepend","prependQueue"].includes(e.getAttribute(w)))return!1;var t=Number(e.getAttribute(E)||0);return i>=t}));if(d.length)return c.insertBefore(s,d[d.length-1].nextSibling),s}c.insertBefore(s,u)}else c.appendChild(s);return s}function I(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=x(t);return(t.styles||O(n)).find((function(n){return n.getAttribute(S(t))===e}))}function P(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=I(e,t);n&&x(t).removeChild(n)}function D(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=x(n),o=O(r),i=(0,c.A)((0,c.A)({},n),{},{styles:o});!function(e,t){var n=C.get(e);if(!n||!function(e,t){if(!e)return!1;if(e.contains)return e.contains(t);for(var n=t;n;){if(n===e)return!0;n=n.parentNode}return!1}(document,n)){var r=R("",t),o=r.parentNode;C.set(e,o),e.removeChild(r)}}(r,i);var a,l,s,u=I(t,i);if(u)return null!==(a=i.csp)&&void 0!==a&&a.nonce&&u.nonce!==(null===(l=i.csp)||void 0===l?void 0:l.nonce)&&(u.nonce=null===(s=i.csp)||void 0===s?void 0:s.nonce),u.innerHTML!==e&&(u.innerHTML=e),u;var d=R(e,i);return d.setAttribute(S(i),t),d}var T="rc-util-locker-".concat(Date.now()),M=0;function k(e){var t=!!e,n=i.useState((function(){return M+=1,"".concat(T,"_").concat(M)})),r=(0,d.A)(n,1)[0];(0,v.A)((function(){if(t){var e=(o=document.body,"undefined"!=typeof document&&o&&o instanceof Element?function(e){var t="rc-scrollbar-measure-".concat(Math.random().toString(36).substring(7)),n=document.createElement("div");n.id=t;var r,o,i=n.style;if(i.position="absolute",i.left="0",i.top="0",i.width="100px",i.height="100px",i.overflow="scroll",e){var a=getComputedStyle(e);i.scrollbarColor=a.scrollbarColor,i.scrollbarWidth=a.scrollbarWidth;var l=getComputedStyle(e,"::-webkit-scrollbar"),s=parseInt(l.width,10),c=parseInt(l.height,10);try{var u=s?"width: ".concat(l.width,";"):"",d=c?"height: ".concat(l.height,";"):"";D("\n#".concat(t,"::-webkit-scrollbar {\n").concat(u,"\n").concat(d,"\n}"),t)}catch(e){console.error(e),r=s,o=c}}document.body.appendChild(n);var p=e&&r&&!isNaN(r)?r:n.offsetWidth-n.clientWidth,f=e&&o&&!isNaN(o)?o:n.offsetHeight-n.clientHeight;return document.body.removeChild(n),P(t),{width:p,height:f}}(o):{width:0,height:0}).width,n=document.body.scrollHeight>(window.innerHeight||document.documentElement.clientHeight)&&window.innerWidth>document.body.offsetWidth;D("\nhtml body {\n  overflow-y: hidden;\n  ".concat(n?"width: calc(100% - ".concat(e,"px);"):"","\n}"),r)}else P(r);var o;return function(){P(r)}}),[t,r])}var B=!1,N=function(e){return!1!==e&&((0,g.A)()&&e?"string"==typeof e?document.querySelector(e):"function"==typeof e?e():e:null)},F=i.forwardRef((function(e,t){var n=e.open,r=e.autoLock,o=e.getContainer,a=(e.debug,e.autoDestroy),l=void 0===a||a,s=e.children,c=i.useState(n),u=(0,d.A)(c,2),f=u[0],w=u[1],E=f||n;i.useEffect((function(){(l||n)&&w(n)}),[n,l]);var A=i.useState((function(){return N(o)})),C=(0,d.A)(A,2),S=C[0],x=C[1];i.useEffect((function(){var e=N(o);x(null!=e?e:null)}));var O=function(e){var t=i.useState((function(){return(0,g.A)()?document.createElement("div"):null})),n=(0,d.A)(t,1)[0],r=i.useRef(!1),o=i.useContext(b),a=i.useState(y),l=(0,d.A)(a,2),s=l[0],c=l[1],u=o||(r.current?void 0:function(e){c((function(t){return[e].concat((0,h.A)(t))}))});function p(){n.parentElement||document.body.appendChild(n),r.current=!0}function f(){var e;null===(e=n.parentElement)||void 0===e||e.removeChild(n),r.current=!1}return(0,v.A)((function(){return e?o?o(p):p():f(),f}),[e]),(0,v.A)((function(){s.length&&(s.forEach((function(e){return e()})),c(y))}),[s]),[n,u]}(E&&!S),R=(0,d.A)(O,2),I=R[0],P=R[1],D=null!=S?S:I;k(r&&n&&(0,g.A)()&&(D===I||D===document.body));var T=null;s&&(0,m.f3)(s)&&t&&(T=s.ref);var M=(0,m.xK)(T,t);if(!E||!(0,g.A)()||void 0===S)return null;var F=!1===D||B,L=s;return t&&(L=i.cloneElement(s,{ref:M})),i.createElement(b.Provider,{value:P},F?L:(0,p.createPortal)(L,D))}));const L=F;var j=n(271);function _(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=[];return a().Children.forEach(e,(function(e){(null!=e||t.keepEmpty)&&(Array.isArray(e)?n=n.concat(_(e)):(0,j.isFragment)(e)&&e.props?n=n.concat(_(e.props.children,t)):n.push(e))})),n}var V=n(694);function z(e){return e instanceof HTMLElement||e instanceof SVGElement}function G(e){var t,n=function(e){return e&&"object"===(0,V.A)(e)&&z(e.nativeElement)?e.nativeElement:z(e)?e:null}(e);return n||(e instanceof a().Component?null===(t=f().findDOMNode)||void 0===t?void 0:t.call(f(),e):null)}var H=i.createContext(null),U=function(){if("undefined"!=typeof Map)return Map;function e(e,t){var n=-1;return e.some((function(e,r){return e[0]===t&&(n=r,!0)})),n}return function(){function t(){this.__entries__=[]}return Object.defineProperty(t.prototype,"size",{get:function(){return this.__entries__.length},enumerable:!0,configurable:!0}),t.prototype.get=function(t){var n=e(this.__entries__,t),r=this.__entries__[n];return r&&r[1]},t.prototype.set=function(t,n){var r=e(this.__entries__,t);~r?this.__entries__[r][1]=n:this.__entries__.push([t,n])},t.prototype.delete=function(t){var n=this.__entries__,r=e(n,t);~r&&n.splice(r,1)},t.prototype.has=function(t){return!!~e(this.__entries__,t)},t.prototype.clear=function(){this.__entries__.splice(0)},t.prototype.forEach=function(e,t){void 0===t&&(t=null);for(var n=0,r=this.__entries__;n<r.length;n++){var o=r[n];e.call(t,o[1],o[0])}},t}()}(),$="undefined"!=typeof window&&"undefined"!=typeof document&&window.document===document,W=void 0!==n.g&&n.g.Math===Math?n.g:"undefined"!=typeof self&&self.Math===Math?self:"undefined"!=typeof window&&window.Math===Math?window:Function("return this")(),q="function"==typeof requestAnimationFrame?requestAnimationFrame.bind(W):function(e){return setTimeout((function(){return e(Date.now())}),1e3/60)},Y=["top","right","bottom","left","width","height","size","weight"],K="undefined"!=typeof MutationObserver,X=function(){function e(){this.connected_=!1,this.mutationEventsAdded_=!1,this.mutationsObserver_=null,this.observers_=[],this.onTransitionEnd_=this.onTransitionEnd_.bind(this),this.refresh=function(e,t){var n=!1,r=!1,o=0;function i(){n&&(n=!1,e()),r&&l()}function a(){q(i)}function l(){var e=Date.now();if(n){if(e-o<2)return;r=!0}else n=!0,r=!1,setTimeout(a,t);o=e}return l}(this.refresh.bind(this),20)}return e.prototype.addObserver=function(e){~this.observers_.indexOf(e)||this.observers_.push(e),this.connected_||this.connect_()},e.prototype.removeObserver=function(e){var t=this.observers_,n=t.indexOf(e);~n&&t.splice(n,1),!t.length&&this.connected_&&this.disconnect_()},e.prototype.refresh=function(){this.updateObservers_()&&this.refresh()},e.prototype.updateObservers_=function(){var e=this.observers_.filter((function(e){return e.gatherActive(),e.hasActive()}));return e.forEach((function(e){return e.broadcastActive()})),e.length>0},e.prototype.connect_=function(){$&&!this.connected_&&(document.addEventListener("transitionend",this.onTransitionEnd_),window.addEventListener("resize",this.refresh),K?(this.mutationsObserver_=new MutationObserver(this.refresh),this.mutationsObserver_.observe(document,{attributes:!0,childList:!0,characterData:!0,subtree:!0})):(document.addEventListener("DOMSubtreeModified",this.refresh),this.mutationEventsAdded_=!0),this.connected_=!0)},e.prototype.disconnect_=function(){$&&this.connected_&&(document.removeEventListener("transitionend",this.onTransitionEnd_),window.removeEventListener("resize",this.refresh),this.mutationsObserver_&&this.mutationsObserver_.disconnect(),this.mutationEventsAdded_&&document.removeEventListener("DOMSubtreeModified",this.refresh),this.mutationsObserver_=null,this.mutationEventsAdded_=!1,this.connected_=!1)},e.prototype.onTransitionEnd_=function(e){var t=e.propertyName,n=void 0===t?"":t;Y.some((function(e){return!!~n.indexOf(e)}))&&this.refresh()},e.getInstance=function(){return this.instance_||(this.instance_=new e),this.instance_},e.instance_=null,e}(),Q=function(e,t){for(var n=0,r=Object.keys(t);n<r.length;n++){var o=r[n];Object.defineProperty(e,o,{value:t[o],enumerable:!1,writable:!1,configurable:!0})}return e},J=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||W},Z=oe(0,0,0,0);function ee(e){return parseFloat(e)||0}function te(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.reduce((function(t,n){return t+ee(e["border-"+n+"-width"])}),0)}var ne="undefined"!=typeof SVGGraphicsElement?function(e){return e instanceof J(e).SVGGraphicsElement}:function(e){return e instanceof J(e).SVGElement&&"function"==typeof e.getBBox};function re(e){return $?ne(e)?function(e){var t=e.getBBox();return oe(0,0,t.width,t.height)}(e):function(e){var t=e.clientWidth,n=e.clientHeight;if(!t&&!n)return Z;var r=J(e).getComputedStyle(e),o=function(e){for(var t={},n=0,r=["top","right","bottom","left"];n<r.length;n++){var o=r[n],i=e["padding-"+o];t[o]=ee(i)}return t}(r),i=o.left+o.right,a=o.top+o.bottom,l=ee(r.width),s=ee(r.height);if("border-box"===r.boxSizing&&(Math.round(l+i)!==t&&(l-=te(r,"left","right")+i),Math.round(s+a)!==n&&(s-=te(r,"top","bottom")+a)),!function(e){return e===J(e).document.documentElement}(e)){var c=Math.round(l+i)-t,u=Math.round(s+a)-n;1!==Math.abs(c)&&(l-=c),1!==Math.abs(u)&&(s-=u)}return oe(o.left,o.top,l,s)}(e):Z}function oe(e,t,n,r){return{x:e,y:t,width:n,height:r}}var ie=function(){function e(e){this.broadcastWidth=0,this.broadcastHeight=0,this.contentRect_=oe(0,0,0,0),this.target=e}return e.prototype.isActive=function(){var e=re(this.target);return this.contentRect_=e,e.width!==this.broadcastWidth||e.height!==this.broadcastHeight},e.prototype.broadcastRect=function(){var e=this.contentRect_;return this.broadcastWidth=e.width,this.broadcastHeight=e.height,e},e}(),ae=function(e,t){var n,r,o,i,a,l,s,c=(r=(n=t).x,o=n.y,i=n.width,a=n.height,l="undefined"!=typeof DOMRectReadOnly?DOMRectReadOnly:Object,s=Object.create(l.prototype),Q(s,{x:r,y:o,width:i,height:a,top:o,right:r+i,bottom:a+o,left:r}),s);Q(this,{target:e,contentRect:c})},le=function(){function e(e,t,n){if(this.activeObservations_=[],this.observations_=new U,"function"!=typeof e)throw new TypeError("The callback provided as parameter 1 is not a function.");this.callback_=e,this.controller_=t,this.callbackCtx_=n}return e.prototype.observe=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof J(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)||(t.set(e,new ie(e)),this.controller_.addObserver(this),this.controller_.refresh())}},e.prototype.unobserve=function(e){if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");if("undefined"!=typeof Element&&Element instanceof Object){if(!(e instanceof J(e).Element))throw new TypeError('parameter 1 is not of type "Element".');var t=this.observations_;t.has(e)&&(t.delete(e),t.size||this.controller_.removeObserver(this))}},e.prototype.disconnect=function(){this.clearActive(),this.observations_.clear(),this.controller_.removeObserver(this)},e.prototype.gatherActive=function(){var e=this;this.clearActive(),this.observations_.forEach((function(t){t.isActive()&&e.activeObservations_.push(t)}))},e.prototype.broadcastActive=function(){if(this.hasActive()){var e=this.callbackCtx_,t=this.activeObservations_.map((function(e){return new ae(e.target,e.broadcastRect())}));this.callback_.call(e,t,e),this.clearActive()}},e.prototype.clearActive=function(){this.activeObservations_.splice(0)},e.prototype.hasActive=function(){return this.activeObservations_.length>0},e}(),se="undefined"!=typeof WeakMap?new WeakMap:new U,ce=function e(t){if(!(this instanceof e))throw new TypeError("Cannot call a class as a function.");if(!arguments.length)throw new TypeError("1 argument required, but only 0 present.");var n=X.getInstance(),r=new le(t,n,this);se.set(this,r)};["observe","unobserve","disconnect"].forEach((function(e){ce.prototype[e]=function(){var t;return(t=se.get(this))[e].apply(t,arguments)}}));const ue=void 0!==W.ResizeObserver?W.ResizeObserver:ce;var de=new Map,pe=new ue((function(e){e.forEach((function(e){var t,n=e.target;null===(t=de.get(n))||void 0===t||t.forEach((function(e){return e(n)}))}))}));function fe(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}var ge=n(162);function me(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,(0,ge.A)(r.key),r)}}function be(e,t,n){return t&&me(e.prototype,t),n&&me(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function he(e,t){return he=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},he(e,t)}function ve(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&he(e,t)}function ye(e){return ye=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},ye(e)}function we(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(we=function(){return!!e})()}function Ee(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Ae(e){var t=we();return function(){var n,r=ye(e);if(t){var o=ye(this).constructor;n=Reflect.construct(r,arguments,o)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==(0,V.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Ee(e)}(this,n)}}var Ce=function(e){ve(n,e);var t=Ae(n);function n(){return fe(this,n),t.apply(this,arguments)}return be(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);function Se(e,t){var n=e.children,r=e.disabled,o=i.useRef(null),a=i.useRef(null),l=i.useContext(H),s="function"==typeof n,u=s?n(o):n,d=i.useRef({width:-1,height:-1,offsetWidth:-1,offsetHeight:-1}),p=!s&&i.isValidElement(u)&&(0,m.f3)(u),f=p?u.ref:null,g=(0,m.xK)(f,o),b=function(){var e;return G(o.current)||(o.current&&"object"===(0,V.A)(o.current)?G(null===(e=o.current)||void 0===e?void 0:e.nativeElement):null)||G(a.current)};i.useImperativeHandle(t,(function(){return b()}));var h=i.useRef(e);h.current=e;var v=i.useCallback((function(e){var t=h.current,n=t.onResize,r=t.data,o=e.getBoundingClientRect(),i=o.width,a=o.height,s=e.offsetWidth,u=e.offsetHeight,p=Math.floor(i),f=Math.floor(a);if(d.current.width!==p||d.current.height!==f||d.current.offsetWidth!==s||d.current.offsetHeight!==u){var g={width:p,height:f,offsetWidth:s,offsetHeight:u};d.current=g;var m=s===Math.round(i)?i:s,b=u===Math.round(a)?a:u,v=(0,c.A)((0,c.A)({},g),{},{offsetWidth:m,offsetHeight:b});null==l||l(v,e,r),n&&Promise.resolve().then((function(){n(v,e)}))}}),[]);return i.useEffect((function(){var e,t,n=b();return n&&!r&&(e=n,t=v,de.has(e)||(de.set(e,new Set),pe.observe(e)),de.get(e).add(t)),function(){return function(e,t){de.has(e)&&(de.get(e).delete(t),de.get(e).size||(pe.unobserve(e),de.delete(e)))}(n,v)}}),[o.current,r]),i.createElement(Ce,{ref:a},p?i.cloneElement(u,{ref:g}):u)}const xe=i.forwardRef(Se);function Oe(e,t){var n=e.children;return("function"==typeof n?[n]:_(n)).map((function(n,r){var o=(null==n?void 0:n.key)||"".concat("rc-observer-key","-").concat(r);return i.createElement(xe,(0,s.A)({},e,{key:o,ref:0===r?t:void 0}),n)}))}var Re=i.forwardRef(Oe);Re.Collection=function(e){var t=e.children,n=e.onBatchResize,r=i.useRef(0),o=i.useRef([]),a=i.useContext(H),l=i.useCallback((function(e,t,i){r.current+=1;var l=r.current;o.current.push({size:e,element:t,data:i}),Promise.resolve().then((function(){l===r.current&&(null==n||n(o.current),o.current=[])})),null==a||a(e,t,i)}),[n,a]);return i.createElement(H.Provider,{value:l},t)};const Ie=Re;function Pe(e){var t;return null==e||null===(t=e.getRootNode)||void 0===t?void 0:t.call(e)}function De(e){return function(e){return Pe(e)instanceof ShadowRoot}(e)?Pe(e):null}var Te=n(728),Me=0,ke=(0,c.A)({},i).useId;const Be=ke?function(e){var t=ke();return e||t}:function(e){var t=i.useState("ssr-id"),n=(0,d.A)(t,2),r=n[0],o=n[1];return i.useEffect((function(){var e=Me;Me+=1,o("rc_unique_".concat(e))}),[]),e||r};var Ne=n(705),Fe=i.createContext({}),Le=function(e){ve(n,e);var t=Ae(n);function n(){return fe(this,n),t.apply(this,arguments)}return be(n,[{key:"render",value:function(){return this.props.children}}]),n}(i.Component);const je=Le;var _e=n(291),Ve=n(773),ze="none",Ge="appear",He="enter",Ue="leave",$e="none",We="prepare",qe="start",Ye="active",Ke="end",Xe="prepared";function Qe(e,t){var n={};return n[e.toLowerCase()]=t.toLowerCase(),n["Webkit".concat(e)]="webkit".concat(t),n["Moz".concat(e)]="moz".concat(t),n["ms".concat(e)]="MS".concat(t),n["O".concat(e)]="o".concat(t.toLowerCase()),n}var Je,Ze,et,tt=(Je=(0,g.A)(),Ze="undefined"!=typeof window?window:{},et={animationend:Qe("Animation","AnimationEnd"),transitionend:Qe("Transition","TransitionEnd")},Je&&("AnimationEvent"in Ze||delete et.animationend.animation,"TransitionEvent"in Ze||delete et.transitionend.transition),et),nt={};if((0,g.A)()){var rt=document.createElement("div");nt=rt.style}var ot={};function it(e){if(ot[e])return ot[e];var t=tt[e];if(t)for(var n=Object.keys(t),r=n.length,o=0;o<r;o+=1){var i=n[o];if(Object.prototype.hasOwnProperty.call(t,i)&&i in nt)return ot[e]=t[i],ot[e]}return""}var at=it("animationend"),lt=it("transitionend"),st=!(!at||!lt),ct=at||"animationend",ut=lt||"transitionend";function dt(e,t){return e?"object"===(0,V.A)(e)?e[t.replace(/-\w/g,(function(e){return e[1].toUpperCase()}))]:"".concat(e,"-").concat(t):null}const pt=(0,g.A)()?i.useLayoutEffect:i.useEffect;var ft=function(e){return+setTimeout(e,16)},gt=function(e){return clearTimeout(e)};"undefined"!=typeof window&&"requestAnimationFrame"in window&&(ft=function(e){return window.requestAnimationFrame(e)},gt=function(e){return window.cancelAnimationFrame(e)});var mt=0,bt=new Map;function ht(e){bt.delete(e)}var vt=function(e){var t=mt+=1;return function n(r){if(0===r)ht(t),e();else{var o=ft((function(){n(r-1)}));bt.set(t,o)}}(arguments.length>1&&void 0!==arguments[1]?arguments[1]:1),t};vt.cancel=function(e){var t=bt.get(e);return ht(e),gt(t)};const yt=vt;var wt=[We,qe,Ye,Ke],Et=[We,Xe],At=!1;function Ct(e){return e===Ye||e===Ke}function St(e,t,n,r){var o,a,l,s,u=r.motionEnter,p=void 0===u||u,f=r.motionAppear,g=void 0===f||f,m=r.motionLeave,b=void 0===m||m,h=r.motionDeadline,v=r.motionLeaveImmediately,y=r.onAppearPrepare,w=r.onEnterPrepare,E=r.onLeavePrepare,A=r.onAppearStart,C=r.onEnterStart,S=r.onLeaveStart,x=r.onAppearActive,O=r.onEnterActive,R=r.onLeaveActive,I=r.onAppearEnd,P=r.onEnterEnd,D=r.onLeaveEnd,T=r.onVisibleChanged,M=(0,Ve.A)(),k=(0,d.A)(M,2),B=k[0],N=k[1],F=(o=ze,a=i.useReducer((function(e){return e+1}),0),l=(0,d.A)(a,2)[1],s=i.useRef(o),[(0,Te.A)((function(){return s.current})),(0,Te.A)((function(e){s.current="function"==typeof e?e(s.current):e,l()}))]),L=(0,d.A)(F,2),j=L[0],_=L[1],V=(0,Ve.A)(null),z=(0,d.A)(V,2),G=z[0],H=z[1],U=j(),$=(0,i.useRef)(!1),W=(0,i.useRef)(null);function q(){return n()}var Y=(0,i.useRef)(!1);function K(){_(ze),H(null,!0)}var X=(0,_e._q)((function(e){var t=j();if(t!==ze){var n=q();if(!e||e.deadline||e.target===n){var r,o=Y.current;t===Ge&&o?r=null==I?void 0:I(n,e):t===He&&o?r=null==P?void 0:P(n,e):t===Ue&&o&&(r=null==D?void 0:D(n,e)),o&&!1!==r&&K()}}})),Q=function(e){var t=(0,i.useRef)();function n(t){t&&(t.removeEventListener(ut,e),t.removeEventListener(ct,e))}return i.useEffect((function(){return function(){n(t.current)}}),[]),[function(r){t.current&&t.current!==r&&n(t.current),r&&r!==t.current&&(r.addEventListener(ut,e),r.addEventListener(ct,e),t.current=r)},n]}(X),J=(0,d.A)(Q,1)[0],Z=function(e){switch(e){case Ge:return(0,Ne.A)((0,Ne.A)((0,Ne.A)({},We,y),qe,A),Ye,x);case He:return(0,Ne.A)((0,Ne.A)((0,Ne.A)({},We,w),qe,C),Ye,O);case Ue:return(0,Ne.A)((0,Ne.A)((0,Ne.A)({},We,E),qe,S),Ye,R);default:return{}}},ee=i.useMemo((function(){return Z(U)}),[U]),te=function(e,t,n){var r=(0,Ve.A)($e),o=(0,d.A)(r,2),a=o[0],l=o[1],s=function(){var e=i.useRef(null);function t(){yt.cancel(e.current)}return i.useEffect((function(){return function(){t()}}),[]),[function n(r){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;t();var i=yt((function(){o<=1?r({isCanceled:function(){return i!==e.current}}):n(r,o-1)}));e.current=i},t]}(),c=(0,d.A)(s,2),u=c[0],p=c[1],f=t?Et:wt;return pt((function(){if(a!==$e&&a!==Ke){var e=f.indexOf(a),t=f[e+1],r=n(a);r===At?l(t,!0):t&&u((function(e){function n(){e.isCanceled()||l(t,!0)}!0===r?n():Promise.resolve(r).then(n)}))}}),[e,a]),i.useEffect((function(){return function(){p()}}),[]),[function(){l(We,!0)},a]}(U,!e,(function(e){if(e===We){var t=ee[We];return t?t(q()):At}var n;return oe in ee&&H((null===(n=ee[oe])||void 0===n?void 0:n.call(ee,q(),null))||null),oe===Ye&&U!==ze&&(J(q()),h>0&&(clearTimeout(W.current),W.current=setTimeout((function(){X({deadline:!0})}),h))),oe===Xe&&K(),true})),ne=(0,d.A)(te,2),re=ne[0],oe=ne[1],ie=Ct(oe);Y.current=ie,pt((function(){N(t);var n,r=$.current;$.current=!0,!r&&t&&g&&(n=Ge),r&&t&&p&&(n=He),(r&&!t&&b||!r&&v&&!t&&b)&&(n=Ue);var o=Z(n);n&&(e||o[We])?(_(n),re()):_(ze)}),[t]),(0,i.useEffect)((function(){(U===Ge&&!g||U===He&&!p||U===Ue&&!b)&&_(ze)}),[g,p,b]),(0,i.useEffect)((function(){return function(){$.current=!1,clearTimeout(W.current)}}),[]);var ae=i.useRef(!1);(0,i.useEffect)((function(){B&&(ae.current=!0),void 0!==B&&U===ze&&((ae.current||B)&&(null==T||T(B)),ae.current=!0)}),[B,U]);var le=G;return ee[We]&&oe===qe&&(le=(0,c.A)({transition:"none"},le)),[U,oe,le,null!=B?B:t]}const xt=function(e){var t=e;"object"===(0,V.A)(e)&&(t=e.transitionSupport);var n=i.forwardRef((function(e,n){var r=e.visible,a=void 0===r||r,l=e.removeOnLeave,s=void 0===l||l,u=e.forceRender,p=e.children,f=e.motionName,g=e.leavedClassName,b=e.eventProps,h=function(e,n){return!(!e.motionName||!t||!1===n)}(e,i.useContext(Fe).motion),v=(0,i.useRef)(),y=(0,i.useRef)(),w=St(h,a,(function(){try{return v.current instanceof HTMLElement?v.current:G(y.current)}catch(e){return null}}),e),E=(0,d.A)(w,4),A=E[0],C=E[1],S=E[2],x=E[3],O=i.useRef(x);x&&(O.current=!0);var R,I=i.useCallback((function(e){v.current=e,(0,m.Xf)(n,e)}),[n]),P=(0,c.A)((0,c.A)({},b),{},{visible:a});if(p)if(A===ze)R=x?p((0,c.A)({},P),I):!s&&O.current&&g?p((0,c.A)((0,c.A)({},P),{},{className:g}),I):u||!s&&!g?p((0,c.A)((0,c.A)({},P),{},{style:{display:"none"}}),I):null;else{var D;C===We?D="prepare":Ct(C)?D="active":C===qe&&(D="start");var T=dt(f,"".concat(A,"-").concat(D));R=p((0,c.A)((0,c.A)({},P),{},{className:o()(dt(f,A),(0,Ne.A)((0,Ne.A)({},T,T&&D),f,"string"==typeof f)),style:S}),I)}else R=null;return i.isValidElement(R)&&(0,m.f3)(R)&&(R.ref||(R=i.cloneElement(R,{ref:I}))),i.createElement(je,{ref:y},R)}));return n.displayName="CSSMotion",n}(st);var Ot="add",Rt="keep",It="remove",Pt="removed";function Dt(e){var t;return t=e&&"object"===(0,V.A)(e)&&"key"in e?e:{key:e},(0,c.A)((0,c.A)({},t),{},{key:String(t.key)})}function Tt(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).map(Dt)}var Mt=["component","children","onVisibleChanged","onAllRemoved"],kt=["status"],Bt=["eventProps","visible","children","motionName","motionAppear","motionEnter","motionLeave","motionLeaveImmediately","motionDeadline","removeOnLeave","leavedClassName","onAppearPrepare","onAppearStart","onAppearActive","onAppearEnd","onEnterStart","onEnterActive","onEnterEnd","onLeaveStart","onLeaveActive","onLeaveEnd"];!function(){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:xt,t=function(t){ve(r,t);var n=Ae(r);function r(){var e;fe(this,r);for(var t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return e=n.call.apply(n,[this].concat(o)),(0,Ne.A)(Ee(e),"state",{keyEntities:[]}),(0,Ne.A)(Ee(e),"removeKey",(function(t){var n=e.state.keyEntities.map((function(e){return e.key!==t?e:(0,c.A)((0,c.A)({},e),{},{status:Pt})}));return e.setState({keyEntities:n}),n.filter((function(e){return e.status!==Pt})).length})),e}return be(r,[{key:"render",value:function(){var t=this,n=this.state.keyEntities,r=this.props,o=r.component,a=r.children,l=r.onVisibleChanged,d=r.onAllRemoved,p=(0,u.A)(r,Mt),f=o||i.Fragment,g={};return Bt.forEach((function(e){g[e]=p[e],delete p[e]})),delete p.keys,i.createElement(f,p,n.map((function(n,r){var o=n.status,p=(0,u.A)(n,kt),f=o===Ot||o===Rt;return i.createElement(e,(0,s.A)({},g,{key:p.key,visible:f,eventProps:p,onVisibleChanged:function(e){null==l||l(e,{key:p.key}),e||0===t.removeKey(p.key)&&d&&d()}}),(function(e,t){return a((0,c.A)((0,c.A)({},e),{},{index:r}),t)}))})))}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=e.keys,r=t.keyEntities,o=Tt(n),i=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=[],r=0,o=t.length,i=Tt(e),a=Tt(t);i.forEach((function(e){for(var t=!1,i=r;i<o;i+=1){var l=a[i];if(l.key===e.key){r<i&&(n=n.concat(a.slice(r,i).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:Ot})}))),r=i),n.push((0,c.A)((0,c.A)({},l),{},{status:Rt})),r+=1,t=!0;break}}t||n.push((0,c.A)((0,c.A)({},e),{},{status:It}))})),r<o&&(n=n.concat(a.slice(r).map((function(e){return(0,c.A)((0,c.A)({},e),{},{status:Ot})}))));var l={};return n.forEach((function(e){var t=e.key;l[t]=(l[t]||0)+1})),Object.keys(l).filter((function(e){return l[e]>1})).forEach((function(e){(n=n.filter((function(t){var n=t.key,r=t.status;return n!==e||r!==It}))).forEach((function(t){t.key===e&&(t.status=Rt)}))})),n}(r,o);return{keyEntities:i.filter((function(e){var t=r.find((function(t){var n=t.key;return e.key===n}));return!t||t.status!==Pt||e.status!==It}))}}}]),r}(i.Component);(0,Ne.A)(t,"defaultProps",{component:"div"})}(st);const Nt=xt;function Ft(e){var t=e.prefixCls,n=e.align,r=e.arrow,a=e.arrowPos,l=r||{},s=l.className,c=l.content,u=a.x,d=void 0===u?0:u,p=a.y,f=void 0===p?0:p,g=i.useRef();if(!n||!n.points)return null;var m={position:"absolute"};if(!1!==n.autoArrow){var b=n.points[0],h=n.points[1],v=b[0],y=b[1],w=h[0],E=h[1];v!==w&&["t","b"].includes(v)?"t"===v?m.top=0:m.bottom=0:m.top=f,y!==E&&["l","r"].includes(y)?"l"===y?m.left=0:m.right=0:m.left=d}return i.createElement("div",{ref:g,className:o()("".concat(t,"-arrow"),s),style:m},c)}function Lt(e){var t=e.prefixCls,n=e.open,r=e.zIndex,a=e.mask,l=e.motion;return a?i.createElement(Nt,(0,s.A)({},l,{motionAppear:!0,visible:n,removeOnLeave:!0}),(function(e){var n=e.className;return i.createElement("div",{style:{zIndex:r},className:o()("".concat(t,"-mask"),n)})})):null}const jt=i.memo((function(e){return e.children}),(function(e,t){return t.cache}));var _t=i.forwardRef((function(e,t){var n=e.popup,r=e.className,a=e.prefixCls,l=e.style,u=e.target,p=e.onVisibleChanged,f=e.open,g=e.keepDom,b=e.fresh,h=e.onClick,y=e.mask,w=e.arrow,E=e.arrowPos,A=e.align,C=e.motion,S=e.maskMotion,x=e.forceRender,O=e.getPopupContainer,R=e.autoDestroy,I=e.portal,P=e.zIndex,D=e.onMouseEnter,T=e.onMouseLeave,M=e.onPointerEnter,k=e.ready,B=e.offsetX,N=e.offsetY,F=e.offsetR,L=e.offsetB,j=e.onAlign,_=e.onPrepare,V=e.stretch,z=e.targetWidth,G=e.targetHeight,H="function"==typeof n?n():n,U=f||g,$=(null==O?void 0:O.length)>0,W=i.useState(!O||!$),q=(0,d.A)(W,2),Y=q[0],K=q[1];if((0,v.A)((function(){!Y&&$&&u&&K(!0)}),[Y,$,u]),!Y)return null;var X="auto",Q={left:"-1000vw",top:"-1000vh",right:X,bottom:X};if(k||!f){var J,Z=A.points,ee=A.dynamicInset||(null===(J=A._experimental)||void 0===J?void 0:J.dynamicInset),te=ee&&"r"===Z[0][1],ne=ee&&"b"===Z[0][0];te?(Q.right=F,Q.left=X):(Q.left=B,Q.right=X),ne?(Q.bottom=L,Q.top=X):(Q.top=N,Q.bottom=X)}var re={};return V&&(V.includes("height")&&G?re.height=G:V.includes("minHeight")&&G&&(re.minHeight=G),V.includes("width")&&z?re.width=z:V.includes("minWidth")&&z&&(re.minWidth=z)),f||(re.pointerEvents="none"),i.createElement(I,{open:x||U,getContainer:O&&function(){return O(u)},autoDestroy:R},i.createElement(Lt,{prefixCls:a,open:f,zIndex:P,mask:y,motion:S}),i.createElement(Ie,{onResize:j,disabled:!f},(function(e){return i.createElement(Nt,(0,s.A)({motionAppear:!0,motionEnter:!0,motionLeave:!0,removeOnLeave:!1,forceRender:x,leavedClassName:"".concat(a,"-hidden")},C,{onAppearPrepare:_,onEnterPrepare:_,visible:f,onVisibleChanged:function(e){var t;null==C||null===(t=C.onVisibleChanged)||void 0===t||t.call(C,e),p(e)}}),(function(n,s){var u=n.className,d=n.style,p=o()(a,u,r);return i.createElement("div",{ref:(0,m.K4)(e,t,s),className:p,style:(0,c.A)((0,c.A)((0,c.A)((0,c.A)({"--arrow-x":"".concat(E.x||0,"px"),"--arrow-y":"".concat(E.y||0,"px")},Q),re),d),{},{boxSizing:"border-box",zIndex:P},l),onMouseEnter:D,onMouseLeave:T,onPointerEnter:M,onClick:h},w&&i.createElement(Ft,{prefixCls:a,arrow:w,arrowPos:E,align:A}),i.createElement(jt,{cache:!f&&!b},H))}))})))}));const Vt=_t,zt=i.forwardRef((function(e,t){var n=e.children,r=e.getTriggerDOMNode,o=(0,m.f3)(n),a=i.useCallback((function(e){(0,m.Xf)(t,r?r(e):e)}),[r]),l=(0,m.xK)(a,n.ref);return o?i.cloneElement(n,{ref:l}):n})),Gt=i.createContext(null);function Ht(e){return e?Array.isArray(e)?e:[e]:[]}function Ut(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return(arguments.length>2?arguments[2]:void 0)?e[0]===t[0]:e[0]===t[0]&&e[1]===t[1]}function $t(e,t,n,r){return t||(n?{motionName:"".concat(e,"-").concat(n)}:r?{motionName:r}:null)}function Wt(e){return e.ownerDocument.defaultView}function qt(e){for(var t=[],n=null==e?void 0:e.parentElement,r=["hidden","scroll","clip","auto"];n;){var o=Wt(n).getComputedStyle(n);[o.overflowX,o.overflowY,o.overflow].some((function(e){return r.includes(e)}))&&t.push(n),n=n.parentElement}return t}function Yt(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;return Number.isNaN(e)?t:e}function Kt(e){return Yt(parseFloat(e),0)}function Xt(e,t){var n=(0,c.A)({},e);return(t||[]).forEach((function(e){if(!(e instanceof HTMLBodyElement||e instanceof HTMLHtmlElement)){var t=Wt(e).getComputedStyle(e),r=t.overflow,o=t.overflowClipMargin,i=t.borderTopWidth,a=t.borderBottomWidth,l=t.borderLeftWidth,s=t.borderRightWidth,c=e.getBoundingClientRect(),u=e.offsetHeight,d=e.clientHeight,p=e.offsetWidth,f=e.clientWidth,g=Kt(i),m=Kt(a),b=Kt(l),h=Kt(s),v=Yt(Math.round(c.width/p*1e3)/1e3),y=Yt(Math.round(c.height/u*1e3)/1e3),w=(p-f-b-h)*v,E=(u-d-g-m)*y,A=g*y,C=m*y,S=b*v,x=h*v,O=0,R=0;if("clip"===r){var I=Kt(o);O=I*v,R=I*y}var P=c.x+S-O,D=c.y+A-R,T=P+c.width+2*O-S-x-w,M=D+c.height+2*R-A-C-E;n.left=Math.max(n.left,P),n.top=Math.max(n.top,D),n.right=Math.min(n.right,T),n.bottom=Math.min(n.bottom,M)}})),n}function Qt(e){var t="".concat(arguments.length>1&&void 0!==arguments[1]?arguments[1]:0),n=t.match(/^(.*)\%$/);return n?e*(parseFloat(n[1])/100):parseFloat(t)}function Jt(e,t){var n=t||[],r=(0,d.A)(n,2),o=r[0],i=r[1];return[Qt(e.width,o),Qt(e.height,i)]}function Zt(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return[e[0],e[1]]}function en(e,t){var n,r=t[0],o=t[1];return n="t"===r?e.y:"b"===r?e.y+e.height:e.y+e.height/2,{x:"l"===o?e.x:"r"===o?e.x+e.width:e.x+e.width/2,y:n}}function tn(e,t){var n={t:"b",b:"t",l:"r",r:"l"};return e.map((function(e,r){return r===t?n[e]||"c":e})).join("")}var nn=["prefixCls","children","action","showAction","hideAction","popupVisible","defaultPopupVisible","onPopupVisibleChange","afterPopupVisibleChange","mouseEnterDelay","mouseLeaveDelay","focusDelay","blurDelay","mask","maskClosable","getPopupContainer","forceRender","autoDestroy","destroyPopupOnHide","popup","popupClassName","popupStyle","popupPlacement","builtinPlacements","popupAlign","zIndex","stretch","getPopupClassNameFromAlign","fresh","alignPoint","onPopupClick","onPopupAlign","arrow","popupMotion","maskMotion","popupTransitionName","popupAnimation","maskTransitionName","maskAnimation","className","getTriggerDOMNode"];const rn=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:L,t=i.forwardRef((function(t,n){var r=t.prefixCls,a=void 0===r?"rc-trigger-popup":r,l=t.children,s=t.action,p=void 0===s?"hover":s,f=t.showAction,g=t.hideAction,m=t.popupVisible,b=t.defaultPopupVisible,y=t.onPopupVisibleChange,w=t.afterPopupVisibleChange,E=t.mouseEnterDelay,A=t.mouseLeaveDelay,C=void 0===A?.1:A,S=t.focusDelay,x=t.blurDelay,O=t.mask,R=t.maskClosable,I=void 0===R||R,P=t.getPopupContainer,D=t.forceRender,T=t.autoDestroy,M=t.destroyPopupOnHide,k=t.popup,B=t.popupClassName,N=t.popupStyle,F=t.popupPlacement,L=t.builtinPlacements,j=void 0===L?{}:L,_=t.popupAlign,V=t.zIndex,G=t.stretch,H=t.getPopupClassNameFromAlign,U=t.fresh,$=t.alignPoint,W=t.onPopupClick,q=t.onPopupAlign,Y=t.arrow,K=t.popupMotion,X=t.maskMotion,Q=t.popupTransitionName,J=t.popupAnimation,Z=t.maskTransitionName,ee=t.maskAnimation,te=t.className,ne=t.getTriggerDOMNode,re=(0,u.A)(t,nn),oe=T||M||!1,ie=i.useState(!1),ae=(0,d.A)(ie,2),le=ae[0],se=ae[1];(0,v.A)((function(){se(function(){if("undefined"==typeof navigator||"undefined"==typeof window)return!1;var e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw-(n|u)|c55\/|capi|ccwa|cdm-|cell|chtm|cldc|cmd-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc-s|devi|dica|dmob|do(c|p)o|ds(12|-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(-|_)|g1 u|g560|gene|gf-5|g-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd-(m|p|t)|hei-|hi(pt|ta)|hp( i|ip)|hs-c|ht(c(-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i-(20|go|ma)|i230|iac( |-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|-[a-w])|libw|lynx|m1-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|-([1-8]|c))|phil|pire|pl(ay|uc)|pn-2|po(ck|rt|se)|prox|psio|pt-g|qa-a|qc(07|12|21|32|60|-[2-7]|i-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h-|oo|p-)|sdk\/|se(c(-|0|1)|47|mc|nd|ri)|sgh-|shar|sie(-|m)|sk-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h-|v-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl-|tdg-|tel(i|m)|tim-|t-mo|to(pl|sh)|ts(70|m-|m3|m5)|tx-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas-|your|zeto|zte-/i.test(null==e?void 0:e.substr(0,4))}())}),[]);var ce=i.useRef({}),ue=i.useContext(Gt),de=i.useMemo((function(){return{registerSubPopup:function(e,t){ce.current[e]=t,null==ue||ue.registerSubPopup(e,t)}}}),[ue]),pe=Be(),fe=i.useState(null),ge=(0,d.A)(fe,2),me=ge[0],be=ge[1],he=i.useRef(null),ve=(0,Te.A)((function(e){he.current=e,z(e)&&me!==e&&be(e),null==ue||ue.registerSubPopup(pe,e)})),ye=i.useState(null),we=(0,d.A)(ye,2),Ee=we[0],Ae=we[1],Ce=i.useRef(null),Se=(0,Te.A)((function(e){z(e)&&Ee!==e&&(Ae(e),Ce.current=e)})),xe=i.Children.only(l),Oe=(null==xe?void 0:xe.props)||{},Re={},Pe=function(e,t){var n,r;return e===t||t.contains(e)||(null===(n=De(t))||void 0===n?void 0:n.host)===e||t.contains(null===(r=De(e))||void 0===r?void 0:r.host)},Me=(0,Te.A)((function(e){var t=Ee,n=Pe.bind(null,e);return n(t)||n(me)||Object.values(ce.current).some(n)})),ke=$t(a,K,J,Q),Ne=$t(a,X,ee,Z),Fe=i.useState(b||!1),Le=(0,d.A)(Fe,2),je=Le[0],_e=Le[1],Ve=null!=m?m:je,ze=(0,Te.A)((function(e){void 0===m&&_e(e)}));(0,v.A)((function(){_e(m||!1)}),[m]);var Ge=i.useRef(Ve);Ge.current=Ve;var He=i.useRef([]);He.current=[];var Ue=(0,Te.A)((function(e){var t;ze(e),(null!==(t=He.current[He.current.length-1])&&void 0!==t?t:Ve)!==e&&(He.current.push(e),null==y||y(e))})),$e=i.useRef(),We=function(){clearTimeout($e.current)},qe=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;We(),0===t?Ue(e):$e.current=setTimeout((function(){Ue(e)}),1e3*t)};i.useEffect((function(){return We}),[]);var Ye=i.useState(!1),Ke=(0,d.A)(Ye,2),Xe=Ke[0],Qe=Ke[1];(0,v.A)((function(e){e&&!Ve||Qe(!0)}),[Ve]);var Je=i.useState(null),Ze=(0,d.A)(Je,2),et=Ze[0],tt=Ze[1],nt=i.useState(null),rt=(0,d.A)(nt,2),ot=rt[0],it=rt[1],at=function(e){it([e.clientX,e.clientY])},lt=function(e,t,n,r,o,a,l){var s=i.useState({ready:!1,offsetX:0,offsetY:0,offsetR:0,offsetB:0,arrowX:0,arrowY:0,scaleX:1,scaleY:1,align:o[r]||{}}),u=(0,d.A)(s,2),p=u[0],f=u[1],g=i.useRef(0),m=i.useMemo((function(){return t?qt(t):[]}),[t]),b=i.useRef({});e||(b.current={});var h=(0,Te.A)((function(){if(t&&n&&e){var i,s,u,p,g,h=t,v=h.ownerDocument,y=Wt(h).getComputedStyle(h),w=y.width,E=y.height,A=y.position,C=h.style.left,S=h.style.top,x=h.style.right,O=h.style.bottom,R=h.style.overflow,I=(0,c.A)((0,c.A)({},o[r]),a),P=v.createElement("div");if(null===(i=h.parentElement)||void 0===i||i.appendChild(P),P.style.left="".concat(h.offsetLeft,"px"),P.style.top="".concat(h.offsetTop,"px"),P.style.position=A,P.style.height="".concat(h.offsetHeight,"px"),P.style.width="".concat(h.offsetWidth,"px"),h.style.left="0",h.style.top="0",h.style.right="auto",h.style.bottom="auto",h.style.overflow="hidden",Array.isArray(n))g={x:n[0],y:n[1],width:0,height:0};else{var D,T,M=n.getBoundingClientRect();M.x=null!==(D=M.x)&&void 0!==D?D:M.left,M.y=null!==(T=M.y)&&void 0!==T?T:M.top,g={x:M.x,y:M.y,width:M.width,height:M.height}}var k=h.getBoundingClientRect();k.x=null!==(s=k.x)&&void 0!==s?s:k.left,k.y=null!==(u=k.y)&&void 0!==u?u:k.top;var B=v.documentElement,N=B.clientWidth,F=B.clientHeight,L=B.scrollWidth,j=B.scrollHeight,_=B.scrollTop,V=B.scrollLeft,G=k.height,H=k.width,U=g.height,$=g.width,W={left:0,top:0,right:N,bottom:F},q={left:-V,top:-_,right:L-V,bottom:j-_},Y=I.htmlRegion,K="visible",X="visibleFirst";"scroll"!==Y&&Y!==X&&(Y=K);var Q=Y===X,J=Xt(q,m),Z=Xt(W,m),ee=Y===K?Z:J,te=Q?Z:ee;h.style.left="auto",h.style.top="auto",h.style.right="0",h.style.bottom="0";var ne=h.getBoundingClientRect();h.style.left=C,h.style.top=S,h.style.right=x,h.style.bottom=O,h.style.overflow=R,null===(p=h.parentElement)||void 0===p||p.removeChild(P);var re=Yt(Math.round(H/parseFloat(w)*1e3)/1e3),oe=Yt(Math.round(G/parseFloat(E)*1e3)/1e3);if(0===re||0===oe||z(n)&&!function(e){if(!e)return!1;if(e instanceof Element){if(e.offsetParent)return!0;if(e.getBBox){var t=e.getBBox(),n=t.width,r=t.height;if(n||r)return!0}if(e.getBoundingClientRect){var o=e.getBoundingClientRect(),i=o.width,a=o.height;if(i||a)return!0}}return!1}(n))return;var ie=I.offset,ae=I.targetOffset,le=Jt(k,ie),se=(0,d.A)(le,2),ce=se[0],ue=se[1],de=Jt(g,ae),pe=(0,d.A)(de,2),fe=pe[0],ge=pe[1];g.x-=fe,g.y-=ge;var me=I.points||[],be=(0,d.A)(me,2),he=be[0],ve=Zt(be[1]),ye=Zt(he),we=en(g,ve),Ee=en(k,ye),Ae=(0,c.A)({},I),Ce=we.x-Ee.x+ce,Se=we.y-Ee.y+ue;function ht(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:ee,r=k.x+e,o=k.y+t,i=r+H,a=o+G,l=Math.max(r,n.left),s=Math.max(o,n.top),c=Math.min(i,n.right),u=Math.min(a,n.bottom);return Math.max(0,(c-l)*(u-s))}var xe,Oe,Re,Ie,Pe=ht(Ce,Se),De=ht(Ce,Se,Z),Te=en(g,["t","l"]),Me=en(k,["t","l"]),ke=en(g,["b","r"]),Be=en(k,["b","r"]),Ne=I.overflow||{},Fe=Ne.adjustX,Le=Ne.adjustY,je=Ne.shiftX,_e=Ne.shiftY,Ve=function(e){return"boolean"==typeof e?e:e>=0};function vt(){xe=k.y+Se,Oe=xe+G,Re=k.x+Ce,Ie=Re+H}vt();var ze=Ve(Le),Ge=ye[0]===ve[0];if(ze&&"t"===ye[0]&&(Oe>te.bottom||b.current.bt)){var He=Se;Ge?He-=G-U:He=Te.y-Be.y-ue;var Ue=ht(Ce,He),$e=ht(Ce,He,Z);Ue>Pe||Ue===Pe&&(!Q||$e>=De)?(b.current.bt=!0,Se=He,ue=-ue,Ae.points=[tn(ye,0),tn(ve,0)]):b.current.bt=!1}if(ze&&"b"===ye[0]&&(xe<te.top||b.current.tb)){var We=Se;Ge?We+=G-U:We=ke.y-Me.y-ue;var qe=ht(Ce,We),Ye=ht(Ce,We,Z);qe>Pe||qe===Pe&&(!Q||Ye>=De)?(b.current.tb=!0,Se=We,ue=-ue,Ae.points=[tn(ye,0),tn(ve,0)]):b.current.tb=!1}var Ke=Ve(Fe),Xe=ye[1]===ve[1];if(Ke&&"l"===ye[1]&&(Ie>te.right||b.current.rl)){var Qe=Ce;Xe?Qe-=H-$:Qe=Te.x-Be.x-ce;var Je=ht(Qe,Se),Ze=ht(Qe,Se,Z);Je>Pe||Je===Pe&&(!Q||Ze>=De)?(b.current.rl=!0,Ce=Qe,ce=-ce,Ae.points=[tn(ye,1),tn(ve,1)]):b.current.rl=!1}if(Ke&&"r"===ye[1]&&(Re<te.left||b.current.lr)){var et=Ce;Xe?et+=H-$:et=ke.x-Me.x-ce;var tt=ht(et,Se),nt=ht(et,Se,Z);tt>Pe||tt===Pe&&(!Q||nt>=De)?(b.current.lr=!0,Ce=et,ce=-ce,Ae.points=[tn(ye,1),tn(ve,1)]):b.current.lr=!1}vt();var rt=!0===je?0:je;"number"==typeof rt&&(Re<Z.left&&(Ce-=Re-Z.left-ce,g.x+$<Z.left+rt&&(Ce+=g.x-Z.left+$-rt)),Ie>Z.right&&(Ce-=Ie-Z.right-ce,g.x>Z.right-rt&&(Ce+=g.x-Z.right+rt)));var ot=!0===_e?0:_e;"number"==typeof ot&&(xe<Z.top&&(Se-=xe-Z.top-ue,g.y+U<Z.top+ot&&(Se+=g.y-Z.top+U-ot)),Oe>Z.bottom&&(Se-=Oe-Z.bottom-ue,g.y>Z.bottom-ot&&(Se+=g.y-Z.bottom+ot)));var it=k.x+Ce,at=it+H,lt=k.y+Se,st=lt+G,ct=g.x,ut=ct+$,dt=g.y,pt=dt+U,ft=(Math.max(it,ct)+Math.min(at,ut))/2-it,gt=(Math.max(lt,dt)+Math.min(st,pt))/2-lt;null==l||l(t,Ae);var mt=ne.right-k.x-(Ce+k.width),bt=ne.bottom-k.y-(Se+k.height);1===re&&(Ce=Math.round(Ce),mt=Math.round(mt)),1===oe&&(Se=Math.round(Se),bt=Math.round(bt)),f({ready:!0,offsetX:Ce/re,offsetY:Se/oe,offsetR:mt/re,offsetB:bt/oe,arrowX:ft/re,arrowY:gt/oe,scaleX:re,scaleY:oe,align:Ae})}})),y=function(){f((function(e){return(0,c.A)((0,c.A)({},e),{},{ready:!1})}))};return(0,v.A)(y,[r]),(0,v.A)((function(){e||y()}),[e]),[p.ready,p.offsetX,p.offsetY,p.offsetR,p.offsetB,p.arrowX,p.arrowY,p.scaleX,p.scaleY,p.align,function(){g.current+=1;var e=g.current;Promise.resolve().then((function(){g.current===e&&h()}))}]}(Ve,me,$&&null!==ot?ot:Ee,F,j,_,q),st=(0,d.A)(lt,11),ct=st[0],ut=st[1],dt=st[2],pt=st[3],ft=st[4],gt=st[5],mt=st[6],bt=st[7],ht=st[8],vt=st[9],yt=st[10],wt=function(e,t,n,r){return i.useMemo((function(){var o=Ht(null!=n?n:t),i=Ht(null!=r?r:t),a=new Set(o),l=new Set(i);return e&&(a.has("hover")&&(a.delete("hover"),a.add("click")),l.has("hover")&&(l.delete("hover"),l.add("click"))),[a,l]}),[e,t,n,r])}(le,p,f,g),Et=(0,d.A)(wt,2),At=Et[0],Ct=Et[1],St=At.has("click"),xt=Ct.has("click")||Ct.has("contextMenu"),Ot=(0,Te.A)((function(){Xe||yt()}));!function(e,t,n,r){(0,v.A)((function(){if(e&&t&&n){var o=n,i=qt(t),a=qt(o),l=Wt(o),s=new Set([l].concat((0,h.A)(i),(0,h.A)(a)));function c(){r(),Ge.current&&$&&xt&&qe(!1)}return s.forEach((function(e){e.addEventListener("scroll",c,{passive:!0})})),l.addEventListener("resize",c,{passive:!0}),r(),function(){s.forEach((function(e){e.removeEventListener("scroll",c),l.removeEventListener("resize",c)}))}}}),[e,t,n])}(Ve,Ee,me,Ot),(0,v.A)((function(){Ot()}),[ot,F]),(0,v.A)((function(){!Ve||null!=j&&j[F]||Ot()}),[JSON.stringify(_)]);var Rt=i.useMemo((function(){var e=function(e,t,n,r){for(var o=n.points,i=Object.keys(e),a=0;a<i.length;a+=1){var l,s=i[a];if(Ut(null===(l=e[s])||void 0===l?void 0:l.points,o,r))return"".concat(t,"-placement-").concat(s)}return""}(j,a,vt,$);return o()(e,null==H?void 0:H(vt))}),[vt,H,j,a,$]);i.useImperativeHandle(n,(function(){return{nativeElement:Ce.current,popupElement:he.current,forceAlign:Ot}}));var It=i.useState(0),Pt=(0,d.A)(It,2),Dt=Pt[0],Tt=Pt[1],Mt=i.useState(0),kt=(0,d.A)(Mt,2),Bt=kt[0],Nt=kt[1],Ft=function(){if(G&&Ee){var e=Ee.getBoundingClientRect();Tt(e.width),Nt(e.height)}};function Lt(e,t,n,r){Re[e]=function(o){var i;null==r||r(o),qe(t,n);for(var a=arguments.length,l=new Array(a>1?a-1:0),s=1;s<a;s++)l[s-1]=arguments[s];null===(i=Oe[e])||void 0===i||i.call.apply(i,[Oe,o].concat(l))}}(0,v.A)((function(){et&&(yt(),et(),tt(null))}),[et]),(St||xt)&&(Re.onClick=function(e){var t;Ge.current&&xt?qe(!1):!Ge.current&&St&&(at(e),qe(!0));for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Oe.onClick)||void 0===t||t.call.apply(t,[Oe,e].concat(r))}),function(e,t,n,r,o,a,l,s){var c=i.useRef(e);c.current=e,i.useEffect((function(){if(t&&r&&(!o||a)){var e=function(e){var t;c.current&&!l((null===(t=e.composedPath)||void 0===t||null===(t=t.call(e))||void 0===t?void 0:t[0])||e.target)&&s(!1)},i=Wt(r);i.addEventListener("mousedown",e,!0),i.addEventListener("contextmenu",e,!0);var u=De(n);return u&&(u.addEventListener("mousedown",e,!0),u.addEventListener("contextmenu",e,!0)),function(){i.removeEventListener("mousedown",e,!0),i.removeEventListener("contextmenu",e,!0),u&&(u.removeEventListener("mousedown",e,!0),u.removeEventListener("contextmenu",e,!0))}}}),[t,n,r,o,a])}(Ve,xt,Ee,me,O,I,Me,qe);var jt,_t,Kt=At.has("hover"),Qt=Ct.has("hover");Kt&&(Lt("onMouseEnter",!0,E,(function(e){at(e)})),Lt("onPointerEnter",!0,E,(function(e){at(e)})),jt=function(e){(Ve||Xe)&&null!=me&&me.contains(e.target)&&qe(!0,E)},$&&(Re.onMouseMove=function(e){var t;null===(t=Oe.onMouseMove)||void 0===t||t.call(Oe,e)})),Qt&&(Lt("onMouseLeave",!1,C),Lt("onPointerLeave",!1,C),_t=function(){qe(!1,C)}),At.has("focus")&&Lt("onFocus",!0,S),Ct.has("focus")&&Lt("onBlur",!1,x),At.has("contextMenu")&&(Re.onContextMenu=function(e){var t;Ge.current&&Ct.has("contextMenu")?qe(!1):(at(e),qe(!0)),e.preventDefault();for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];null===(t=Oe.onContextMenu)||void 0===t||t.call.apply(t,[Oe,e].concat(r))}),te&&(Re.className=o()(Oe.className,te));var rn=(0,c.A)((0,c.A)({},Oe),Re),on={};["onContextMenu","onClick","onMouseDown","onTouchStart","onMouseEnter","onMouseLeave","onFocus","onBlur"].forEach((function(e){re[e]&&(on[e]=function(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];null===(t=rn[e])||void 0===t||t.call.apply(t,[rn].concat(r)),re[e].apply(re,r)})}));var an=i.cloneElement(xe,(0,c.A)((0,c.A)({},rn),on)),ln={x:gt,y:mt},sn=Y?(0,c.A)({},!0!==Y?Y:{}):null;return i.createElement(i.Fragment,null,i.createElement(Ie,{disabled:!Ve,ref:Se,onResize:function(){Ft(),Ot()}},i.createElement(zt,{getTriggerDOMNode:ne},an)),i.createElement(Gt.Provider,{value:de},i.createElement(Vt,{portal:e,ref:ve,prefixCls:a,popup:k,className:o()(B,Rt),style:N,target:Ee,onMouseEnter:jt,onMouseLeave:_t,onPointerEnter:jt,zIndex:V,open:Ve,keepDom:Xe,fresh:U,onClick:W,mask:O,motion:ke,maskMotion:Ne,onVisibleChanged:function(e){Qe(!1),yt(),null==w||w(e)},onPrepare:function(){return new Promise((function(e){Ft(),tt((function(){return e}))}))},forceRender:D,autoDestroy:oe,getPopupContainer:P,align:vt,arrow:sn,arrowPos:ln,ready:ct,offsetX:ut,offsetY:dt,offsetR:pt,offsetB:ft,onAlign:Ot,stretch:G,targetWidth:Dt/bt,targetHeight:Bt/ht})))}));return t}(L);var on={shiftX:64,adjustY:1},an={adjustX:1,shiftY:!0},ln=[0,0],sn={left:{points:["cr","cl"],overflow:an,offset:[-4,0],targetOffset:ln},right:{points:["cl","cr"],overflow:an,offset:[4,0],targetOffset:ln},top:{points:["bc","tc"],overflow:on,offset:[0,-4],targetOffset:ln},bottom:{points:["tc","bc"],overflow:on,offset:[0,4],targetOffset:ln},topLeft:{points:["bl","tl"],overflow:on,offset:[0,-4],targetOffset:ln},leftTop:{points:["tr","tl"],overflow:an,offset:[-4,0],targetOffset:ln},topRight:{points:["br","tr"],overflow:on,offset:[0,-4],targetOffset:ln},rightTop:{points:["tl","tr"],overflow:an,offset:[4,0],targetOffset:ln},bottomRight:{points:["tr","br"],overflow:on,offset:[0,4],targetOffset:ln},rightBottom:{points:["bl","br"],overflow:an,offset:[4,0],targetOffset:ln},bottomLeft:{points:["tl","bl"],overflow:on,offset:[0,4],targetOffset:ln},leftBottom:{points:["br","bl"],overflow:an,offset:[-4,0],targetOffset:ln}},cn=["overlayClassName","trigger","mouseEnterDelay","mouseLeaveDelay","overlayStyle","prefixCls","children","onVisibleChange","afterVisibleChange","transitionName","animation","motion","placement","align","destroyTooltipOnHide","defaultVisible","getTooltipContainer","overlayInnerStyle","arrowContent","overlay","id","showArrow"],un=function(e,t){var n=e.overlayClassName,r=e.trigger,o=void 0===r?["hover"]:r,a=e.mouseEnterDelay,d=void 0===a?0:a,p=e.mouseLeaveDelay,f=void 0===p?.1:p,g=e.overlayStyle,m=e.prefixCls,b=void 0===m?"rc-tooltip":m,h=e.children,v=e.onVisibleChange,y=e.afterVisibleChange,w=e.transitionName,E=e.animation,A=e.motion,C=e.placement,S=void 0===C?"right":C,x=e.align,O=void 0===x?{}:x,R=e.destroyTooltipOnHide,I=void 0!==R&&R,P=e.defaultVisible,D=e.getTooltipContainer,T=e.overlayInnerStyle,M=(e.arrowContent,e.overlay),k=e.id,B=e.showArrow,N=void 0===B||B,F=(0,u.A)(e,cn),L=(0,i.useRef)(null);(0,i.useImperativeHandle)(t,(function(){return L.current}));var j=(0,c.A)({},F);return"visible"in e&&(j.popupVisible=e.visible),i.createElement(rn,(0,s.A)({popupClassName:n,prefixCls:b,popup:function(){return i.createElement(l,{key:"content",prefixCls:b,id:k,overlayInnerStyle:T},M)},action:o,builtinPlacements:sn,popupPlacement:S,ref:L,popupAlign:O,getPopupContainer:D,onPopupVisibleChange:v,afterPopupVisibleChange:y,popupTransitionName:w,popupAnimation:E,popupMotion:A,defaultPopupVisible:P,autoDestroy:I,mouseLeaveDelay:f,popupStyle:g,mouseEnterDelay:d,arrow:N},j),h)};const dn=(0,i.forwardRef)(un)},370:(e,t,n)=>{"use strict";function r(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}n.d(t,{A:()=>r})},728:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(959);function o(e){var t=r.useRef();t.current=e;var n=r.useCallback((function(){for(var e,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return null===(e=t.current)||void 0===e?void 0:e.call.apply(e,[t].concat(r))}),[]);return n}},697:(e,t,n)=>{"use strict";n.d(t,{A:()=>l,o:()=>a});var r=n(959),o=(0,n(370).A)()?r.useLayoutEffect:r.useEffect,i=function(e,t){var n=r.useRef(!0);o((function(){return e(n.current)}),t),o((function(){return n.current=!1,function(){n.current=!0}}),[])},a=function(e,t){i((function(t){if(!t)return e()}),t)};const l=i},273:(e,t,n)=>{"use strict";n.d(t,{A:()=>s});var r=n(850),o=n(728),i=n(697),a=n(773);function l(e){return void 0!==e}function s(e,t){var n=t||{},s=n.defaultValue,c=n.value,u=n.onChange,d=n.postState,p=(0,a.A)((function(){return l(c)?c:l(s)?"function"==typeof s?s():s:"function"==typeof e?e():e})),f=(0,r.A)(p,2),g=f[0],m=f[1],b=void 0!==c?c:g,h=d?d(b):b,v=(0,o.A)(u),y=(0,a.A)([b]),w=(0,r.A)(y,2),E=w[0],A=w[1];return(0,i.o)((function(){var e=E[0];g!==e&&v(g,e)}),[E]),(0,i.o)((function(){l(c)||m(c)}),[c]),[h,(0,o.A)((function(e,t){m(e,t),A([b],t)}))]}},773:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(850),o=n(959);function i(e){var t=o.useRef(!1),n=o.useState(e),i=(0,r.A)(n,2),a=i[0],l=i[1];return o.useEffect((function(){return t.current=!1,function(){t.current=!0}}),[]),[a,function(e,n){n&&t.current||l(e)}]}},291:(e,t,n)=>{"use strict";n.d(t,{_q:()=>r.A});var r=n(728);n(273),n(115),"undefined"==typeof Reflect?Object.keys:Reflect.ownKeys,n(358)},115:(e,t,n)=>{"use strict";n.d(t,{K4:()=>l,Xf:()=>a,f3:()=>c,xK:()=>s});var r=n(694),o=n(959),i=n(271),a=function(e,t){"function"==typeof e?e(t):"object"===(0,r.A)(e)&&e&&"current"in e&&(e.current=t)},l=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=t.filter(Boolean);return r.length<=1?r[0]:function(e){t.forEach((function(t){a(t,e)}))}},s=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return r=function(){return l.apply(void 0,t)},i=t,a=function(e,t){return e.length!==t.length||e.every((function(e,n){return e!==t[n]}))},"value"in(s=o.useRef({})).current&&!a(s.current.condition,i)||(s.current.value=r(),s.current.condition=i),s.current.value;var r,i,a,s},c=function(e){var t,n,r=(0,i.isMemo)(e)?e.type.type:e.type;return!!("function"!=typeof r||null!==(t=r.prototype)&&void 0!==t&&t.render||r.$$typeof===i.ForwardRef)&&!!("function"!=typeof e||null!==(n=e.prototype)&&void 0!==n&&n.render||e.$$typeof===i.ForwardRef)};Number(o.version.split(".")[0])},358:(e,t,n)=>{"use strict";n.d(t,{Ay:()=>c});var r={},o=[];function i(e,t){}function a(e,t){}function l(e,t,n){t||r[n]||(e(!1,n),r[n]=!0)}function s(e,t){l(i,e,t)}s.preMessage=function(e){o.push(e)},s.resetWarned=function(){r={}},s.noteOnce=function(e,t){l(a,e,t)};const c=s},299:(e,t)=>{"use strict";var n=Symbol.for("react.element"),r=Symbol.for("react.portal"),o=Symbol.for("react.fragment"),i=Symbol.for("react.strict_mode"),a=Symbol.for("react.profiler"),l=Symbol.for("react.provider"),s=Symbol.for("react.context"),c=Symbol.for("react.server_context"),u=Symbol.for("react.forward_ref"),d=Symbol.for("react.suspense"),p=Symbol.for("react.suspense_list"),f=Symbol.for("react.memo"),g=Symbol.for("react.lazy");Symbol.for("react.offscreen");function m(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case o:case a:case i:case d:case p:return e;default:switch(e=e&&e.$$typeof){case c:case s:case u:case g:case f:case l:return e;default:return t}}case r:return t}}}Symbol.for("react.module.reference"),t.ForwardRef=u,t.isFragment=function(e){return m(e)===o},t.isMemo=function(e){return m(e)===f}},271:(e,t,n)=>{"use strict";e.exports=n(299)},846:(e,t,n)=>{"use strict";n.r(t),n.d(t,{default:()=>h});var r=n(292),o=n.n(r),i=n(893),a=n.n(i),l=n(383),s=n.n(l),c=n(884),u=n.n(c),d=n(88),p=n.n(d),f=n(378),g=n.n(f),m=n(261),b={};b.styleTagTransform=g(),b.setAttributes=u(),b.insert=s().bind(null,"head"),b.domAPI=a(),b.insertStyleElement=p(),o()(m.A,b);const h=m.A&&m.A.locals?m.A.locals:void 0},292:e=>{"use strict";var t=[];function n(e){for(var n=-1,r=0;r<t.length;r++)if(t[r].identifier===e){n=r;break}return n}function r(e,r){for(var i={},a=[],l=0;l<e.length;l++){var s=e[l],c=r.base?s[0]+r.base:s[0],u=i[c]||0,d="".concat(c," ").concat(u);i[c]=u+1;var p=n(d),f={css:s[1],media:s[2],sourceMap:s[3],supports:s[4],layer:s[5]};if(-1!==p)t[p].references++,t[p].updater(f);else{var g=o(f,r);r.byIndex=l,t.splice(l,0,{identifier:d,updater:g,references:1})}a.push(d)}return a}function o(e,t){var n=t.domAPI(t);return n.update(e),function(t){if(t){if(t.css===e.css&&t.media===e.media&&t.sourceMap===e.sourceMap&&t.supports===e.supports&&t.layer===e.layer)return;n.update(e=t)}else n.remove()}}e.exports=function(e,o){var i=r(e=e||[],o=o||{});return function(e){e=e||[];for(var a=0;a<i.length;a++){var l=n(i[a]);t[l].references--}for(var s=r(e,o),c=0;c<i.length;c++){var u=n(i[c]);0===t[u].references&&(t[u].updater(),t.splice(u,1))}i=s}}},383:e=>{"use strict";var t={};e.exports=function(e,n){var r=function(e){if(void 0===t[e]){var n=document.querySelector(e);if(window.HTMLIFrameElement&&n instanceof window.HTMLIFrameElement)try{n=n.contentDocument.head}catch(e){n=null}t[e]=n}return t[e]}(e);if(!r)throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");r.appendChild(n)}},88:e=>{"use strict";e.exports=function(e){var t=document.createElement("style");return e.setAttributes(t,e.attributes),e.insert(t,e.options),t}},884:(e,t,n)=>{"use strict";e.exports=function(e){var t=n.nc;t&&e.setAttribute("nonce",t)}},893:e=>{"use strict";e.exports=function(e){if("undefined"==typeof document)return{update:function(){},remove:function(){}};var t=e.insertStyleElement(e);return{update:function(n){!function(e,t,n){var r="";n.supports&&(r+="@supports (".concat(n.supports,") {")),n.media&&(r+="@media ".concat(n.media," {"));var o=void 0!==n.layer;o&&(r+="@layer".concat(n.layer.length>0?" ".concat(n.layer):""," {")),r+=n.css,o&&(r+="}"),n.media&&(r+="}"),n.supports&&(r+="}");var i=n.sourceMap;i&&"undefined"!=typeof btoa&&(r+="\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(i))))," */")),t.styleTagTransform(r,e,t.options)}(t,e,n)},remove:function(){!function(e){if(null===e.parentNode)return!1;e.parentNode.removeChild(e)}(t)}}}},378:e=>{"use strict";e.exports=function(e,t){if(t.styleSheet)t.styleSheet.cssText=e;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(e))}}},89:e=>{"use strict";e.exports=a},470:e=>{"use strict";e.exports=l},781:t=>{"use strict";t.exports=e},531:e=>{"use strict";e.exports=r},7:e=>{"use strict";e.exports=t},241:e=>{"use strict";e.exports=i},959:e=>{"use strict";e.exports=n},398:e=>{"use strict";e.exports=s},200:e=>{"use strict";e.exports=u},313:e=>{"use strict";e.exports=c},269:e=>{"use strict";e.exports=o},452:(e,t)=>{var n;!function(){"use strict";var r={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var n=arguments[t];n&&(e=a(e,i(n)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var n in e)r.call(e,n)&&e[n]&&(t=a(t,n));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(n=function(){return o}.apply(t,[]))||(e.exports=n)}()},451:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},705:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(162);function o(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},102:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},405:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(705);function o(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function i(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?o(Object(n),!0).forEach((function(t){(0,r.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):o(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}},644:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.includes(r))continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.includes(n)||{}.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}n.d(t,{A:()=>r})},850:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(438);function o(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,o,i,a,l=[],s=!0,c=!1;try{if(i=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;s=!1}else for(;!(s=(r=i.call(n)).done)&&(l.push(r.value),l.length!==t);s=!0);}catch(e){c=!0,o=e}finally{try{if(!s&&null!=n.return&&(a=n.return(),Object(a)!==a))return}finally{if(c)throw o}}return l}}(e,t)||(0,r.A)(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},300:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(451),o=n(438);function i(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||(0,o.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},162:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(694);function o(e){var t=function(e){if("object"!=(0,r.A)(e)||!e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=(0,r.A)(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},694:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},438:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(451);function o(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}}},g={};function m(e){var t=g[e];if(void 0!==t)return t.exports;var n=g[e]={id:e,exports:{}};return f[e].call(n.exports,n,n.exports,m),n.exports}m.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return m.d(t,{a:t}),t},p=Object.getPrototypeOf?e=>Object.getPrototypeOf(e):e=>e.__proto__,m.t=function(e,t){if(1&t&&(e=this(e)),8&t)return e;if("object"==typeof e&&e){if(4&t&&e.__esModule)return e;if(16&t&&"function"==typeof e.then)return e}var n=Object.create(null);m.r(n);var r={};d=d||[null,p({}),p([]),p(p)];for(var o=2&t&&e;"object"==typeof o&&!~d.indexOf(o);o=p(o))Object.getOwnPropertyNames(o).forEach((t=>r[t]=()=>e[t]));return r.default=()=>e,m.d(n,r),n},m.d=(e,t)=>{for(var n in t)m.o(t,n)&&!m.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},m.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),m.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),m.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},m.nc=void 0;var b={};return(()=>{"use strict";m.r(b),m.d(b,{plugin:()=>bf});var e,t,n,r,o,i,a,l,s,c,u,d,p,f,g,h,v,y,w=m(781),E=m(7),A=m(959),C=m.t(A,2),S=m.n(A),x=m(997);(y=e||(e={})).STRING="string",y.NUMBER="number",y.SELECT="select",y.DATETIME="datetime",(v=t||(t={})).ALLOWED="",v.QUERY="query",v.USER_ROLE="userRole",(h=n||(n={})).NONE="",h.LEFT="left",h.RIGHT="right",(g=r||(r={})).CLIENT="client",g.QUERY="query",(f=o||(o={})).AUTO="auto",f.COLORED_TEXT="coloredText",f.COLORED_BACKGROUND="coloredBackground",(p=i||(i={})).NONE="none",p.SUM="sum",p.MIN="min",p.MAX="max",p.EXTENT="extent",p.MEAN="mean",p.MEDIAN="median",p.UNIQUE="unique",p.UNIQUE_COUNT="uniqueCount",p.COUNT="count",function(e){e.SEARCH="search",e.NUMBER="number",e.FACETED="faceted",e.TIMESTAMP="timestamp"}(a||(a={})),function(e){e.MORE=">",e.MORE_OR_EQUAL=">=",e.LESS="<",e.LESS_OR_EQUAL="<=",e.BETWEEN="between",e.EQUAL="=",e.NOT_EQUAL="!="}(l||(l={})),(d=s||(s={})).START="start",d.CENTER="center",d.END="end",(u=c||(c={})).CLIENT="client",u.QUERY="query";const O={wrap:!0,alignment:s.START,width:{auto:!0,min:20,value:100},background:{applyToRow:!1}},R={enabled:!1,permission:{mode:t.ALLOWED,userRole:[]},editor:{type:e.STRING}},I="__actions",P={panel:{root:(0,x.createSelector)("data-testid panel"),tab:(0,x.createSelector)((e=>`data-testid panel tab-${e}`)),buttonDownload:(0,x.createSelector)("data-testid panel button-download")},tablesEditor:{buttonAddNew:(0,x.createSelector)("data-testid tables-editor button-add-new"),buttonRemove:(0,x.createSelector)("data-testid tables-editor button-remove"),buttonStartRename:(0,x.createSelector)("data-testid tables-editor button-start-rename"),buttonCancelRename:(0,x.createSelector)("data-testid tables-editor button-cancel-rename"),buttonSaveRename:(0,x.createSelector)("data-testid tables-editor button-save-rename"),fieldName:(0,x.createSelector)("data-testid tables-editor field-name"),itemHeader:(0,x.createSelector)((e=>`data-testid tables-editor item-header-${e}`)),itemContent:(0,x.createSelector)((e=>`data-testid tables-editor item-content-${e}`)),newItem:(0,x.createSelector)("data-testid tables-editor new-level"),newItemName:(0,x.createSelector)("data-testid tables-editor new-item-name"),noItemsMessage:(0,x.createSelector)("data-testid tables-editor no-items-message")},columnsEditor:{buttonAddNew:(0,x.createSelector)("data-testid columns-editor button-add-new"),buttonRemove:(0,x.createSelector)("data-testid columns-editor button-remove"),itemHeader:(0,x.createSelector)((e=>`data-testid columns-editor item-${e}`)),itemContent:(0,x.createSelector)((e=>`data-testid columns-editor item-content-${e}`)),newItem:(0,x.createSelector)("data-testid columns-editor new-item"),newItemName:(0,x.createSelector)("data-testid columns-editor new-item-name"),root:(0,x.createSelector)("data-testid columns-editor")},columnEditor:{fieldLabel:(0,x.createSelector)("data-testid column-editor field-label"),fieldType:(0,x.createSelector)("data-testid column-editor field-type"),fieldGroup:(0,x.createSelector)("data-testid column-editor field-group"),fieldAggregation:(0,x.createSelector)("data-testid column-editor field-aggregation"),fieldFilterEnabled:(0,x.createSelector)("data-testid column-editor field-filter-enabled"),fieldFilterMode:(0,x.createSelector)("data-testid column-editor field-filter-mode"),fieldFilterVariable:(0,x.createSelector)("data-testid column-editor field-filter-variable"),fieldSortEnabled:(0,x.createSelector)("data-testid column-editor field-sort-enabled"),fieldSortDirection:(0,x.createSelector)("data-testid column-editor field-sort-direction"),sortDirectionOption:(0,x.createSelector)((e=>`column-editor sort-direction-${e}`)),fieldPinDirection:(0,x.createSelector)("data-testid column-editor field-pin-direction"),pinDirectionOption:(0,x.createSelector)((e=>`column-editor pin-direction-${e}`)),fieldAppearanceBackgroundApplyToRow:(0,x.createSelector)("data-testid column-editor field-appearance-background-apply-to-row"),fieldAppearanceWidthAuto:(0,x.createSelector)("data-testid column-editor field-appearance-width-auto"),fieldAppearanceWidthMin:(0,x.createSelector)("data-testid column-editor field-appearance-width-min"),fieldAppearanceWidthMax:(0,x.createSelector)("data-testid column-editor field-appearance-width-max"),fieldAppearanceWidthValue:(0,x.createSelector)("data-testid column-editor field-appearance-width-value"),fieldAppearanceWrap:(0,x.createSelector)("data-testid column-editor field-appearance-wrap"),fieldAppearanceAlignment:(0,x.createSelector)("data-testid column-editor field-appearance-alignment"),fieldAppearanceAlignmentOption:(0,x.createSelector)((e=>`wcolumn-editor field-appearance-alignment-option-${e}`))},defaultCellRenderer:{root:(0,x.createSelector)("data-testid default-cell-renderer")},table:{root:(0,x.createSelector)("data-testid table"),headerCell:(0,x.createSelector)((e=>`data-testid table header-cell-${e}`)),footerCell:(0,x.createSelector)((e=>`data-testid table footer-cell-${e}`)),bodyRow:(0,x.createSelector)((e=>`data-testid table body-row-${e}`)),bodyCell:(0,x.createSelector)((e=>`data-testid table body-cell-${e}`)),buttonExpandCell:(0,x.createSelector)((e=>`table button-expand-cell-${e}`)),pagination:(0,x.createSelector)("data-testid table pagination"),fieldPageNumber:(0,x.createSelector)("data-testid table field-page-number"),fieldPageSize:(0,x.createSelector)("data-testid table field-page-size")},tableCell:{tableLink:(0,x.createSelector)((e=>`table link-${e}`)),tableLinkMenu:(0,x.createSelector)("table link-menu")},filterFacetedList:{root:(0,x.createSelector)("data-testid filter-faceted-list"),allOption:(0,x.createSelector)("data-testid filter-faceted-list all-option"),option:(0,x.createSelector)((e=>`data-testid filter-faceted-list option-${e}`))},filterSearch:{root:(0,x.createSelector)("data-testid filter-search"),buttonMatchCase:(0,x.createSelector)("data-testid filter-search button-match-case")},filterNumber:{fieldValue:(0,x.createSelector)("data-testid filter-number field-value"),fieldOperator:(0,x.createSelector)("data-testid filter-number field-operator"),fieldAdditionalValue:(0,x.createSelector)("data-testid filter-number field-additional-value")},filterTime:{root:(0,x.createSelector)("data-testid filter-time")},filterPopup:{root:(0,x.createSelector)("data-testid filter-popup"),typeOption:(0,x.createSelector)((e=>`filter-popup type-option-${e}`)),buttonClear:(0,x.createSelector)("data-testid filter-popup button-clear"),buttonCancel:(0,x.createSelector)("data-testid filter-popup button-cancel"),buttonSave:(0,x.createSelector)("data-testid filter-popup button-sae")},tableHeaderCellFilter:{root:(0,x.createSelector)("data-testid table-header-cell-filter")},payloadEditor:{loadingMessage:(0,x.createSelector)("data-testid payload-editor loading-message"),errorMessage:(0,x.createSelector)("data-testid payload-editor error-message")},datasourceEditor:{fieldSelect:(0,x.createSelector)("data-testid datasource-editor field-select")},editableColumnEditor:{fieldType:(0,x.createSelector)("data-testid column-editor field-type"),fieldNumberMin:(0,x.createSelector)("data-testid column-editor field-number-min"),fieldNumberMax:(0,x.createSelector)("data-testid column-editor field-number-max"),fieldDatetimeMin:(0,x.createSelector)("data-testid column-editor field-datetime-min"),fieldDatetimeMax:(0,x.createSelector)("data-testid column-editor field-datetime-max")},dateEditor:{field:(0,x.createSelector)("data-testid date-editor field"),buttonRemoveDate:(0,x.createSelector)("data-testid date-editor button-remove-date"),buttonSetDate:(0,x.createSelector)("data-testid date-editor button-set-date")},queryOptionsEditor:{fieldValue:(0,x.createSelector)("data-testid query-options-editor field-value"),fieldLabel:(0,x.createSelector)("data-testid query-options-editor field-label")},editableCell:{fieldString:(0,x.createSelector)("data-testid editableCell field-string"),fieldNumber:(0,x.createSelector)("data-testid editableCell field-number"),fieldDatetime:(0,x.createSelector)("data-testid editableCell field-datetime"),fieldSelect:(0,x.createSelector)("data-testid editableCell field-select")},tableActionsCell:{buttonStartEdit:(0,x.createSelector)("data-testid table-actions-cell button-start-edit"),buttonCancel:(0,x.createSelector)("data-testid table-actions-cell button-cancel"),buttonSave:(0,x.createSelector)("data-testid table-actions-cell button-save")},tableEditor:{updateSectionHeader:(0,x.createSelector)("data-testid table-editor update-section-header"),updateSectionContent:(0,x.createSelector)("data-testid table-editor update-section-content"),paginationSectionHeader:(0,x.createSelector)("data-testid table-editor pagination-section-header"),paginationSectionContent:(0,x.createSelector)("data-testid table-editor pagination-section-content"),fieldPaginationEnabled:(0,x.createSelector)("data-testid table-editor field-pagination-enabled"),fieldPaginationMode:(0,x.createSelector)("data-testid table-editor field-pagination-mode"),fieldPaginationQueryPageIndexVariable:(0,x.createSelector)("data-testid table-editor field-pagination-query-page-index-variable"),fieldPaginationQueryPageSizeVariable:(0,x.createSelector)("data-testid table-editor field-pagination-query-page-size-variable"),fieldPaginationQueryOffsetVariable:(0,x.createSelector)("data-testid table-editor field-pagination-query-offset-variable"),fieldPaginationQueryTotalCount:(0,x.createSelector)("data-testid table-editor field-pagination-query-total-count")},fieldPicker:{root:(0,x.createSelector)("data-testid field-picker")},tableUpdateEditor:{fieldEditPermissionMode:(0,x.createSelector)("data-testid table-update-editor field-edit-permission-mode"),fieldEditPermissionOrgRole:(0,x.createSelector)("data-testid table-update-editor field-edit-permission-org-role"),fieldEditPermissionField:(0,x.createSelector)("data-testid table-update-editor field-edit-permission-field"),updateSectionHeader:(0,x.createSelector)("data-testid table-update-editor update-section-header"),updateSectionContent:(0,x.createSelector)("data-testid table-update-editor update-section-content"),columnHeader:(0,x.createSelector)((e=>`data-testid table-update-editor column-header-${e}`)),columnContent:(0,x.createSelector)((e=>`data-testid table-update-editor column-content-${e}`)),fieldEditQuickEnabled:(0,x.createSelector)((e=>`data-testid table-update-editor field-edit-quick-enabled-${e}`)),noColumnsMessage:(0,x.createSelector)("data-testid table-update-editor no-columns-message")},buttonSelect:{root:(0,x.createSelector)("button-select root"),dropdown:(0,x.createSelector)("button-select dropdown"),option:(0,x.createSelector)((e=>`button-select option-${e}`))},editableDataEditor:{itemHeader:(0,x.createSelector)((e=>`data-testid editable-data-editor item-header-${e}`)),itemContent:(0,x.createSelector)((e=>`data-testid editable-data-editor item-content-${e}`))}};var D=m(531),T=m(269);function M(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const k=()=>{return(0,A.useCallback)((e=function*({query:e,datasource:t,replaceVariables:n,payload:r}){const o=yield(0,D.getDataSourceSrv)().get(t),i=JSON.parse(n(JSON.stringify(e),{payload:{value:r}})),a=o.query({targets:[i]});return a instanceof Promise?yield a:yield(0,T.lastValueFrom)(a)},t=function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){M(i,r,o,a,l,"next",e)}function l(e){M(i,r,o,a,l,"throw",e)}a(void 0)}))},function(e){return t.apply(this,arguments)}),[]);var e,t};function B(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const N=()=>{const[e,t]=(0,A.useState)([]);return(0,A.useEffect)((()=>{var e,n;(e=function*(){const e=yield(0,D.getBackendSrv)().get("/api/datasources");t(e)},n=function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){B(i,r,o,a,l,"next",e)}function l(e){B(i,r,o,a,l,"throw",e)}a(void 0)}))},function(){return n.apply(this,arguments)})()}),[]),e};function F(e,t){return"function"==typeof e?e(t):e}function L(e,t){return n=>{t.setState((t=>({...t,[e]:F(n,t[e])})))}}function j(e){return e instanceof Function}function _(e,t){const n=[],r=e=>{e.forEach((e=>{n.push(e);const o=t(e);null!=o&&o.length&&r(o)}))};return r(e),n}function V(e,t,n){let r,o=[];return i=>{let a;n.key&&n.debug&&(a=Date.now());const l=e(i),s=l.length!==o.length||l.some(((e,t)=>o[t]!==e));if(!s)return r;let c;if(o=l,n.key&&n.debug&&(c=Date.now()),r=t(...l),null==n||null==n.onChange||n.onChange(r),n.key&&n.debug&&null!=n&&n.debug()){const e=Math.round(100*(Date.now()-a))/100,t=Math.round(100*(Date.now()-c))/100,r=t/16,o=(e,t)=>{for(e=String(e);e.length<t;)e=" "+e;return e};console.info(`%c⏱ ${o(t,5)} /${o(e,5)} ms`,`\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl(${Math.max(0,Math.min(120-120*r,120))}deg 100% 31%);`,null==n?void 0:n.key)}return r}}function z(e,t,n,r){return{debug:()=>{var n;return null!=(n=null==e?void 0:e.debugAll)?n:e[t]},key:!1,onChange:r}}const G="debugHeaders";function H(e,t,n){var r;let o={id:null!=(r=n.id)?r:t.id,column:t,index:n.index,isPlaceholder:!!n.isPlaceholder,placeholderId:n.placeholderId,depth:n.depth,subHeaders:[],colSpan:0,rowSpan:0,headerGroup:null,getLeafHeaders:()=>{const e=[],t=n=>{n.subHeaders&&n.subHeaders.length&&n.subHeaders.map(t),e.push(n)};return t(o),e},getContext:()=>({table:e,header:o,column:t})};return e._features.forEach((t=>{null==t.createHeader||t.createHeader(o,e)})),o}const U={createTable:e=>{e.getHeaderGroups=V((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((t,n,r,o)=>{var i,a;const l=null!=(i=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?i:[],s=null!=(a=null==o?void 0:o.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?a:[];return $(t,[...l,...n.filter((e=>!(null!=r&&r.includes(e.id)||null!=o&&o.includes(e.id)))),...s],e)}),z(e.options,G)),e.getCenterHeaderGroups=V((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((t,n,r,o)=>$(t,n=n.filter((e=>!(null!=r&&r.includes(e.id)||null!=o&&o.includes(e.id)))),e,"center")),z(e.options,G)),e.getLeftHeaderGroups=V((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left]),((t,n,r)=>{var o;return $(t,null!=(o=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?o:[],e,"left")}),z(e.options,G)),e.getRightHeaderGroups=V((()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.right]),((t,n,r)=>{var o;return $(t,null!=(o=null==r?void 0:r.map((e=>n.find((t=>t.id===e)))).filter(Boolean))?o:[],e,"right")}),z(e.options,G)),e.getFooterGroups=V((()=>[e.getHeaderGroups()]),(e=>[...e].reverse()),z(e.options,G)),e.getLeftFooterGroups=V((()=>[e.getLeftHeaderGroups()]),(e=>[...e].reverse()),z(e.options,G)),e.getCenterFooterGroups=V((()=>[e.getCenterHeaderGroups()]),(e=>[...e].reverse()),z(e.options,G)),e.getRightFooterGroups=V((()=>[e.getRightHeaderGroups()]),(e=>[...e].reverse()),z(e.options,G)),e.getFlatHeaders=V((()=>[e.getHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),z(e.options,G)),e.getLeftFlatHeaders=V((()=>[e.getLeftHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),z(e.options,G)),e.getCenterFlatHeaders=V((()=>[e.getCenterHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),z(e.options,G)),e.getRightFlatHeaders=V((()=>[e.getRightHeaderGroups()]),(e=>e.map((e=>e.headers)).flat()),z(e.options,G)),e.getCenterLeafHeaders=V((()=>[e.getCenterFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),z(e.options,G)),e.getLeftLeafHeaders=V((()=>[e.getLeftFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),z(e.options,G)),e.getRightLeafHeaders=V((()=>[e.getRightFlatHeaders()]),(e=>e.filter((e=>{var t;return!(null!=(t=e.subHeaders)&&t.length)}))),z(e.options,G)),e.getLeafHeaders=V((()=>[e.getLeftHeaderGroups(),e.getCenterHeaderGroups(),e.getRightHeaderGroups()]),((e,t,n)=>{var r,o,i,a,l,s;return[...null!=(r=null==(o=e[0])?void 0:o.headers)?r:[],...null!=(i=null==(a=t[0])?void 0:a.headers)?i:[],...null!=(l=null==(s=n[0])?void 0:s.headers)?l:[]].map((e=>e.getLeafHeaders())).flat()}),z(e.options,G))}};function $(e,t,n,r){var o,i;let a=0;const l=function(e,t){void 0===t&&(t=1),a=Math.max(a,t),e.filter((e=>e.getIsVisible())).forEach((e=>{var n;null!=(n=e.columns)&&n.length&&l(e.columns,t+1)}),0)};l(e);let s=[];const c=(e,t)=>{const o={depth:t,id:[r,`${t}`].filter(Boolean).join("_"),headers:[]},i=[];e.forEach((e=>{const a=[...i].reverse()[0];let l,s=!1;if(e.column.depth===o.depth&&e.column.parent?l=e.column.parent:(l=e.column,s=!0),a&&(null==a?void 0:a.column)===l)a.subHeaders.push(e);else{const o=H(n,l,{id:[r,t,l.id,null==e?void 0:e.id].filter(Boolean).join("_"),isPlaceholder:s,placeholderId:s?`${i.filter((e=>e.column===l)).length}`:void 0,depth:t,index:i.length});o.subHeaders.push(e),i.push(o)}o.headers.push(e),e.headerGroup=o})),s.push(o),t>0&&c(i,t-1)},u=t.map(((e,t)=>H(n,e,{depth:a,index:t})));c(u,a-1),s.reverse();const d=e=>e.filter((e=>e.column.getIsVisible())).map((e=>{let t=0,n=0,r=[0];return e.subHeaders&&e.subHeaders.length?(r=[],d(e.subHeaders).forEach((e=>{let{colSpan:n,rowSpan:o}=e;t+=n,r.push(o)}))):t=1,n+=Math.min(...r),e.colSpan=t,e.rowSpan=n,{colSpan:t,rowSpan:n}}));return d(null!=(o=null==(i=s[0])?void 0:i.headers)?o:[]),s}const W=(e,t,n,r,o,i,a)=>{let l={id:t,index:r,original:n,depth:o,parentId:a,_valuesCache:{},_uniqueValuesCache:{},getValue:t=>{if(l._valuesCache.hasOwnProperty(t))return l._valuesCache[t];const n=e.getColumn(t);return null!=n&&n.accessorFn?(l._valuesCache[t]=n.accessorFn(l.original,r),l._valuesCache[t]):void 0},getUniqueValues:t=>{if(l._uniqueValuesCache.hasOwnProperty(t))return l._uniqueValuesCache[t];const n=e.getColumn(t);return null!=n&&n.accessorFn?n.columnDef.getUniqueValues?(l._uniqueValuesCache[t]=n.columnDef.getUniqueValues(l.original,r),l._uniqueValuesCache[t]):(l._uniqueValuesCache[t]=[l.getValue(t)],l._uniqueValuesCache[t]):void 0},renderValue:t=>{var n;return null!=(n=l.getValue(t))?n:e.options.renderFallbackValue},subRows:null!=i?i:[],getLeafRows:()=>_(l.subRows,(e=>e.subRows)),getParentRow:()=>l.parentId?e.getRow(l.parentId,!0):void 0,getParentRows:()=>{let e=[],t=l;for(;;){const n=t.getParentRow();if(!n)break;e.push(n),t=n}return e.reverse()},getAllCells:V((()=>[e.getAllLeafColumns()]),(t=>t.map((t=>function(e,t,n,r){const o={id:`${t.id}_${n.id}`,row:t,column:n,getValue:()=>t.getValue(r),renderValue:()=>{var t;return null!=(t=o.getValue())?t:e.options.renderFallbackValue},getContext:V((()=>[e,n,t,o]),((e,t,n,r)=>({table:e,column:t,row:n,cell:r,getValue:r.getValue,renderValue:r.renderValue})),z(e.options,"debugCells"))};return e._features.forEach((r=>{null==r.createCell||r.createCell(o,n,t,e)}),{}),o}(e,l,t,t.id)))),z(e.options,"debugRows")),_getAllCellsByColumnId:V((()=>[l.getAllCells()]),(e=>e.reduce(((e,t)=>(e[t.column.id]=t,e)),{})),z(e.options,"debugRows"))};for(let t=0;t<e._features.length;t++){const n=e._features[t];null==n||null==n.createRow||n.createRow(l,e)}return l},q={createColumn:(e,t)=>{e._getFacetedRowModel=t.options.getFacetedRowModel&&t.options.getFacetedRowModel(t,e.id),e.getFacetedRowModel=()=>e._getFacetedRowModel?e._getFacetedRowModel():t.getPreFilteredRowModel(),e._getFacetedUniqueValues=t.options.getFacetedUniqueValues&&t.options.getFacetedUniqueValues(t,e.id),e.getFacetedUniqueValues=()=>e._getFacetedUniqueValues?e._getFacetedUniqueValues():new Map,e._getFacetedMinMaxValues=t.options.getFacetedMinMaxValues&&t.options.getFacetedMinMaxValues(t,e.id),e.getFacetedMinMaxValues=()=>{if(e._getFacetedMinMaxValues)return e._getFacetedMinMaxValues()}}},Y=(e,t,n)=>{var r,o;const i=null==n||null==(r=n.toString())?void 0:r.toLowerCase();return Boolean(null==(o=e.getValue(t))||null==(o=o.toString())||null==(o=o.toLowerCase())?void 0:o.includes(i))};Y.autoRemove=e=>oe(e);const K=(e,t,n)=>{var r;return Boolean(null==(r=e.getValue(t))||null==(r=r.toString())?void 0:r.includes(n))};K.autoRemove=e=>oe(e);const X=(e,t,n)=>{var r;return(null==(r=e.getValue(t))||null==(r=r.toString())?void 0:r.toLowerCase())===(null==n?void 0:n.toLowerCase())};X.autoRemove=e=>oe(e);const Q=(e,t,n)=>{var r;return null==(r=e.getValue(t))?void 0:r.includes(n)};Q.autoRemove=e=>oe(e)||!(null!=e&&e.length);const J=(e,t,n)=>!n.some((n=>{var r;return!(null!=(r=e.getValue(t))&&r.includes(n))}));J.autoRemove=e=>oe(e)||!(null!=e&&e.length);const Z=(e,t,n)=>n.some((n=>{var r;return null==(r=e.getValue(t))?void 0:r.includes(n)}));Z.autoRemove=e=>oe(e)||!(null!=e&&e.length);const ee=(e,t,n)=>e.getValue(t)===n;ee.autoRemove=e=>oe(e);const te=(e,t,n)=>e.getValue(t)==n;te.autoRemove=e=>oe(e);const ne=(e,t,n)=>{let[r,o]=n;const i=e.getValue(t);return i>=r&&i<=o};ne.resolveFilterValue=e=>{let[t,n]=e,r="number"!=typeof t?parseFloat(t):t,o="number"!=typeof n?parseFloat(n):n,i=null===t||Number.isNaN(r)?-1/0:r,a=null===n||Number.isNaN(o)?1/0:o;if(i>a){const e=i;i=a,a=e}return[i,a]},ne.autoRemove=e=>oe(e)||oe(e[0])&&oe(e[1]);const re={includesString:Y,includesStringSensitive:K,equalsString:X,arrIncludes:Q,arrIncludesAll:J,arrIncludesSome:Z,equals:ee,weakEquals:te,inNumberRange:ne};function oe(e){return null==e||""===e}const ie={getDefaultColumnDef:()=>({filterFn:"auto"}),getInitialState:e=>({columnFilters:[],...e}),getDefaultOptions:e=>({onColumnFiltersChange:L("columnFilters",e),filterFromLeafRows:!1,maxLeafRowFilterDepth:100}),createColumn:(e,t)=>{e.getAutoFilterFn=()=>{const n=t.getCoreRowModel().flatRows[0],r=null==n?void 0:n.getValue(e.id);return"string"==typeof r?re.includesString:"number"==typeof r?re.inNumberRange:"boolean"==typeof r||null!==r&&"object"==typeof r?re.equals:Array.isArray(r)?re.arrIncludes:re.weakEquals},e.getFilterFn=()=>{var n,r;return j(e.columnDef.filterFn)?e.columnDef.filterFn:"auto"===e.columnDef.filterFn?e.getAutoFilterFn():null!=(n=null==(r=t.options.filterFns)?void 0:r[e.columnDef.filterFn])?n:re[e.columnDef.filterFn]},e.getCanFilter=()=>{var n,r,o;return(null==(n=e.columnDef.enableColumnFilter)||n)&&(null==(r=t.options.enableColumnFilters)||r)&&(null==(o=t.options.enableFilters)||o)&&!!e.accessorFn},e.getIsFiltered=()=>e.getFilterIndex()>-1,e.getFilterValue=()=>{var n;return null==(n=t.getState().columnFilters)||null==(n=n.find((t=>t.id===e.id)))?void 0:n.value},e.getFilterIndex=()=>{var n,r;return null!=(n=null==(r=t.getState().columnFilters)?void 0:r.findIndex((t=>t.id===e.id)))?n:-1},e.setFilterValue=n=>{t.setColumnFilters((t=>{const r=e.getFilterFn(),o=null==t?void 0:t.find((t=>t.id===e.id)),i=F(n,o?o.value:void 0);var a;if(ae(r,i,e))return null!=(a=null==t?void 0:t.filter((t=>t.id!==e.id)))?a:[];const l={id:e.id,value:i};var s;return o?null!=(s=null==t?void 0:t.map((t=>t.id===e.id?l:t)))?s:[]:null!=t&&t.length?[...t,l]:[l]}))}},createRow:(e,t)=>{e.columnFilters={},e.columnFiltersMeta={}},createTable:e=>{e.setColumnFilters=t=>{const n=e.getAllLeafColumns();null==e.options.onColumnFiltersChange||e.options.onColumnFiltersChange((e=>{var r;return null==(r=F(t,e))?void 0:r.filter((e=>{const t=n.find((t=>t.id===e.id));return!t||!ae(t.getFilterFn(),e.value,t)}))}))},e.resetColumnFilters=t=>{var n,r;e.setColumnFilters(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.columnFilters)?n:[])},e.getPreFilteredRowModel=()=>e.getCoreRowModel(),e.getFilteredRowModel=()=>(!e._getFilteredRowModel&&e.options.getFilteredRowModel&&(e._getFilteredRowModel=e.options.getFilteredRowModel(e)),e.options.manualFiltering||!e._getFilteredRowModel?e.getPreFilteredRowModel():e._getFilteredRowModel())}};function ae(e,t,n){return!(!e||!e.autoRemove)&&e.autoRemove(t,n)||void 0===t||"string"==typeof t&&!t}const le={sum:(e,t,n)=>n.reduce(((t,n)=>{const r=n.getValue(e);return t+("number"==typeof r?r:0)}),0),min:(e,t,n)=>{let r;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(r>n||void 0===r&&n>=n)&&(r=n)})),r},max:(e,t,n)=>{let r;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(r<n||void 0===r&&n>=n)&&(r=n)})),r},extent:(e,t,n)=>{let r,o;return n.forEach((t=>{const n=t.getValue(e);null!=n&&(void 0===r?n>=n&&(r=o=n):(r>n&&(r=n),o<n&&(o=n)))})),[r,o]},mean:(e,t)=>{let n=0,r=0;if(t.forEach((t=>{let o=t.getValue(e);null!=o&&(o=+o)>=o&&(++n,r+=o)})),n)return r/n},median:(e,t)=>{if(!t.length)return;const n=t.map((t=>t.getValue(e)));if(r=n,!Array.isArray(r)||!r.every((e=>"number"==typeof e)))return;var r;if(1===n.length)return n[0];const o=Math.floor(n.length/2),i=n.sort(((e,t)=>e-t));return n.length%2!=0?i[o]:(i[o-1]+i[o])/2},unique:(e,t)=>Array.from(new Set(t.map((t=>t.getValue(e)))).values()),uniqueCount:(e,t)=>new Set(t.map((t=>t.getValue(e)))).size,count:(e,t)=>t.length},se={getDefaultColumnDef:()=>({aggregatedCell:e=>{var t,n;return null!=(t=null==(n=e.getValue())||null==n.toString?void 0:n.toString())?t:null},aggregationFn:"auto"}),getInitialState:e=>({grouping:[],...e}),getDefaultOptions:e=>({onGroupingChange:L("grouping",e),groupedColumnMode:"reorder"}),createColumn:(e,t)=>{e.toggleGrouping=()=>{t.setGrouping((t=>null!=t&&t.includes(e.id)?t.filter((t=>t!==e.id)):[...null!=t?t:[],e.id]))},e.getCanGroup=()=>{var n,r;return(null==(n=e.columnDef.enableGrouping)||n)&&(null==(r=t.options.enableGrouping)||r)&&(!!e.accessorFn||!!e.columnDef.getGroupingValue)},e.getIsGrouped=()=>{var n;return null==(n=t.getState().grouping)?void 0:n.includes(e.id)},e.getGroupedIndex=()=>{var n;return null==(n=t.getState().grouping)?void 0:n.indexOf(e.id)},e.getToggleGroupingHandler=()=>{const t=e.getCanGroup();return()=>{t&&e.toggleGrouping()}},e.getAutoAggregationFn=()=>{const n=t.getCoreRowModel().flatRows[0],r=null==n?void 0:n.getValue(e.id);return"number"==typeof r?le.sum:"[object Date]"===Object.prototype.toString.call(r)?le.extent:void 0},e.getAggregationFn=()=>{var n,r;if(!e)throw new Error;return j(e.columnDef.aggregationFn)?e.columnDef.aggregationFn:"auto"===e.columnDef.aggregationFn?e.getAutoAggregationFn():null!=(n=null==(r=t.options.aggregationFns)?void 0:r[e.columnDef.aggregationFn])?n:le[e.columnDef.aggregationFn]}},createTable:e=>{e.setGrouping=t=>null==e.options.onGroupingChange?void 0:e.options.onGroupingChange(t),e.resetGrouping=t=>{var n,r;e.setGrouping(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.grouping)?n:[])},e.getPreGroupedRowModel=()=>e.getFilteredRowModel(),e.getGroupedRowModel=()=>(!e._getGroupedRowModel&&e.options.getGroupedRowModel&&(e._getGroupedRowModel=e.options.getGroupedRowModel(e)),e.options.manualGrouping||!e._getGroupedRowModel?e.getPreGroupedRowModel():e._getGroupedRowModel())},createRow:(e,t)=>{e.getIsGrouped=()=>!!e.groupingColumnId,e.getGroupingValue=n=>{if(e._groupingValuesCache.hasOwnProperty(n))return e._groupingValuesCache[n];const r=t.getColumn(n);return null!=r&&r.columnDef.getGroupingValue?(e._groupingValuesCache[n]=r.columnDef.getGroupingValue(e.original),e._groupingValuesCache[n]):e.getValue(n)},e._groupingValuesCache={}},createCell:(e,t,n,r)=>{e.getIsGrouped=()=>t.getIsGrouped()&&t.id===n.groupingColumnId,e.getIsPlaceholder=()=>!e.getIsGrouped()&&t.getIsGrouped(),e.getIsAggregated=()=>{var t;return!e.getIsGrouped()&&!e.getIsPlaceholder()&&!(null==(t=n.subRows)||!t.length)}}},ce={getInitialState:e=>({columnOrder:[],...e}),getDefaultOptions:e=>({onColumnOrderChange:L("columnOrder",e)}),createColumn:(e,t)=>{e.getIndex=V((e=>[be(t,e)]),(t=>t.findIndex((t=>t.id===e.id))),z(t.options,"debugColumns")),e.getIsFirstColumn=n=>{var r;return(null==(r=be(t,n)[0])?void 0:r.id)===e.id},e.getIsLastColumn=n=>{var r;const o=be(t,n);return(null==(r=o[o.length-1])?void 0:r.id)===e.id}},createTable:e=>{e.setColumnOrder=t=>null==e.options.onColumnOrderChange?void 0:e.options.onColumnOrderChange(t),e.resetColumnOrder=t=>{var n;e.setColumnOrder(t?[]:null!=(n=e.initialState.columnOrder)?n:[])},e._getOrderColumnsFn=V((()=>[e.getState().columnOrder,e.getState().grouping,e.options.groupedColumnMode]),((e,t,n)=>r=>{let o=[];if(null!=e&&e.length){const t=[...e],n=[...r];for(;n.length&&t.length;){const e=t.shift(),r=n.findIndex((t=>t.id===e));r>-1&&o.push(n.splice(r,1)[0])}o=[...o,...n]}else o=r;return function(e,t,n){if(null==t||!t.length||!n)return e;const r=e.filter((e=>!t.includes(e.id)));return"remove"===n?r:[...t.map((t=>e.find((e=>e.id===t)))).filter(Boolean),...r]}(o,t,n)}),z(e.options,"debugTable"))}},ue={getInitialState:e=>({columnPinning:{left:[],right:[]},...e}),getDefaultOptions:e=>({onColumnPinningChange:L("columnPinning",e)}),createColumn:(e,t)=>{e.pin=n=>{const r=e.getLeafColumns().map((e=>e.id)).filter(Boolean);t.setColumnPinning((e=>{var t,o,i,a,l,s;return"right"===n?{left:(null!=(i=null==e?void 0:e.left)?i:[]).filter((e=>!(null!=r&&r.includes(e)))),right:[...(null!=(a=null==e?void 0:e.right)?a:[]).filter((e=>!(null!=r&&r.includes(e)))),...r]}:"left"===n?{left:[...(null!=(l=null==e?void 0:e.left)?l:[]).filter((e=>!(null!=r&&r.includes(e)))),...r],right:(null!=(s=null==e?void 0:e.right)?s:[]).filter((e=>!(null!=r&&r.includes(e))))}:{left:(null!=(t=null==e?void 0:e.left)?t:[]).filter((e=>!(null!=r&&r.includes(e)))),right:(null!=(o=null==e?void 0:e.right)?o:[]).filter((e=>!(null!=r&&r.includes(e))))}}))},e.getCanPin=()=>e.getLeafColumns().some((e=>{var n,r,o;return(null==(n=e.columnDef.enablePinning)||n)&&(null==(r=null!=(o=t.options.enableColumnPinning)?o:t.options.enablePinning)||r)})),e.getIsPinned=()=>{const n=e.getLeafColumns().map((e=>e.id)),{left:r,right:o}=t.getState().columnPinning,i=n.some((e=>null==r?void 0:r.includes(e))),a=n.some((e=>null==o?void 0:o.includes(e)));return i?"left":!!a&&"right"},e.getPinnedIndex=()=>{var n,r;const o=e.getIsPinned();return o?null!=(n=null==(r=t.getState().columnPinning)||null==(r=r[o])?void 0:r.indexOf(e.id))?n:-1:0}},createRow:(e,t)=>{e.getCenterVisibleCells=V((()=>[e._getAllVisibleCells(),t.getState().columnPinning.left,t.getState().columnPinning.right]),((e,t,n)=>{const r=[...null!=t?t:[],...null!=n?n:[]];return e.filter((e=>!r.includes(e.column.id)))}),z(t.options,"debugRows")),e.getLeftVisibleCells=V((()=>[e._getAllVisibleCells(),t.getState().columnPinning.left]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.column.id===t)))).filter(Boolean).map((e=>({...e,position:"left"})))),z(t.options,"debugRows")),e.getRightVisibleCells=V((()=>[e._getAllVisibleCells(),t.getState().columnPinning.right]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.column.id===t)))).filter(Boolean).map((e=>({...e,position:"right"})))),z(t.options,"debugRows"))},createTable:e=>{e.setColumnPinning=t=>null==e.options.onColumnPinningChange?void 0:e.options.onColumnPinningChange(t),e.resetColumnPinning=t=>{var n,r;return e.setColumnPinning(t?{left:[],right:[]}:null!=(n=null==(r=e.initialState)?void 0:r.columnPinning)?n:{left:[],right:[]})},e.getIsSomeColumnsPinned=t=>{var n;const r=e.getState().columnPinning;var o,i;return t?Boolean(null==(n=r[t])?void 0:n.length):Boolean((null==(o=r.left)?void 0:o.length)||(null==(i=r.right)?void 0:i.length))},e.getLeftLeafColumns=V((()=>[e.getAllLeafColumns(),e.getState().columnPinning.left]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.id===t)))).filter(Boolean)),z(e.options,"debugColumns")),e.getRightLeafColumns=V((()=>[e.getAllLeafColumns(),e.getState().columnPinning.right]),((e,t)=>(null!=t?t:[]).map((t=>e.find((e=>e.id===t)))).filter(Boolean)),z(e.options,"debugColumns")),e.getCenterLeafColumns=V((()=>[e.getAllLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right]),((e,t,n)=>{const r=[...null!=t?t:[],...null!=n?n:[]];return e.filter((e=>!r.includes(e.id)))}),z(e.options,"debugColumns"))}},de={size:150,minSize:20,maxSize:Number.MAX_SAFE_INTEGER},pe={getDefaultColumnDef:()=>de,getInitialState:e=>({columnSizing:{},columnSizingInfo:{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]},...e}),getDefaultOptions:e=>({columnResizeMode:"onEnd",columnResizeDirection:"ltr",onColumnSizingChange:L("columnSizing",e),onColumnSizingInfoChange:L("columnSizingInfo",e)}),createColumn:(e,t)=>{e.getSize=()=>{var n,r,o;const i=t.getState().columnSizing[e.id];return Math.min(Math.max(null!=(n=e.columnDef.minSize)?n:de.minSize,null!=(r=null!=i?i:e.columnDef.size)?r:de.size),null!=(o=e.columnDef.maxSize)?o:de.maxSize)},e.getStart=V((e=>[e,be(t,e),t.getState().columnSizing]),((t,n)=>n.slice(0,e.getIndex(t)).reduce(((e,t)=>e+t.getSize()),0)),z(t.options,"debugColumns")),e.getAfter=V((e=>[e,be(t,e),t.getState().columnSizing]),((t,n)=>n.slice(e.getIndex(t)+1).reduce(((e,t)=>e+t.getSize()),0)),z(t.options,"debugColumns")),e.resetSize=()=>{t.setColumnSizing((t=>{let{[e.id]:n,...r}=t;return r}))},e.getCanResize=()=>{var n,r;return(null==(n=e.columnDef.enableResizing)||n)&&(null==(r=t.options.enableColumnResizing)||r)},e.getIsResizing=()=>t.getState().columnSizingInfo.isResizingColumn===e.id},createHeader:(e,t)=>{e.getSize=()=>{let t=0;const n=e=>{var r;e.subHeaders.length?e.subHeaders.forEach(n):t+=null!=(r=e.column.getSize())?r:0};return n(e),t},e.getStart=()=>{if(e.index>0){const t=e.headerGroup.headers[e.index-1];return t.getStart()+t.getSize()}return 0},e.getResizeHandler=n=>{const r=t.getColumn(e.column.id),o=null==r?void 0:r.getCanResize();return i=>{if(!r||!o)return;if(null==i.persist||i.persist(),ge(i)&&i.touches&&i.touches.length>1)return;const a=e.getSize(),l=e?e.getLeafHeaders().map((e=>[e.column.id,e.column.getSize()])):[[r.id,r.getSize()]],s=ge(i)?Math.round(i.touches[0].clientX):i.clientX,c={},u=(e,n)=>{"number"==typeof n&&(t.setColumnSizingInfo((e=>{var r,o;const i="rtl"===t.options.columnResizeDirection?-1:1,a=(n-(null!=(r=null==e?void 0:e.startOffset)?r:0))*i,l=Math.max(a/(null!=(o=null==e?void 0:e.startSize)?o:0),-.999999);return e.columnSizingStart.forEach((e=>{let[t,n]=e;c[t]=Math.round(100*Math.max(n+n*l,0))/100})),{...e,deltaOffset:a,deltaPercentage:l}})),"onChange"!==t.options.columnResizeMode&&"end"!==e||t.setColumnSizing((e=>({...e,...c}))))},d=e=>u("move",e),p=e=>{u("end",e),t.setColumnSizingInfo((e=>({...e,isResizingColumn:!1,startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,columnSizingStart:[]})))},f=n||"undefined"!=typeof document?document:null,g={moveHandler:e=>d(e.clientX),upHandler:e=>{null==f||f.removeEventListener("mousemove",g.moveHandler),null==f||f.removeEventListener("mouseup",g.upHandler),p(e.clientX)}},m={moveHandler:e=>(e.cancelable&&(e.preventDefault(),e.stopPropagation()),d(e.touches[0].clientX),!1),upHandler:e=>{var t;null==f||f.removeEventListener("touchmove",m.moveHandler),null==f||f.removeEventListener("touchend",m.upHandler),e.cancelable&&(e.preventDefault(),e.stopPropagation()),p(null==(t=e.touches[0])?void 0:t.clientX)}},b=!!function(){if("boolean"==typeof fe)return fe;let e=!1;try{const t={get passive(){return e=!0,!1}},n=()=>{};window.addEventListener("test",n,t),window.removeEventListener("test",n)}catch(t){e=!1}return fe=e,fe}()&&{passive:!1};ge(i)?(null==f||f.addEventListener("touchmove",m.moveHandler,b),null==f||f.addEventListener("touchend",m.upHandler,b)):(null==f||f.addEventListener("mousemove",g.moveHandler,b),null==f||f.addEventListener("mouseup",g.upHandler,b)),t.setColumnSizingInfo((e=>({...e,startOffset:s,startSize:a,deltaOffset:0,deltaPercentage:0,columnSizingStart:l,isResizingColumn:r.id})))}}},createTable:e=>{e.setColumnSizing=t=>null==e.options.onColumnSizingChange?void 0:e.options.onColumnSizingChange(t),e.setColumnSizingInfo=t=>null==e.options.onColumnSizingInfoChange?void 0:e.options.onColumnSizingInfoChange(t),e.resetColumnSizing=t=>{var n;e.setColumnSizing(t?{}:null!=(n=e.initialState.columnSizing)?n:{})},e.resetHeaderSizeInfo=t=>{var n;e.setColumnSizingInfo(t?{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]}:null!=(n=e.initialState.columnSizingInfo)?n:{startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]})},e.getTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getLeftTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getLeftHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getCenterTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getCenterHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0},e.getRightTotalSize=()=>{var t,n;return null!=(t=null==(n=e.getRightHeaderGroups()[0])?void 0:n.headers.reduce(((e,t)=>e+t.getSize()),0))?t:0}}};let fe=null;function ge(e){return"touchstart"===e.type}const me={getInitialState:e=>({columnVisibility:{},...e}),getDefaultOptions:e=>({onColumnVisibilityChange:L("columnVisibility",e)}),createColumn:(e,t)=>{e.toggleVisibility=n=>{e.getCanHide()&&t.setColumnVisibility((t=>({...t,[e.id]:null!=n?n:!e.getIsVisible()})))},e.getIsVisible=()=>{var n,r;const o=e.columns;return null==(n=o.length?o.some((e=>e.getIsVisible())):null==(r=t.getState().columnVisibility)?void 0:r[e.id])||n},e.getCanHide=()=>{var n,r;return(null==(n=e.columnDef.enableHiding)||n)&&(null==(r=t.options.enableHiding)||r)},e.getToggleVisibilityHandler=()=>t=>{null==e.toggleVisibility||e.toggleVisibility(t.target.checked)}},createRow:(e,t)=>{e._getAllVisibleCells=V((()=>[e.getAllCells(),t.getState().columnVisibility]),(e=>e.filter((e=>e.column.getIsVisible()))),z(t.options,"debugRows")),e.getVisibleCells=V((()=>[e.getLeftVisibleCells(),e.getCenterVisibleCells(),e.getRightVisibleCells()]),((e,t,n)=>[...e,...t,...n]),z(t.options,"debugRows"))},createTable:e=>{const t=(t,n)=>V((()=>[n(),n().filter((e=>e.getIsVisible())).map((e=>e.id)).join("_")]),(e=>e.filter((e=>null==e.getIsVisible?void 0:e.getIsVisible()))),z(e.options,"debugColumns"));e.getVisibleFlatColumns=t(0,(()=>e.getAllFlatColumns())),e.getVisibleLeafColumns=t(0,(()=>e.getAllLeafColumns())),e.getLeftVisibleLeafColumns=t(0,(()=>e.getLeftLeafColumns())),e.getRightVisibleLeafColumns=t(0,(()=>e.getRightLeafColumns())),e.getCenterVisibleLeafColumns=t(0,(()=>e.getCenterLeafColumns())),e.setColumnVisibility=t=>null==e.options.onColumnVisibilityChange?void 0:e.options.onColumnVisibilityChange(t),e.resetColumnVisibility=t=>{var n;e.setColumnVisibility(t?{}:null!=(n=e.initialState.columnVisibility)?n:{})},e.toggleAllColumnsVisible=t=>{var n;t=null!=(n=t)?n:!e.getIsAllColumnsVisible(),e.setColumnVisibility(e.getAllLeafColumns().reduce(((e,n)=>({...e,[n.id]:t||!(null!=n.getCanHide&&n.getCanHide())})),{}))},e.getIsAllColumnsVisible=()=>!e.getAllLeafColumns().some((e=>!(null!=e.getIsVisible&&e.getIsVisible()))),e.getIsSomeColumnsVisible=()=>e.getAllLeafColumns().some((e=>null==e.getIsVisible?void 0:e.getIsVisible())),e.getToggleAllColumnsVisibilityHandler=()=>t=>{var n;e.toggleAllColumnsVisible(null==(n=t.target)?void 0:n.checked)}}};function be(e,t){return t?"center"===t?e.getCenterVisibleLeafColumns():"left"===t?e.getLeftVisibleLeafColumns():e.getRightVisibleLeafColumns():e.getVisibleLeafColumns()}const he={getInitialState:e=>({expanded:{},...e}),getDefaultOptions:e=>({onExpandedChange:L("expanded",e),paginateExpandedRows:!0}),createTable:e=>{let t=!1,n=!1;e._autoResetExpanded=()=>{var r,o;if(t){if(null!=(r=null!=(o=e.options.autoResetAll)?o:e.options.autoResetExpanded)?r:!e.options.manualExpanding){if(n)return;n=!0,e._queue((()=>{e.resetExpanded(),n=!1}))}}else e._queue((()=>{t=!0}))},e.setExpanded=t=>null==e.options.onExpandedChange?void 0:e.options.onExpandedChange(t),e.toggleAllRowsExpanded=t=>{(null!=t?t:!e.getIsAllRowsExpanded())?e.setExpanded(!0):e.setExpanded({})},e.resetExpanded=t=>{var n,r;e.setExpanded(t?{}:null!=(n=null==(r=e.initialState)?void 0:r.expanded)?n:{})},e.getCanSomeRowsExpand=()=>e.getPrePaginationRowModel().flatRows.some((e=>e.getCanExpand())),e.getToggleAllRowsExpandedHandler=()=>t=>{null==t.persist||t.persist(),e.toggleAllRowsExpanded()},e.getIsSomeRowsExpanded=()=>{const t=e.getState().expanded;return!0===t||Object.values(t).some(Boolean)},e.getIsAllRowsExpanded=()=>{const t=e.getState().expanded;return"boolean"==typeof t?!0===t:!!Object.keys(t).length&&!e.getRowModel().flatRows.some((e=>!e.getIsExpanded()))},e.getExpandedDepth=()=>{let t=0;return(!0===e.getState().expanded?Object.keys(e.getRowModel().rowsById):Object.keys(e.getState().expanded)).forEach((e=>{const n=e.split(".");t=Math.max(t,n.length)})),t},e.getPreExpandedRowModel=()=>e.getSortedRowModel(),e.getExpandedRowModel=()=>(!e._getExpandedRowModel&&e.options.getExpandedRowModel&&(e._getExpandedRowModel=e.options.getExpandedRowModel(e)),e.options.manualExpanding||!e._getExpandedRowModel?e.getPreExpandedRowModel():e._getExpandedRowModel())},createRow:(e,t)=>{e.toggleExpanded=n=>{t.setExpanded((r=>{var o;const i=!0===r||!(null==r||!r[e.id]);let a={};if(!0===r?Object.keys(t.getRowModel().rowsById).forEach((e=>{a[e]=!0})):a=r,n=null!=(o=n)?o:!i,!i&&n)return{...a,[e.id]:!0};if(i&&!n){const{[e.id]:t,...n}=a;return n}return r}))},e.getIsExpanded=()=>{var n;const r=t.getState().expanded;return!!(null!=(n=null==t.options.getIsRowExpanded?void 0:t.options.getIsRowExpanded(e))?n:!0===r||(null==r?void 0:r[e.id]))},e.getCanExpand=()=>{var n,r,o;return null!=(n=null==t.options.getRowCanExpand?void 0:t.options.getRowCanExpand(e))?n:(null==(r=t.options.enableExpanding)||r)&&!(null==(o=e.subRows)||!o.length)},e.getIsAllParentsExpanded=()=>{let n=!0,r=e;for(;n&&r.parentId;)r=t.getRow(r.parentId,!0),n=r.getIsExpanded();return n},e.getToggleExpandedHandler=()=>{const t=e.getCanExpand();return()=>{t&&e.toggleExpanded()}}}},ve={getInitialState:e=>({rowPinning:{top:[],bottom:[]},...e}),getDefaultOptions:e=>({onRowPinningChange:L("rowPinning",e)}),createRow:(e,t)=>{e.pin=(n,r,o)=>{const i=r?e.getLeafRows().map((e=>{let{id:t}=e;return t})):[],a=o?e.getParentRows().map((e=>{let{id:t}=e;return t})):[],l=new Set([...a,e.id,...i]);t.setRowPinning((e=>{var t,r,o,i,a,s;return"bottom"===n?{top:(null!=(o=null==e?void 0:e.top)?o:[]).filter((e=>!(null!=l&&l.has(e)))),bottom:[...(null!=(i=null==e?void 0:e.bottom)?i:[]).filter((e=>!(null!=l&&l.has(e)))),...Array.from(l)]}:"top"===n?{top:[...(null!=(a=null==e?void 0:e.top)?a:[]).filter((e=>!(null!=l&&l.has(e)))),...Array.from(l)],bottom:(null!=(s=null==e?void 0:e.bottom)?s:[]).filter((e=>!(null!=l&&l.has(e))))}:{top:(null!=(t=null==e?void 0:e.top)?t:[]).filter((e=>!(null!=l&&l.has(e)))),bottom:(null!=(r=null==e?void 0:e.bottom)?r:[]).filter((e=>!(null!=l&&l.has(e))))}}))},e.getCanPin=()=>{var n;const{enableRowPinning:r,enablePinning:o}=t.options;return"function"==typeof r?r(e):null==(n=null!=r?r:o)||n},e.getIsPinned=()=>{const n=[e.id],{top:r,bottom:o}=t.getState().rowPinning,i=n.some((e=>null==r?void 0:r.includes(e))),a=n.some((e=>null==o?void 0:o.includes(e)));return i?"top":!!a&&"bottom"},e.getPinnedIndex=()=>{var n,r;const o=e.getIsPinned();if(!o)return-1;const i=null==(n="top"===o?t.getTopRows():t.getBottomRows())?void 0:n.map((e=>{let{id:t}=e;return t}));return null!=(r=null==i?void 0:i.indexOf(e.id))?r:-1}},createTable:e=>{e.setRowPinning=t=>null==e.options.onRowPinningChange?void 0:e.options.onRowPinningChange(t),e.resetRowPinning=t=>{var n,r;return e.setRowPinning(t?{top:[],bottom:[]}:null!=(n=null==(r=e.initialState)?void 0:r.rowPinning)?n:{top:[],bottom:[]})},e.getIsSomeRowsPinned=t=>{var n;const r=e.getState().rowPinning;var o,i;return t?Boolean(null==(n=r[t])?void 0:n.length):Boolean((null==(o=r.top)?void 0:o.length)||(null==(i=r.bottom)?void 0:i.length))},e._getPinnedRows=(t,n,r)=>{var o;return(null==(o=e.options.keepPinnedRows)||o?(null!=n?n:[]).map((t=>{const n=e.getRow(t,!0);return n.getIsAllParentsExpanded()?n:null})):(null!=n?n:[]).map((e=>t.find((t=>t.id===e))))).filter(Boolean).map((e=>({...e,position:r})))},e.getTopRows=V((()=>[e.getRowModel().rows,e.getState().rowPinning.top]),((t,n)=>e._getPinnedRows(t,n,"top")),z(e.options,"debugRows")),e.getBottomRows=V((()=>[e.getRowModel().rows,e.getState().rowPinning.bottom]),((t,n)=>e._getPinnedRows(t,n,"bottom")),z(e.options,"debugRows")),e.getCenterRows=V((()=>[e.getRowModel().rows,e.getState().rowPinning.top,e.getState().rowPinning.bottom]),((e,t,n)=>{const r=new Set([...null!=t?t:[],...null!=n?n:[]]);return e.filter((e=>!r.has(e.id)))}),z(e.options,"debugRows"))}},ye={getInitialState:e=>({rowSelection:{},...e}),getDefaultOptions:e=>({onRowSelectionChange:L("rowSelection",e),enableRowSelection:!0,enableMultiRowSelection:!0,enableSubRowSelection:!0}),createTable:e=>{e.setRowSelection=t=>null==e.options.onRowSelectionChange?void 0:e.options.onRowSelectionChange(t),e.resetRowSelection=t=>{var n;return e.setRowSelection(t?{}:null!=(n=e.initialState.rowSelection)?n:{})},e.toggleAllRowsSelected=t=>{e.setRowSelection((n=>{t=void 0!==t?t:!e.getIsAllRowsSelected();const r={...n},o=e.getPreGroupedRowModel().flatRows;return t?o.forEach((e=>{e.getCanSelect()&&(r[e.id]=!0)})):o.forEach((e=>{delete r[e.id]})),r}))},e.toggleAllPageRowsSelected=t=>e.setRowSelection((n=>{const r=void 0!==t?t:!e.getIsAllPageRowsSelected(),o={...n};return e.getRowModel().rows.forEach((t=>{we(o,t.id,r,!0,e)})),o})),e.getPreSelectedRowModel=()=>e.getCoreRowModel(),e.getSelectedRowModel=V((()=>[e.getState().rowSelection,e.getCoreRowModel()]),((t,n)=>Object.keys(t).length?Ee(e,n):{rows:[],flatRows:[],rowsById:{}}),z(e.options,"debugTable")),e.getFilteredSelectedRowModel=V((()=>[e.getState().rowSelection,e.getFilteredRowModel()]),((t,n)=>Object.keys(t).length?Ee(e,n):{rows:[],flatRows:[],rowsById:{}}),z(e.options,"debugTable")),e.getGroupedSelectedRowModel=V((()=>[e.getState().rowSelection,e.getSortedRowModel()]),((t,n)=>Object.keys(t).length?Ee(e,n):{rows:[],flatRows:[],rowsById:{}}),z(e.options,"debugTable")),e.getIsAllRowsSelected=()=>{const t=e.getFilteredRowModel().flatRows,{rowSelection:n}=e.getState();let r=Boolean(t.length&&Object.keys(n).length);return r&&t.some((e=>e.getCanSelect()&&!n[e.id]))&&(r=!1),r},e.getIsAllPageRowsSelected=()=>{const t=e.getPaginationRowModel().flatRows.filter((e=>e.getCanSelect())),{rowSelection:n}=e.getState();let r=!!t.length;return r&&t.some((e=>!n[e.id]))&&(r=!1),r},e.getIsSomeRowsSelected=()=>{var t;const n=Object.keys(null!=(t=e.getState().rowSelection)?t:{}).length;return n>0&&n<e.getFilteredRowModel().flatRows.length},e.getIsSomePageRowsSelected=()=>{const t=e.getPaginationRowModel().flatRows;return!e.getIsAllPageRowsSelected()&&t.filter((e=>e.getCanSelect())).some((e=>e.getIsSelected()||e.getIsSomeSelected()))},e.getToggleAllRowsSelectedHandler=()=>t=>{e.toggleAllRowsSelected(t.target.checked)},e.getToggleAllPageRowsSelectedHandler=()=>t=>{e.toggleAllPageRowsSelected(t.target.checked)}},createRow:(e,t)=>{e.toggleSelected=(n,r)=>{const o=e.getIsSelected();t.setRowSelection((i=>{var a;if(n=void 0!==n?n:!o,e.getCanSelect()&&o===n)return i;const l={...i};return we(l,e.id,n,null==(a=null==r?void 0:r.selectChildren)||a,t),l}))},e.getIsSelected=()=>{const{rowSelection:n}=t.getState();return Ae(e,n)},e.getIsSomeSelected=()=>{const{rowSelection:n}=t.getState();return"some"===Ce(e,n)},e.getIsAllSubRowsSelected=()=>{const{rowSelection:n}=t.getState();return"all"===Ce(e,n)},e.getCanSelect=()=>{var n;return"function"==typeof t.options.enableRowSelection?t.options.enableRowSelection(e):null==(n=t.options.enableRowSelection)||n},e.getCanSelectSubRows=()=>{var n;return"function"==typeof t.options.enableSubRowSelection?t.options.enableSubRowSelection(e):null==(n=t.options.enableSubRowSelection)||n},e.getCanMultiSelect=()=>{var n;return"function"==typeof t.options.enableMultiRowSelection?t.options.enableMultiRowSelection(e):null==(n=t.options.enableMultiRowSelection)||n},e.getToggleSelectedHandler=()=>{const t=e.getCanSelect();return n=>{var r;t&&e.toggleSelected(null==(r=n.target)?void 0:r.checked)}}}},we=(e,t,n,r,o)=>{var i;const a=o.getRow(t,!0);n?(a.getCanMultiSelect()||Object.keys(e).forEach((t=>delete e[t])),a.getCanSelect()&&(e[t]=!0)):delete e[t],r&&null!=(i=a.subRows)&&i.length&&a.getCanSelectSubRows()&&a.subRows.forEach((t=>we(e,t.id,n,r,o)))};function Ee(e,t){const n=e.getState().rowSelection,r=[],o={},i=function(e,t){return e.map((e=>{var t;const a=Ae(e,n);if(a&&(r.push(e),o[e.id]=e),null!=(t=e.subRows)&&t.length&&(e={...e,subRows:i(e.subRows)}),a)return e})).filter(Boolean)};return{rows:i(t.rows),flatRows:r,rowsById:o}}function Ae(e,t){var n;return null!=(n=t[e.id])&&n}function Ce(e,t,n){var r;if(null==(r=e.subRows)||!r.length)return!1;let o=!0,i=!1;return e.subRows.forEach((e=>{if((!i||o)&&(e.getCanSelect()&&(Ae(e,t)?i=!0:o=!1),e.subRows&&e.subRows.length)){const n=Ce(e,t);"all"===n?i=!0:"some"===n?(i=!0,o=!1):o=!1}})),o?"all":!!i&&"some"}const Se=/([0-9]+)/gm;function xe(e,t){return e===t?0:e>t?1:-1}function Oe(e){return"number"==typeof e?isNaN(e)||e===1/0||e===-1/0?"":String(e):"string"==typeof e?e:""}function Re(e,t){const n=e.split(Se).filter(Boolean),r=t.split(Se).filter(Boolean);for(;n.length&&r.length;){const e=n.shift(),t=r.shift(),o=parseInt(e,10),i=parseInt(t,10),a=[o,i].sort();if(isNaN(a[0])){if(e>t)return 1;if(t>e)return-1}else{if(isNaN(a[1]))return isNaN(o)?-1:1;if(o>i)return 1;if(i>o)return-1}}return n.length-r.length}const Ie={alphanumeric:(e,t,n)=>Re(Oe(e.getValue(n)).toLowerCase(),Oe(t.getValue(n)).toLowerCase()),alphanumericCaseSensitive:(e,t,n)=>Re(Oe(e.getValue(n)),Oe(t.getValue(n))),text:(e,t,n)=>xe(Oe(e.getValue(n)).toLowerCase(),Oe(t.getValue(n)).toLowerCase()),textCaseSensitive:(e,t,n)=>xe(Oe(e.getValue(n)),Oe(t.getValue(n))),datetime:(e,t,n)=>{const r=e.getValue(n),o=t.getValue(n);return r>o?1:r<o?-1:0},basic:(e,t,n)=>xe(e.getValue(n),t.getValue(n))},Pe={getInitialState:e=>({sorting:[],...e}),getDefaultColumnDef:()=>({sortingFn:"auto",sortUndefined:1}),getDefaultOptions:e=>({onSortingChange:L("sorting",e),isMultiSortEvent:e=>e.shiftKey}),createColumn:(e,t)=>{e.getAutoSortingFn=()=>{const n=t.getFilteredRowModel().flatRows.slice(10);let r=!1;for(const t of n){const n=null==t?void 0:t.getValue(e.id);if("[object Date]"===Object.prototype.toString.call(n))return Ie.datetime;if("string"==typeof n&&(r=!0,n.split(Se).length>1))return Ie.alphanumeric}return r?Ie.text:Ie.basic},e.getAutoSortDir=()=>{const n=t.getFilteredRowModel().flatRows[0];return"string"==typeof(null==n?void 0:n.getValue(e.id))?"asc":"desc"},e.getSortingFn=()=>{var n,r;if(!e)throw new Error;return j(e.columnDef.sortingFn)?e.columnDef.sortingFn:"auto"===e.columnDef.sortingFn?e.getAutoSortingFn():null!=(n=null==(r=t.options.sortingFns)?void 0:r[e.columnDef.sortingFn])?n:Ie[e.columnDef.sortingFn]},e.toggleSorting=(n,r)=>{const o=e.getNextSortingOrder(),i=null!=n;t.setSorting((a=>{const l=null==a?void 0:a.find((t=>t.id===e.id)),s=null==a?void 0:a.findIndex((t=>t.id===e.id));let c,u=[],d=i?n:"desc"===o;var p;return c=null!=a&&a.length&&e.getCanMultiSort()&&r?l?"toggle":"add":null!=a&&a.length&&s!==a.length-1?"replace":l?"toggle":"replace","toggle"===c&&(i||o||(c="remove")),"add"===c?(u=[...a,{id:e.id,desc:d}],u.splice(0,u.length-(null!=(p=t.options.maxMultiSortColCount)?p:Number.MAX_SAFE_INTEGER))):u="toggle"===c?a.map((t=>t.id===e.id?{...t,desc:d}:t)):"remove"===c?a.filter((t=>t.id!==e.id)):[{id:e.id,desc:d}],u}))},e.getFirstSortDir=()=>{var n,r;return(null!=(n=null!=(r=e.columnDef.sortDescFirst)?r:t.options.sortDescFirst)?n:"desc"===e.getAutoSortDir())?"desc":"asc"},e.getNextSortingOrder=n=>{var r,o;const i=e.getFirstSortDir(),a=e.getIsSorted();return a?!!(a===i||null!=(r=t.options.enableSortingRemoval)&&!r||n&&null!=(o=t.options.enableMultiRemove)&&!o)&&("desc"===a?"asc":"desc"):i},e.getCanSort=()=>{var n,r;return(null==(n=e.columnDef.enableSorting)||n)&&(null==(r=t.options.enableSorting)||r)&&!!e.accessorFn},e.getCanMultiSort=()=>{var n,r;return null!=(n=null!=(r=e.columnDef.enableMultiSort)?r:t.options.enableMultiSort)?n:!!e.accessorFn},e.getIsSorted=()=>{var n;const r=null==(n=t.getState().sorting)?void 0:n.find((t=>t.id===e.id));return!!r&&(r.desc?"desc":"asc")},e.getSortIndex=()=>{var n,r;return null!=(n=null==(r=t.getState().sorting)?void 0:r.findIndex((t=>t.id===e.id)))?n:-1},e.clearSorting=()=>{t.setSorting((t=>null!=t&&t.length?t.filter((t=>t.id!==e.id)):[]))},e.getToggleSortingHandler=()=>{const n=e.getCanSort();return r=>{n&&(null==r.persist||r.persist(),null==e.toggleSorting||e.toggleSorting(void 0,!!e.getCanMultiSort()&&(null==t.options.isMultiSortEvent?void 0:t.options.isMultiSortEvent(r))))}}},createTable:e=>{e.setSorting=t=>null==e.options.onSortingChange?void 0:e.options.onSortingChange(t),e.resetSorting=t=>{var n,r;e.setSorting(t?[]:null!=(n=null==(r=e.initialState)?void 0:r.sorting)?n:[])},e.getPreSortedRowModel=()=>e.getGroupedRowModel(),e.getSortedRowModel=()=>(!e._getSortedRowModel&&e.options.getSortedRowModel&&(e._getSortedRowModel=e.options.getSortedRowModel(e)),e.options.manualSorting||!e._getSortedRowModel?e.getPreSortedRowModel():e._getSortedRowModel())}},De=[U,me,ce,ue,q,ie,{createTable:e=>{e._getGlobalFacetedRowModel=e.options.getFacetedRowModel&&e.options.getFacetedRowModel(e,"__global__"),e.getGlobalFacetedRowModel=()=>e.options.manualFiltering||!e._getGlobalFacetedRowModel?e.getPreFilteredRowModel():e._getGlobalFacetedRowModel(),e._getGlobalFacetedUniqueValues=e.options.getFacetedUniqueValues&&e.options.getFacetedUniqueValues(e,"__global__"),e.getGlobalFacetedUniqueValues=()=>e._getGlobalFacetedUniqueValues?e._getGlobalFacetedUniqueValues():new Map,e._getGlobalFacetedMinMaxValues=e.options.getFacetedMinMaxValues&&e.options.getFacetedMinMaxValues(e,"__global__"),e.getGlobalFacetedMinMaxValues=()=>{if(e._getGlobalFacetedMinMaxValues)return e._getGlobalFacetedMinMaxValues()}}},{getInitialState:e=>({globalFilter:void 0,...e}),getDefaultOptions:e=>({onGlobalFilterChange:L("globalFilter",e),globalFilterFn:"auto",getColumnCanGlobalFilter:t=>{var n;const r=null==(n=e.getCoreRowModel().flatRows[0])||null==(n=n._getAllCellsByColumnId()[t.id])?void 0:n.getValue();return"string"==typeof r||"number"==typeof r}}),createColumn:(e,t)=>{e.getCanGlobalFilter=()=>{var n,r,o,i;return(null==(n=e.columnDef.enableGlobalFilter)||n)&&(null==(r=t.options.enableGlobalFilter)||r)&&(null==(o=t.options.enableFilters)||o)&&(null==(i=null==t.options.getColumnCanGlobalFilter?void 0:t.options.getColumnCanGlobalFilter(e))||i)&&!!e.accessorFn}},createTable:e=>{e.getGlobalAutoFilterFn=()=>re.includesString,e.getGlobalFilterFn=()=>{var t,n;const{globalFilterFn:r}=e.options;return j(r)?r:"auto"===r?e.getGlobalAutoFilterFn():null!=(t=null==(n=e.options.filterFns)?void 0:n[r])?t:re[r]},e.setGlobalFilter=t=>{null==e.options.onGlobalFilterChange||e.options.onGlobalFilterChange(t)},e.resetGlobalFilter=t=>{e.setGlobalFilter(t?void 0:e.initialState.globalFilter)}}},Pe,se,he,{getInitialState:e=>({...e,pagination:{pageIndex:0,pageSize:10,...null==e?void 0:e.pagination}}),getDefaultOptions:e=>({onPaginationChange:L("pagination",e)}),createTable:e=>{let t=!1,n=!1;e._autoResetPageIndex=()=>{var r,o;if(t){if(null!=(r=null!=(o=e.options.autoResetAll)?o:e.options.autoResetPageIndex)?r:!e.options.manualPagination){if(n)return;n=!0,e._queue((()=>{e.resetPageIndex(),n=!1}))}}else e._queue((()=>{t=!0}))},e.setPagination=t=>null==e.options.onPaginationChange?void 0:e.options.onPaginationChange((e=>F(t,e))),e.resetPagination=t=>{var n;e.setPagination(t?{pageIndex:0,pageSize:10}:null!=(n=e.initialState.pagination)?n:{pageIndex:0,pageSize:10})},e.setPageIndex=t=>{e.setPagination((n=>{let r=F(t,n.pageIndex);const o=void 0===e.options.pageCount||-1===e.options.pageCount?Number.MAX_SAFE_INTEGER:e.options.pageCount-1;return r=Math.max(0,Math.min(r,o)),{...n,pageIndex:r}}))},e.resetPageIndex=t=>{var n,r;e.setPageIndex(t?0:null!=(n=null==(r=e.initialState)||null==(r=r.pagination)?void 0:r.pageIndex)?n:0)},e.resetPageSize=t=>{var n,r;e.setPageSize(t?10:null!=(n=null==(r=e.initialState)||null==(r=r.pagination)?void 0:r.pageSize)?n:10)},e.setPageSize=t=>{e.setPagination((e=>{const n=Math.max(1,F(t,e.pageSize)),r=e.pageSize*e.pageIndex,o=Math.floor(r/n);return{...e,pageIndex:o,pageSize:n}}))},e.setPageCount=t=>e.setPagination((n=>{var r;let o=F(t,null!=(r=e.options.pageCount)?r:-1);return"number"==typeof o&&(o=Math.max(-1,o)),{...n,pageCount:o}})),e.getPageOptions=V((()=>[e.getPageCount()]),(e=>{let t=[];return e&&e>0&&(t=[...new Array(e)].fill(null).map(((e,t)=>t))),t}),z(e.options,"debugTable")),e.getCanPreviousPage=()=>e.getState().pagination.pageIndex>0,e.getCanNextPage=()=>{const{pageIndex:t}=e.getState().pagination,n=e.getPageCount();return-1===n||0!==n&&t<n-1},e.previousPage=()=>e.setPageIndex((e=>e-1)),e.nextPage=()=>e.setPageIndex((e=>e+1)),e.firstPage=()=>e.setPageIndex(0),e.lastPage=()=>e.setPageIndex(e.getPageCount()-1),e.getPrePaginationRowModel=()=>e.getExpandedRowModel(),e.getPaginationRowModel=()=>(!e._getPaginationRowModel&&e.options.getPaginationRowModel&&(e._getPaginationRowModel=e.options.getPaginationRowModel(e)),e.options.manualPagination||!e._getPaginationRowModel?e.getPrePaginationRowModel():e._getPaginationRowModel()),e.getPageCount=()=>{var t;return null!=(t=e.options.pageCount)?t:Math.ceil(e.getRowCount()/e.getState().pagination.pageSize)},e.getRowCount=()=>{var t;return null!=(t=e.options.rowCount)?t:e.getPrePaginationRowModel().rows.length}}},ve,ye,pe];function Te(e){var t,n;const r=[...De,...null!=(t=e._features)?t:[]];let o={_features:r};const i=o._features.reduce(((e,t)=>Object.assign(e,null==t.getDefaultOptions?void 0:t.getDefaultOptions(o))),{});let a={...null!=(n=e.initialState)?n:{}};o._features.forEach((e=>{var t;a=null!=(t=null==e.getInitialState?void 0:e.getInitialState(a))?t:a}));const l=[];let s=!1;const c={_features:r,options:{...i,...e},initialState:a,_queue:e=>{l.push(e),s||(s=!0,Promise.resolve().then((()=>{for(;l.length;)l.shift()();s=!1})).catch((e=>setTimeout((()=>{throw e})))))},reset:()=>{o.setState(o.initialState)},setOptions:e=>{const t=F(e,o.options);o.options=(e=>o.options.mergeOptions?o.options.mergeOptions(i,e):{...i,...e})(t)},getState:()=>o.options.state,setState:e=>{null==o.options.onStateChange||o.options.onStateChange(e)},_getRowId:(e,t,n)=>{var r;return null!=(r=null==o.options.getRowId?void 0:o.options.getRowId(e,t,n))?r:`${n?[n.id,t].join("."):t}`},getCoreRowModel:()=>(o._getCoreRowModel||(o._getCoreRowModel=o.options.getCoreRowModel(o)),o._getCoreRowModel()),getRowModel:()=>o.getPaginationRowModel(),getRow:(e,t)=>{let n=(t?o.getPrePaginationRowModel():o.getRowModel()).rowsById[e];if(!n&&(n=o.getCoreRowModel().rowsById[e],!n))throw new Error;return n},_getDefaultColumnDef:V((()=>[o.options.defaultColumn]),(e=>{var t;return e=null!=(t=e)?t:{},{header:e=>{const t=e.header.column.columnDef;return t.accessorKey?t.accessorKey:t.accessorFn?t.id:null},cell:e=>{var t,n;return null!=(t=null==(n=e.renderValue())||null==n.toString?void 0:n.toString())?t:null},...o._features.reduce(((e,t)=>Object.assign(e,null==t.getDefaultColumnDef?void 0:t.getDefaultColumnDef())),{}),...e}}),z(e,"debugColumns")),_getColumnDefs:()=>o.options.columns,getAllColumns:V((()=>[o._getColumnDefs()]),(e=>{const t=function(e,n,r){return void 0===r&&(r=0),e.map((e=>{const i=function(e,t,n,r){var o,i;const a={...e._getDefaultColumnDef(),...t},l=a.accessorKey;let s,c=null!=(o=null!=(i=a.id)?i:l?"function"==typeof String.prototype.replaceAll?l.replaceAll(".","_"):l.replace(/\./g,"_"):void 0)?o:"string"==typeof a.header?a.header:void 0;if(a.accessorFn?s=a.accessorFn:l&&(s=l.includes(".")?e=>{let t=e;for(const e of l.split(".")){var n;t=null==(n=t)?void 0:n[e]}return t}:e=>e[a.accessorKey]),!c)throw new Error;let u={id:`${String(c)}`,accessorFn:s,parent:r,depth:n,columnDef:a,columns:[],getFlatColumns:V((()=>[!0]),(()=>{var e;return[u,...null==(e=u.columns)?void 0:e.flatMap((e=>e.getFlatColumns()))]}),z(e.options,"debugColumns")),getLeafColumns:V((()=>[e._getOrderColumnsFn()]),(e=>{var t;if(null!=(t=u.columns)&&t.length){let t=u.columns.flatMap((e=>e.getLeafColumns()));return e(t)}return[u]}),z(e.options,"debugColumns"))};for(const t of e._features)null==t.createColumn||t.createColumn(u,e);return u}(o,e,r,n),a=e;return i.columns=a.columns?t(a.columns,i,r+1):[],i}))};return t(e)}),z(e,"debugColumns")),getAllFlatColumns:V((()=>[o.getAllColumns()]),(e=>e.flatMap((e=>e.getFlatColumns()))),z(e,"debugColumns")),_getAllFlatColumnsById:V((()=>[o.getAllFlatColumns()]),(e=>e.reduce(((e,t)=>(e[t.id]=t,e)),{})),z(e,"debugColumns")),getAllLeafColumns:V((()=>[o.getAllColumns(),o._getOrderColumnsFn()]),((e,t)=>t(e.flatMap((e=>e.getLeafColumns())))),z(e,"debugColumns")),getColumn:e=>o._getAllFlatColumnsById()[e]};Object.assign(o,c);for(let e=0;e<o._features.length;e++){const t=o._features[e];null==t||null==t.createTable||t.createTable(o)}return o}function Me(){return e=>V((()=>[e.options.data]),(t=>{const n={rows:[],flatRows:[],rowsById:{}},r=function(t,o,i){void 0===o&&(o=0);const a=[];for(let s=0;s<t.length;s++){const c=W(e,e._getRowId(t[s],s,i),t[s],s,o,void 0,null==i?void 0:i.id);var l;n.flatRows.push(c),n.rowsById[c.id]=c,a.push(c),e.options.getSubRows&&(c.originalSubRows=e.options.getSubRows(t[s],s),null!=(l=c.originalSubRows)&&l.length&&(c.subRows=r(c.originalSubRows,o+1,c)))}return a};return n.rows=r(t),n}),z(e.options,"debugTable",0,(()=>e._autoResetPageIndex())))}function ke(e){const t=[],n=e=>{var r;t.push(e),null!=(r=e.subRows)&&r.length&&e.getIsExpanded()&&e.subRows.forEach(n)};return e.rows.forEach(n),{rows:t,flatRows:e.flatRows,rowsById:e.rowsById}}function Be(e,t,n){return n.options.filterFromLeafRows?function(e,t,n){var r;const o=[],i={},a=null!=(r=n.options.maxLeafRowFilterDepth)?r:100,l=function(e,r){void 0===r&&(r=0);const s=[];for(let u=0;u<e.length;u++){var c;let d=e[u];const p=W(n,d.id,d.original,d.index,d.depth,void 0,d.parentId);if(p.columnFilters=d.columnFilters,null!=(c=d.subRows)&&c.length&&r<a){if(p.subRows=l(d.subRows,r+1),d=p,t(d)&&!p.subRows.length){s.push(d),i[d.id]=d,o.push(d);continue}if(t(d)||p.subRows.length){s.push(d),i[d.id]=d,o.push(d);continue}}else d=p,t(d)&&(s.push(d),i[d.id]=d,o.push(d))}return s};return{rows:l(e),flatRows:o,rowsById:i}}(e,t,n):function(e,t,n){var r;const o=[],i={},a=null!=(r=n.options.maxLeafRowFilterDepth)?r:100,l=function(e,r){void 0===r&&(r=0);const s=[];for(let u=0;u<e.length;u++){let d=e[u];if(t(d)){var c;if(null!=(c=d.subRows)&&c.length&&r<a){const e=W(n,d.id,d.original,d.index,d.depth,void 0,d.parentId);e.subRows=l(d.subRows,r+1),d=e}s.push(d),o.push(d),i[d.id]=d}}return s};return{rows:l(e),flatRows:o,rowsById:i}}(e,t,n)}function Ne(){return e=>V((()=>[e.getPreFilteredRowModel(),e.getState().columnFilters,e.getState().globalFilter]),((t,n,r)=>{if(!t.rows.length||(null==n||!n.length)&&!r){for(let e=0;e<t.flatRows.length;e++)t.flatRows[e].columnFilters={},t.flatRows[e].columnFiltersMeta={};return t}const o=[],i=[];(null!=n?n:[]).forEach((t=>{var n;const r=e.getColumn(t.id);if(!r)return;const i=r.getFilterFn();i&&o.push({id:t.id,filterFn:i,resolvedValue:null!=(n=null==i.resolveFilterValue?void 0:i.resolveFilterValue(t.value))?n:t.value})}));const a=(null!=n?n:[]).map((e=>e.id)),l=e.getGlobalFilterFn(),s=e.getAllLeafColumns().filter((e=>e.getCanGlobalFilter()));let c,u;r&&l&&s.length&&(a.push("__global__"),s.forEach((e=>{var t;i.push({id:e.id,filterFn:l,resolvedValue:null!=(t=null==l.resolveFilterValue?void 0:l.resolveFilterValue(r))?t:r})})));for(let e=0;e<t.flatRows.length;e++){const n=t.flatRows[e];if(n.columnFilters={},o.length)for(let e=0;e<o.length;e++){c=o[e];const t=c.id;n.columnFilters[t]=c.filterFn(n,t,c.resolvedValue,(e=>{n.columnFiltersMeta[t]=e}))}if(i.length){for(let e=0;e<i.length;e++){u=i[e];const t=u.id;if(u.filterFn(n,t,u.resolvedValue,(e=>{n.columnFiltersMeta[t]=e}))){n.columnFilters.__global__=!0;break}}!0!==n.columnFilters.__global__&&(n.columnFilters.__global__=!1)}}return Be(t.rows,(e=>{for(let t=0;t<a.length;t++)if(!1===e.columnFilters[a[t]])return!1;return!0}),e)}),z(e.options,"debugTable",0,(()=>e._autoResetPageIndex())))}function Fe(){return e=>V((()=>[e.getState().sorting,e.getPreSortedRowModel()]),((t,n)=>{if(!n.rows.length||null==t||!t.length)return n;const r=e.getState().sorting,o=[],i=r.filter((t=>{var n;return null==(n=e.getColumn(t.id))?void 0:n.getCanSort()})),a={};i.forEach((t=>{const n=e.getColumn(t.id);n&&(a[t.id]={sortUndefined:n.columnDef.sortUndefined,invertSorting:n.columnDef.invertSorting,sortingFn:n.getSortingFn()})}));const l=e=>{const t=e.map((e=>({...e})));return t.sort(((e,t)=>{for(let r=0;r<i.length;r+=1){var n;const o=i[r],l=a[o.id],s=l.sortUndefined,c=null!=(n=null==o?void 0:o.desc)&&n;let u=0;if(s){const n=void 0===e.getValue(o.id),r=void 0===t.getValue(o.id);if(n||r){if("first"===s)return n?-1:1;if("last"===s)return n?1:-1;u=n&&r?0:n?s:-s}}if(0===u&&(u=l.sortingFn(e,t,o.id)),0!==u)return c&&(u*=-1),l.invertSorting&&(u*=-1),u}return e.index-t.index})),t.forEach((e=>{var t;o.push(e),null!=(t=e.subRows)&&t.length&&(e.subRows=l(e.subRows))})),t};return{rows:l(n.rows),flatRows:o,rowsById:n.rowsById}}),z(e.options,"debugTable",0,(()=>e._autoResetPageIndex())))}function Le(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const je=e=>({type:e}),_e=e=>"number"==typeof e?e:"",Ve=e=>Object.entries(e).reduce(((e,[t,n])=>{return void 0===n?e:(r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Le(e,t,n[t])}))}return e}({},e),o=null!=(o={[t]:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r);var r,o}),{});var ze=m(249),Ge=(e=>(e.Count="count",e.Size="size",e))(Ge||{}),He=(e=>(e.Linear="linear",e.Log="log",e.Ordinal="ordinal",e.Symlog="symlog",e))(He||{}),Ue=(e=>(e.CSV="csv",e.Date="date",e.Distributed="distributed",e.DoubleQuote="doublequote",e.Glob="glob",e.HTML="html",e.JSON="json",e.Lucene="lucene",e.PercentEncode="percentencode",e.Pipe="pipe",e.QueryParam="queryparam",e.Raw="raw",e.Regex="regex",e.SQLString="sqlstring",e.SingleQuote="singlequote",e.Text="text",e.UriEncode="uriencode",e))(Ue||{});function $e(e){return"function"==typeof e}var We=function(e,t){return We=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])},We(e,t)};function qe(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e}We(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}function Ye(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function Ke(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,o,i=n.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(r=i.next()).done;)a.push(r.value)}catch(e){o={error:e}}finally{try{r&&!r.done&&(n=i.return)&&n.call(i)}finally{if(o)throw o.error}}return a}function Xe(e,t,n){if(n||2===arguments.length)for(var r,o=0,i=t.length;o<i;o++)!r&&o in t||(r||(r=Array.prototype.slice.call(t,0,o)),r[o]=t[o]);return e.concat(r||Array.prototype.slice.call(t))}Object.create,Object.create,"function"==typeof SuppressedError&&SuppressedError;var Qe,Je=((Qe=function(e){var t;t=this,Error.call(t),t.stack=(new Error).stack,this.message=e?e.length+" errors occurred during unsubscription:\n"+e.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=e}).prototype=Object.create(Error.prototype),Qe.prototype.constructor=Qe,Qe);function Ze(e,t){if(e){var n=e.indexOf(t);0<=n&&e.splice(n,1)}}var et=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}return e.prototype.unsubscribe=function(){var e,t,n,r,o;if(!this.closed){this.closed=!0;var i=this._parentage;if(i)if(this._parentage=null,Array.isArray(i))try{for(var a=Ye(i),l=a.next();!l.done;l=a.next())l.value.remove(this)}catch(t){e={error:t}}finally{try{l&&!l.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}else i.remove(this);var s=this.initialTeardown;if($e(s))try{s()}catch(e){o=e instanceof Je?e.errors:[e]}var c=this._finalizers;if(c){this._finalizers=null;try{for(var u=Ye(c),d=u.next();!d.done;d=u.next()){var p=d.value;try{tt(p)}catch(e){o=null!=o?o:[],e instanceof Je?o=Xe(Xe([],Ke(o)),Ke(e.errors)):o.push(e)}}}catch(e){n={error:e}}finally{try{d&&!d.done&&(r=u.return)&&r.call(u)}finally{if(n)throw n.error}}}if(o)throw new Je(o)}},e.prototype.add=function(t){var n;if(t&&t!==this)if(this.closed)tt(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(n=this._finalizers)&&void 0!==n?n:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&Ze(t,e)},e.prototype.remove=function(t){var n=this._finalizers;n&&Ze(n,t),t instanceof e&&t._removeParent(this)},e.EMPTY=function(){var t=new e;return t.closed=!0,t}(),e}();function tt(e){$e(e)?e():e.unsubscribe()}et.EMPTY;var nt=null,rt=null,ot=!1,it=!1,at={setTimeout:function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];var o=at.delegate;return(null==o?void 0:o.setTimeout)?o.setTimeout.apply(o,Xe([e,t],Ke(n))):setTimeout.apply(void 0,Xe([e,t],Ke(n)))},clearTimeout:function(e){var t=at.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function lt(){}var st=ct("C",void 0,void 0);function ct(e,t,n){return{kind:e,value:t,error:n}}var ut=function(e){function t(t){var n,r=e.call(this)||this;return r.isStopped=!1,t?(r.destination=t,((n=t)instanceof et||n&&"closed"in n&&$e(n.remove)&&$e(n.add)&&$e(n.unsubscribe))&&t.add(r)):r.destination=ht,r}return qe(t,e),t.create=function(e,t,n){return new gt(e,t,n)},t.prototype.next=function(e){this.isStopped?bt(function(e){return ct("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?bt(ct("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?bt(st,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(et),dt=Function.prototype.bind;function pt(e,t){return dt.call(e,t)}var ft=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){mt(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){mt(e)}else mt(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){mt(e)}},e}(),gt=function(e){function t(t,n,r){var o,i,a=e.call(this)||this;return $e(t)||!t?o={next:null!=t?t:void 0,error:null!=n?n:void 0,complete:null!=r?r:void 0}:a&&it?((i=Object.create(t)).unsubscribe=function(){return a.unsubscribe()},o={next:t.next&&pt(t.next,i),error:t.error&&pt(t.error,i),complete:t.complete&&pt(t.complete,i)}):o=t,a.destination=new ft(o),a}return qe(t,e),t}(ut);function mt(e){ot||function(e){at.setTimeout((function(){if(!nt)throw e;nt(e)}))}(e)}function bt(e,t){var n=rt;n&&at.setTimeout((function(){return n(e,t)}))}var ht={closed:!0,next:lt,error:function(e){throw e},complete:lt},vt=function(e){function t(t,n,r,o,i,a){var l=e.call(this,t)||this;return l.onFinalize=i,l.shouldUnsubscribe=a,l._next=n?function(e){try{n(e)}catch(e){t.error(e)}}:e.prototype._next,l._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,l._complete=r?function(){try{r()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,l}return qe(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var n=this.closed;e.prototype.unsubscribe.call(this),!n&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(ut);function yt(e,t){return n=function(n,r){var o=0;n.subscribe(new vt(r,(function(n){r.next(e.call(t,n,o++))}),void 0,void 0,void 0))},function(e){if(function(e){return $e(null==e?void 0:e.lift)}(e))return e.lift((function(e){try{return n(e,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")};var n}var wt,Et=m(241),At=((wt=At||{}).CSV="csv",wt.DATE="date",wt.DISTRIBUTED="distributed",wt.DOUBLE_QUOTE="doublequote",wt.GLOB="glob",wt.HTML="html",wt.JSON="json",wt.LUCENE="lucene",wt.PERCENT_ENCODE="percentencode",wt.PIPE="pipe",wt.QUERY_PARAM="queryparam",wt.RAW="raw",wt.REGEX="regex",wt.SQL_STRING="sqlstring",wt.SINGLE_QUOTE="singlequote",wt.TEXT="text",wt.URI_ENCODE="uriencode",wt),Ct=(e=>(e.DASHBOARD="__dashboard",e.FROM="__from",e.TO="__to",e.INTERVAL="__interval",e.INTERVAL_MS="__interval_ms",e.ORG="__org",e.USER="__user",e.RANGE="__range",e.RANGE_MS="__range_ms",e.RANGE_S="__range_s",e.RATE_INTERVAL="__rate_interval",e.RATE_INTERVAL_MS="__rate_interval_ms",e.TIME_FILTER="timeFilter",e._TIME_FILTER="__timeFilter",e.TIMEZONE="__timezone",e))(Ct||{});const St=Object.values(Ct),xt=(Ct.USER,/\$(\w+)|\[\[(\w+?)(?::(\w+))?\]\]|\${(\w+)(?:\.([^:^\}]+))?(?::([^\}]+))?}/g),{abs:Ot,pow:Rt}=Math,It=new Map;function Pt(e,t,n,r){let o=[],i=r.map(w.guessDecimals);for(let a=t;a<n;a++){let t=Ot(a),n=(0,w.roundDecimals)(Rt(e,a),t);for(let e=0;e<r.length;e++){let l=r[e]*n,s=(l>=0&&a>=0?0:t)+(a>=i[e]?0:i[e]),c=(0,w.roundDecimals)(l,s);o.push(c),It.set(c,s)}}return o}const Dt=[1,1.5,2,2.5,3,3.5,4,4.5,5,5.5,6,6.5,7,7.5,8,8.5,9,9.5],Tt=Pt(10,-16,0,Dt),Mt=Pt(10,0,16,Dt).filter((e=>e%1==0)),kt=Tt.concat(Mt),Bt=6e4,Nt=60*Bt,Ft=24*Nt,Lt=365*Ft,jt=[1,2,4,5,10,20,25,40,50,100,200,250,400,500,1e3,2e3,4e3,5e3,1e4,15e3,2e4,3e4,Bt,2*Bt,4*Bt,5*Bt,6e5,9e5,20*Bt,30*Bt,Nt,2*Nt,4*Nt,6*Nt,8*Nt,12*Nt,18*Nt,Ft,2*Ft,3*Ft,4*Ft,5*Ft,6*Ft,7*Ft,10*Ft,15*Ft,30*Ft,45*Ft,60*Ft,90*Ft,180*Ft,Lt,2*Lt,3*Lt,4*Lt,5*Lt,6*Lt,7*Lt,8*Lt,9*Lt,10*Lt],_t={id:w.DataTransformerID.heatmap,name:"Create heatmap",description:"Generate heatmap data from source data.",defaultOptions:{},isApplicable:e=>{const{xField:t,yField:n,xs:r,ys:o}=Vt(e);return t||n?w.TransformationApplicabilityLevels.NotPossible:r.length&&o.length?w.TransformationApplicabilityLevels.Applicable:w.TransformationApplicabilityLevels.NotPossible},isApplicableDescription:"The Heatmap transformation requires fields with Heatmap compatible data. No fields with Heatmap data could be found.",operator:(e,t)=>n=>n.pipe((0,T.map)((n=>{{const r={...e,xBuckets:{...e.xBuckets},yBuckets:{...e.yBuckets}};return r.xBuckets?.value&&(r.xBuckets.value=t.interpolate(r.xBuckets.value)),r.yBuckets?.value&&(r.yBuckets.value=t.interpolate(r.yBuckets.value)),_t.transformer(r,t)(n)}}))),transformer:e=>t=>{const n=function(e,t){const{xField:n,yField:r,xs:o,ys:i}=Vt(e);if(!n||!r)throw"no heatmap fields found";if(!o.length||!i.length)throw"no values found";const a=t.xBuckets??{},l=t.yBuckets??{};if(a.scale?.type===He.Log)throw"X axis only supports linear buckets";const s=t.yBuckets?.scale??{type:He.Linear},c=function(e,t,n){let r=e.length,o=n?.xSorted??!1,i=n?.ySorted??!1,a=o?e[0]:1/0,l=i?t[0]:1/0,s=o?e[r-1]:-1/0,c=i?t[r-1]:-1/0,u=n?.yLog;for(let n=0;n<r;n++)o||(a=Math.min(a,e[n]),s=Math.max(s,e[n])),i||(!u||t[n]>0)&&(l=Math.min(l,t[n]),c=Math.max(c,t[n]));let d=n?.xSize??0,p=n?.ySize??0,f=n?.xMode,g=n?.yMode;if((!Number.isFinite(d)||d<=0)&&(f=Ge.Count,d=20),(!Number.isFinite(p)||p<=0)&&(g=Ge.Count,p=10),f===Ge.Count){let e=(s-a)/Math.max(d-1,1),t=n?.xTime?jt:kt,r=t.findIndex((t=>t>e))-1;d=t[Math.max(r,0)]}if(g===Ge.Count){let e=(c-l)/Math.max(p-1,1),t=n?.yTime?jt:kt,r=t.findIndex((t=>t>e))-1;p=t[Math.max(r,0)]}let m=n?.xCeil?e=>(0,w.incrRoundUp)(e,d):e=>(0,w.incrRoundDn)(e,d),b=n?.yCeil?e=>(0,w.incrRoundUp)(e,p):e=>(0,w.incrRoundDn)(e,p);if(u){p=1/(n?.ySize??1);let e=2===u?Math.log2:Math.log10;b=n?.yCeil?t=>(0,w.incrRoundUp)(e(t),p):t=>(0,w.incrRoundDn)(e(t),p)}let h=m(a),v=m(s),y=b(l),E=b(c),A=Math.round((v-h)/d)+1,C=Math.round((E-y)/p)+1,[S,x,O]=function(e,t,n,r,o,i,a){const l=e*t,s=new Array(l),c=new Array(l),u=new Array(l);for(let e=0,d=0,p=n;e<l;d=++e%t)u[e]=0,c[e]=a?a**(o+d*i):o+d*i,0===d&&e>=t&&(p+=r),s[e]=p;return[s,c,u]}(A,C,h,d,y,p,u);for(let n=0;n<r;n++)u&&t[n]<=0||O[(m(e[n])-h)/d*C+(b(t[n])-y)/p]++;return{x:S,y:x,count:O}}(o,i,{xSorted:(0,w.isLikelyAscendingVector)(o),xTime:n.type===w.FieldType.time,xMode:a.mode,xSize:a.mode===Ge.Size?(0,w.durationToMilliseconds)((0,w.parseDuration)(a.value??"")):a.value?+a.value:void 0,yMode:l.mode,ySize:l.value?+l.value:void 0,yLog:s?.type===He.Log?s?.log:void 0});return{length:c.x.length,name:(0,w.getFieldDisplayName)(r),meta:{type:w.DataFrameType.HeatmapCells},fields:[{name:"xMin",type:n.type,values:c.x,config:n.config},{name:"yMin",type:w.FieldType.number,values:c.y,config:{...r.config,custom:{scaleDistribution:s}}},{name:"Count",type:w.FieldType.number,values:c.count,config:{unit:"short"}}]}}(t,e);return e.keepOriginalData?[n,...t]:[n]}};function Vt(e){let t,n,r=0;for(let t of e)t.fields.find((e=>e.type===w.FieldType.time))&&(r+=t.length);let o=Array(r),i=Array(r),a=0;for(let r of e){const e=r.fields.find((e=>e.type===w.FieldType.time));if(!e)continue;t||(t=e);const l=e.values;for(let t of r.fields)if(t!==e&&t.type===w.FieldType.number){const e=t.values;for(let t=0;t<l.length;t++,a++)o[a]=l[t],i[a]=e[t];n||(n=t)}}return{xField:t,yField:n,xs:o,ys:i}}var zt=(e=>(e.Name="field.name",e.Value="field.value",e.Label="field.label",e.Ignore="__ignore",e))(zt||{});w.ReducerID.allValues,w.ReducerID.allValues,w.ReducerID.allValues;function Gt(e){const t=(0,w.anyToNumber)(e);if(!isNaN(t))return t}function Ht(e,t){const n=function(e,t){if(e&&t?.length)for(let n=0;n<e.fields.length;n++){const r=e.fields[n];if(t===r.name)return n;if(t===(0,w.getFieldDisplayName)(r,e))return n}}(e,t);return null==n?void 0:e.fields[n]}w.DataTransformerID.configFromData;var Ut=(e=>(e.JSON="json",e.KeyValues="kvp",e.Auto="auto",e))(Ut||{});const $t=[{id:Ut.JSON,name:"JSON",description:"Parse JSON string",parse:e=>JSON.parse(e)},{id:Ut.KeyValues,name:"Key+value pairs",description:"Look for a=b, c: d values in the line",parse:function(e){const t=[];let n="",r="";const o={};for(let i=0;i<e.length;i++){let a=e[i];a===n&&(n="",a=e[++i]);const l="\\"===a;if(l&&(a=e[++i]),l||n.length)t.push(a);else switch('"'!==a&&"'"!==a||(n=a),a){case":":case"=":t.length&&(r&&(o[r]=""),r=t.join(""),t.length=0);break;case'"':case"'":case" ":case"\n":case"\t":case"\r":case"\n":t.length&&""===r&&(o[t.join("")]="",t.length=0);case",":case";":case"&":case"{":case"}":if(t.length){const e=t.join("");r.length?(o[r]=e,r=""):r=e,t.length=0}break;default:t.push(a),i===e.length-1&&""===r&&t.length&&(o[t.join("")]="",t.length=0)}}return r.length&&(o[r]=t.join("")),o}}],Wt={id:Ut.Auto,name:"Auto",description:"parse new fields automatically",parse:e=>{for(const t of $t)try{const n=t.parse(e);if(null!=n)return n}catch{}}},qt=new w.Registry((()=>[...$t,Wt])),Yt={id:w.DataTransformerID.extractFields,name:"Extract fields",description:"Parse fields from the contends of another",defaultOptions:{},operator:(e,t)=>n=>n.pipe(yt((n=>Yt.transformer(e,t)(n)))),transformer:e=>t=>t.map((t=>function(e,t){if(!t.source)return e;const n=Ht(e,t.source);if(!n)return e;const r=qt.getIfExists(t.format??Ut.Auto);if(!r)throw new Error("unkonwn extractor");const o=e.length,i=[],a=new Map;for(let e=0;e<o;e++){let l=n.values[e];if((0,Et.isString)(l))try{l=r.parse(l)}catch{l={}}if(null!=l){if(t.format===Ut.JSON&&t.jsonPaths&&t.jsonPaths?.length>0){const e={},n=t.jsonPaths.filter((e=>e.path));n.length>0&&(n.forEach((t=>{const n=t.alias&&t.alias.length>0?t.alias:t.path;e[n]=(0,Et.get)(l,t.path)??"Not Found"})),l=e)}for(const[t,n]of Object.entries(l)){let r=a.get(t);null==r&&(r=new Array(o),a.set(t,r),i.push(t)),r[e]=n}}}const l=i.map((e=>{const t=a.get(e);return{name:e,values:t,type:t?(0,w.getFieldTypeFromValue)(t.find((e=>null!=e))):w.FieldType.other,config:{}}}));if(t.keepTime){const t=Ht(e,"Time")||Ht(e,"time");t&&l.unshift(t)}return t.replace||l.unshift(...e.fields),{...e,fields:l}}(t,e)))},Kt={id:w.DataTransformerID.joinByLabels,name:"Join by labels",description:"Flatten labeled results into a table joined by labels.",defaultOptions:{},operator:(e,t)=>n=>n.pipe(yt((n=>Kt.transformer(e,t)(n)))),transformer:e=>t=>t&&t.length?[Xt(e,t)]:t};function Xt(e,t){if(!e.value?.length)return Qt("No value labele configured");const n=function(e){const t=new Set;for(const n of e)for(const e of n.fields)if(e.labels)for(const n of Object.keys(e.labels))t.add(n);return t}(t);if(n.size<1)return Qt("No labels in result");if(!n.has(e.value))return Qt("Value label not found");let r=e.join?.length?e.join:Array.from(n);r=r.filter((t=>t!==e.value));const o=new Set,i=new Map,a={};for(const n of t)for(const t of n.fields)if(t.labels&&t.type!==w.FieldType.time){const n=r.map((e=>t.labels[e])),l=n.join(",");let s=i.get(l);s||(s={keys:n,values:{}},i.set(l,s));const c=t.labels[e.value],u=t.values,d=s.values[c];s.values[c]=d?d.concat(u):u,a[c]||(a[c]=t),o.add(c)}const l=Array.from(o),s=r.map((()=>[])),c=l.map((()=>[]));for(const e of i.values()){let t=-1,n=!1;for(;!n;){t++,n=!0;for(let t=0;t<r.length;t++)s[t].push(e.keys[t]);for(let r=0;r<l.length;r++){const o=l[r],i=e.values[o]??[];c[r].push(i[t]),i.length>t+1&&(n=!1)}}}const u={fields:[],length:c[0].length};for(let e=0;e<r.length;e++)u.fields.push({name:r[e],config:{},type:w.FieldType.string,values:s[e]});for(let e=0;e<l.length;e++){const t=a[l[e]];u.fields.push({name:l[e],config:{},type:t.type??w.FieldType.number,values:c[e]})}return u}function Qt(e){return{meta:{notices:[{severity:"error",text:e}]},fields:[{name:"Error",type:w.FieldType.string,config:{},values:[e]}],length:0}}const Jt=(e,t,n=[])=>(0===t?n.push(e):e.forEach((e=>{Jt(e,t-1,n)})),n),Zt=w.standardTransformers.noopTransformer,en={asLabels:!0,append:!1,withNames:!1,separator1:"=",separator2:" "},tn={id:w.DataTransformerID.partitionByValues,name:"Partition by values",description:"Splits a one-frame dataset into multiple series discriminated by unique/enum values in one or more fields.",defaultOptions:{},operator:(e,t)=>n=>n.pipe((0,T.map)((n=>tn.transformer(e,t)(n)))),transformer:(e,t)=>{const n=((e,t)=>{if(!t)return;const{names:n,pattern:r,variable:o}=t;return Array.isArray(n)&&0!==n.length||r?r?Array.isArray(n)&&0!==n.length?{id:w.FieldMatcherID.byRegexpOrNames,options:t}:{id:w.FieldMatcherID.byRegexp,options:r}:{id:w.FieldMatcherID.byNames,options:{names:n}}:void 0})(0,{names:e.fields});if(!n)return Zt.transformer({},t);const r=(0,w.getFieldMatcher)(n);return t=>t.length?nn(t[0],r,e):t}};function nn(e,t,n){const r=e.fields.filter((n=>t(n,e,[e])));if(!r.length)return[e];const o=r.map((e=>e.values)),i=r.map((e=>e.name)),a={...en,...n?.naming};return function(e){const t=e[0].length,n=e.length,r=new Map;for(let o=0;o<t;o++){let t=r;for(let r=0;r<n;r++){let i=e[r][o],a=t.get(i);null==a&&(a=r===n-1?[]:new Map,t.set(i,a)),t=a}t.push(o)}return Jt(r,n)}(o).map((t=>{let l=e.name,s={};if(a.asLabels)s=function(e,t){const n={};return e.forEach(((e,r)=>{n[e]=String(t[r])})),n}(i,r.map(((e,n)=>o[n][t[0]])));else{let n=function(e,t,n){return t.map(((t,r)=>e.withNames?`${t}${e.separator1}${n[r]}`:n[r])).join(e.separator2)}(a,i,r.map(((e,n)=>o[n][t[0]])));a?.append&&e.name&&(n=`${e.name} ${n}`),l=n}let c=e.fields;if(!n?.keepFields){const t=new Set(i);c=e.fields.filter((e=>!t.has(e.name)))}return{name:l,meta:e.meta,length:t.length,fields:c.map((e=>{const n=e.values,r=Array(t.length);for(let e=0;e<t.length;e++)r[e]=n[t[e]];return{name:e.name,type:e.type,config:e.config,labels:{...e.labels,...s},values:r}}))}}))}function rn(e){if(!Array.isArray(e)||0===e.length)return e;const t=[];for(const n of on(e)){const e=n.fields[0];if(!e||e.type!==w.FieldType.time)continue;const r=[],o=[];for(const e of n.fields)switch(e.type){case w.FieldType.number:case w.FieldType.boolean:r.push(e);break;case w.FieldType.string:o.push(e)}for(const i of r)if(o.length){const r=new Map;for(let t=0;t<n.length;t++){const n=e.values[t],a=i.values[t];if(void 0===a||null==n)continue;const l=o.map((e=>e.values[t])).join("/");let s=r.get(l);if(!s){s={key:l,time:[],value:[],labels:{}};for(const e of o)s.labels[e.name]=e.values[t];r.set(l,s)}s.time.push(n),s.value.push(a)}for(const o of r.values())t.push({name:n.name,refId:n.refId,meta:{...n.meta,type:w.DataFrameType.TimeSeriesMulti},fields:[{...e,values:o.time},{...i,values:o.value,labels:o.labels}],length:o.time.length})}else t.push({name:n.name,refId:n.refId,meta:{...n.meta,type:w.DataFrameType.TimeSeriesMulti},fields:[e,i],length:n.length})}return t}function on(e){if(!Array.isArray(e)||0===e.length)return e;const t=[];for(const n of e){let e;const r=[],o={},i={},a={},l={};for(let t=0;t<n.fields.length;t++){const s=n.fields[t];switch(s.type){case w.FieldType.string:case w.FieldType.boolean:s.name in l||(l[s.name]=t,i[s.name]=!0);break;case w.FieldType.time:if(!e){e=s;break}default:if(s.name in o){const e=o[s.name];if(s.type!==e)continue}else o[s.name]=s.type,r.push(s.name);const n=JSON.stringify(s.labels),c=a[n];if(void 0!==c?c.push(t):a[n]=[t],null!=s.labels)for(const e in s.labels)i[e]=!0}}if(!e)continue;const s=[],c=[],u=[],d=[];for(let t=0;t<n.length;t++)s.push({time:e.values[t],wideRowIndex:t});for(const e in a)c.push(e);for(const e in i)u.push(e);for(const e in l)d.push(e);s.sort(((e,t)=>e.time-t.time)),c.sort(),u.sort(),r.sort();const p=new w.MutableDataFrame({...n,meta:{...n.meta,type:w.DataFrameType.TimeSeriesLong},fields:[{name:e.name,type:e.type}]});for(const e of r)p.addField({name:e,type:o[e]});for(const e of u)p.addField({name:e,type:w.FieldType.string});for(const t of s){const{time:r,wideRowIndex:o}=t;for(const t of c){const i={};for(const e of d)i[e]=n.fields[l[e]].values[o];let s=0;for(const e of a[t]){const t=n.fields[e];if(0==s++&&null!=t.labels)for(const e in t.labels)i[e]=t.labels[e];i[t.name]=t.values[o]}i[e.name]=r,p.add(i)}}t.push(p)}return t}function an(e){return nn(e,(e=>e.type===w.FieldType.string)).map((e=>(e.meta||(e.meta={}),e.meta.type=w.DataFrameType.TimeSeriesMulti,e)))}const ln={id:w.DataTransformerID.prepareTimeSeries,name:"Prepare time series",description:"Will stretch data frames from the wide format into the long format. This is really helpful to be able to keep backwards compatibility for panels not supporting the new wide format.",defaultOptions:{},operator:(e,t)=>n=>n.pipe(yt((n=>ln.transformer(e,t)(n)))),transformer:e=>{const t=e?.format??"wide";if("many"===t||"multi"===t)return rn;if("long"===t)return on;const n=w.fieldMatchers.get(w.FieldMatcherID.firstTimeField).get({});return e=>{if(!e.length)return[];const t=[];for(const n of e)n.meta?.type===w.DataFrameType.TimeSeriesLong?an(n).forEach((e=>t.push(e))):t.push(n);const r=(0,w.outerJoinDataFrames)({frames:t,joinBy:n,keepOriginIndices:!0});return r?(r.meta||(r.meta={}),r.meta.type=w.DataFrameType.TimeSeriesWide,[r]):[]}}};w.DataTransformerID.rowsToFields,w.DataTransformerID.timeSeriesTable;let sn={};const cn=new w.Registry((()=>[{id:Ue.Lucene,name:"Lucene",description:"Values are lucene escaped and multi-valued variables generate an OR expression",formatter:e=>"string"==typeof e?un(e):Array.isArray(e)?0===e.length?"__empty__":"("+(0,Et.map)(e,(e=>'"'+un(e)+'"')).join(" OR ")+")":un(`${e}`)},{id:Ue.Raw,name:"raw",description:"Keep value as is",formatter:e=>String(e)},{id:Ue.Regex,name:"Regex",description:"Values are regex escaped and multi-valued variables generate a (<value>|<value>) expression",formatter:e=>{if("string"==typeof e)return(0,w.escapeRegex)(e);if(Array.isArray(e)){const t=e.map((e=>(0,w.escapeRegex)("string"==typeof e?e:String(e))));return 1===t.length?t[0]:"("+t.join("|")+")"}return(0,w.escapeRegex)(`${e}`)}},{id:Ue.Pipe,name:"Pipe",description:"Values are separated by | character",formatter:e=>"string"==typeof e?e:Array.isArray(e)?e.join("|"):`${e}`},{id:Ue.Distributed,name:"Distributed",description:"Multiple values are formatted like variable=value",formatter:(e,t,n)=>"string"==typeof e?e:Array.isArray(e)?(e=(0,Et.map)(e,((e,t)=>0!==t?n.state.name+"="+e:e))).join(","):`${e}`},{id:Ue.CSV,name:"Csv",description:"Comma-separated values",formatter:e=>"string"==typeof e?e:(0,Et.isArray)(e)?e.join(","):String(e)},{id:Ue.HTML,name:"HTML",description:"HTML escaping of values",formatter:e=>"string"==typeof e?w.textUtil.escapeHtml(e):(0,Et.isArray)(e)?w.textUtil.escapeHtml(e.join(", ")):w.textUtil.escapeHtml(String(e))},{id:Ue.JSON,name:"JSON",description:"JSON stringify value",formatter:e=>"string"==typeof e?e:JSON.stringify(e)},{id:Ue.PercentEncode,name:"Percent encode",description:"Useful for URL escaping values",formatter:e=>(0,Et.isArray)(e)?dn("{"+e.join(",")+"}"):dn(e)},{id:Ue.SingleQuote,name:"Single quote",description:"Single quoted values",formatter:e=>{const t=new RegExp("'","g");if((0,Et.isArray)(e))return(0,Et.map)(e,(e=>`'${(0,Et.replace)(e,t,"\\'")}'`)).join(",");let n="string"==typeof e?e:String(e);return`'${(0,Et.replace)(n,t,"\\'")}'`}},{id:Ue.DoubleQuote,name:"Double quote",description:"Double quoted values",formatter:e=>{const t=new RegExp('"',"g");if((0,Et.isArray)(e))return(0,Et.map)(e,(e=>`"${(0,Et.replace)(e,t,'\\"')}"`)).join(",");let n="string"==typeof e?e:String(e);return`"${(0,Et.replace)(n,t,'\\"')}"`}},{id:Ue.SQLString,name:"SQL string",description:"SQL string quoting and commas for use in IN statements and other scenarios",formatter:bn},{id:Ue.Date,name:"Date",description:"Format date in different ways",formatter:(e,t)=>{let n=NaN;if("number"==typeof e?n=e:"string"==typeof e&&(n=parseInt(e,10)),isNaN(n))return"NaN";const r=t[0]??"iso";switch(r){case"ms":return String(e);case"seconds":return`${Math.round(n/1e3)}`;case"iso":return(0,w.dateTime)(n).toISOString();default:return(t||[]).length>1?(0,w.dateTime)(n).format(t.join(":")):(0,w.dateTime)(n).format(r)}}},{id:Ue.Glob,name:"Glob",description:"Format multi-valued variables using glob syntax, example {value1,value2}",formatter:e=>(0,Et.isArray)(e)&&e.length>1?"{"+e.join(",")+"}":String(e)},{id:Ue.Text,name:"Text",description:"Format variables in their text representation. Example in multi-variable scenario A + B + C.",formatter:(e,t,n)=>n.getValueText?n.getValueText():String(e)},{id:Ue.QueryParam,name:"Query parameter",description:"Format variables as URL parameters. Example in multi-variable scenario A + B + C => var-foo=A&var-foo=B&var-foo=C.",formatter:(e,t,n)=>Array.isArray(e)?e.map((e=>gn(n.state.name,e))).join("&"):gn(n.state.name,e)},{id:Ue.UriEncode,name:"Percent encode as URI",description:"Useful for URL escaping values, taking into URI syntax characters",formatter:e=>(0,Et.isArray)(e)?pn("{"+e.join(",")+"}"):pn(e)}]));function un(e){return!1===isNaN(+e)?e:e.replace(/([\!\*\+\-\=<>\s\&\|\(\)\[\]\{\}\^\~\?\:\\/"])/g,"\\$1")}function dn(e){return"object"==typeof e&&(e=String(e)),fn(encodeURIComponent(e))}const pn=e=>fn(encodeURI(String(e))),fn=e=>e.replace(/[!'()*]/g,(e=>"%"+e.charCodeAt(0).toString(16).toUpperCase()));function gn(e,t){return`var-${e}=${dn(t)}`}const mn={"'":"''",'"':'\\"'};function bn(e){const t=new RegExp("'|\"","g");if((0,Et.isArray)(e))return(0,Et.map)(e,(e=>`'${(0,Et.replace)(e,t,(e=>mn[e]??""))}'`)).join(",");let n="string"==typeof e?e:String(e);return`'${(0,Et.replace)(n,t,(e=>mn[e]??""))}'`}var hn=Object.defineProperty;class vn{constructor(e,t,n){(()=>{((e,t,n)=>{"state"in e?hn(e,"state",{enumerable:!0,configurable:!0,writable:!0,value:n}):e.state=n})(this,0,void 0)})(),this.state={name:e.name,value:t,text:n,type:e.type}}getValue(e){let{value:t}=this.state;return"string"===t||"number"===t||"boolean"===t?t:String(t)}getValueText(){const{value:e,text:t}=this.state;return"string"==typeof t?"$__all"===e?"All":t:Array.isArray(t)?t.join(" + "):(console.log("value",t),String(t))}}let yn;function wn(e,t,n,r){if(null==e)return"";if("adhoc"===(n=n||{}).type&&t!==Ue.QueryParam)return"";if(Array.isArray(e)||"object"!=typeof e||(e=`${e}`),"function"==typeof t)return t(e,n,wn);t||(t=Ue.Glob);let o=t.split(":");o.length>1?(t=o[0],o=o.slice(1)):o=[];let i=cn.getIfExists(t);i||(console.error(`Variable format ${t} not found. Using glob format as fallback.`),i=cn.get(Ue.Glob));const a=function(e,t,n){return yn?(yn.state.name=e.name,yn.state.type=e.type,yn.state.value=t,yn.state.text=n):yn=new vn(e,t,n),yn}(n,e,r??e);return i.formatter(e,o,a)}var En=Object.defineProperty,An=(e,t,n)=>(((e,t,n)=>{t in e?En(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n})(e,"symbol"!=typeof t?t+"":t,n),n),Cn=Object.defineProperty;new class{constructor(e){this.templateService=e,((e,t,n)=>{((e,t,n)=>{"regex"in e?Cn(e,"regex",{enumerable:!0,configurable:!0,writable:!0,value:n}):e.regex=n})(this,0,n)})(0,0,xt)}getVariableNames(e){let t;this.regex.lastIndex=0;const n=[];for(;t=this.regex.exec(e);)n.push(t[1]??t[4]);return n.length?n:[]}containsVariable(e,t=[]){if(!e)return!1;const n=this.getVariableNames(e);if(!n.length)return!1;for(const e of n){if(St.includes(e))return!0;if(t.includes(e))return!0}return!1}getUsedVariables(e,t=!1){return this.getVariableNames(e).filter((e=>!!t||!St.includes(e)))}replace(e,t,n,r,o){return e?this.templateService.replace(e,t,n,r,o):e??""}}(new class{constructor(){An(this,"variables"),An(this,"regex",xt)}getVariableValue(e,t){return t?function(e){return sn[e]||(sn[e]=(0,Et.property)(e))}(t)(e.value):e.value}getVariableText(e,t){return e.value===t||"string"!=typeof t?e.text:t}replace(e,t,n,r,o){return this.variables=o,e?(this.regex.lastIndex=0,this._replaceWithVariableRegex(e,n,((e,n,o,i)=>{const a=this._evaluateVariableExpression(e,n,o,i,t);return r&&r.push({match:e,variableName:n,fieldPath:o,format:i,value:a,found:a!==e}),a}))):e??""}getVariableAtIndex(e){if(e&&this.variables)return this.variables?.[e]}_evaluateVariableExpression(e,t,n,r,o){const i=o?.[t];if(i){const e=this.getVariableValue(i,n),o=this.getVariableText(i,e);if(null!=e)return wn(e,r,this.getVariableAtIndex(t),o)}return e}_replaceWithVariableRegex(e,t,n){return this.regex.lastIndex=0,e.replace(this.regex,((e,r,o,i,a,l,s)=>n(e,r||o||a,l,i||s||t)))}});const Sn=e=>`${e.source}:${e.name}`,xn=(e,t,n)=>{const r=Array.from(e),[o]=r.splice(t,1);return r.splice(n,0,o),r},On=(e,t,n)=>t.name===n.name,Rn=(e,t)=>((e,t)=>{for(let n=0;n<e.length;n+=1){const r=e[n],o=r.fields.find((e=>t(e,r)));if(o)return o}})(e,((e,n)=>On(0,e,t))),In=(e,{series:n,user:r})=>{if(!e.enabled)return!1;switch(e.permission.mode){case t.ALLOWED:return!0;case t.USER_ROLE:return((e,t)=>e.permission.userRole.includes(t.orgRole))(e,r);case t.QUERY:return((e,t)=>{if(!e.permission.field)return!1;const n=Rn(t,e.permission.field);return!!n&&!!n.values[n.values.length-1]})(e,n)}};function Pn(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Dn(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Pn(e,t,n[t])}))}return e}function Tn(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Mn=(e,t,n,r)=>{const o=(e=>e&&"object"==typeof e&&"type"in e&&Object.values(a).includes(e.type)?e:{type:"none"})(n);switch(o.type){case a.SEARCH:return o.caseSensitive?re.includesStringSensitive(e,t,o.value,r):re.includesString(e,t,o.value,r);case a.NUMBER:return((e,t,n,r)=>{const o=e.getValue(t),i=n[0];switch(r){case l.BETWEEN:{const e=Math.min(n[0],n[1]),t=Math.max(n[0],n[1]);return o>=e&&o<=t}case l.MORE:return o>i;case l.MORE_OR_EQUAL:return o>=i;case l.LESS:return o<i;case l.LESS_OR_EQUAL:return o<=i;case l.EQUAL:return o===i;case l.NOT_EQUAL:return o!==i;default:return!1}})(e,t,o.value,o.operator);case a.FACETED:return re.arrIncludesSome(e,t,o.value,r);case a.TIMESTAMP:return((e,t,n)=>{const r=e.getValue(t);if("number"!=typeof r&&"string"!=typeof r)return!0;if("number"==typeof r)return r>=n.from&&r<=n.to;const o=(0,w.dateTime)(r);if(o.isValid()){const e=o.valueOf();return e>=n.from&&e<=n.to}return!0})(e,t,o.valueToFilter);default:return!0}};Mn.resolveFilterValue=e=>e.type===a.TIMESTAMP?Tn(Dn({},e),{valueToFilter:{from:e.value.from.valueOf(),to:e.value.to.valueOf()}}):e;const kn=e=>{switch(e){case a.NUMBER:return{type:e,value:[0,0],operator:l.MORE};case a.SEARCH:return{type:e,value:"",caseSensitive:!1};case a.FACETED:return{type:e,value:[]};case a.TIMESTAMP:{const t=(0,w.dateTime)(null),n=(0,w.dateTime)(null);return{type:e,value:{from:t,to:n,raw:{from:t,to:n}}}}default:return{type:e}}},Bn=e=>{if(e)switch(e.type){case"query":case"custom":if(e.multi)return[a.FACETED];break;case"textbox":case"constant":return[a.SEARCH]}return[]},Nn=e=>{const t=e.filter((e=>{var t;return e.enableColumnFilter&&(null===(t=e.meta)||void 0===t?void 0:t.filterMode)===c.QUERY}));if(t.length){const e=(0,D.getTemplateSrv)().getVariables(),n=[];return t.forEach((t=>{const r=e.find((e=>{var n;return e.name===(null===(n=t.meta)||void 0===n?void 0:n.filterVariableName)}));if(r){const e="current"in r?r.current.value:"",o=Bn(r)[0];if(o&&e)switch(o){case a.SEARCH:n.push({id:t.id,value:{type:a.SEARCH,value:e,caseSensitive:!1}});break;case a.FACETED:n.push({id:t.id,value:{type:a.FACETED,value:e}})}else n.push({id:t.id,value:void 0})}})),n}return[]},Fn=(e,t)=>{const n=new Map;return e.forEach((e=>{n.set(e.id,e)})),t.forEach((e=>{e.value?n.set(e.id,e):n.delete(e.id)})),[...n.values()]},Ln=({context:e,config:t,field:n,theme:r})=>{const o=t.footer[0];if(void 0===o)return"";const i=e.table.getFilteredRowModel().rows.map((t=>t.getValue(e.column.id))),[a]=(0,w.toDataFrame)({fields:[Tn(Dn({},n),{values:i})]}).fields,l=(0,w.reduceField)({field:a,reducers:t.footer})[o];var s;const c=null!==(s=n.display)&&void 0!==s?s:(0,w.getDisplayProcessor)({field:a,theme:r});return w.fieldReducers.get(o).preservesUnits?(0,w.formattedValueToString)(c(l)):(0,w.formattedValueToString)({text:l})};function jn(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const _n=e=>e.reduce(((e,t)=>{const n=t;return n?(r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){jn(e,t,n[t])}))}return e}({},e),o=null!=(o={[n.name]:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r):e;var r,o}),{}),Vn=e=>{if("current"in e){const t=e.current.value,n="string"==typeof t?t:Array.isArray(t)?t[0]:"",r=Number(n);if(Number.isNaN(r))return;return r}},zn=e=>`var-${e}`;function Gn(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function Hn(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){Gn(i,r,o,a,l,"next",e)}function l(e){Gn(i,r,o,a,l,"throw",e)}a(void 0)}))}}const Un=(e,t)=>{const n=(0,A.useCallback)(Hn((function*(){const n=window.localStorage.getItem(e);if(n){const e=JSON.parse(n);return(null==e?void 0:e.version)===t?e.data:void 0}})),[e,t]),r=(0,A.useCallback)((o=Hn((function*(n){return window.localStorage.setItem(e,JSON.stringify({version:t,data:n})),n})),function(e){return o.apply(this,arguments)}),[e,t]);var o;return(0,A.useMemo)((()=>({get:n,update:r})),[n,r])};function $n(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function Wn(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const qn=({key:e,initialValue:t,version:n=1,getStateForSave:r=e=>e,enabled:o=!0})=>{const[i,a]=(0,A.useState)(t),[l,s]=(0,A.useState)(!1),c=(0,A.useRef)(r),{get:u,update:d}=Un(e,n);(0,A.useEffect)((()=>{const e=(t=function*(){const e=yield u();e&&a("object"==typeof e?t=>(0,Et.merge)(function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Wn(e,t,n[t])}))}return e}({},t),e):e),s(!0)},n=function(){var e=this,n=arguments;return new Promise((function(r,o){var i=t.apply(e,n);function a(e){$n(i,r,o,a,l,"next",e)}function l(e){$n(i,r,o,a,l,"throw",e)}a(void 0)}))},function(){return n.apply(this,arguments)});var t,n;o&&e()}),[o,u]);const p=(0,A.useCallback)((e=>{a((t=>{const n="function"==typeof e?e(t):e;return o&&d(c.current(n)),n}))}),[o,d]);return[i,p,l]};function Yn(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Kn(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Yn(e,t,n[t])}))}return e}function Xn(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}const Qn=({replaceVariables:e,currentTable:t})=>{const n=(0,D.getAppEvents)(),r=(0,A.useCallback)((e=>n.publish({type:w.AppEvents.alertSuccess.name,payload:e})),[n]),o=(0,A.useCallback)((e=>n.publish({type:w.AppEvents.alertError.name,payload:e})),[n]),i=k();return(0,A.useCallback)((a=function*(a){const l=null==t?void 0:t.update;if(l)try{const t=yield i({query:l.payload,datasource:l.datasource,replaceVariables:e,payload:a});if(t.state===w.LoadingState.Error)throw t.errors;r(["Success","Values updated successfully."]),n.publish({type:"variables-changed",payload:{refreshAll:!0}})}catch(e){const t=e instanceof Error?e:Array.isArray(e)?e[0]:"Unknown Error";throw o(["Error",t]),e}},l=function(){var e=this,t=arguments;return new Promise((function(n,r){var o=a.apply(e,t);function i(e){Xn(o,n,r,i,l,"next",e)}function l(e){Xn(o,n,r,i,l,"throw",e)}i(void 0)}))},function(e){return l.apply(this,arguments)}),[n,null==t?void 0:t.update,i,o,r,e]);var a,l};function Jn(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Zn=({value:e,onChange:t})=>{const n=N(),r=(0,A.useMemo)((()=>n.map((e=>({label:e.name,value:e.name})))),[n]);return S().createElement(E.Select,function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Jn(e,t,n[t])}))}return e}({onChange:e=>{t(e.value)},options:r,value:e},P.datasourceEditor.fieldSelect.apply()))};function er(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function tr(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function nr(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){tr(e,t,n[t])}))}return e}const rr=({value:e,onChange:t,datasourceName:n})=>{var r;const o=(0,D.getDataSourceSrv)(),[i,a]=(0,A.useState)(),[l,s]=(0,A.useState)(!0),{startTimer:c,removeTimer:u}=(()=>{const e=(0,A.useRef)(null),t=(0,A.useCallback)((()=>{e.current&&(clearTimeout(e.current),e.current=null)}),[]);return{startTimer:(0,A.useCallback)((n=>{t(),e.current=setTimeout((()=>{n(),e.current=null}),1e3)}),[t]),removeTimer:t}})(),[d,p]=(0,A.useState)(e),[f,g]=(0,A.useState)(!1),m=(0,A.useCallback)((e=>{p(e),g(!0)}),[]),b=(0,A.useCallback)((()=>null),[]),h=(0,A.useCallback)((()=>{t(d),g(!1)}),[t,d]);if((0,A.useEffect)((()=>{const e=(t=function*(){s(!0);const e=yield o.get(n);a(e),s(!1)},r=function(){var e=this,n=arguments;return new Promise((function(r,o){var i=t.apply(e,n);function a(e){er(i,r,o,a,l,"next",e)}function l(e){er(i,r,o,a,l,"throw",e)}a(void 0)}))},function(){return r.apply(this,arguments)});var t,r;i&&i.name!==n&&m({}),!n||i&&i.name===n||e()}),[n,o,i,m]),(0,A.useEffect)((()=>(f?c(h):u(),()=>{u()})),[c,f,h,u]),l)return S().createElement(E.Alert,nr({severity:"info",title:"Please Wait"},P.payloadEditor.loadingMessage.apply()),S().createElement(E.LoadingPlaceholder,{text:"Loading..."}));if(!i||!(null===(r=i.components)||void 0===r?void 0:r.QueryEditor))return S().createElement(E.Alert,nr({title:"No Query Editor",severity:"error"},P.payloadEditor.errorMessage.apply()));const v=i.components.QueryEditor;return S().createElement(v,{datasource:i,query:d,onChange:m,onRunQuery:b})};var or=m(774);function ir(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ar(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ir(e,t,n[t])}))}return e}const lr=e=>{var{value:t,onChange:n,label:r}=e,o=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["value","onChange","label"]);return S().createElement(E.InlineFieldRow,o,t?S().createElement(S().Fragment,null,S().createElement(E.InlineField,{label:r,labelWidth:8},S().createElement(E.DateTimePicker,ar({onChange:e=>{e&&n(e.toISOString())},date:(0,w.dateTime)(t)},P.dateEditor.field.apply()))),S().createElement(E.Button,ar({icon:"minus",onClick:()=>{n(void 0)},variant:"secondary"},P.dateEditor.buttonRemoveDate.apply()))):S().createElement(E.InlineField,{label:r,labelWidth:8},S().createElement(E.Button,ar({icon:"plus",onClick:()=>{n((new Date).toISOString())},variant:"secondary"},P.dateEditor.buttonSetDate.apply()),"Set ",r," Date")))};function sr(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function cr(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){sr(e,t,n[t])}))}return e}const ur=({value:e,onChange:t,data:n})=>{const r=(0,A.useMemo)((()=>{if(e)return{source:e.source,name:e.value}}),[e]);return S().createElement(S().Fragment,null,S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Value Field",grow:!0},S().createElement(kr,cr({value:r,onChange:n=>{t(n?{source:n.source,value:n.name,label:(null==e?void 0:e.source)!==n.source?null:(null==e?void 0:e.label)||null}:void 0)},data:n,isClearable:!0},P.queryOptionsEditor.fieldValue.apply())))),(null==e?void 0:e.value)&&S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Label Field",grow:!0},S().createElement(kr,cr({value:r?{source:r.source,name:e.label||""}:void 0,onChange:n=>{return t((r=cr({},e),o=null!=(o={label:n?n.name:null})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r));var r,o},data:n,alreadySelectedFields:r?[r]:void 0,isClearable:!0},P.queryOptionsEditor.fieldLabel.apply())))))};function dr(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function pr(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){dr(e,t,n[t])}))}return e}function fr(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const gr=(e=>{const t=new Map;return e.forEach((e=>t.set(e.id,e))),t})([{id:e.STRING,editor:()=>null,control:({value:e,onChange:t,isSaving:n})=>S().createElement(E.Input,pr({value:e,onChange:e=>{t(e.currentTarget.value)},style:{width:"100%"},disabled:n},P.editableCell.fieldString.apply())),getControlOptions:e=>e.config},{id:e.NUMBER,editor:({value:e,onChange:t})=>S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Min"},S().createElement(E.Input,pr({type:"number",value:_e(e.min),onChange:n=>{t(Ve(fr(pr({},e),{min:n.target.value?Number(n.target.value):void 0})))}},P.editableColumnEditor.fieldNumberMin.apply()))),S().createElement(E.InlineField,{label:"Max"},S().createElement(E.Input,pr({type:"number",value:_e(e.max),onChange:n=>t(Ve(fr(pr({},e),{max:n.target.value?Number(n.target.value):void 0})))},P.editableColumnEditor.fieldNumberMax.apply())))),control:({value:e,onChange:t,config:n})=>S().createElement(or.Q7,pr({value:e,onChange:t,min:n.min,max:n.max},P.editableCell.fieldNumber.apply())),getControlOptions:e=>e.config},{id:e.DATETIME,editor:({value:e,onChange:t})=>S().createElement(S().Fragment,null,S().createElement(lr,{label:"Min",onChange:n=>t(Ve(fr(pr({},e),{min:n}))),value:e.min,"data-testid":P.editableColumnEditor.fieldDatetimeMin.selector()}),S().createElement(lr,{label:"Max",onChange:n=>t(Ve(fr(pr({},e),{max:n}))),value:e.max,"data-testid":P.editableColumnEditor.fieldDatetimeMax.selector()})),control:({value:e,onChange:t,config:n})=>S().createElement(E.DateTimePicker,pr({date:(0,w.dateTime)(e||void 0),onChange:e=>t(null==e?void 0:e.toISOString()),minDate:n.min?new Date(n.min):void 0,maxDate:n.max?new Date(n.max):void 0},P.editableCell.fieldDatetime.apply())),getControlOptions:e=>e.config},{id:e.SELECT,editor:({value:e,onChange:t,data:n})=>S().createElement(ur,{value:e.queryOptions,onChange:n=>{t(Ve(fr(pr({},e),{queryOptions:n})))},data:n}),control:({value:e,onChange:t,config:n})=>S().createElement(E.Select,pr({value:e,onChange:e=>t(e.value),options:n.options},P.editableCell.fieldSelect.apply())),getControlOptions:({config:e,data:t})=>{var n;const r=e.queryOptions,o={type:e.type,options:[]};if(!r||!r.value)return o;const i=t.series.find((e=>e.refId===r.source)),a=null==i?void 0:i.fields.find((e=>e.name===r.value));if(!i||!a)return o;const l=(null==i||null===(n=i.fields.find((e=>e.name===r.label)))||void 0===n?void 0:n.values)||a.values;return fr(pr({},o),{options:a.values.map(((e,t)=>({value:e,label:l[t]})))})}}]);function mr(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const br=[{value:e.STRING,label:"String"},{value:e.NUMBER,label:"Number"},{value:e.SELECT,label:"Select"},{value:e.DATETIME,label:"Datetime"}],hr=({value:e,onChange:t,data:n})=>{var r;const o=null===(r=gr.get(e.type))||void 0===r?void 0:r.editor;return S().createElement(S().Fragment,null,S().createElement(E.InlineField,{label:"Editor Type",grow:!0},S().createElement(E.Select,function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){mr(e,t,n[t])}))}return e}({value:e.type,onChange:e=>{t(je(e.value))},options:br},P.editableColumnEditor.fieldType.apply()))),o&&S().createElement(o,{value:e,onChange:t,data:n}))};var vr=m(89);const yr=e=>({column:vr.css`
      &:not(:last-child) {
        margin-bottom: ${e.spacing(.5)};
      }
    `,groupField:vr.css`
      &:not(:last-child) {
        margin-bottom: ${e.spacing(1)};
      }
    `});function wr(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Er(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){wr(e,t,n[t])}))}return e}function Ar(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Cr=[{value:t.ALLOWED,label:"Always Allowed"},{value:t.USER_ROLE,label:"By Org User Role"},{value:t.QUERY,label:"By Backend"}],Sr=Object.values(w.OrgRole).map((e=>({value:e,label:e}))),xr=P.tableUpdateEditor,Or=({value:e,onChange:n,data:r})=>{const o=(0,E.useStyles2)(yr),[i,a]=(0,A.useState)({}),l=(0,A.useCallback)((t=>{n(Ar(Er({},e),{items:e.items.map((e=>Sn(e.field)===Sn(t.field)?t:e))}))}),[n,e]),s=(0,A.useMemo)((()=>e.items.some((e=>e.edit.enabled))),[e.items]);return S().createElement(S().Fragment,null,S().createElement(E.Label,null,"Columns"),S().createElement(S().Fragment,null,e.items.length>0?e.items.map((e=>S().createElement("div",{key:Sn(e.field),className:o.column},S().createElement(or.SD,{fill:"solid",title:S().createElement(cf,null,e.field.name,S().createElement(E.InlineSwitch,Er({value:e.edit.enabled,label:"Editable",transparent:!0,onChange:t=>{l(Ar(Er({},e),{edit:Ar(Er({},e.edit),{enabled:t.currentTarget.checked})})),a(Ar(Er({},i),{[Sn(e.field)]:t.currentTarget.checked}))}},xr.fieldEditQuickEnabled.apply(Sn(e.field)))),e.edit.enabled&&S().createElement(E.Tag,{name:e.edit.editor.type})),isOpen:i[Sn(e.field)],onToggle:t=>a(Ar(Er({},i),{[Sn(e.field)]:t})),headerTestId:xr.columnHeader.selector(Sn(e.field)),contentTestId:xr.columnContent.selector(Sn(e.field)),isExpandDisabled:!e.edit.enabled},S().createElement(S().Fragment,null,e.edit.enabled&&S().createElement(S().Fragment,null,S().createElement(df,{label:"Permission"},S().createElement(E.InlineField,{label:"Check",grow:!0},S().createElement(E.Select,Er({value:e.edit.permission.mode,onChange:t=>{l(Ar(Er({},e),{edit:Ar(Er({},e.edit),{permission:Ar(Er({},e.edit.permission),{mode:t.value})})}))},options:Cr},xr.fieldEditPermissionMode.apply()))),e.edit.permission.mode===t.USER_ROLE&&S().createElement(E.InlineField,{label:"User Role",grow:!0},S().createElement(E.Select,Er({value:e.edit.permission.userRole,onChange:t=>{const n=Array.isArray(t)?t:[t];l(Ar(Er({},e),{edit:Ar(Er({},e.edit),{permission:Ar(Er({},e.edit.permission),{userRole:n.map((e=>e.value))})})}))},options:Sr,isMulti:!0,isClearable:!0,placeholder:"Allowed Org User Role"},xr.fieldEditPermissionOrgRole.apply()))),e.edit.permission.mode===t.QUERY&&S().createElement(E.InlineField,{label:"Field",tooltip:"Field with boolean value to allow/disallow edit. Last value will be used if several values.",grow:!0},S().createElement(kr,Er({value:e.edit.permission.field,onChange:t=>{l(Ar(Er({},e),{edit:Ar(Er({},e.edit),{permission:Ve(Ar(Er({},e.edit.permission),{field:t}))})}))},data:r,includeTypes:[w.FieldType.boolean],isClearable:!0},xr.fieldEditPermissionField.apply())))),S().createElement(df,{label:"Editor"},S().createElement(hr,{value:e.edit.editor,onChange:t=>{l(Ar(Er({},e),{edit:Ar(Er({},e.edit),{editor:t})}))},data:r})))))))):S().createElement(E.Alert,Er({severity:"info",title:"No Columns"},xr.noColumnsMessage.apply()),"Please add at least one column for table.")),s&&S().createElement(S().Fragment,null,S().createElement(E.Label,null,"Settings"),S().createElement(or.SD,{title:"Update Request",isOpen:i.update,onToggle:e=>{a(Ar(Er({},i),{update:e}))},headerTestId:xr.updateSectionHeader.selector(),contentTestId:xr.updateSectionContent.selector()},S().createElement(S().Fragment,null,S().createElement(E.Field,{label:"Data Source"},S().createElement(Zn,{value:e.update.datasource,onChange:t=>{n(Ar(Er({},e),{update:Ar(Er({},e.update),{datasource:t})}))}})),e.update.datasource&&S().createElement(E.Field,{label:"Query Editor",description:"Updated row is placed in variable `${payload}`"},S().createElement(rr,{value:e.update.payload,onChange:t=>{n(Ar(Er({},e),{update:Ar(Er({},e.update),{payload:t})}))},datasourceName:e.update.datasource}))))))},Rr=e=>({item:vr.css`
      margin-bottom: ${e.spacing(1)};
    `});function Ir(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Pr=P.editableDataEditor,Dr=({context:{data:e},onChange:t,value:n})=>{const r=(0,E.useStyles2)(Rr),[o,i]=(0,A.useState)({}),a=(0,A.useCallback)((e=>{t(e)}),[t]),l=(0,A.useCallback)((e=>{i((t=>{return n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ir(e,t,n[t])}))}return e}({},t),r=null!=(r={[e]:!t[e]})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n;var n,r}))}),[]),s=(0,A.useCallback)((e=>{a(n.map((t=>t.name===e.name?e:t)))}),[n,a]);return S().createElement(S().Fragment,null,n.map((t=>S().createElement("div",{key:t.name,className:r.item},S().createElement(or.SD,{title:S().createElement(cf,null,t.name),headerTestId:Pr.itemHeader.selector(t.name),contentTestId:Pr.itemContent.selector(t.name),isOpen:o[t.name],onToggle:()=>l(t.name)},S().createElement(Or,{value:t,onChange:s,data:e}))))))},Tr=(e,t)=>({value:Sn({source:t,name:e.name}),fieldName:e.name,label:Sn({source:t,name:e.name}),source:t,icon:(0,E.getFieldTypeIcon)(e)});function Mr(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const kr=e=>{var{data:t,value:n,onChange:r,alreadySelectedFields:o,includeTypes:i}=e,a=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["data","value","onChange","alreadySelectedFields","includeTypes"]);const l=(0,A.useMemo)((()=>{const e=null==o?void 0:o[0];if(e){const n=t.findIndex(((t,n)=>void 0===t.refId?n===e.source:t.refId===e.source)),r=t[n];if(r){const e=r.refId||n;return r.fields.filter((e=>!i||i.includes(e.type))).map((t=>Tr(t,e))).filter((e=>!o.some((t=>t.name===e.fieldName))))||[]}}return t.reduce(((e,t,n)=>e.concat(t.fields.filter((e=>!i||i.includes(e.type))).map((e=>{const r=t.refId||n;return Tr(e,r)})))),[])}),[o,t,i]),s=(0,A.useMemo)((()=>n?Sn(n):null),[n]);return S().createElement(E.Select,function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Mr(e,t,n[t])}))}return e}({options:l,value:s,onChange:e=>{r(e?{source:e.source,name:e.fieldName}:void 0)}},P.fieldPicker.root.apply(),a))};var Br=m(398),Nr=m.n(Br),Fr=m(313),Lr=m(200);function jr(e,t){var n=(0,A.useState)((function(){return{inputs:t,result:e()}}))[0],r=(0,A.useRef)(!0),o=(0,A.useRef)(n),i=r.current||Boolean(t&&o.current.inputs&&function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}(t,o.current.inputs))?o.current:{inputs:t,result:e()};return(0,A.useEffect)((function(){r.current=!1,o.current=i}),[i]),i.result}var _r=jr,Vr=function(e,t){return jr((function(){return e}),t)},zr=function(e){var t=e.top,n=e.right,r=e.bottom,o=e.left;return{top:t,right:n,bottom:r,left:o,width:n-o,height:r-t,x:o,y:t,center:{x:(n+o)/2,y:(r+t)/2}}},Gr=function(e,t){return{top:e.top-t.top,left:e.left-t.left,bottom:e.bottom+t.bottom,right:e.right+t.right}},Hr=function(e,t){return{top:e.top+t.top,left:e.left+t.left,bottom:e.bottom-t.bottom,right:e.right-t.right}},Ur={top:0,right:0,bottom:0,left:0},$r=function(e){var t=e.borderBox,n=e.margin,r=void 0===n?Ur:n,o=e.border,i=void 0===o?Ur:o,a=e.padding,l=void 0===a?Ur:a,s=zr(Gr(t,r)),c=zr(Hr(t,i)),u=zr(Hr(c,l));return{marginBox:s,borderBox:zr(t),paddingBox:c,contentBox:u,margin:r,border:i,padding:l}},Wr=function(e){var t=e.slice(0,-2);if("px"!==e.slice(-2))return 0;var n=Number(t);return isNaN(n)&&function(){throw new Error("Invariant failed")}(),n},qr=function(e,t){var n,r,o=e.borderBox,i=e.border,a=e.margin,l=e.padding,s=(r=t,{top:(n=o).top+r.y,left:n.left+r.x,bottom:n.bottom+r.y,right:n.right+r.x});return $r({borderBox:s,border:i,margin:a,padding:l})},Yr=function(e,t){return void 0===t&&(t={x:window.pageXOffset,y:window.pageYOffset}),qr(e,t)},Kr=function(e,t){var n={top:Wr(t.marginTop),right:Wr(t.marginRight),bottom:Wr(t.marginBottom),left:Wr(t.marginLeft)},r={top:Wr(t.paddingTop),right:Wr(t.paddingRight),bottom:Wr(t.paddingBottom),left:Wr(t.paddingLeft)},o={top:Wr(t.borderTopWidth),right:Wr(t.borderRightWidth),bottom:Wr(t.borderBottomWidth),left:Wr(t.borderLeftWidth)};return $r({borderBox:e,margin:n,padding:r,border:o})},Xr=function(e){var t=e.getBoundingClientRect(),n=window.getComputedStyle(e);return Kr(t,n)},Qr=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function Jr(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||Qr(r)&&Qr(o)))return!1;var r,o;return!0}function Zr(e,t){void 0===t&&(t=Jr);var n=null;function r(){for(var r=[],o=0;o<arguments.length;o++)r[o]=arguments[o];if(n&&n.lastThis===this&&t(r,n.lastArgs))return n.lastResult;var i=e.apply(this,r);return n={lastResult:i,lastArgs:r,lastThis:this},i}return r.clear=function(){n=null},r}const eo=function(e){var t=[],n=null,r=function(){for(var r=arguments.length,o=new Array(r),i=0;i<r;i++)o[i]=arguments[i];t=o,n||(n=requestAnimationFrame((function(){n=null,e.apply(void 0,t)})))};return r.cancel=function(){n&&(cancelAnimationFrame(n),n=null)},r};var to=m(102);function no(e,t){}function ro(){}function oo(e,t,n){const r=t.map((t=>{const r=(o=n,i=t.options,{...o,...i});var o,i;return e.addEventListener(t.eventName,t.fn,r),function(){e.removeEventListener(t.eventName,t.fn,r)}}));return function(){r.forEach((e=>{e()}))}}no.bind(null,"warn"),no.bind(null,"error");const io=!0,ao="Invariant failed";class lo extends Error{}function so(e,t){if(!e)throw new lo(io?ao:`${ao}: ${t||""}`)}lo.prototype.toString=function(){return this.message};class co extends S().Component{constructor(...e){super(...e),this.callbacks=null,this.unbind=ro,this.onWindowError=e=>{const t=this.getCallbacks();t.isDragging()&&t.tryAbort(),e.error instanceof lo&&e.preventDefault()},this.getCallbacks=()=>{if(!this.callbacks)throw new Error("Unable to find AppCallbacks in <ErrorBoundary/>");return this.callbacks},this.setCallbacks=e=>{this.callbacks=e}}componentDidMount(){this.unbind=oo(window,[{eventName:"error",fn:this.onWindowError}])}componentDidCatch(e){if(!(e instanceof lo))throw e;this.setState({})}componentWillUnmount(){this.unbind()}render(){return this.props.children(this.setCallbacks)}}const uo=e=>e+1,po=(e,t)=>{const n=e.droppableId===t.droppableId,r=uo(e.index),o=uo(t.index);return n?`\n      You have moved the item from position ${r}\n      to position ${o}\n    `:`\n    You have moved the item from position ${r}\n    in list ${e.droppableId}\n    to list ${t.droppableId}\n    in position ${o}\n  `},fo=(e,t,n)=>t.droppableId===n.droppableId?`\n      The item ${e}\n      has been combined with ${n.draggableId}`:`\n      The item ${e}\n      in list ${t.droppableId}\n      has been combined with ${n.draggableId}\n      in list ${n.droppableId}\n    `,go=e=>`\n  The item has returned to its starting position\n  of ${uo(e.index)}\n`,mo={dragHandleUsageInstructions:"\n  Press space bar to start a drag.\n  When dragging you can use the arrow keys to move the item around and escape to cancel.\n  Some screen readers may require you to be in focus mode or to use your pass through key\n",onDragStart:e=>`\n  You have lifted an item in position ${uo(e.source.index)}\n`,onDragUpdate:e=>{const t=e.destination;if(t)return po(e.source,t);const n=e.combine;return n?fo(e.draggableId,e.source,n):"You are over an area that cannot be dropped on"},onDragEnd:e=>{if("CANCEL"===e.reason)return`\n      Movement cancelled.\n      ${go(e.source)}\n    `;const t=e.destination,n=e.combine;return t?`\n      You have dropped the item.\n      ${po(e.source,t)}\n    `:n?`\n      You have dropped the item.\n      ${fo(e.draggableId,e.source,n)}\n    `:`\n    The item has been dropped while not over a drop area.\n    ${go(e.source)}\n  `}};var bo=mo;const ho={x:0,y:0},vo=(e,t)=>({x:e.x+t.x,y:e.y+t.y}),yo=(e,t)=>({x:e.x-t.x,y:e.y-t.y}),wo=(e,t)=>e.x===t.x&&e.y===t.y,Eo=e=>({x:0!==e.x?-e.x:0,y:0!==e.y?-e.y:0}),Ao=(e,t,n=0)=>"x"===e?{x:t,y:n}:{x:n,y:t},Co=(e,t)=>Math.sqrt((t.x-e.x)**2+(t.y-e.y)**2),So=(e,t)=>Math.min(...t.map((t=>Co(e,t)))),xo=e=>t=>({x:e(t.x),y:e(t.y)}),Oo=(e,t)=>({top:e.top+t.y,left:e.left+t.x,bottom:e.bottom+t.y,right:e.right+t.x}),Ro=e=>[{x:e.left,y:e.top},{x:e.right,y:e.top},{x:e.left,y:e.bottom},{x:e.right,y:e.bottom}],Io=(e,t)=>t&&t.shouldClipSubject?((e,t)=>{const n=zr({top:Math.max(t.top,e.top),right:Math.min(t.right,e.right),bottom:Math.min(t.bottom,e.bottom),left:Math.max(t.left,e.left)});return n.width<=0||n.height<=0?null:n})(t.pageMarginBox,e):zr(e);var Po=({page:e,withPlaceholder:t,axis:n,frame:r})=>{const o=((e,t)=>t?Oo(e,t.scroll.diff.displacement):e)(e.marginBox,r),i=((e,t,n)=>n&&n.increasedBy?{...e,[t.end]:e[t.end]+n.increasedBy[t.line]}:e)(o,n,t);return{page:e,withPlaceholder:t,active:Io(i,r)}},Do=(e,t)=>{e.frame||so(!1);const n=e.frame,r=yo(t,n.scroll.initial),o=Eo(r),i={...n,scroll:{initial:n.scroll.initial,current:t,diff:{value:r,displacement:o},max:n.scroll.max}},a=Po({page:e.subject.page,withPlaceholder:e.subject.withPlaceholder,axis:e.axis,frame:i});return{...e,frame:i,subject:a}};const To=Zr((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),Mo=Zr((e=>e.reduce(((e,t)=>(e[t.descriptor.id]=t,e)),{}))),ko=Zr((e=>Object.values(e))),Bo=Zr((e=>Object.values(e)));var No=Zr(((e,t)=>{const n=Bo(t).filter((t=>e===t.descriptor.droppableId)).sort(((e,t)=>e.descriptor.index-t.descriptor.index));return n}));function Fo(e){return e.at&&"REORDER"===e.at.type?e.at.destination:null}function Lo(e){return e.at&&"COMBINE"===e.at.type?e.at.combine:null}var jo=Zr(((e,t)=>t.filter((t=>t.descriptor.id!==e.descriptor.id)))),_o=(e,t)=>e.descriptor.droppableId===t.descriptor.id;const Vo={point:ho,value:0},zo={invisible:{},visible:{},all:[]};var Go={displaced:zo,displacedBy:Vo,at:null},Ho=(e,t)=>n=>e<=n&&n<=t,Uo=e=>{const t=Ho(e.top,e.bottom),n=Ho(e.left,e.right);return r=>{if(t(r.top)&&t(r.bottom)&&n(r.left)&&n(r.right))return!0;const o=t(r.top)||t(r.bottom),i=n(r.left)||n(r.right);if(o&&i)return!0;const a=r.top<e.top&&r.bottom>e.bottom,l=r.left<e.left&&r.right>e.right;return!(!a||!l)||(a&&i||l&&o)}},$o=e=>{const t=Ho(e.top,e.bottom),n=Ho(e.left,e.right);return e=>t(e.top)&&t(e.bottom)&&n(e.left)&&n(e.right)};const Wo={direction:"vertical",line:"y",crossAxisLine:"x",start:"top",end:"bottom",size:"height",crossAxisStart:"left",crossAxisEnd:"right",crossAxisSize:"width"},qo={direction:"horizontal",line:"x",crossAxisLine:"y",start:"left",end:"right",size:"width",crossAxisStart:"top",crossAxisEnd:"bottom",crossAxisSize:"height"},Yo=({target:e,destination:t,viewport:n,withDroppableDisplacement:r,isVisibleThroughFrameFn:o})=>{const i=r?((e,t)=>{const n=t.frame?t.frame.scroll.diff.displacement:ho;return Oo(e,n)})(e,t):e;return((e,t,n)=>!!t.subject.active&&n(t.subject.active)(e))(i,t,o)&&((e,t,n)=>n(t)(e))(i,n,o)},Ko=e=>Yo({...e,isVisibleThroughFrameFn:Uo}),Xo=e=>Yo({...e,isVisibleThroughFrameFn:$o}),Qo=(e,t,n)=>{if("boolean"==typeof n)return n;if(!t)return!0;const{invisible:r,visible:o}=t;if(r[e])return!1;const i=o[e];return!i||i.shouldAnimate};function Jo({afterDragging:e,destination:t,displacedBy:n,viewport:r,forceShouldAnimate:o,last:i}){return e.reduce((function(e,a){const l=function(e,t){const n=e.page.marginBox,r={top:t.point.y,right:0,bottom:0,left:t.point.x};return zr(Gr(n,r))}(a,n),s=a.descriptor.id;if(e.all.push(s),!Ko({target:l,destination:t,viewport:r,withDroppableDisplacement:!0}))return e.invisible[a.descriptor.id]=!0,e;const c={draggableId:s,shouldAnimate:Qo(s,i,o)};return e.visible[s]=c,e}),{all:[],visible:{},invisible:{}})}function Zo({insideDestination:e,inHomeList:t,displacedBy:n,destination:r}){const o=function(e,t){if(!e.length)return 0;const n=e[e.length-1].descriptor.index;return t.inHomeList?n:n+1}(e,{inHomeList:t});return{displaced:zo,displacedBy:n,at:{type:"REORDER",destination:{droppableId:r.descriptor.id,index:o}}}}function ei({draggable:e,insideDestination:t,destination:n,viewport:r,displacedBy:o,last:i,index:a,forceShouldAnimate:l}){const s=_o(e,n);if(null==a)return Zo({insideDestination:t,inHomeList:s,displacedBy:o,destination:n});const c=t.find((e=>e.descriptor.index===a));if(!c)return Zo({insideDestination:t,inHomeList:s,displacedBy:o,destination:n});const u=jo(e,t),d=t.indexOf(c);return{displaced:Jo({afterDragging:u.slice(d),destination:n,displacedBy:o,last:i,viewport:r.frame,forceShouldAnimate:l}),displacedBy:o,at:{type:"REORDER",destination:{droppableId:n.descriptor.id,index:a}}}}function ti(e,t){return Boolean(t.effected[e])}const ni=(e,t)=>t.margin[e.start]+t.borderBox[e.size]/2,ri=(e,t,n)=>t[e.crossAxisStart]+n.margin[e.crossAxisStart]+n.borderBox[e.crossAxisSize]/2,oi=({axis:e,moveRelativeTo:t,isMoving:n})=>Ao(e.line,t.marginBox[e.end]+ni(e,n),ri(e,t.marginBox,n)),ii=({axis:e,moveRelativeTo:t,isMoving:n})=>Ao(e.line,t.marginBox[e.start]-((e,t)=>t.margin[e.end]+t.borderBox[e.size]/2)(e,n),ri(e,t.marginBox,n));var ai=(e,t)=>{const n=e.frame;return n?vo(t,n.scroll.diff.displacement):t},li=e=>{const t=(({impact:e,draggable:t,droppable:n,draggables:r,afterCritical:o})=>{const i=t.page.borderBox.center,a=e.at;return n&&a?"REORDER"===a.type?(({impact:e,draggable:t,draggables:n,droppable:r,afterCritical:o})=>{const i=No(r.descriptor.id,n),a=t.page,l=r.axis;if(!i.length)return(({axis:e,moveInto:t,isMoving:n})=>Ao(e.line,t.contentBox[e.start]+ni(e,n),ri(e,t.contentBox,n)))({axis:l,moveInto:r.page,isMoving:a});const{displaced:s,displacedBy:c}=e,u=s.all[0];if(u){const e=n[u];if(ti(u,o))return ii({axis:l,moveRelativeTo:e.page,isMoving:a});const t=qr(e.page,c.point);return ii({axis:l,moveRelativeTo:t,isMoving:a})}const d=i[i.length-1];if(d.descriptor.id===t.descriptor.id)return a.borderBox.center;if(ti(d.descriptor.id,o)){const e=qr(d.page,Eo(o.displacedBy.point));return oi({axis:l,moveRelativeTo:e,isMoving:a})}return oi({axis:l,moveRelativeTo:d.page,isMoving:a})})({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:o}):(({afterCritical:e,impact:t,draggables:n})=>{const r=Lo(t);r||so(!1);const o=r.draggableId,i=n[o].page.borderBox.center,a=(({displaced:e,afterCritical:t,combineWith:n,displacedBy:r})=>{const o=Boolean(e.visible[n]||e.invisible[n]);return ti(n,t)?o?ho:Eo(r.point):o?r.point:ho})({displaced:t.displaced,afterCritical:e,combineWith:o,displacedBy:t.displacedBy});return vo(i,a)})({impact:e,draggables:r,afterCritical:o}):i})(e),n=e.droppable;return n?ai(n,t):t},si=(e,t)=>{const n=yo(t,e.scroll.initial),r=Eo(n);return{frame:zr({top:t.y,bottom:t.y+e.frame.height,left:t.x,right:t.x+e.frame.width}),scroll:{initial:e.scroll.initial,max:e.scroll.max,current:t,diff:{value:n,displacement:r}}}};function ci(e,t){return e.map((e=>t[e]))}var ui=({pageBorderBoxCenter:e,draggable:t,viewport:n})=>{const r=((e,t)=>vo(e.scroll.diff.displacement,t))(n,e),o=yo(r,t.page.borderBox.center);return vo(t.client.borderBox.center,o)},di=({draggable:e,destination:t,newPageBorderBoxCenter:n,viewport:r,withDroppableDisplacement:o,onlyOnMainAxis:i=!1})=>{const a=yo(n,e.page.borderBox.center),l={target:Oo(e.page.borderBox,a),destination:t,withDroppableDisplacement:o,viewport:r};return i?(e=>{return Yo({...e,isVisibleThroughFrameFn:(t=e.destination.axis,e=>{const n=Ho(e.top,e.bottom),r=Ho(e.left,e.right);return e=>t===Wo?n(e.top)&&n(e.bottom):r(e.left)&&r(e.right)})});var t})(l):Xo(l)},pi=({isMovingForward:e,draggable:t,destination:n,draggables:r,previousImpact:o,viewport:i,previousPageBorderBoxCenter:a,previousClientSelection:l,afterCritical:s})=>{if(!n.isEnabled)return null;const c=No(n.descriptor.id,r),u=_o(t,n),d=(({isMovingForward:e,draggable:t,destination:n,insideDestination:r,previousImpact:o})=>{if(!n.isCombineEnabled)return null;if(!Fo(o))return null;function i(e){const t={type:"COMBINE",combine:{draggableId:e,droppableId:n.descriptor.id}};return{...o,at:t}}const a=o.displaced.all,l=a.length?a[0]:null;if(e)return l?i(l):null;const s=jo(t,r);if(!l)return s.length?i(s[s.length-1].descriptor.id):null;const c=s.findIndex((e=>e.descriptor.id===l));-1===c&&so(!1);const u=c-1;return u<0?null:i(s[u].descriptor.id)})({isMovingForward:e,draggable:t,destination:n,insideDestination:c,previousImpact:o})||(({isMovingForward:e,isInHomeList:t,draggable:n,draggables:r,destination:o,insideDestination:i,previousImpact:a,viewport:l,afterCritical:s})=>{const c=a.at;if(c||so(!1),"REORDER"===c.type){const r=(({isMovingForward:e,isInHomeList:t,insideDestination:n,location:r})=>{if(!n.length)return null;const o=r.index,i=e?o+1:o-1,a=n[0].descriptor.index,l=n[n.length-1].descriptor.index;return i<a||i>(t?l:l+1)?null:i})({isMovingForward:e,isInHomeList:t,location:c.destination,insideDestination:i});return null==r?null:ei({draggable:n,insideDestination:i,destination:o,viewport:l,last:a.displaced,displacedBy:a.displacedBy,index:r})}const u=(({isMovingForward:e,destination:t,draggables:n,combine:r,afterCritical:o})=>{if(!t.isCombineEnabled)return null;const i=r.draggableId,a=n[i].descriptor.index;return ti(i,o)?e?a:a-1:e?a+1:a})({isMovingForward:e,destination:o,displaced:a.displaced,draggables:r,combine:c.combine,afterCritical:s});return null==u?null:ei({draggable:n,insideDestination:i,destination:o,viewport:l,last:a.displaced,displacedBy:a.displacedBy,index:u})})({isMovingForward:e,isInHomeList:u,draggable:t,draggables:r,destination:n,insideDestination:c,previousImpact:o,viewport:i,afterCritical:s});if(!d)return null;const p=li({impact:d,draggable:t,droppable:n,draggables:r,afterCritical:s});if(di({draggable:t,destination:n,newPageBorderBoxCenter:p,viewport:i.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0}))return{clientSelection:ui({pageBorderBoxCenter:p,draggable:t,viewport:i}),impact:d,scrollJumpRequest:null};const f=yo(p,a),g=(({impact:e,viewport:t,destination:n,draggables:r,maxScrollChange:o})=>{const i=si(t,vo(t.scroll.current,o)),a=n.frame?Do(n,vo(n.frame.scroll.current,o)):n,l=e.displaced,s=Jo({afterDragging:ci(l.all,r),destination:n,displacedBy:e.displacedBy,viewport:i.frame,last:l,forceShouldAnimate:!1}),c=Jo({afterDragging:ci(l.all,r),destination:a,displacedBy:e.displacedBy,viewport:t.frame,last:l,forceShouldAnimate:!1}),u={},d={},p=[l,s,c];return l.all.forEach((e=>{const t=function(e,t){for(let n=0;n<t.length;n++){const r=t[n].visible[e];if(r)return r}return null}(e,p);t?d[e]=t:u[e]=!0})),{...e,displaced:{all:l.all,invisible:u,visible:d}}})({impact:d,viewport:i,destination:n,draggables:r,maxScrollChange:f});return{clientSelection:l,impact:g,scrollJumpRequest:f}};const fi=e=>{const t=e.subject.active;return t||so(!1),t},gi=(e,t)=>{const n=e.page.borderBox.center;return ti(e.descriptor.id,t)?yo(n,t.displacedBy.point):n},mi=(e,t)=>{const n=e.page.borderBox;return ti(e.descriptor.id,t)?Oo(n,Eo(t.displacedBy.point)):n};var bi=Zr((function(e,t){const n=t[e.line];return{value:n,point:Ao(e.line,n)}}));const hi=(e,t)=>({...e,scroll:{...e.scroll,max:t}}),vi=(e,t,n)=>{const r=e.frame;_o(t,e)&&so(!1),e.subject.withPlaceholder&&so(!1);const o=bi(e.axis,t.displaceBy).point,i=((e,t,n)=>{const r=e.axis;if("virtual"===e.descriptor.mode)return Ao(r.line,t[r.line]);const o=e.subject.page.contentBox[r.size],i=No(e.descriptor.id,n).reduce(((e,t)=>e+t.client.marginBox[r.size]),0)+t[r.line]-o;return i<=0?null:Ao(r.line,i)})(e,o,n),a={placeholderSize:o,increasedBy:i,oldFrameMaxScroll:e.frame?e.frame.scroll.max:null};if(!r){const t=Po({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:e.frame});return{...e,subject:t}}const l=i?vo(r.scroll.max,i):r.scroll.max,s=hi(r,l),c=Po({page:e.subject.page,withPlaceholder:a,axis:e.axis,frame:s});return{...e,subject:c,frame:s}};var yi=e=>{const t=e.at;return t?"REORDER"===t.type?t.destination.droppableId:t.combine.droppableId:null},wi=({state:e,type:t})=>{const n=((e,t)=>{const n=yi(e);return n?t[n]:null})(e.impact,e.dimensions.droppables),r=Boolean(n),o=e.dimensions.droppables[e.critical.droppable.id],i=n||o,a=i.axis.direction,l="vertical"===a&&("MOVE_UP"===t||"MOVE_DOWN"===t)||"horizontal"===a&&("MOVE_LEFT"===t||"MOVE_RIGHT"===t);if(l&&!r)return null;const s="MOVE_DOWN"===t||"MOVE_RIGHT"===t,c=e.dimensions.draggables[e.critical.draggable.id],u=e.current.page.borderBoxCenter,{draggables:d,droppables:p}=e.dimensions;return l?pi({isMovingForward:s,previousPageBorderBoxCenter:u,draggable:c,destination:i,draggables:d,viewport:e.viewport,previousClientSelection:e.current.client.selection,previousImpact:e.impact,afterCritical:e.afterCritical}):(({isMovingForward:e,previousPageBorderBoxCenter:t,draggable:n,isOver:r,draggables:o,droppables:i,viewport:a,afterCritical:l})=>{const s=(({isMovingForward:e,pageBorderBoxCenter:t,source:n,droppables:r,viewport:o})=>{const i=n.subject.active;if(!i)return null;const a=n.axis,l=Ho(i[a.start],i[a.end]),s=ko(r).filter((e=>e!==n)).filter((e=>e.isEnabled)).filter((e=>Boolean(e.subject.active))).filter((e=>Uo(o.frame)(fi(e)))).filter((t=>{const n=fi(t);return e?i[a.crossAxisEnd]<n[a.crossAxisEnd]:n[a.crossAxisStart]<i[a.crossAxisStart]})).filter((e=>{const t=fi(e),n=Ho(t[a.start],t[a.end]);return l(t[a.start])||l(t[a.end])||n(i[a.start])||n(i[a.end])})).sort(((t,n)=>{const r=fi(t)[a.crossAxisStart],o=fi(n)[a.crossAxisStart];return e?r-o:o-r})).filter(((e,t,n)=>fi(e)[a.crossAxisStart]===fi(n[0])[a.crossAxisStart]));if(!s.length)return null;if(1===s.length)return s[0];const c=s.filter((e=>Ho(fi(e)[a.start],fi(e)[a.end])(t[a.line])));return 1===c.length?c[0]:c.length>1?c.sort(((e,t)=>fi(e)[a.start]-fi(t)[a.start]))[0]:s.sort(((e,n)=>{const r=So(t,Ro(fi(e))),o=So(t,Ro(fi(n)));return r!==o?r-o:fi(e)[a.start]-fi(n)[a.start]}))[0]})({isMovingForward:e,pageBorderBoxCenter:t,source:r,droppables:i,viewport:a});if(!s)return null;const c=No(s.descriptor.id,o),u=(({pageBorderBoxCenter:e,viewport:t,destination:n,insideDestination:r,afterCritical:o})=>{const i=r.filter((e=>Xo({target:mi(e,o),destination:n,viewport:t.frame,withDroppableDisplacement:!0}))).sort(((t,r)=>{const i=Co(e,ai(n,gi(t,o))),a=Co(e,ai(n,gi(r,o)));return i<a?-1:a<i?1:t.descriptor.index-r.descriptor.index}));return i[0]||null})({pageBorderBoxCenter:t,viewport:a,destination:s,insideDestination:c,afterCritical:l}),d=(({previousPageBorderBoxCenter:e,moveRelativeTo:t,insideDestination:n,draggable:r,draggables:o,destination:i,viewport:a,afterCritical:l})=>{if(!t){if(n.length)return null;const e={displaced:zo,displacedBy:Vo,at:{type:"REORDER",destination:{droppableId:i.descriptor.id,index:0}}},t=li({impact:e,draggable:r,droppable:i,draggables:o,afterCritical:l}),s=_o(r,i)?i:vi(i,r,o);return di({draggable:r,destination:s,newPageBorderBoxCenter:t,viewport:a.frame,withDroppableDisplacement:!1,onlyOnMainAxis:!0})?e:null}const s=Boolean(e[i.axis.line]<=t.page.borderBox.center[i.axis.line]),c=(()=>{const e=t.descriptor.index;return t.descriptor.id===r.descriptor.id||s?e:e+1})(),u=bi(i.axis,r.displaceBy);return ei({draggable:r,insideDestination:n,destination:i,viewport:a,displacedBy:u,last:zo,index:c})})({previousPageBorderBoxCenter:t,destination:s,draggable:n,draggables:o,moveRelativeTo:u,insideDestination:c,viewport:a,afterCritical:l});if(!d)return null;const p=li({impact:d,draggable:n,droppable:s,draggables:o,afterCritical:l});return{clientSelection:ui({pageBorderBoxCenter:p,draggable:n,viewport:a}),impact:d,scrollJumpRequest:null}})({isMovingForward:s,previousPageBorderBoxCenter:u,draggable:c,isOver:i,draggables:d,droppables:p,viewport:e.viewport,afterCritical:e.afterCritical})};function Ei(e){return"DRAGGING"===e.phase||"COLLECTING"===e.phase}function Ai(e){const t=Ho(e.top,e.bottom),n=Ho(e.left,e.right);return function(e){return t(e.y)&&n(e.x)}}const Ci=(e,t)=>zr(Oo(e,t));function Si({displaced:e,id:t}){return Boolean(e.visible[t]||e.invisible[t])}var xi=({pageOffset:e,draggable:t,draggables:n,droppables:r,previousImpact:o,viewport:i,afterCritical:a})=>{const l=Ci(t.page.borderBox,e),s=function({pageBorderBox:e,draggable:t,droppables:n}){const r=ko(n).filter((t=>{if(!t.isEnabled)return!1;const n=t.subject.active;if(!n)return!1;if(o=n,!((r=e).left<o.right&&r.right>o.left&&r.top<o.bottom&&r.bottom>o.top))return!1;var r,o;if(Ai(n)(e.center))return!0;const i=t.axis,a=n.center[i.crossAxisLine],l=e[i.crossAxisStart],s=e[i.crossAxisEnd],c=Ho(n[i.crossAxisStart],n[i.crossAxisEnd]),u=c(l),d=c(s);return!u&&!d||(u?l<a:s>a)}));return r.length?1===r.length?r[0].descriptor.id:function({pageBorderBox:e,draggable:t,candidates:n}){const r=t.page.borderBox.center,o=n.map((t=>{const n=t.axis,o=Ao(t.axis.line,e.center[n.line],t.page.borderBox.center[n.crossAxisLine]);return{id:t.descriptor.id,distance:Co(r,o)}})).sort(((e,t)=>t.distance-e.distance));return o[0]?o[0].id:null}({pageBorderBox:e,draggable:t,candidates:r}):null}({pageBorderBox:l,draggable:t,droppables:r});if(!s)return Go;const c=r[s],u=No(c.descriptor.id,n),d=((e,t)=>{const n=e.frame;return n?Ci(t,n.scroll.diff.value):t})(c,l);return(({draggable:e,pageBorderBoxWithDroppableScroll:t,previousImpact:n,destination:r,insideDestination:o,afterCritical:i})=>{if(!r.isCombineEnabled)return null;const a=r.axis,l=bi(r.axis,e.displaceBy),s=l.value,c=t[a.start],u=t[a.end],d=jo(e,o).find((e=>{const t=e.descriptor.id,r=e.page.borderBox,o=r[a.size]/4,l=ti(t,i),d=Si({displaced:n.displaced,id:t});return l?d?u>r[a.start]+o&&u<r[a.end]-o:c>r[a.start]-s+o&&c<r[a.end]-s-o:d?u>r[a.start]+s+o&&u<r[a.end]+s-o:c>r[a.start]+o&&c<r[a.end]-o}));return d?{displacedBy:l,displaced:n.displaced,at:{type:"COMBINE",combine:{draggableId:d.descriptor.id,droppableId:r.descriptor.id}}}:null})({pageBorderBoxWithDroppableScroll:d,draggable:t,previousImpact:o,destination:c,insideDestination:u,afterCritical:a})||(({pageBorderBoxWithDroppableScroll:e,draggable:t,destination:n,insideDestination:r,last:o,viewport:i,afterCritical:a})=>{const l=n.axis,s=bi(n.axis,t.displaceBy),c=s.value,u=e[l.start],d=e[l.end],p=function({draggable:e,closest:t,inHomeList:n}){return t?n&&t.descriptor.index>e.descriptor.index?t.descriptor.index-1:t.descriptor.index:null}({draggable:t,closest:jo(t,r).find((e=>{const t=e.descriptor.id,n=e.page.borderBox.center[l.line],r=ti(t,a),i=Si({displaced:o,id:t});return r?i?d<=n:u<n-c:i?d<=n+c:u<n}))||null,inHomeList:_o(t,n)});return ei({draggable:t,insideDestination:r,destination:n,viewport:i,last:o,displacedBy:s,index:p})})({pageBorderBoxWithDroppableScroll:d,draggable:t,destination:c,insideDestination:u,last:o.displaced,viewport:i,afterCritical:a})},Oi=(e,t)=>({...e,[t.descriptor.id]:t});var Ri=({state:e,clientSelection:t,dimensions:n,viewport:r,impact:o,scrollJumpRequest:i})=>{const a=r||e.viewport,l=n||e.dimensions,s=t||e.current.client.selection,c=yo(s,e.initial.client.selection),u={offset:c,selection:s,borderBoxCenter:vo(e.initial.client.borderBoxCenter,c)},d={selection:vo(u.selection,a.scroll.current),borderBoxCenter:vo(u.borderBoxCenter,a.scroll.current),offset:vo(u.offset,a.scroll.diff.value)},p={client:u,page:d};if("COLLECTING"===e.phase)return{...e,dimensions:l,viewport:a,current:p};const f=l.draggables[e.critical.draggable.id],g=o||xi({pageOffset:d.offset,draggable:f,draggables:l.draggables,droppables:l.droppables,previousImpact:e.impact,viewport:a,afterCritical:e.afterCritical}),m=(({draggable:e,draggables:t,droppables:n,previousImpact:r,impact:o})=>{const i=(({previousImpact:e,impact:t,droppables:n})=>{const r=yi(e),o=yi(t);if(!r)return n;if(r===o)return n;const i=n[r];if(!i.subject.withPlaceholder)return n;const a=(e=>{const t=e.subject.withPlaceholder;t||so(!1);const n=e.frame;if(!n){const t=Po({page:e.subject.page,axis:e.axis,frame:null,withPlaceholder:null});return{...e,subject:t}}const r=t.oldFrameMaxScroll;r||so(!1);const o=hi(n,r),i=Po({page:e.subject.page,axis:e.axis,frame:o,withPlaceholder:null});return{...e,subject:i,frame:o}})(i);return Oi(n,a)})({previousImpact:r,impact:o,droppables:n}),a=yi(o);if(!a)return i;const l=n[a];if(_o(e,l))return i;if(l.subject.withPlaceholder)return i;const s=vi(l,e,t);return Oi(i,s)})({draggable:f,impact:g,previousImpact:e.impact,draggables:l.draggables,droppables:l.droppables});return{...e,current:p,dimensions:{draggables:l.draggables,droppables:m},impact:g,viewport:a,scrollJumpRequest:i||null,forceShouldAnimate:!i&&null}},Ii=({impact:e,viewport:t,draggables:n,destination:r,forceShouldAnimate:o})=>{const i=e.displaced,a=function(e,t){return e.map((e=>t[e]))}(i.all,n),l=Jo({afterDragging:a,destination:r,displacedBy:e.displacedBy,viewport:t.frame,forceShouldAnimate:o,last:i});return{...e,displaced:l}},Pi=({impact:e,draggable:t,droppable:n,draggables:r,viewport:o,afterCritical:i})=>{const a=li({impact:e,draggable:t,draggables:r,droppable:n,afterCritical:i});return ui({pageBorderBoxCenter:a,draggable:t,viewport:o})},Di=({state:e,dimensions:t,viewport:n})=>{"SNAP"!==e.movementMode&&so(!1);const r=e.impact,o=n||e.viewport,i=t||e.dimensions,{draggables:a,droppables:l}=i,s=a[e.critical.draggable.id],c=yi(r);c||so(!1);const u=l[c],d=Ii({impact:r,viewport:o,destination:u,draggables:a}),p=Pi({impact:d,draggable:s,droppable:u,draggables:a,viewport:o,afterCritical:e.afterCritical});return Ri({impact:d,clientSelection:p,state:e,dimensions:i,viewport:o})},Ti=({draggable:e,home:t,draggables:n,viewport:r})=>{const o=bi(t.axis,e.displaceBy),i=No(t.descriptor.id,n),a=i.indexOf(e);-1===a&&so(!1);const l=i.slice(a+1),s=l.reduce(((e,t)=>(e[t.descriptor.id]=!0,e)),{}),c={inVirtualList:"virtual"===t.descriptor.mode,displacedBy:o,effected:s};var u;return{impact:{displaced:Jo({afterDragging:l,destination:t,displacedBy:o,last:null,viewport:r.frame,forceShouldAnimate:!1}),displacedBy:o,at:{type:"REORDER",destination:(u=e.descriptor,{index:u.index,droppableId:u.droppableId})}},afterCritical:c}};const Mi=e=>"SNAP"===e.movementMode,ki=(e,t,n)=>{const r=((e,t)=>({draggables:e.draggables,droppables:Oi(e.droppables,t)}))(e.dimensions,t);return!Mi(e)||n?Ri({state:e,dimensions:r}):Di({state:e,dimensions:r})};function Bi(e){return e.isDragging&&"SNAP"===e.movementMode?{...e,scrollJumpRequest:null}:e}const Ni={phase:"IDLE",completed:null,shouldFlush:!1};var Fi=(e=Ni,t)=>{if("FLUSH"===t.type)return{...Ni,shouldFlush:!0};if("INITIAL_PUBLISH"===t.type){"IDLE"!==e.phase&&so(!1);const{critical:n,clientSelection:r,viewport:o,dimensions:i,movementMode:a}=t.payload,l=i.draggables[n.draggable.id],s=i.droppables[n.droppable.id],c={selection:r,borderBoxCenter:l.client.borderBox.center,offset:ho},u={client:c,page:{selection:vo(c.selection,o.scroll.initial),borderBoxCenter:vo(c.selection,o.scroll.initial),offset:vo(c.selection,o.scroll.diff.value)}},d=ko(i.droppables).every((e=>!e.isFixedOnPage)),{impact:p,afterCritical:f}=Ti({draggable:l,home:s,draggables:i.draggables,viewport:o});return{phase:"DRAGGING",isDragging:!0,critical:n,movementMode:a,dimensions:i,initial:u,current:u,isWindowScrollAllowed:d,impact:p,afterCritical:f,onLiftImpact:p,viewport:o,scrollJumpRequest:null,forceShouldAnimate:null}}if("COLLECTION_STARTING"===t.type)return"COLLECTING"===e.phase||"DROP_PENDING"===e.phase?e:("DRAGGING"!==e.phase&&so(!1),{...e,phase:"COLLECTING"});if("PUBLISH_WHILE_DRAGGING"===t.type)return"COLLECTING"!==e.phase&&"DROP_PENDING"!==e.phase&&so(!1),(({state:e,published:t})=>{const n=t.modified.map((t=>{const n=e.dimensions.droppables[t.droppableId];return Do(n,t.scroll)})),r={...e.dimensions.droppables,...To(n)},o=Mo((({additions:e,updatedDroppables:t,viewport:n})=>{const r=n.scroll.diff.value;return e.map((e=>{const o=e.descriptor.droppableId,i=(e=>{const t=e.frame;return t||so(!1),t})(t[o]),a=i.scroll.diff.value,l=(({draggable:e,offset:t,initialWindowScroll:n})=>{const r=qr(e.client,t),o=Yr(r,n);return{...e,placeholder:{...e.placeholder,client:r},client:r,page:o}})({draggable:e,offset:vo(r,a),initialWindowScroll:n.scroll.initial});return l}))})({additions:t.additions,updatedDroppables:r,viewport:e.viewport})),i={...e.dimensions.draggables,...o};t.removals.forEach((e=>{delete i[e]}));const a={droppables:r,draggables:i},l=yi(e.impact),s=l?a.droppables[l]:null,c=a.draggables[e.critical.draggable.id],u=a.droppables[e.critical.droppable.id],{impact:d,afterCritical:p}=Ti({draggable:c,home:u,draggables:i,viewport:e.viewport}),f=s&&s.isCombineEnabled?e.impact:d,g=xi({pageOffset:e.current.page.offset,draggable:a.draggables[e.critical.draggable.id],draggables:a.draggables,droppables:a.droppables,previousImpact:f,viewport:e.viewport,afterCritical:p}),m={...e,phase:"DRAGGING",impact:g,onLiftImpact:d,dimensions:a,afterCritical:p,forceShouldAnimate:!1};return"COLLECTING"===e.phase?m:{...m,phase:"DROP_PENDING",reason:e.reason,isWaiting:!1}})({state:e,published:t.payload});if("MOVE"===t.type){if("DROP_PENDING"===e.phase)return e;Ei(e)||so(!1);const{client:n}=t.payload;return wo(n,e.current.client.selection)?e:Ri({state:e,clientSelection:n,impact:Mi(e)?e.impact:null})}if("UPDATE_DROPPABLE_SCROLL"===t.type){if("DROP_PENDING"===e.phase)return Bi(e);if("COLLECTING"===e.phase)return Bi(e);Ei(e)||so(!1);const{id:n,newScroll:r}=t.payload,o=e.dimensions.droppables[n];if(!o)return e;const i=Do(o,r);return ki(e,i,!1)}if("UPDATE_DROPPABLE_IS_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;Ei(e)||so(!1);const{id:n,isEnabled:r}=t.payload,o=e.dimensions.droppables[n];o||so(!1),o.isEnabled===r&&so(!1);const i={...o,isEnabled:r};return ki(e,i,!0)}if("UPDATE_DROPPABLE_IS_COMBINE_ENABLED"===t.type){if("DROP_PENDING"===e.phase)return e;Ei(e)||so(!1);const{id:n,isCombineEnabled:r}=t.payload,o=e.dimensions.droppables[n];o||so(!1),o.isCombineEnabled===r&&so(!1);const i={...o,isCombineEnabled:r};return ki(e,i,!0)}if("MOVE_BY_WINDOW_SCROLL"===t.type){if("DROP_PENDING"===e.phase||"DROP_ANIMATING"===e.phase)return e;Ei(e)||so(!1),e.isWindowScrollAllowed||so(!1);const n=t.payload.newScroll;if(wo(e.viewport.scroll.current,n))return Bi(e);const r=si(e.viewport,n);return Mi(e)?Di({state:e,viewport:r}):Ri({state:e,viewport:r})}if("UPDATE_VIEWPORT_MAX_SCROLL"===t.type){if(!Ei(e))return e;const n=t.payload.maxScroll;if(wo(n,e.viewport.scroll.max))return e;const r={...e.viewport,scroll:{...e.viewport.scroll,max:n}};return{...e,viewport:r}}if("MOVE_UP"===t.type||"MOVE_DOWN"===t.type||"MOVE_LEFT"===t.type||"MOVE_RIGHT"===t.type){if("COLLECTING"===e.phase||"DROP_PENDING"===e.phase)return e;"DRAGGING"!==e.phase&&so(!1);const n=wi({state:e,type:t.type});return n?Ri({state:e,impact:n.impact,clientSelection:n.clientSelection,scrollJumpRequest:n.scrollJumpRequest}):e}if("DROP_PENDING"===t.type){const n=t.payload.reason;return"COLLECTING"!==e.phase&&so(!1),{...e,phase:"DROP_PENDING",isWaiting:!0,reason:n}}if("DROP_ANIMATE"===t.type){const{completed:n,dropDuration:r,newHomeClientOffset:o}=t.payload;return"DRAGGING"!==e.phase&&"DROP_PENDING"!==e.phase&&so(!1),{phase:"DROP_ANIMATING",completed:n,dropDuration:r,newHomeClientOffset:o,dimensions:e.dimensions}}if("DROP_COMPLETE"===t.type){const{completed:e}=t.payload;return{phase:"IDLE",completed:e,shouldFlush:!1}}return e};const Li=e=>({type:"LIFT",payload:e}),ji=e=>({type:"PUBLISH_WHILE_DRAGGING",payload:e}),_i=()=>({type:"COLLECTION_STARTING",payload:null}),Vi=e=>({type:"UPDATE_DROPPABLE_SCROLL",payload:e}),zi=e=>({type:"UPDATE_DROPPABLE_IS_ENABLED",payload:e}),Gi=e=>({type:"UPDATE_DROPPABLE_IS_COMBINE_ENABLED",payload:e}),Hi=e=>({type:"MOVE",payload:e}),Ui=()=>({type:"MOVE_UP",payload:null}),$i=()=>({type:"MOVE_DOWN",payload:null}),Wi=()=>({type:"MOVE_RIGHT",payload:null}),qi=()=>({type:"MOVE_LEFT",payload:null}),Yi=()=>({type:"FLUSH",payload:null}),Ki=e=>({type:"DROP_COMPLETE",payload:e}),Xi=e=>({type:"DROP",payload:e}),Qi="cubic-bezier(.2,1,.1,1)",Ji=0,Zi=.7,ea=.75,ta={outOfTheWay:.2,minDropTime:.33,maxDropTime:.55},na=`${ta.outOfTheWay}s cubic-bezier(0.2, 0, 0, 1)`,ra={fluid:`opacity ${na}`,snap:`transform ${na}, opacity ${na}`,drop:e=>{const t=`${e}s ${Qi}`;return`transform ${t}, opacity ${t}`},outOfTheWay:`transform ${na}`,placeholder:`height ${na}, width ${na}, margin ${na}`},oa=e=>wo(e,ho)?void 0:`translate(${e.x}px, ${e.y}px)`,ia=oa,aa=(e,t)=>{const n=oa(e);if(n)return t?`${n} scale(${ea})`:n},{minDropTime:la,maxDropTime:sa}=ta,ca=sa-la;var ua=({getState:e,dispatch:t})=>n=>r=>{if("DROP"!==r.type)return void n(r);const o=e(),i=r.payload.reason;if("COLLECTING"===o.phase)return void t((a={reason:i},{type:"DROP_PENDING",payload:a}));var a;if("IDLE"===o.phase)return;"DROP_PENDING"===o.phase&&o.isWaiting&&so(!1),"DRAGGING"!==o.phase&&"DROP_PENDING"!==o.phase&&so(!1);const l=o.critical,s=o.dimensions,c=s.draggables[o.critical.draggable.id],{impact:u,didDropInsideDroppable:d}=(({draggables:e,reason:t,lastImpact:n,home:r,viewport:o,onLiftImpact:i})=>n.at&&"DROP"===t?"REORDER"===n.at.type?{impact:n,didDropInsideDroppable:!0}:{impact:{...n,displaced:zo},didDropInsideDroppable:!0}:{impact:Ii({draggables:e,impact:i,destination:r,viewport:o,forceShouldAnimate:!0}),didDropInsideDroppable:!1})({reason:i,lastImpact:o.impact,afterCritical:o.afterCritical,onLiftImpact:o.onLiftImpact,home:o.dimensions.droppables[o.critical.droppable.id],viewport:o.viewport,draggables:o.dimensions.draggables}),p=d?Fo(u):null,f=d?Lo(u):null,g={index:l.draggable.index,droppableId:l.droppable.id},m={draggableId:c.descriptor.id,type:c.descriptor.type,source:g,reason:i,mode:o.movementMode,destination:p,combine:f},b=(({impact:e,draggable:t,dimensions:n,viewport:r,afterCritical:o})=>{const{draggables:i,droppables:a}=n,l=yi(e),s=l?a[l]:null,c=a[t.descriptor.droppableId],u=Pi({impact:e,draggable:t,draggables:i,afterCritical:o,droppable:s||c,viewport:r});return yo(u,t.client.borderBox.center)})({impact:u,draggable:c,dimensions:s,viewport:o.viewport,afterCritical:o.afterCritical}),h={critical:o.critical,afterCritical:o.afterCritical,result:m,impact:u};if(wo(o.current.client.offset,b)&&!Boolean(m.combine))return void t(Ki({completed:h}));const v=(({current:e,destination:t,reason:n})=>{const r=Co(e,t);if(r<=0)return la;if(r>=1500)return sa;const o=la+ca*(r/1500);return Number(("CANCEL"===n?.6*o:o).toFixed(2))})({current:o.current.client.offset,destination:b,reason:i});t((e=>({type:"DROP_ANIMATE",payload:e}))({newHomeClientOffset:b,dropDuration:v,completed:h}))},da=()=>({x:window.pageXOffset,y:window.pageYOffset});var pa=e=>{const t=function({onWindowScroll:e}){const t=eo((function(){e(da())})),n=function(e){return{eventName:"scroll",options:{passive:!0,capture:!1},fn:t=>{t.target!==window&&t.target!==window.document||e()}}}(t);let r=ro;function o(){return r!==ro}return{start:function(){o()&&so(!1),r=oo(window,[n])},stop:function(){o()||so(!1),t.cancel(),r(),r=ro},isActive:o}}({onWindowScroll:t=>{e.dispatch({type:"MOVE_BY_WINDOW_SCROLL",payload:{newScroll:t}})}});return e=>n=>{t.isActive()||"INITIAL_PUBLISH"!==n.type||t.start(),t.isActive()&&(e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(n)&&t.stop(),e(n)}};const fa=(e,t)=>{t()},ga=(e,t)=>({draggableId:e.draggable.id,type:e.droppable.type,source:{droppableId:e.droppable.id,index:e.draggable.index},mode:t});function ma(e,t,n,r){if(!e)return void n(r(t));const o=(e=>{let t=!1,n=!1;const r=setTimeout((()=>{n=!0})),o=o=>{t||n||(t=!0,e(o),clearTimeout(r))};return o.wasCalled=()=>t,o})(n);e(t,{announce:o}),o.wasCalled()||n(r(t))}var ba=(e,t)=>{const n=((e,t)=>{const n=(()=>{const e=[];return{add:t=>{const n=setTimeout((()=>(t=>{const n=e.findIndex((e=>e.timerId===t));-1===n&&so(!1);const[r]=e.splice(n,1);r.callback()})(n))),r={timerId:n,callback:t};e.push(r)},flush:()=>{if(!e.length)return;const t=[...e];e.length=0,t.forEach((e=>{clearTimeout(e.timerId),e.callback()}))}}})();let r=null;const o=n=>{r||so(!1),r=null,fa(0,(()=>ma(e().onDragEnd,n,t,bo.onDragEnd)))};return{beforeCapture:(t,n)=>{r&&so(!1),fa(0,(()=>{const r=e().onBeforeCapture;r&&r({draggableId:t,mode:n})}))},beforeStart:(t,n)=>{r&&so(!1),fa(0,(()=>{const r=e().onBeforeDragStart;r&&r(ga(t,n))}))},start:(o,i)=>{r&&so(!1);const a=ga(o,i);r={mode:i,lastCritical:o,lastLocation:a.source,lastCombine:null},n.add((()=>{fa(0,(()=>ma(e().onDragStart,a,t,bo.onDragStart)))}))},update:(o,i)=>{const a=Fo(i),l=Lo(i);r||so(!1);const s=!((e,t)=>{if(e===t)return!0;const n=e.draggable.id===t.draggable.id&&e.draggable.droppableId===t.draggable.droppableId&&e.draggable.type===t.draggable.type&&e.draggable.index===t.draggable.index,r=e.droppable.id===t.droppable.id&&e.droppable.type===t.droppable.type;return n&&r})(o,r.lastCritical);s&&(r.lastCritical=o);const c=(d=a,!(null==(u=r.lastLocation)&&null==d||null!=u&&null!=d&&u.droppableId===d.droppableId&&u.index===d.index));var u,d;c&&(r.lastLocation=a);const p=!((e,t)=>null==e&&null==t||null!=e&&null!=t&&e.draggableId===t.draggableId&&e.droppableId===t.droppableId)(r.lastCombine,l);if(p&&(r.lastCombine=l),!s&&!c&&!p)return;const f={...ga(o,r.mode),combine:l,destination:a};n.add((()=>{fa(0,(()=>ma(e().onDragUpdate,f,t,bo.onDragUpdate)))}))},flush:()=>{r||so(!1),n.flush()},drop:o,abort:()=>{if(!r)return;const e={...ga(r.lastCritical,r.mode),combine:null,destination:null,reason:"CANCEL"};o(e)}}})(e,t);return e=>t=>r=>{if("BEFORE_INITIAL_CAPTURE"===r.type)return void n.beforeCapture(r.payload.draggableId,r.payload.movementMode);if("INITIAL_PUBLISH"===r.type){const e=r.payload.critical;return n.beforeStart(e,r.payload.movementMode),t(r),void n.start(e,r.payload.movementMode)}if("DROP_COMPLETE"===r.type){const e=r.payload.completed.result;return n.flush(),t(r),void n.drop(e)}if(t(r),"FLUSH"===r.type)return void n.abort();const o=e.getState();"DRAGGING"===o.phase&&n.update(o.critical,o.impact)}},ha=e=>t=>n=>{if("DROP_ANIMATION_FINISHED"!==n.type)return void t(n);const r=e.getState();"DROP_ANIMATING"!==r.phase&&so(!1),e.dispatch(Ki({completed:r.completed}))},va=e=>{let t=null,n=null;return r=>o=>{if("FLUSH"!==o.type&&"DROP_COMPLETE"!==o.type&&"DROP_ANIMATION_FINISHED"!==o.type||(n&&(cancelAnimationFrame(n),n=null),t&&(t(),t=null)),r(o),"DROP_ANIMATE"!==o.type)return;const i={eventName:"scroll",options:{capture:!0,passive:!1,once:!0},fn:function(){"DROP_ANIMATING"===e.getState().phase&&e.dispatch({type:"DROP_ANIMATION_FINISHED",payload:null})}};n=requestAnimationFrame((()=>{n=null,t=oo(window,[i])}))}},ya=e=>t=>n=>{if(t(n),"PUBLISH_WHILE_DRAGGING"!==n.type)return;const r=e.getState();"DROP_PENDING"===r.phase&&(r.isWaiting||e.dispatch(Xi({reason:r.reason})))};const wa=Fr.compose;var Ea=({dimensionMarshal:e,focusMarshal:t,styleMarshal:n,getResponders:r,announce:o,autoScroller:i})=>{return(0,Fr.createStore)(Fi,wa((0,Fr.applyMiddleware)((a=n,()=>e=>t=>{"INITIAL_PUBLISH"===t.type&&a.dragging(),"DROP_ANIMATE"===t.type&&a.dropping(t.payload.completed.result.reason),"FLUSH"!==t.type&&"DROP_COMPLETE"!==t.type||a.resting(),e(t)}),(e=>()=>t=>n=>{"DROP_COMPLETE"!==n.type&&"FLUSH"!==n.type&&"DROP_ANIMATE"!==n.type||e.stopPublishing(),t(n)})(e),(e=>({getState:t,dispatch:n})=>r=>o=>{if("LIFT"!==o.type)return void r(o);const{id:i,clientSelection:a,movementMode:l}=o.payload,s=t();"DROP_ANIMATING"===s.phase&&n(Ki({completed:s.completed})),"IDLE"!==t().phase&&so(!1),n(Yi()),n({type:"BEFORE_INITIAL_CAPTURE",payload:{draggableId:i,movementMode:l}});const c={draggableId:i,scrollOptions:{shouldPublishImmediately:"SNAP"===l}},{critical:u,dimensions:d,viewport:p}=e.startPublishing(c);n({type:"INITIAL_PUBLISH",payload:{critical:u,dimensions:d,clientSelection:a,movementMode:l,viewport:p}})})(e),ua,ha,va,ya,(e=>t=>n=>r=>{if((e=>"DROP_COMPLETE"===e.type||"DROP_ANIMATE"===e.type||"FLUSH"===e.type)(r))return e.stop(),void n(r);if("INITIAL_PUBLISH"===r.type){n(r);const o=t.getState();return"DRAGGING"!==o.phase&&so(!1),void e.start(o)}n(r),e.scroll(t.getState())})(i),pa,(e=>{let t=!1;return()=>n=>r=>{if("INITIAL_PUBLISH"===r.type)return t=!0,e.tryRecordFocus(r.payload.critical.draggable.id),n(r),void e.tryRestoreFocusRecorded();if(n(r),t){if("FLUSH"===r.type)return t=!1,void e.tryRestoreFocusRecorded();if("DROP_COMPLETE"===r.type){t=!1;const n=r.payload.completed.result;n.combine&&e.tryShiftRecord(n.draggableId,n.combine.draggableId),e.tryRestoreFocusRecorded()}}}})(t),ba(r,o))));var a},Aa=({scrollHeight:e,scrollWidth:t,height:n,width:r})=>{const o=yo({x:t,y:e},{x:r,y:n});return{x:Math.max(0,o.x),y:Math.max(0,o.y)}},Ca=()=>{const e=document.documentElement;return e||so(!1),e},Sa=()=>{const e=Ca();return Aa({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,width:e.clientWidth,height:e.clientHeight})};function xa(e,t,n){return n.descriptor.id!==t.id&&(n.descriptor.type===t.type&&"virtual"===e.droppable.getById(n.descriptor.droppableId).descriptor.mode)}var Oa=(e,t)=>{let n=null;const r=function({registry:e,callbacks:t}){let n={additions:{},removals:{},modified:{}},r=null;const o=()=>{r||(t.collectionStarting(),r=requestAnimationFrame((()=>{r=null;const{additions:o,removals:i,modified:a}=n,l=Object.keys(o).map((t=>e.draggable.getById(t).getDimension(ho))).sort(((e,t)=>e.descriptor.index-t.descriptor.index)),s=Object.keys(a).map((t=>({droppableId:t,scroll:e.droppable.getById(t).callbacks.getScrollWhileDragging()}))),c={additions:l,removals:Object.keys(i),modified:s};n={additions:{},removals:{},modified:{}},t.publish(c)})))};return{add:e=>{const t=e.descriptor.id;n.additions[t]=e,n.modified[e.descriptor.droppableId]=!0,n.removals[t]&&delete n.removals[t],o()},remove:e=>{const t=e.descriptor;n.removals[t.id]=!0,n.modified[t.droppableId]=!0,n.additions[t.id]&&delete n.additions[t.id],o()},stop:()=>{r&&(cancelAnimationFrame(r),r=null,n={additions:{},removals:{},modified:{}})}}}({callbacks:{publish:t.publishWhileDragging,collectionStarting:t.collectionStarting},registry:e}),o=t=>{n||so(!1);const o=n.critical.draggable;"ADDITION"===t.type&&xa(e,o,t.value)&&r.add(t.value),"REMOVAL"===t.type&&xa(e,o,t.value)&&r.remove(t.value)},i={updateDroppableIsEnabled:(r,o)=>{e.droppable.exists(r)||so(!1),n&&t.updateDroppableIsEnabled({id:r,isEnabled:o})},updateDroppableIsCombineEnabled:(r,o)=>{n&&(e.droppable.exists(r)||so(!1),t.updateDroppableIsCombineEnabled({id:r,isCombineEnabled:o}))},scrollDroppable:(t,r)=>{n&&e.droppable.getById(t).callbacks.scroll(r)},updateDroppableScroll:(r,o)=>{n&&(e.droppable.exists(r)||so(!1),t.updateDroppableScroll({id:r,newScroll:o}))},startPublishing:t=>{n&&so(!1);const r=e.draggable.getById(t.draggableId),i=e.droppable.getById(r.descriptor.droppableId),a={draggable:r.descriptor,droppable:i.descriptor},l=e.subscribe(o);return n={critical:a,unsubscribe:l},(({critical:e,scrollOptions:t,registry:n})=>{const r=(()=>{const e=da(),t=Sa(),n=e.y,r=e.x,o=Ca(),i=o.clientWidth,a=o.clientHeight;return{frame:zr({top:n,left:r,right:r+i,bottom:n+a}),scroll:{initial:e,current:e,max:t,diff:{value:ho,displacement:ho}}}})(),o=r.scroll.current,i=e.droppable,a=n.droppable.getAllByType(i.type).map((e=>e.callbacks.getDimensionAndWatchScroll(o,t))),l=n.draggable.getAllByType(e.draggable.type).map((e=>e.getDimension(o)));return{dimensions:{draggables:Mo(l),droppables:To(a)},critical:e,viewport:r}})({critical:a,registry:e,scrollOptions:t.scrollOptions})},stopPublishing:()=>{if(!n)return;r.stop();const t=n.critical.droppable;e.droppable.getAllByType(t.type).forEach((e=>e.callbacks.dragStopped())),n.unsubscribe(),n=null}};return i},Ra=(e,t)=>"IDLE"===e.phase||"DROP_ANIMATING"===e.phase&&e.completed.result.draggableId!==t&&"DROP"===e.completed.result.reason,Ia=e=>{window.scrollBy(e.x,e.y)};const Pa=Zr((e=>ko(e).filter((e=>!!e.isEnabled&&!!e.frame))));const Da={startFromPercentage:.25,maxScrollAtPercentage:.05,maxPixelScroll:28,ease:e=>e**2,durationDampening:{stopDampeningAt:1200,accelerateAt:360},disabled:!1};var Ta=({startOfRange:e,endOfRange:t,current:n})=>{const r=t-e;return 0===r?0:(n-e)/r},Ma=({distanceToEdge:e,thresholds:t,dragStartTime:n,shouldUseTimeDampening:r,getAutoScrollerOptions:o})=>{const i=((e,t,n=()=>Da)=>{const r=n();if(e>t.startScrollingFrom)return 0;if(e<=t.maxScrollValueAt)return r.maxPixelScroll;if(e===t.startScrollingFrom)return 1;const o=1-Ta({startOfRange:t.maxScrollValueAt,endOfRange:t.startScrollingFrom,current:e}),i=r.maxPixelScroll*r.ease(o);return Math.ceil(i)})(e,t,o);return 0===i?0:r?Math.max(((e,t,n)=>{const r=n(),o=r.durationDampening.accelerateAt,i=r.durationDampening.stopDampeningAt,a=t,l=i,s=Date.now()-a;if(s>=i)return e;if(s<o)return 1;const c=Ta({startOfRange:o,endOfRange:l,current:s}),u=e*r.ease(c);return Math.ceil(u)})(i,n,o),1):i},ka=({container:e,distanceToEdges:t,dragStartTime:n,axis:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a=((e,t,n=()=>Da)=>{const r=n();return{startScrollingFrom:e[t.size]*r.startFromPercentage,maxScrollValueAt:e[t.size]*r.maxScrollAtPercentage}})(e,r,i);return t[r.end]<t[r.start]?Ma({distanceToEdge:t[r.end],thresholds:a,dragStartTime:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i}):-1*Ma({distanceToEdge:t[r.start],thresholds:a,dragStartTime:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i})};const Ba=xo((e=>0===e?0:e));var Na=({dragStartTime:e,container:t,subject:n,center:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a={top:r.y-t.top,right:t.right-r.x,bottom:t.bottom-r.y,left:r.x-t.left},l=ka({container:t,distanceToEdges:a,dragStartTime:e,axis:Wo,shouldUseTimeDampening:o,getAutoScrollerOptions:i}),s=ka({container:t,distanceToEdges:a,dragStartTime:e,axis:qo,shouldUseTimeDampening:o,getAutoScrollerOptions:i}),c=Ba({x:s,y:l});if(wo(c,ho))return null;const u=(({container:e,subject:t,proposedScroll:n})=>{const r=t.height>e.height,o=t.width>e.width;return o||r?o&&r?null:{x:o?0:n.x,y:r?0:n.y}:n})({container:t,subject:n,proposedScroll:c});return u?wo(u,ho)?null:u:null};const Fa=xo((e=>0===e?0:e>0?1:-1)),La=(()=>{const e=(e,t)=>e<0?e:e>t?e-t:0;return({current:t,max:n,change:r})=>{const o=vo(t,r),i={x:e(o.x,n.x),y:e(o.y,n.y)};return wo(i,ho)?null:i}})(),ja=({max:e,current:t,change:n})=>{const r={x:Math.max(t.x,e.x),y:Math.max(t.y,e.y)},o=Fa(n),i=La({max:r,current:t,change:o});return!i||0!==o.x&&0===i.x||0!==o.y&&0===i.y},_a=(e,t)=>ja({current:e.scroll.current,max:e.scroll.max,change:t}),Va=(e,t)=>{const n=e.frame;return!!n&&ja({current:n.scroll.current,max:n.scroll.max,change:t})};var za=({state:e,dragStartTime:t,shouldUseTimeDampening:n,scrollWindow:r,scrollDroppable:o,getAutoScrollerOptions:i})=>{const a=e.current.page.borderBoxCenter,l=e.dimensions.draggables[e.critical.draggable.id].page.marginBox;if(e.isWindowScrollAllowed){const o=(({viewport:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a=Na({dragStartTime:r,container:e.frame,subject:t,center:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i});return a&&_a(e,a)?a:null})({dragStartTime:t,viewport:e.viewport,subject:l,center:a,shouldUseTimeDampening:n,getAutoScrollerOptions:i});if(o)return void r(o)}const s=(({center:e,destination:t,droppables:n})=>{if(t){const e=n[t];return e.frame?e:null}const r=((e,t)=>{const n=Pa(t).find((t=>(t.frame||so(!1),Ai(t.frame.pageMarginBox)(e))))||null;return n})(e,n);return r})({center:a,destination:yi(e.impact),droppables:e.dimensions.droppables});if(!s)return;const c=(({droppable:e,subject:t,center:n,dragStartTime:r,shouldUseTimeDampening:o,getAutoScrollerOptions:i})=>{const a=e.frame;if(!a)return null;const l=Na({dragStartTime:r,container:a.pageMarginBox,subject:t,center:n,shouldUseTimeDampening:o,getAutoScrollerOptions:i});return l&&Va(e,l)?l:null})({dragStartTime:t,droppable:s,subject:l,center:a,shouldUseTimeDampening:n,getAutoScrollerOptions:i});c&&o(s.descriptor.id,c)},Ga=({move:e,scrollDroppable:t,scrollWindow:n})=>r=>{const o=r.scrollJumpRequest;if(!o)return;const i=yi(r.impact);i||so(!1);const a=((e,n)=>{if(!Va(e,n))return n;const r=((e,t)=>{const n=e.frame;return n&&Va(e,t)?La({current:n.scroll.current,max:n.scroll.max,change:t}):null})(e,n);if(!r)return t(e.descriptor.id,n),null;const o=yo(n,r);return t(e.descriptor.id,o),yo(n,o)})(r.dimensions.droppables[i],o);if(!a)return;const l=r.viewport,s=((e,t,r)=>{if(!e)return r;if(!_a(t,r))return r;const o=((e,t)=>{if(!_a(e,t))return null;const n=e.scroll.max,r=e.scroll.current;return La({current:r,max:n,change:t})})(t,r);if(!o)return n(r),null;const i=yo(r,o);return n(i),yo(r,i)})(r.isWindowScrollAllowed,l,a);s&&((t,n)=>{const r=vo(t.current.client.selection,n);e({client:r})})(r,s)},Ha=({scrollDroppable:e,scrollWindow:t,move:n,getAutoScrollerOptions:r})=>{const o=(({scrollWindow:e,scrollDroppable:t,getAutoScrollerOptions:n=()=>Da})=>{const r=eo(e),o=eo(t);let i=null;const a=e=>{i||so(!1);const{shouldUseTimeDampening:t,dragStartTime:a}=i;za({state:e,scrollWindow:r,scrollDroppable:o,dragStartTime:a,shouldUseTimeDampening:t,getAutoScrollerOptions:n})};return{start:e=>{i&&so(!1);const t=Date.now();let r=!1;const o=()=>{r=!0};za({state:e,dragStartTime:0,shouldUseTimeDampening:!1,scrollWindow:o,scrollDroppable:o,getAutoScrollerOptions:n}),i={dragStartTime:t,shouldUseTimeDampening:r},r&&a(e)},stop:()=>{i&&(r.cancel(),o.cancel(),i=null)},scroll:a}})({scrollWindow:t,scrollDroppable:e,getAutoScrollerOptions:r}),i=Ga({move:n,scrollWindow:t,scrollDroppable:e});return{scroll:e=>{r().disabled||"DRAGGING"!==e.phase||("FLUID"!==e.movementMode?e.scrollJumpRequest&&i(e):o.scroll(e))},start:o.start,stop:o.stop}};const Ua="data-rfd",$a=(()=>{const e=`${Ua}-drag-handle`;return{base:e,draggableId:`${e}-draggable-id`,contextId:`${e}-context-id`}})(),Wa=(()=>{const e=`${Ua}-draggable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),qa=(()=>{const e=`${Ua}-droppable`;return{base:e,contextId:`${e}-context-id`,id:`${e}-id`}})(),Ya={contextId:`${Ua}-scroll-container-context-id`},Ka=(e,t)=>e.map((e=>{const n=e.styles[t];return n?`${e.selector} { ${n} }`:""})).join(" ");var Xa=e=>{const t=(e=>t=>`[${t}="${e}"]`)(e),n=(()=>{const e="\n      cursor: -webkit-grab;\n      cursor: grab;\n    ";return{selector:t($a.contextId),styles:{always:"\n          -webkit-touch-callout: none;\n          -webkit-tap-highlight-color: rgba(0,0,0,0);\n          touch-action: manipulation;\n        ",resting:e,dragging:"pointer-events: none;",dropAnimating:e}}})(),r=[(()=>{const e=`\n      transition: ${ra.outOfTheWay};\n    `;return{selector:t(Wa.contextId),styles:{dragging:e,dropAnimating:e,userCancel:e}}})(),n,{selector:t(qa.contextId),styles:{always:"overflow-anchor: none;"}},{selector:"body",styles:{dragging:"\n        cursor: grabbing;\n        cursor: -webkit-grabbing;\n        user-select: none;\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        overflow-anchor: none;\n      "}}];return{always:Ka(r,"always"),resting:Ka(r,"resting"),dragging:Ka(r,"dragging"),dropAnimating:Ka(r,"dropAnimating"),userCancel:Ka(r,"userCancel")}},Qa="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?A.useLayoutEffect:A.useEffect;const Ja=()=>{const e=document.querySelector("head");return e||so(!1),e},Za=e=>{const t=document.createElement("style");return e&&t.setAttribute("nonce",e),t.type="text/css",t};function el(e,t){return Array.from(e.querySelectorAll(t))}var tl=e=>e&&e.ownerDocument&&e.ownerDocument.defaultView?e.ownerDocument.defaultView:window;function nl(e){return e instanceof tl(e).HTMLElement}function rl(){const e={draggables:{},droppables:{}},t=[];function n(e){t.length&&t.forEach((t=>t(e)))}function r(t){return e.draggables[t]||null}function o(t){return e.droppables[t]||null}return{draggable:{register:t=>{e.draggables[t.descriptor.id]=t,n({type:"ADDITION",value:t})},update:(t,n)=>{const r=e.draggables[n.descriptor.id];r&&r.uniqueId===t.uniqueId&&(delete e.draggables[n.descriptor.id],e.draggables[t.descriptor.id]=t)},unregister:t=>{const o=t.descriptor.id,i=r(o);i&&t.uniqueId===i.uniqueId&&(delete e.draggables[o],e.droppables[t.descriptor.droppableId]&&n({type:"REMOVAL",value:t}))},getById:function(e){const t=r(e);return t||so(!1),t},findById:r,exists:e=>Boolean(r(e)),getAllByType:t=>Object.values(e.draggables).filter((e=>e.descriptor.type===t))},droppable:{register:t=>{e.droppables[t.descriptor.id]=t},unregister:t=>{const n=o(t.descriptor.id);n&&t.uniqueId===n.uniqueId&&delete e.droppables[t.descriptor.id]},getById:function(e){const t=o(e);return t||so(!1),t},findById:o,exists:e=>Boolean(o(e)),getAllByType:t=>Object.values(e.droppables).filter((e=>e.descriptor.type===t))},subscribe:function(e){return t.push(e),function(){const n=t.indexOf(e);-1!==n&&t.splice(n,1)}},clean:function(){e.draggables={},e.droppables={},t.length=0}}}var ol=S().createContext(null),il=()=>{const e=document.body;return e||so(!1),e},al={position:"absolute",width:"1px",height:"1px",margin:"-1px",border:"0",padding:"0",overflow:"hidden",clip:"rect(0 0 0 0)","clip-path":"inset(100%)"};const ll=e=>`rfd-announcement-${e}`;let sl=0;const cl={separator:"::"};var ul="useId"in S()?function(e,t=cl){const n=S().useId();return _r((()=>`${e}${t.separator}${n}`),[t.separator,e,n])}:function(e,t=cl){return _r((()=>`${e}${t.separator}${sl++}`),[t.separator,e])},dl=S().createContext(null);function pl(e){const t=(0,A.useRef)(e);return(0,A.useEffect)((()=>{t.current=e})),t}function fl(e){return"IDLE"!==e.phase&&"DROP_ANIMATING"!==e.phase&&e.isDragging}const gl=9,ml=13,bl=33,hl=34,vl=35,yl=36,wl={[ml]:!0,[gl]:!0};var El=e=>{wl[e.keyCode]&&e.preventDefault()},Al=(()=>{const e="visibilitychange";return"undefined"==typeof document?e:[e,`ms${e}`,`webkit${e}`,`moz${e}`,`o${e}`].find((e=>`on${e}`in document))||e})();const Cl={type:"IDLE"};function Sl(){}const xl={[hl]:!0,[bl]:!0,[yl]:!0,[vl]:!0};const Ol={type:"IDLE"},Rl=["input","button","textarea","select","option","optgroup","video","audio"];function Il(e,t){if(null==t)return!1;if(Rl.includes(t.tagName.toLowerCase()))return!0;const n=t.getAttribute("contenteditable");return"true"===n||""===n||t!==e&&Il(e,t.parentElement)}function Pl(e,t){const n=t.target;return!!nl(n)&&Il(e,n)}var Dl=e=>zr(e.getBoundingClientRect()).center;const Tl=(()=>{const e="matches";return"undefined"==typeof document?e:[e,"msMatchesSelector","webkitMatchesSelector"].find((e=>e in Element.prototype))||e})();function Ml(e,t){return null==e?null:e[Tl](t)?e:Ml(e.parentElement,t)}function kl(e,t){return e.closest?e.closest(t):Ml(e,t)}function Bl(e){e.preventDefault()}function Nl({expected:e,phase:t,isLockActive:n,shouldWarn:r}){return!!n()&&e===t}function Fl({lockAPI:e,store:t,registry:n,draggableId:r}){if(e.isClaimed())return!1;const o=n.draggable.findById(r);return!!o&&!!o.options.isEnabled&&!!Ra(t.getState(),r)}const Ll=[function(e){const t=(0,A.useRef)(Cl),n=(0,A.useRef)(ro),r=_r((()=>({eventName:"mousedown",fn:function(t){if(t.defaultPrevented)return;if(0!==t.button)return;if(t.ctrlKey||t.metaKey||t.shiftKey||t.altKey)return;const r=e.findClosestDraggableId(t);if(!r)return;const o=e.tryGetLock(r,a,{sourceEvent:t});if(!o)return;t.preventDefault();const i={x:t.clientX,y:t.clientY};n.current(),c(o,i)}})),[e]),o=_r((()=>({eventName:"webkitmouseforcewillbegin",fn:t=>{if(t.defaultPrevented)return;const n=e.findClosestDraggableId(t);if(!n)return;const r=e.findOptionsForDraggable(n);r&&(r.shouldRespectForcePress||e.canGetLock(n)&&t.preventDefault())}})),[e]),i=Vr((function(){n.current=oo(window,[o,r],{passive:!1,capture:!0})}),[o,r]),a=Vr((()=>{"IDLE"!==t.current.type&&(t.current=Cl,n.current(),i())}),[i]),l=Vr((()=>{const e=t.current;a(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[a]),s=Vr((function(){const e=function({cancel:e,completed:t,getPhase:n,setPhase:r}){return[{eventName:"mousemove",fn:e=>{const{button:t,clientX:o,clientY:i}=e;if(0!==t)return;const a={x:o,y:i},l=n();if("DRAGGING"===l.type)return e.preventDefault(),void l.actions.move(a);if("PENDING"!==l.type&&so(!1),s=l.point,c=a,!(Math.abs(c.x-s.x)>=5||Math.abs(c.y-s.y)>=5))return;var s,c;e.preventDefault();const u=l.actions.fluidLift(a);r({type:"DRAGGING",actions:u})}},{eventName:"mouseup",fn:r=>{const o=n();"DRAGGING"===o.type?(r.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"mousedown",fn:t=>{"DRAGGING"===n().type&&t.preventDefault(),e()}},{eventName:"keydown",fn:t=>{if("PENDING"!==n().type)return 27===t.keyCode?(t.preventDefault(),void e()):void El(t);e()}},{eventName:"resize",fn:e},{eventName:"scroll",options:{passive:!0,capture:!1},fn:()=>{"PENDING"===n().type&&e()}},{eventName:"webkitmouseforcedown",fn:t=>{const r=n();"IDLE"===r.type&&so(!1),r.actions.shouldRespectForcePress()?e():t.preventDefault()}},{eventName:Al,fn:e}]}({cancel:l,completed:a,getPhase:()=>t.current,setPhase:e=>{t.current=e}});n.current=oo(window,e,{capture:!0,passive:!1})}),[l,a]),c=Vr((function(e,n){"IDLE"!==t.current.type&&so(!1),t.current={type:"PENDING",point:n,actions:e},s()}),[s]);Qa((function(){return i(),function(){n.current()}}),[i])},function(e){const t=(0,A.useRef)(Sl),n=_r((()=>({eventName:"keydown",fn:function(n){if(n.defaultPrevented)return;if(32!==n.keyCode)return;const o=e.findClosestDraggableId(n);if(!o)return;const i=e.tryGetLock(o,s,{sourceEvent:n});if(!i)return;n.preventDefault();let a=!0;const l=i.snapLift();function s(){a||so(!1),a=!1,t.current(),r()}t.current(),t.current=oo(window,function(e,t){function n(){t(),e.cancel()}return[{eventName:"keydown",fn:r=>27===r.keyCode?(r.preventDefault(),void n()):32===r.keyCode?(r.preventDefault(),t(),void e.drop()):40===r.keyCode?(r.preventDefault(),void e.moveDown()):38===r.keyCode?(r.preventDefault(),void e.moveUp()):39===r.keyCode?(r.preventDefault(),void e.moveRight()):37===r.keyCode?(r.preventDefault(),void e.moveLeft()):void(xl[r.keyCode]?r.preventDefault():El(r))},{eventName:"mousedown",fn:n},{eventName:"mouseup",fn:n},{eventName:"click",fn:n},{eventName:"touchstart",fn:n},{eventName:"resize",fn:n},{eventName:"wheel",fn:n,options:{passive:!0}},{eventName:Al,fn:n}]}(l,s),{capture:!0,passive:!1})}})),[e]),r=Vr((function(){t.current=oo(window,[n],{passive:!1,capture:!0})}),[n]);Qa((function(){return r(),function(){t.current()}}),[r])},function(e){const t=(0,A.useRef)(Ol),n=(0,A.useRef)(ro),r=Vr((function(){return t.current}),[]),o=Vr((function(e){t.current=e}),[]),i=_r((()=>({eventName:"touchstart",fn:function(t){if(t.defaultPrevented)return;const r=e.findClosestDraggableId(t);if(!r)return;const o=e.tryGetLock(r,l,{sourceEvent:t});if(!o)return;const i=t.touches[0],{clientX:a,clientY:s}=i,c={x:a,y:s};n.current(),d(o,c)}})),[e]),a=Vr((function(){n.current=oo(window,[i],{capture:!0,passive:!1})}),[i]),l=Vr((()=>{const e=t.current;"IDLE"!==e.type&&("PENDING"===e.type&&clearTimeout(e.longPressTimerId),o(Ol),n.current(),a())}),[a,o]),s=Vr((()=>{const e=t.current;l(),"DRAGGING"===e.type&&e.actions.cancel({shouldBlockNextClick:!0}),"PENDING"===e.type&&e.actions.abort()}),[l]),c=Vr((function(){const e={capture:!0,passive:!1},t={cancel:s,completed:l,getPhase:r},o=oo(window,function({cancel:e,completed:t,getPhase:n}){return[{eventName:"touchmove",options:{capture:!1},fn:t=>{const r=n();if("DRAGGING"!==r.type)return void e();r.hasMoved=!0;const{clientX:o,clientY:i}=t.touches[0],a={x:o,y:i};t.preventDefault(),r.actions.move(a)}},{eventName:"touchend",fn:r=>{const o=n();"DRAGGING"===o.type?(r.preventDefault(),o.actions.drop({shouldBlockNextClick:!0}),t()):e()}},{eventName:"touchcancel",fn:t=>{"DRAGGING"===n().type?(t.preventDefault(),e()):e()}},{eventName:"touchforcechange",fn:t=>{const r=n();"IDLE"===r.type&&so(!1);const o=t.touches[0];if(!o)return;if(!(o.force>=.15))return;const i=r.actions.shouldRespectForcePress();if("PENDING"!==r.type)return i?r.hasMoved?void t.preventDefault():void e():void t.preventDefault();i&&e()}},{eventName:Al,fn:e}]}(t),e),i=oo(window,function({cancel:e,getPhase:t}){return[{eventName:"orientationchange",fn:e},{eventName:"resize",fn:e},{eventName:"contextmenu",fn:e=>{e.preventDefault()}},{eventName:"keydown",fn:n=>{"DRAGGING"===t().type?(27===n.keyCode&&n.preventDefault(),e()):e()}},{eventName:Al,fn:e}]}(t),e);n.current=function(){o(),i()}}),[s,r,l]),u=Vr((function(){const e=r();"PENDING"!==e.type&&so(!1);const t=e.actions.fluidLift(e.point);o({type:"DRAGGING",actions:t,hasMoved:!1})}),[r,o]),d=Vr((function(e,t){"IDLE"!==r().type&&so(!1);const n=setTimeout(u,120);o({type:"PENDING",point:t,actions:e,longPressTimerId:n}),c()}),[c,r,o,u]);Qa((function(){return a(),function(){n.current();const e=r();"PENDING"===e.type&&(clearTimeout(e.longPressTimerId),o(Ol))}}),[r,a,o]),Qa((function(){return oo(window,[{eventName:"touchmove",fn:()=>{},options:{capture:!1,passive:!1}}])}),[])}];function jl({contextId:e,store:t,registry:n,customSensors:r,enableDefaultSensors:o}){const i=[...o?Ll:[],...r||[]],a=(0,A.useState)((()=>function(){let e=null;function t(){e||so(!1),e=null}return{isClaimed:function(){return Boolean(e)},isActive:function(t){return t===e},claim:function(t){e&&so(!1);const n={abandon:t};return e=n,n},release:t,tryAbandon:function(){e&&(e.abandon(),t())}}}()))[0],l=Vr((function(e,t){fl(e)&&!fl(t)&&a.tryAbandon()}),[a]);Qa((function(){let e=t.getState();return t.subscribe((()=>{const n=t.getState();l(e,n),e=n}))}),[a,t,l]),Qa((()=>a.tryAbandon),[a.tryAbandon]);const s=Vr((e=>Fl({lockAPI:a,registry:n,store:t,draggableId:e})),[a,n,t]),c=Vr(((r,o,i)=>function({lockAPI:e,contextId:t,store:n,registry:r,draggableId:o,forceSensorStop:i,sourceEvent:a}){if(!Fl({lockAPI:e,store:n,registry:r,draggableId:o}))return null;const l=r.draggable.getById(o),s=function(e,t){const n=`[${Wa.contextId}="${e}"]`,r=el(document,n).find((e=>e.getAttribute(Wa.id)===t));return r&&nl(r)?r:null}(t,l.descriptor.id);if(!s)return null;if(a&&!l.options.canDragInteractiveElements&&Pl(s,a))return null;const c=e.claim(i||ro);let u="PRE_DRAG";function d(){return l.options.shouldRespectForcePress}function p(){return e.isActive(c)}const f=function(e,t){Nl({expected:e,phase:u,isLockActive:p,shouldWarn:!0})&&n.dispatch(t())}.bind(null,"DRAGGING");function g(t){function r(){e.release(),u="COMPLETED"}function o(e,o={shouldBlockNextClick:!1}){if(t.cleanup(),o.shouldBlockNextClick){const e=oo(window,[{eventName:"click",fn:Bl,options:{once:!0,passive:!1,capture:!0}}]);setTimeout(e)}r(),n.dispatch(Xi({reason:e}))}return"PRE_DRAG"!==u&&(r(),so(!1)),n.dispatch(Li(t.liftActionArgs)),u="DRAGGING",{isActive:()=>Nl({expected:"DRAGGING",phase:u,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:d,drop:e=>o("DROP",e),cancel:e=>o("CANCEL",e),...t.actions}}return{isActive:()=>Nl({expected:"PRE_DRAG",phase:u,isLockActive:p,shouldWarn:!1}),shouldRespectForcePress:d,fluidLift:function(e){const t=eo((e=>{f((()=>Hi({client:e})))}));return{...g({liftActionArgs:{id:o,clientSelection:e,movementMode:"FLUID"},cleanup:()=>t.cancel(),actions:{move:t}}),move:t}},snapLift:function(){const e={moveUp:()=>f(Ui),moveRight:()=>f(Wi),moveDown:()=>f($i),moveLeft:()=>f(qi)};return g({liftActionArgs:{id:o,clientSelection:Dl(s),movementMode:"SNAP"},cleanup:ro,actions:e})},abort:function(){Nl({expected:"PRE_DRAG",phase:u,isLockActive:p,shouldWarn:!0})&&e.release()}}}({lockAPI:a,registry:n,contextId:e,store:t,draggableId:r,forceSensorStop:o||null,sourceEvent:i&&i.sourceEvent?i.sourceEvent:null})),[e,a,n,t]),u=Vr((t=>function(e,t){const n=function(e,t){const n=t.target;if(!((r=n)instanceof tl(r).Element))return null;var r;const o=function(e){return`[${$a.contextId}="${e}"]`}(e),i=kl(n,o);return i&&nl(i)?i:null}(e,t);return n?n.getAttribute($a.draggableId):null}(e,t)),[e]),d=Vr((e=>{const t=n.draggable.findById(e);return t?t.options:null}),[n.draggable]),p=Vr((function(){a.isClaimed()&&(a.tryAbandon(),"IDLE"!==t.getState().phase&&t.dispatch(Yi()))}),[a,t]),f=Vr((()=>a.isClaimed()),[a]),g=_r((()=>({canGetLock:s,tryGetLock:c,findClosestDraggableId:u,findOptionsForDraggable:d,tryReleaseLock:p,isLockClaimed:f})),[s,c,u,d,p,f]);for(let e=0;e<i.length;e++)i[e](g)}const _l=e=>({onBeforeCapture:t=>{const n=()=>{e.onBeforeCapture&&e.onBeforeCapture(t)};S().version.startsWith("16")||S().version.startsWith("17")?n():(0,Br.flushSync)(n)},onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragEnd:e.onDragEnd,onDragUpdate:e.onDragUpdate}),Vl=e=>({...Da,...e.autoScrollerOptions,durationDampening:{...Da.durationDampening,...e.autoScrollerOptions}});function zl(e){return e.current||so(!1),e.current}function Gl(e){const{contextId:t,setCallbacks:n,sensors:r,nonce:o,dragHandleUsageInstructions:i}=e,a=(0,A.useRef)(null),l=pl(e),s=Vr((()=>_l(l.current)),[l]),c=Vr((()=>Vl(l.current)),[l]),u=function(e){const t=_r((()=>ll(e)),[e]),n=(0,A.useRef)(null);return(0,A.useEffect)((function(){const e=document.createElement("div");return n.current=e,e.id=t,e.setAttribute("aria-live","assertive"),e.setAttribute("aria-atomic","true"),(0,to.A)(e.style,al),il().appendChild(e),function(){setTimeout((function(){const t=il();t.contains(e)&&t.removeChild(e),e===n.current&&(n.current=null)}))}}),[t]),Vr((e=>{const t=n.current;t&&(t.textContent=e)}),[])}(t),d=function({contextId:e,text:t}){const n=ul("hidden-text",{separator:"-"}),r=_r((()=>function({contextId:e,uniqueId:t}){return`rfd-hidden-text-${e}-${t}`}({contextId:e,uniqueId:n})),[n,e]);return(0,A.useEffect)((function(){const e=document.createElement("div");return e.id=r,e.textContent=t,e.style.display="none",il().appendChild(e),function(){const t=il();t.contains(e)&&t.removeChild(e)}}),[r,t]),r}({contextId:t,text:i}),p=function(e,t){const n=_r((()=>Xa(e)),[e]),r=(0,A.useRef)(null),o=(0,A.useRef)(null),i=Vr(Zr((e=>{const t=o.current;t||so(!1),t.textContent=e})),[]),a=Vr((e=>{const t=r.current;t||so(!1),t.textContent=e}),[]);Qa((()=>{(r.current||o.current)&&so(!1);const l=Za(t),s=Za(t);return r.current=l,o.current=s,l.setAttribute(`${Ua}-always`,e),s.setAttribute(`${Ua}-dynamic`,e),Ja().appendChild(l),Ja().appendChild(s),a(n.always),i(n.resting),()=>{const e=e=>{const t=e.current;t||so(!1),Ja().removeChild(t),e.current=null};e(r),e(o)}}),[t,a,i,n.always,n.resting,e]);const l=Vr((()=>i(n.dragging)),[i,n.dragging]),s=Vr((e=>{i("DROP"!==e?n.userCancel:n.dropAnimating)}),[i,n.dropAnimating,n.userCancel]),c=Vr((()=>{o.current&&i(n.resting)}),[i,n.resting]);return _r((()=>({dragging:l,dropping:s,resting:c})),[l,s,c])}(t,o),f=Vr((e=>{zl(a).dispatch(e)}),[]),g=_r((()=>(0,Fr.bindActionCreators)({publishWhileDragging:ji,updateDroppableScroll:Vi,updateDroppableIsEnabled:zi,updateDroppableIsCombineEnabled:Gi,collectionStarting:_i},f)),[f]),m=function(){const e=_r(rl,[]);return(0,A.useEffect)((()=>function(){S().version.startsWith("16")||S().version.startsWith("17")?requestAnimationFrame(e.clean):e.clean()}),[e]),e}(),b=_r((()=>Oa(m,g)),[m,g]),h=_r((()=>Ha({scrollWindow:Ia,scrollDroppable:b.scrollDroppable,getAutoScrollerOptions:c,...(0,Fr.bindActionCreators)({move:Hi},f)})),[b.scrollDroppable,f,c]),v=function(e){const t=(0,A.useRef)({}),n=(0,A.useRef)(null),r=(0,A.useRef)(null),o=(0,A.useRef)(!1),i=Vr((function(e,n){const r={id:e,focus:n};return t.current[e]=r,function(){const n=t.current;n[e]!==r&&delete n[e]}}),[]),a=Vr((function(t){const n=function(e,t){const n=`[${$a.contextId}="${e}"]`,r=el(document,n);if(!r.length)return null;const o=r.find((e=>e.getAttribute($a.draggableId)===t));return o&&nl(o)?o:null}(e,t);n&&n!==document.activeElement&&n.focus()}),[e]),l=Vr((function(e,t){n.current===e&&(n.current=t)}),[]),s=Vr((function(){r.current||o.current&&(r.current=requestAnimationFrame((()=>{r.current=null;const e=n.current;e&&a(e)})))}),[a]),c=Vr((function(e){n.current=null;const t=document.activeElement;t&&t.getAttribute($a.draggableId)===e&&(n.current=e)}),[]);return Qa((()=>(o.current=!0,function(){o.current=!1;const e=r.current;e&&cancelAnimationFrame(e)})),[]),_r((()=>({register:i,tryRecordFocus:c,tryRestoreFocusRecorded:s,tryShiftRecord:l})),[i,c,s,l])}(t),y=_r((()=>Ea({announce:u,autoScroller:h,dimensionMarshal:b,focusMarshal:v,getResponders:s,styleMarshal:p})),[u,h,b,v,s,p]);a.current=y;const w=Vr((()=>{const e=zl(a);"IDLE"!==e.getState().phase&&e.dispatch(Yi())}),[]),E=Vr((()=>{const e=zl(a).getState();return"DROP_ANIMATING"===e.phase||"IDLE"!==e.phase&&e.isDragging}),[]);n(_r((()=>({isDragging:E,tryAbort:w})),[E,w]));const C=Vr((e=>Ra(zl(a).getState(),e)),[]),x=Vr((()=>Ei(zl(a).getState())),[]),O=_r((()=>({marshal:b,focus:v,contextId:t,canLift:C,isMovementAllowed:x,dragHandleUsageInstructionsId:d,registry:m})),[t,b,d,v,C,x,m]);return jl({contextId:t,store:y,registry:m,customSensors:r||null,enableDefaultSensors:!1!==e.enableDefaultSensors}),(0,A.useEffect)((()=>w),[w]),S().createElement(dl.Provider,{value:O},S().createElement(Lr.Provider,{context:ol,store:y},e.children))}let Hl=0;var Ul="useId"in S()?function(){return S().useId()}:function(){return _r((()=>""+Hl++),[])};function $l(e){const t=Ul(),n=e.dragHandleUsageInstructions||bo.dragHandleUsageInstructions;return S().createElement(co,null,(r=>S().createElement(Gl,{nonce:e.nonce,contextId:t,setCallbacks:r,dragHandleUsageInstructions:n,enableDefaultSensors:e.enableDefaultSensors,sensors:e.sensors,onBeforeCapture:e.onBeforeCapture,onBeforeDragStart:e.onBeforeDragStart,onDragStart:e.onDragStart,onDragUpdate:e.onDragUpdate,onDragEnd:e.onDragEnd,autoScrollerOptions:e.autoScrollerOptions},e.children)))}const Wl=5e3,ql=4500,Yl=(e,t)=>t?ra.drop(t.duration):e?ra.snap:ra.fluid,Kl=(e,t)=>{if(e)return t?Ji:Zi};var Xl=S().createContext(null);function Ql(e){const t=(0,A.useContext)(e);return t||so(!1),t}function Jl(e){e.preventDefault()}var Zl=(e,t)=>e===t,es=e=>{const{combine:t,destination:n}=e;return n?n.droppableId:t?t.droppableId:null};function ts(e=null){return{isDragging:!1,isDropAnimating:!1,isClone:!1,dropAnimation:null,mode:null,draggingOver:null,combineTargetFor:e,combineWith:null}}const ns={mapped:{type:"SECONDARY",offset:ho,combineTargetFor:null,shouldAnimateDisplacement:!0,snapshot:ts(null)}},rs={dropAnimationFinished:()=>({type:"DROP_ANIMATION_FINISHED",payload:null})},os=(0,Lr.connect)((()=>{const e=function(){const e=Zr(((e,t)=>({x:e,y:t}))),t=Zr(((e,t,n=null,r=null,o=null)=>({isDragging:!0,isClone:t,isDropAnimating:Boolean(o),dropAnimation:o,mode:e,draggingOver:n,combineWith:r,combineTargetFor:null}))),n=Zr(((e,n,r,o,i=null,a=null,l=null)=>({mapped:{type:"DRAGGING",dropping:null,draggingOver:i,combineWith:a,mode:n,offset:e,dimension:r,forceShouldAnimate:l,snapshot:t(n,o,i,a,null)}})));return(r,o)=>{if(fl(r)){if(r.critical.draggable.id!==o.draggableId)return null;const t=r.current.client.offset,a=r.dimensions.draggables[o.draggableId],l=yi(r.impact),s=(i=r.impact).at&&"COMBINE"===i.at.type?i.at.combine.draggableId:null,c=r.forceShouldAnimate;return n(e(t.x,t.y),r.movementMode,a,o.isClone,l,s,c)}var i;if("DROP_ANIMATING"===r.phase){const e=r.completed;if(e.result.draggableId!==o.draggableId)return null;const n=o.isClone,i=r.dimensions.draggables[o.draggableId],a=e.result,l=a.mode,s=es(a),c=(e=>e.combine?e.combine.draggableId:null)(a),u={duration:r.dropDuration,curve:Qi,moveTo:r.newHomeClientOffset,opacity:c?Ji:null,scale:c?ea:null};return{mapped:{type:"DRAGGING",offset:r.newHomeClientOffset,dimension:i,dropping:u,draggingOver:s,combineWith:c,mode:l,forceShouldAnimate:null,snapshot:t(l,n,s,c,u)}}}return null}}(),t=function(){const e=Zr(((e,t)=>({x:e,y:t}))),t=Zr(ts),n=Zr(((e,n=null,r)=>({mapped:{type:"SECONDARY",offset:e,combineTargetFor:n,shouldAnimateDisplacement:r,snapshot:t(n)}}))),r=e=>e?n(ho,e,!0):null,o=(t,o,i,a)=>{const l=i.displaced.visible[t],s=Boolean(a.inVirtualList&&a.effected[t]),c=Lo(i),u=c&&c.draggableId===t?o:null;if(!l){if(!s)return r(u);if(i.displaced.invisible[t])return null;const o=Eo(a.displacedBy.point),l=e(o.x,o.y);return n(l,u,!0)}if(s)return r(u);const d=i.displacedBy.point,p=e(d.x,d.y);return n(p,u,l.shouldAnimate)};return(e,t)=>{if(fl(e))return e.critical.draggable.id===t.draggableId?null:o(t.draggableId,e.critical.draggable.id,e.impact,e.afterCritical);if("DROP_ANIMATING"===e.phase){const n=e.completed;return n.result.draggableId===t.draggableId?null:o(t.draggableId,n.result.draggableId,n.impact,n.afterCritical)}return null}}();return(n,r)=>e(n,r)||t(n,r)||ns}),rs,null,{context:ol,areStatePropsEqual:Zl})((e=>{const t=(0,A.useRef)(null),n=Vr(((e=null)=>{t.current=e}),[]),r=Vr((()=>t.current),[]),{contextId:o,dragHandleUsageInstructionsId:i,registry:a}=Ql(dl),{type:l,droppableId:s}=Ql(Xl),c=_r((()=>({id:e.draggableId,index:e.index,type:l,droppableId:s})),[e.draggableId,e.index,l,s]),{children:u,draggableId:d,isEnabled:p,shouldRespectForcePress:f,canDragInteractiveElements:g,isClone:m,mapped:b,dropAnimationFinished:h}=e;m||function(e){const t=ul("draggable"),{descriptor:n,registry:r,getDraggableRef:o,canDragInteractiveElements:i,shouldRespectForcePress:a,isEnabled:l}=e,s=_r((()=>({canDragInteractiveElements:i,shouldRespectForcePress:a,isEnabled:l})),[i,l,a]),c=Vr((e=>{const t=o();return t||so(!1),function(e,t,n=ho){const r=window.getComputedStyle(t),o=t.getBoundingClientRect(),i=Kr(o,r),a=Yr(i,n);return{descriptor:e,placeholder:{client:i,tagName:t.tagName.toLowerCase(),display:r.display},displaceBy:{x:i.marginBox.width,y:i.marginBox.height},client:i,page:a}}(n,t,e)}),[n,o]),u=_r((()=>({uniqueId:t,descriptor:n,options:s,getDimension:c})),[n,c,s,t]),d=(0,A.useRef)(u),p=(0,A.useRef)(!0);Qa((()=>(r.draggable.register(d.current),()=>r.draggable.unregister(d.current))),[r.draggable]),Qa((()=>{if(p.current)return void(p.current=!1);const e=d.current;d.current=u,r.draggable.update(u,e)}),[u,r.draggable])}(_r((()=>({descriptor:c,registry:a,getDraggableRef:r,canDragInteractiveElements:g,shouldRespectForcePress:f,isEnabled:p})),[c,a,r,g,f,p]));const v=_r((()=>p?{tabIndex:0,role:"button","aria-describedby":i,"data-rfd-drag-handle-draggable-id":d,"data-rfd-drag-handle-context-id":o,draggable:!1,onDragStart:Jl}:null),[o,i,d,p]),y=Vr((e=>{"DRAGGING"===b.type&&b.dropping&&"transform"===e.propertyName&&(S().version.startsWith("16")||S().version.startsWith("17")?h():(0,Br.flushSync)(h))}),[h,b]),w=_r((()=>{const e=function(e){return"DRAGGING"===e.type?function(e){const t=e.dimension.client,{offset:n,combineWith:r,dropping:o}=e,i=Boolean(r),a=(e=>null!=e.forceShouldAnimate?e.forceShouldAnimate:"SNAP"===e.mode)(e),l=Boolean(o),s=l?aa(n,i):ia(n);return{position:"fixed",top:t.marginBox.top,left:t.marginBox.left,boxSizing:"border-box",width:t.borderBox.width,height:t.borderBox.height,transition:Yl(a,o),transform:s,opacity:Kl(i,l),zIndex:l?ql:Wl,pointerEvents:"none"}}(e):{transform:ia((t=e).offset),transition:t.shouldAnimateDisplacement?void 0:"none"};var t}(b),t="DRAGGING"===b.type&&b.dropping?y:void 0;return{innerRef:n,draggableProps:{"data-rfd-draggable-context-id":o,"data-rfd-draggable-id":d,style:e,onTransitionEnd:t},dragHandleProps:v}}),[o,v,d,b,y,n]),E=_r((()=>({draggableId:c.id,type:c.type,source:{index:c.index,droppableId:c.droppableId}})),[c.droppableId,c.id,c.index,c.type]);return S().createElement(S().Fragment,null,u(w,b.snapshot,E))}));var is=os;function as(e){return Ql(Xl).isUsingCloneFor!==e.draggableId||e.isClone?S().createElement(is,e):null}function ls(e){const t="boolean"!=typeof e.isDragDisabled||!e.isDragDisabled,n=Boolean(e.disableInteractiveElementBlocking),r=Boolean(e.shouldRespectForcePress);return S().createElement(as,(0,to.A)({},e,{isClone:!1,isEnabled:t,canDragInteractiveElements:n,shouldRespectForcePress:r}))}const ss=e=>t=>e===t,cs=ss("scroll"),us=ss("auto"),ds=(ss("visible"),(e,t)=>t(e.overflowX)||t(e.overflowY)),ps=e=>null==e||e===document.body||e===document.documentElement?null:(e=>{const t=window.getComputedStyle(e),n={overflowX:t.overflowX,overflowY:t.overflowY};return ds(n,cs)||ds(n,us)})(e)?e:ps(e.parentElement);var fs=e=>({x:e.scrollLeft,y:e.scrollTop});const gs=e=>!!e&&("fixed"===window.getComputedStyle(e).position||gs(e.parentElement));const ms={passive:!1},bs={passive:!0};var hs=e=>e.shouldPublishImmediately?ms:bs;const vs=e=>e&&e.env.closestScrollable||null;function ys(e){const t=(0,A.useRef)(null),n=Ql(dl),r=ul("droppable"),{registry:o,marshal:i}=n,a=pl(e),l=_r((()=>({id:e.droppableId,type:e.type,mode:e.mode})),[e.droppableId,e.mode,e.type]),s=(0,A.useRef)(l),c=_r((()=>Zr(((e,n)=>{t.current||so(!1);const r={x:e,y:n};i.updateDroppableScroll(l.id,r)}))),[l.id,i]),u=Vr((()=>{const e=t.current;return e&&e.env.closestScrollable?fs(e.env.closestScrollable):ho}),[]),d=Vr((()=>{const e=u();c(e.x,e.y)}),[u,c]),p=_r((()=>eo(d)),[d]),f=Vr((()=>{const e=t.current,n=vs(e);e&&n||so(!1),e.scrollOptions.shouldPublishImmediately?d():p()}),[p,d]),g=Vr(((e,r)=>{t.current&&so(!1);const o=a.current,i=o.getDroppableRef();i||so(!1);const s=(e=>({closestScrollable:ps(e),isFixedOnPage:gs(e)}))(i),c={ref:i,descriptor:l,env:s,scrollOptions:r};t.current=c;const u=(({ref:e,descriptor:t,env:n,windowScroll:r,direction:o,isDropDisabled:i,isCombineEnabled:a,shouldClipSubject:l})=>{const s=n.closestScrollable,c=((e,t)=>{const n=Xr(e);if(!t)return n;if(e!==t)return n;const r=n.paddingBox.top-t.scrollTop,o=n.paddingBox.left-t.scrollLeft,i=r+t.scrollHeight,a=o+t.scrollWidth,l=Gr({top:r,right:a,bottom:i,left:o},n.border);return $r({borderBox:l,margin:n.margin,border:n.border,padding:n.padding})})(e,s),u=Yr(c,r),d=(()=>{if(!s)return null;const e=Xr(s),t={scrollHeight:s.scrollHeight,scrollWidth:s.scrollWidth};return{client:e,page:Yr(e,r),scroll:fs(s),scrollSize:t,shouldClipSubject:l}})(),p=(({descriptor:e,isEnabled:t,isCombineEnabled:n,isFixedOnPage:r,direction:o,client:i,page:a,closest:l})=>{const s=(()=>{if(!l)return null;const{scrollSize:e,client:t}=l,n=Aa({scrollHeight:e.scrollHeight,scrollWidth:e.scrollWidth,height:t.paddingBox.height,width:t.paddingBox.width});return{pageMarginBox:l.page.marginBox,frameClient:t,scrollSize:e,shouldClipSubject:l.shouldClipSubject,scroll:{initial:l.scroll,current:l.scroll,max:n,diff:{value:ho,displacement:ho}}}})(),c="vertical"===o?Wo:qo;return{descriptor:e,isCombineEnabled:n,isFixedOnPage:r,axis:c,isEnabled:t,client:i,page:a,frame:s,subject:Po({page:a,withPlaceholder:null,axis:c,frame:s})}})({descriptor:t,isEnabled:!i,isCombineEnabled:a,isFixedOnPage:n.isFixedOnPage,direction:o,client:c,page:u,closest:d});return p})({ref:i,descriptor:l,env:s,windowScroll:e,direction:o.direction,isDropDisabled:o.isDropDisabled,isCombineEnabled:o.isCombineEnabled,shouldClipSubject:!o.ignoreContainerClipping}),d=s.closestScrollable;return d&&(d.setAttribute(Ya.contextId,n.contextId),d.addEventListener("scroll",f,hs(c.scrollOptions))),u}),[n.contextId,l,f,a]),m=Vr((()=>{const e=t.current,n=vs(e);return e&&n||so(!1),fs(n)}),[]),b=Vr((()=>{const e=t.current;e||so(!1);const n=vs(e);t.current=null,n&&(p.cancel(),n.removeAttribute(Ya.contextId),n.removeEventListener("scroll",f,hs(e.scrollOptions)))}),[f,p]),h=Vr((e=>{const n=t.current;n||so(!1);const r=vs(n);r||so(!1),r.scrollTop+=e.y,r.scrollLeft+=e.x}),[]),v=_r((()=>({getDimensionAndWatchScroll:g,getScrollWhileDragging:m,dragStopped:b,scroll:h})),[b,g,m,h]),y=_r((()=>({uniqueId:r,descriptor:l,callbacks:v})),[v,l,r]);Qa((()=>(s.current=y.descriptor,o.droppable.register(y),()=>{t.current&&b(),o.droppable.unregister(y)})),[v,l,b,y,i,o.droppable]),Qa((()=>{t.current&&i.updateDroppableIsEnabled(s.current.id,!e.isDropDisabled)}),[e.isDropDisabled,i]),Qa((()=>{t.current&&i.updateDroppableIsCombineEnabled(s.current.id,e.isCombineEnabled)}),[e.isCombineEnabled,i])}function ws(){}const Es={width:0,height:0,margin:{top:0,right:0,bottom:0,left:0}};var As=S().memo((e=>{const t=(0,A.useRef)(null),n=Vr((()=>{t.current&&(clearTimeout(t.current),t.current=null)}),[]),{animate:r,onTransitionEnd:o,onClose:i,contextId:a}=e,[l,s]=(0,A.useState)("open"===e.animate);(0,A.useEffect)((()=>l?"open"!==r?(n(),s(!1),ws):t.current?ws:(t.current=setTimeout((()=>{t.current=null,s(!1)})),n):ws),[r,l,n]);const c=Vr((e=>{"height"===e.propertyName&&(o(),"close"===r&&i())}),[r,i,o]),u=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>{const r=(({isAnimatingOpenOnMount:e,placeholder:t,animate:n})=>e||"close"===n?Es:{height:t.client.borderBox.height,width:t.client.borderBox.width,margin:t.client.margin})({isAnimatingOpenOnMount:e,placeholder:t,animate:n});return{display:t.display,boxSizing:"border-box",width:r.width,height:r.height,marginTop:r.margin.top,marginRight:r.margin.right,marginBottom:r.margin.bottom,marginLeft:r.margin.left,flexShrink:"0",flexGrow:"0",pointerEvents:"none",transition:"none"!==n?ra.placeholder:null}})({isAnimatingOpenOnMount:l,animate:e.animate,placeholder:e.placeholder});return S().createElement(e.placeholder.tagName,{style:u,"data-rfd-placeholder-context-id":a,onTransitionEnd:c,ref:e.innerRef})}));class Cs extends S().PureComponent{constructor(...e){super(...e),this.state={isVisible:Boolean(this.props.on),data:this.props.on,animate:this.props.shouldAnimate&&this.props.on?"open":"none"},this.onClose=()=>{"close"===this.state.animate&&this.setState({isVisible:!1})}}static getDerivedStateFromProps(e,t){return e.shouldAnimate?e.on?{isVisible:!0,data:e.on,animate:"open"}:t.isVisible?{isVisible:!0,data:t.data,animate:"close"}:{isVisible:!1,animate:"close",data:null}:{isVisible:Boolean(e.on),data:e.on,animate:"none"}}render(){if(!this.state.isVisible)return null;const e={onClose:this.onClose,data:this.state.data,animate:this.state.animate};return this.props.children(e)}}const Ss={mode:"standard",type:"DEFAULT",direction:"vertical",isDropDisabled:!1,isCombineEnabled:!1,ignoreContainerClipping:!1,renderClone:null,getContainerForClone:function(){return document.body||so(!1),document.body}},xs=e=>{let t,n={...e};for(t in Ss)void 0===e[t]&&(n={...n,[t]:Ss[t]});return n},Os=(e,t)=>e===t.droppable.type,Rs=(e,t)=>t.draggables[e.draggable.id];var Is=(0,Lr.connect)((()=>{const e={placeholder:null,shouldAnimatePlaceholder:!0,snapshot:{isDraggingOver:!1,draggingOverWith:null,draggingFromThisWith:null,isUsingPlaceholder:!1},useClone:null},t={...e,shouldAnimatePlaceholder:!1},n=Zr((e=>({draggableId:e.id,type:e.type,source:{index:e.index,droppableId:e.droppableId}}))),r=Zr(((r,o,i,a,l,s)=>{const c=l.descriptor.id;if(l.descriptor.droppableId===r){const e=s?{render:s,dragging:n(l.descriptor)}:null,t={isDraggingOver:i,draggingOverWith:i?c:null,draggingFromThisWith:c,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!1,snapshot:t,useClone:e}}if(!o)return t;if(!a)return e;const u={isDraggingOver:i,draggingOverWith:c,draggingFromThisWith:null,isUsingPlaceholder:!0};return{placeholder:l.placeholder,shouldAnimatePlaceholder:!0,snapshot:u,useClone:null}}));return(n,o)=>{const i=xs(o),a=i.droppableId,l=i.type,s=!i.isDropDisabled,c=i.renderClone;if(fl(n)){const e=n.critical;if(!Os(l,e))return t;const o=Rs(e,n.dimensions),i=yi(n.impact)===a;return r(a,s,i,i,o,c)}if("DROP_ANIMATING"===n.phase){const e=n.completed;if(!Os(l,e.critical))return t;const o=Rs(e.critical,n.dimensions);return r(a,s,es(e.result)===a,yi(e.impact)===a,o,c)}if("IDLE"===n.phase&&n.completed&&!n.shouldFlush){const r=n.completed;if(!Os(l,r.critical))return t;const o=yi(r.impact)===a,i=Boolean(r.impact.at&&"COMBINE"===r.impact.at.type),s=r.critical.droppable.id===a;return o?i?e:t:s?e:t}return t}}),{updateViewportMaxScroll:e=>({type:"UPDATE_VIEWPORT_MAX_SCROLL",payload:e})},((e,t,n)=>({...xs(n),...e,...t})),{context:ol,areStatePropsEqual:Zl})((e=>{const t=(0,A.useContext)(dl);t||so(!1);const{contextId:n,isMovementAllowed:r}=t,o=(0,A.useRef)(null),i=(0,A.useRef)(null),{children:a,droppableId:l,type:s,mode:c,direction:u,ignoreContainerClipping:d,isDropDisabled:p,isCombineEnabled:f,snapshot:g,useClone:m,updateViewportMaxScroll:b,getContainerForClone:h}=e,v=Vr((()=>o.current),[]),y=Vr(((e=null)=>{o.current=e}),[]),w=(Vr((()=>i.current),[]),Vr(((e=null)=>{i.current=e}),[])),E=Vr((()=>{r()&&b({maxScroll:Sa()})}),[r,b]);ys({droppableId:l,type:s,mode:c,direction:u,isDropDisabled:p,isCombineEnabled:f,ignoreContainerClipping:d,getDroppableRef:v});const C=_r((()=>S().createElement(Cs,{on:e.placeholder,shouldAnimate:e.shouldAnimatePlaceholder},(({onClose:e,data:t,animate:r})=>S().createElement(As,{placeholder:t,onClose:e,innerRef:w,animate:r,contextId:n,onTransitionEnd:E})))),[n,E,e.placeholder,e.shouldAnimatePlaceholder,w]),x=_r((()=>({innerRef:y,placeholder:C,droppableProps:{"data-rfd-droppable-id":l,"data-rfd-droppable-context-id":n}})),[n,l,C,y]),O=m?m.dragging.draggableId:null,R=_r((()=>({droppableId:l,type:s,isUsingCloneFor:O})),[l,O,s]);return S().createElement(Xl.Provider,{value:R},a(x,g),function(){if(!m)return null;const{dragging:e,render:t}=m,n=S().createElement(as,{draggableId:e.draggableId,index:e.source.index,isClone:!0,isEnabled:!0,shouldRespectForcePress:!1,canDragInteractiveElements:!0},((n,r)=>t(n,r,e)));return Nr().createPortal(n,h())}())}));function Ps(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ds(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ps(e,t,n[t])}))}return e}function Ts(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Ms=[{value:o.AUTO,label:"Auto"},{value:o.COLORED_TEXT,label:"Colored text"},{value:o.COLORED_BACKGROUND,label:"Colored background"}],ks=[{value:i.COUNT,label:"Count"},{value:i.EXTENT,label:"Extent"},{value:i.MAX,label:"Max"},{value:i.MEAN,label:"Mean"},{value:i.MEDIAN,label:"Median"},{value:i.MIN,label:"Min"},{value:i.NONE,label:"None"},{value:i.SUM,label:"Sum"},{value:i.UNIQUE,label:"Unique"},{value:i.UNIQUE_COUNT,label:"Unique Count"}],Bs=[{value:c.CLIENT,label:"Client"},{value:c.QUERY,label:"Query"}],Ns=[{value:n.LEFT,label:"",icon:"align-left",description:"Pinned to the left",ariaLabel:P.columnEditor.pinDirectionOption.selector(n.LEFT)},{value:n.NONE,label:"None",ariaLabel:P.columnEditor.pinDirectionOption.selector(n.NONE)},{value:n.RIGHT,label:"",icon:"align-right",description:"Pinned to the right",ariaLabel:P.columnEditor.pinDirectionOption.selector(n.RIGHT)}],Fs=[{value:!1,label:"A-Z",icon:"sort-amount-up",description:"Ascending order",ariaLabel:P.columnEditor.sortDirectionOption.selector("asc")},{value:!0,label:"Z-A",icon:"sort-amount-down",description:"Descending order",ariaLabel:P.columnEditor.sortDirectionOption.selector("desc")}],Ls=w.standardEditorsRegistry.get("stats-picker").editor,js=({value:e,onChange:t,data:n,isAggregationAvailable:r})=>{const i=(0,A.useMemo)((()=>Rn(n,e.field)),[n,e.field]),a=(0,A.useMemo)((()=>e.filter.enabled&&e.filter.mode===c.QUERY?(0,D.getTemplateSrv)().getVariables().map((e=>{const t=Bn(e);return{label:e.label||e.name,value:e.name,description:0===t.length?"Not supported variable type":"",isDisabled:0===t.length}})):[]),[e.filter.enabled,e.filter.mode]);var l,u,d;return S().createElement(S().Fragment,null,S().createElement(E.InlineField,{label:"Label",grow:!0},S().createElement(E.Input,Ds({value:e.label,placeholder:null!==(l=null==i?void 0:i.config.displayName)&&void 0!==l?l:null==i?void 0:i.name,onChange:n=>t(Ts(Ds({},e),{label:n.currentTarget.value}))},P.columnEditor.fieldLabel.apply()))),S().createElement(df,{label:"Format"},S().createElement(E.InlineField,{label:"Type",grow:!0},S().createElement(E.Select,Ds({options:Ms,value:e.type,onChange:n=>{t(Ts(Ds({},e),{type:n.value}))}},P.columnEditor.fieldType.apply()))),e.type===o.COLORED_BACKGROUND&&S().createElement(E.InlineField,{label:"Apply to Row",grow:!0},S().createElement(E.InlineSwitch,Ds({value:e.appearance.background.applyToRow,onChange:n=>t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{background:Ts(Ds({},e.appearance.background),{applyToRow:n.currentTarget.checked})})}))},P.columnEditor.fieldAppearanceBackgroundApplyToRow.apply())))),S().createElement(df,{label:"Size"},S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Auto Width"},S().createElement(E.InlineSwitch,Ds({value:e.appearance.width.auto,onChange:n=>t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{width:Ts(Ds({},e.appearance.width),{auto:n.currentTarget.checked})})}))},P.columnEditor.fieldAppearanceWidthAuto.apply()))),e.appearance.width.auto?S().createElement(S().Fragment,null,S().createElement(E.InlineField,{label:"Min"},S().createElement(or.Q7,Ds({value:null!==(u=e.appearance.width.min)&&void 0!==u?u:0,onChange:n=>{t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{width:Ts(Ds({},e.appearance.width),{min:n})})}))}},P.columnEditor.fieldAppearanceWidthMin.apply()))),S().createElement(E.InlineField,{label:"Max"},S().createElement(or.Q7,Ds({value:null!==(d=e.appearance.width.max)&&void 0!==d?d:0,placeholder:"Auto",onChange:n=>{t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{width:Ts(Ds({},e.appearance.width),{max:n||void 0})})}))}},P.columnEditor.fieldAppearanceWidthMax.apply())))):S().createElement(E.InlineField,{label:"Width"},S().createElement(or.Q7,Ds({value:e.appearance.width.value,placeholder:"Auto",onChange:n=>{t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{width:Ts(Ds({},e.appearance.width),{value:n})})}))}},P.columnEditor.fieldAppearanceWidthValue.apply()))))),S().createElement(df,{label:"Text"},S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Wrap"},S().createElement(E.InlineSwitch,Ds({value:e.appearance.wrap,onChange:n=>t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{wrap:n.currentTarget.checked})}))},P.columnEditor.fieldAppearanceWrap.apply()))),S().createElement(E.InlineField,Ds({label:"Alignment"},P.columnEditor.fieldAppearanceAlignment.apply()),S().createElement(E.RadioButtonGroup,{value:e.appearance.alignment,onChange:n=>t(Ts(Ds({},e),{appearance:Ts(Ds({},e.appearance),{alignment:n})})),options:[{value:s.START,icon:"align-left",description:"Start",ariaLabel:P.columnEditor.fieldAppearanceAlignmentOption.selector(s.START)},{value:s.CENTER,icon:"bars",description:"Center",ariaLabel:P.columnEditor.fieldAppearanceAlignmentOption.selector(s.CENTER)},{value:s.END,icon:"align-right",description:"End",ariaLabel:P.columnEditor.fieldAppearanceAlignmentOption.selector(s.END)}]})))),S().createElement(df,{label:"Position"},S().createElement(E.InlineField,Ds({label:"Pin",grow:!0},P.columnEditor.fieldPinDirection.apply()),S().createElement(E.RadioButtonGroup,{value:e.pin,onChange:n=>t(Ts(Ds({},e),{pin:n})),options:Ns}))),S().createElement(df,{label:"Data Settings"},S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Group",grow:!0},S().createElement(E.InlineSwitch,Ds({value:e.group,onChange:n=>t(Ts(Ds({},e),{group:n.currentTarget.checked}))},P.columnEditor.fieldGroup.apply()))),S().createElement(E.InlineField,{label:"Filter",grow:!0},S().createElement(E.InlineSwitch,Ds({value:e.filter.enabled,onChange:n=>t(Ts(Ds({},e),{filter:Ts(Ds({},e.filter),{enabled:n.currentTarget.checked})}))},P.columnEditor.fieldFilterEnabled.apply()))),S().createElement(E.InlineField,{label:"Sort",grow:!0},S().createElement(E.InlineSwitch,Ds({value:e.sort.enabled,onChange:n=>t(Ts(Ds({},e),{sort:Ts(Ds({},e.sort),{enabled:n.currentTarget.checked})}))},P.columnEditor.fieldSortEnabled.apply())))),!e.group&&r&&S().createElement(E.InlineField,{label:"Aggregation",grow:!0},S().createElement(E.Select,Ds({value:e.aggregation,options:ks,onChange:n=>{t(Ts(Ds({},e),{aggregation:n.value}))}},P.columnEditor.fieldAggregation.apply())))),e.sort.enabled&&S().createElement(df,{label:"Sort"},S().createElement(E.InlineField,Ds({label:"Direction",grow:!0},P.columnEditor.fieldSortDirection.apply()),S().createElement(E.RadioButtonGroup,{value:e.sort.descFirst,onChange:n=>t(Ts(Ds({},e),{sort:Ts(Ds({},e.sort),{descFirst:n})})),options:Fs}))),e.filter.enabled&&S().createElement(df,{label:"Filter"},S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Mode"},S().createElement(E.Select,Ds({value:e.filter.mode,onChange:n=>{t(Ts(Ds({},e),{filter:Ts(Ds({},e.filter),{mode:n.value})}))},options:Bs},P.columnEditor.fieldFilterMode.apply()))),e.filter.mode===c.QUERY&&S().createElement(E.InlineField,{label:"Variable",grow:!0},S().createElement(E.Select,Ds({value:e.filter.variable,options:a,onChange:n=>{t(Ts(Ds({},e),{filter:Ts(Ds({},e.filter),{variable:n.value})}))},isClearable:!0},P.columnEditor.fieldFilterVariable.apply()))))),S().createElement(df,{label:"Footer"},S().createElement(E.InlineField,{label:"Show",grow:!0},S().createElement(Ls,{value:e.footer,onChange:n=>{t(Ts(Ds({},e),{footer:n}))},context:{},item:{id:"columnFooterEditor",name:"columnFooterEditor"}}))))};function _s(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Vs(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){_s(e,t,n[t])}))}return e}function zs(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Gs=({value:e,name:t,onChange:r,data:a})=>{const l=(v=(0,E.useTheme2)(),{header:vr.css`
      padding: ${v.spacing(.5,.5)};
      border-radius: ${null===(y=v.shape.radius)||void 0===y?void 0:y.default};
      background: ${v.colors.background.secondary};
      min-height: ${v.spacing(4)};
      display: grid;
      grid-template-columns: minmax(100px, max-content) min-content;
      align-items: center;
      justify-content: space-between;
      white-space: nowrap;

      &:focus {
        outline: none;
      }
    `,column:vr.css`
      display: flex;
      align-items: center;
    `,dragHandle:vr.css`
      display: flex;
      margin: ${v.spacing(0,.5)};
    `,dragIcon:vr.css`
      cursor: grab;
      color: ${v.colors.text.disabled};
      &:hover {
        color: ${v.colors.text};
      }
    `,collapseIcon:vr.css`
      margin-left: ${v.spacing(.5)};
      color: ${v.colors.text.disabled};
    `,item:vr.css`
      margin-bottom: ${v.spacing(1)};
    `}),[s,u]=(0,A.useState)(null),[d,p]=(0,A.useState)({}),f=(0,A.useCallback)((e=>{r(e)}),[r]),g=(0,A.useCallback)((t=>{t.destination&&f(xn(e,t.source.index,t.destination.index))}),[e,f]),m=(0,A.useCallback)((()=>{s&&(f([...e,{field:{name:s.name,source:s.source},label:"",type:o.AUTO,group:!1,aggregation:i.NONE,filter:{enabled:!1,mode:c.CLIENT,variable:""},sort:{descFirst:!1,enabled:!1},appearance:O,footer:[],edit:R,pin:n.NONE}]),u(null))}),[e,s,f]),b=(0,A.useMemo)((()=>e.some((e=>e.group))),[e]),h=(0,A.useMemo)((()=>e.map((e=>e.field))),[e]);var v,y;return S().createElement("div",P.columnsEditor.root.apply(),S().createElement($l,{onDragEnd:g},S().createElement(Is,{droppableId:t},(t=>S().createElement("div",zs(Vs({},t.droppableProps),{ref:t.innerRef}),e.map(((t,r)=>S().createElement(ls,{key:Sn(t.field),draggableId:Sn(t.field),index:r},((r,o)=>{return S().createElement("div",zs(Vs({ref:r.innerRef},r.draggableProps),{style:(o.isDragging,i=r.draggableProps.style,Vs({},i)),className:l.item}),S().createElement(or.SD,{headerTestId:P.columnsEditor.itemHeader.selector(Sn(t.field)),contentTestId:P.columnsEditor.itemContent.selector(Sn(t.field)),fill:"solid",title:S().createElement(cf,null,t.field.name,t.group&&S().createElement(E.Tag,{name:"Group"}),t.edit.enabled&&S().createElement(E.Tag,{name:"Editable"}),t.pin===n.LEFT&&S().createElement(E.Tag,{name:"Pinned: Left"}),t.pin===n.RIGHT&&S().createElement(E.Tag,{name:"Pinned: Right"}),t.filter.enabled&&S().createElement(E.Tag,{name:"Filterable"}),t.sort.enabled&&S().createElement(E.Tag,{name:"Sortable"})),actions:S().createElement(S().Fragment,null,S().createElement(E.IconButton,Vs({name:"trash-alt",onClick:()=>f(e.filter((e=>Sn(e.field)!==Sn(t.field)))),"aria-label":"Remove"},P.columnsEditor.buttonRemove.apply())),S().createElement("div",Vs({className:l.dragHandle},r.dragHandleProps),S().createElement(E.Icon,{title:"Drag and drop to reorder",name:"draggabledots",size:"lg",className:l.dragIcon}))),isOpen:d[Sn(t.field)],onToggle:e=>p(zs(Vs({},d),{[Sn(t.field)]:e}))},S().createElement(js,{value:t,onChange:t=>{f(e.map((e=>Sn(e.field)===Sn(t.field)?t:e)))},data:a,isAggregationAvailable:b})));var i})))),t.placeholder)))),S().createElement(E.InlineFieldRow,P.columnsEditor.newItem.apply(),S().createElement(E.InlineField,{label:"New Column",grow:!0},S().createElement(kr,Vs({value:s||void 0,onChange:e=>{u(null!=e?e:null)},data:a,alreadySelectedFields:h},P.columnsEditor.newItemName.apply()))),S().createElement(E.Button,Vs({icon:"plus",title:"Add Column",disabled:!s,onClick:m},P.columnsEditor.buttonAddNew.apply()),"Add")))},Hs=e=>({sectionWrapper:vr.css`
      margin-bottom: ${e.spacing(.5)};
    `,sectionContent:vr.css`
      padding: ${e.spacing(.5,1)};
    `});function Us(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function $s(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Us(e,t,n[t])}))}return e}function Ws(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const qs=[{value:r.CLIENT,label:"Client"},{value:r.QUERY,label:"Query"}],Ys=({value:e,onChange:t,data:n})=>{var o,i,a,l;const s=(0,E.useStyles2)(Hs),[c,u]=(0,A.useState)({update:!1,pagination:!1,editable:!1}),d=(0,A.useMemo)((()=>e.pagination.enabled&&e.pagination.mode===r.QUERY?(0,D.getTemplateSrv)().getVariables().map((e=>({label:e.label||e.name,value:e.name}))):[]),[e.pagination.enabled,e.pagination.mode]);return S().createElement(S().Fragment,null,S().createElement(Gs,{name:e.name,value:e.items,data:n,onChange:n=>{t(Ws($s({},e),{items:n}))}}),S().createElement(E.InlineField,{label:"Pagination"},S().createElement(E.InlineSwitch,$s({value:e.pagination.enabled,onChange:n=>{t(Ws($s({},e),{pagination:Ws($s({},e.pagination),{enabled:n.currentTarget.checked})}))}},P.tableEditor.fieldPaginationEnabled.apply()))),e.pagination.enabled&&S().createElement(or.SD,{title:"Pagination Settings",isOpen:c.pagination,onToggle:e=>{u(Ws($s({},c),{pagination:e}))},isInlineContent:!0,headerTestId:P.tableEditor.paginationSectionHeader.selector(),contentTestId:P.tableEditor.paginationSectionContent.selector()},S().createElement("div",{className:s.sectionContent},S().createElement(E.Field,{label:"Mode"},S().createElement(E.Select,$s({value:e.pagination.mode,onChange:n=>{t(Ws($s({},e),{pagination:Ws($s({},e.pagination),{mode:n.value})}))},options:qs},P.tableEditor.fieldPaginationMode.apply()))),e.pagination.mode===r.QUERY&&S().createElement(S().Fragment,null,S().createElement(E.Field,{label:"Page Index Variable"},S().createElement(E.Select,$s({value:null===(o=e.pagination.query)||void 0===o?void 0:o.pageIndexVariable,onChange:n=>{t(Ws($s({},e),{pagination:Ws($s({},e.pagination),{query:Ve(Ws($s({},e.pagination.query),{pageIndexVariable:n?n.value:void 0}))})}))},options:d,isClearable:!0},P.tableEditor.fieldPaginationQueryPageIndexVariable.apply()))),S().createElement(E.Field,{label:"Offset Variable"},S().createElement(E.Select,$s({value:null===(i=e.pagination.query)||void 0===i?void 0:i.offsetVariable,onChange:n=>{t(Ws($s({},e),{pagination:Ws($s({},e.pagination),{query:Ve(Ws($s({},e.pagination.query),{offsetVariable:n?n.value:void 0}))})}))},options:d,isClearable:!0},P.tableEditor.fieldPaginationQueryOffsetVariable.apply()))),S().createElement(E.Field,{label:"Page Size Variable"},S().createElement(E.Select,$s({value:null===(a=e.pagination.query)||void 0===a?void 0:a.pageSizeVariable,onChange:n=>{t(Ws($s({},e),{pagination:Ws($s({},e.pagination),{query:Ve(Ws($s({},e.pagination.query),{pageSizeVariable:n?n.value:void 0}))})}))},options:d,isClearable:!0},P.tableEditor.fieldPaginationQueryPageSizeVariable.apply()))),S().createElement(E.Field,{label:"Total Count Field"},S().createElement(kr,$s({value:null===(l=e.pagination.query)||void 0===l?void 0:l.totalCountField,onChange:n=>{t(Ws($s({},e),{pagination:Ws($s({},e.pagination),{query:Ve(Ws($s({},e.pagination.query),{totalCountField:n}))})}))},data:n},P.tableEditor.fieldPaginationQueryTotalCount.apply())))))))};function Ks(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Xs(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ks(e,t,n[t])}))}return e}function Qs(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Js=P.tablesEditor,Zs=({context:{options:e,data:t},onChange:n})=>{const o=(R=(0,E.useTheme2)(),{newItem:vr.css`
      margin: ${R.spacing(2)} 0;
    `,item:vr.css`
      margin-bottom: ${R.spacing(1)};
    `,itemHeader:vr.css`
      min-height: ${R.spacing(4)};
      padding: ${R.spacing(.5)};
    `,itemHeaderForm:vr.css`
      display: flex;
      align-items: center;
      gap: ${R.spacing(.5)};
    `,itemHeaderText:vr.css`
      overflow: hidden;
      text-overflow: ellipsis;
      line-height: ${R.spacing(4)};
    `,fieldName:vr.css`
      margin: 0;
    `,dragHandle:vr.css`
      display: flex;
      margin: ${R.spacing(0,.5)};
    `,dragIcon:vr.css`
      cursor: grab;
      color: ${R.colors.text.disabled};
      &:hover {
        color: ${R.colors.text};
      }
    `,actionButton:vr.css`
      color: ${R.colors.text.secondary};
    `}),[i,a]=(0,A.useState)((null==e?void 0:e.tables)||[]),[l,s]=(0,A.useState)(""),[c,u]=(0,A.useState)({}),[d,p]=(0,A.useState)(""),[f,g]=(0,A.useState)(""),m=(0,A.useCallback)((e=>{a(e),n(e)}),[n]),b=(0,A.useCallback)((e=>{e.destination&&m(xn(i,e.source.index,e.destination.index))}),[i,m]),h=(0,A.useCallback)((e=>{u((t=>Qs(Xs({},t),{[e]:!t[e]})))}),[]),v=(0,A.useCallback)((()=>{s(""),m(i.concat([{name:l,items:[],update:{datasource:"",payload:{}},pagination:{enabled:!1,mode:r.CLIENT}}])),h(l)}),[i,l,m,h]),y=(0,A.useCallback)((e=>{m(i.map((t=>t.name===e.name?e:t)))}),[i,m]),w=(0,A.useMemo)((()=>i.some((e=>e.name===l))),[i,l]),C=(0,A.useCallback)((()=>{p(""),g(""),u((e=>Qs(Xs({},e),{[d]:!!e[d]&&d===f,[f]:e[d]})))}),[d,f]),x=(0,A.useMemo)((()=>!(!f.trim()||d!==f&&i.some((e=>e.name===f)))),[d,f,i]),O=(0,A.useCallback)((()=>{m(i.map((e=>e.name===d?Qs(Xs({},e),{name:f}):e))),C()}),[i,m,C,d,f]);var R;return S().createElement(S().Fragment,null,i.length>0?S().createElement($l,{onDragEnd:b},S().createElement(Is,{droppableId:"tables-editor"},(e=>S().createElement("div",Qs(Xs({},e.droppableProps),{ref:e.innerRef}),i.map(((e,n)=>S().createElement(ls,{key:e.name,draggableId:e.name,index:n},((n,r)=>{return S().createElement("div",Qs(Xs({ref:n.innerRef},n.draggableProps),{style:(r.isDragging,a=n.draggableProps.style,Xs({},a)),className:o.item}),S().createElement(or.SD,{key:e.name,title:d===e.name?S().createElement("div",{className:(0,vr.cx)(o.itemHeader,o.itemHeaderForm),onClick:e=>e.stopPropagation()},S().createElement(E.InlineField,{className:o.fieldName,invalid:!x},S().createElement(E.Input,Xs({autoFocus:!0,value:f,onChange:e=>g(e.currentTarget.value),onKeyDown:e=>{"Enter"===e.key&&x&&O(),"Escape"===e.key&&C()}},Js.fieldName.apply()))),S().createElement(E.Button,Xs({variant:"secondary",fill:"text",className:o.actionButton,icon:"times",size:"sm",onClick:C},Js.buttonCancelRename.apply())),S().createElement(E.Button,Xs({variant:"secondary",fill:"text",className:o.actionButton,icon:"save",size:"sm",onClick:O,disabled:!x,tooltip:x?"":"Name is empty or table with the same name already exists."},Js.buttonSaveRename.apply()))):S().createElement("div",{className:(0,vr.cx)(o.itemHeader,o.itemHeaderText)},e.name),headerTestId:Js.itemHeader.selector(e.name),contentTestId:Js.itemContent.selector(e.name),actions:S().createElement(S().Fragment,null,d!==e.name&&S().createElement(E.Button,Xs({icon:"edit",variant:"secondary",fill:"text",size:"sm",className:o.actionButton,onClick:()=>{g(e.name),p(e.name)}},Js.buttonStartRename.apply())),S().createElement(E.Button,Xs({icon:"trash-alt",variant:"secondary",fill:"text",size:"sm",className:o.actionButton,onClick:()=>{m(i.filter((t=>t.name!==e.name)))}},Js.buttonRemove.apply())),S().createElement("div",Xs({className:o.dragHandle},n.dragHandleProps),S().createElement(E.Icon,{name:"draggabledots",className:o.dragIcon}))),isOpen:c[e.name],onToggle:()=>h(e.name)},S().createElement(Ys,{value:e,onChange:y,data:t})));var a})))),e.placeholder)))):S().createElement(E.Alert,Xs({severity:"info",title:"No Tables"},Js.noItemsMessage.apply()),"Please add at least one table to proceed."),S().createElement(E.InlineFieldRow,Xs({className:o.newItem},Js.newItem.apply()),S().createElement(E.InlineField,{label:"New Table",grow:!0,invalid:w,error:"Table with the same name already exists."},S().createElement(E.Input,Xs({placeholder:"Unique name",value:l,onChange:e=>s(e.currentTarget.value.trim())},Js.newItemName.apply()))),S().createElement(E.Button,Xs({icon:"plus",title:"Add Table",disabled:!l||w,onClick:v},Js.buttonAddNew.apply()),"Add")))};function ec(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const tc=({field:e,value:t,config:n,bgColor:r})=>{const i=(0,E.useTheme2)();let a=t,l="inherit";if(e.display){const n=e.display(t);n.color&&(l=n.color),a=S().createElement(E.FormattedValueDisplay,{value:n})}return S().createElement("span",(s=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ec(e,t,n[t])}))}return e}({},P.defaultCellRenderer.root.apply()),c=null!=(c={style:{color:n.type===o.COLORED_TEXT?l:r?i.colors.getContrastText(r):"inherit"}})?c:{},Object.getOwnPropertyDescriptors?Object.defineProperties(s,Object.getOwnPropertyDescriptors(c)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(c)).forEach((function(e){Object.defineProperty(s,e,Object.getOwnPropertyDescriptor(c,e))})),s),a);var s,c},nc=({renderValue:e,column:t,bgColor:n})=>{if(!t.columnDef.meta)return null;const{config:r,field:i}=t.columnDef.meta,a=e();switch(r.type||o.AUTO){case o.AUTO:case o.COLORED_TEXT:case o.COLORED_BACKGROUND:}return S().createElement(tc,{value:a,field:i,config:r,bgColor:n})},rc=()=>({filterFacetedList:vr.css`
      list-style: none;
      margin: 0;
      padding: 0;
      max-height: 200px;
      overflow: auto;
    `});function oc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ic(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){oc(e,t,n[t])}))}return e}function ac(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const lc=({header:{column:e},value:t,onChange:n})=>{const r=(0,E.useStyles2)(rc),o=(0,A.useMemo)((()=>t.value.reduce(((e,t)=>(e.set(t,!0),e)),new Map)),[t.value]),i=(0,A.useMemo)((()=>{var t;if((null===(t=e.columnDef.meta)||void 0===t?void 0:t.filterMode)===c.QUERY){const t=e.columnDef.meta.filterVariableName,n=(0,D.getTemplateSrv)().getVariables().find((e=>e.name===t));return n&&"options"in n?n.options.filter((e=>"$__all"!==e.value)).map((e=>({value:e.value,label:e.text||e.value}))):[]}return Array.from(e.getFacetedUniqueValues().keys()).sort().slice(0,5e3).map((e=>({value:e,label:e})))}),[e]);return S().createElement("ul",ic({className:r.filterFacetedList},P.filterFacetedList.root.apply()),S().createElement("li",null,S().createElement(E.Checkbox,ic({checked:t.value.length===i.length,indeterminate:t.value.length>0&&i.length>t.value.length,label:"All",onChange:()=>{t.value.length===i.length?n(ac(ic({},t),{value:[]})):n(ac(ic({},t),{value:i.map((({value:e})=>e))}))}},P.filterFacetedList.allOption.apply()))),i.map((e=>{var r;return S().createElement("li",{key:e.value},S().createElement(E.Checkbox,ic({checked:null!==(r=o.get(e.value))&&void 0!==r&&r,label:e.label,onChange:r=>{r.currentTarget.checked?n(ac(ic({},t),{value:t.value.concat(e.value)})):n(ac(ic({},t),{value:t.value.filter((t=>t!==e.value))}))}},P.filterFacetedList.option.apply(e.value))))})))};function sc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function cc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){sc(e,t,n[t])}))}return e}function uc(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const dc=({value:e,onChange:t})=>S().createElement(E.InlineFieldRow,null,S().createElement(E.ButtonSelect,cc({options:Object.values(l).map((e=>({label:e,value:e}))),onChange:n=>{t(uc(cc({},e),{operator:n.value}))},value:{value:e.operator}},P.filterNumber.fieldOperator.apply())),S().createElement(E.InlineField,null,S().createElement(or.Q7,cc({value:e.value[0],onChange:n=>{t(uc(cc({},e),{value:[n,e.value[1]]}))},width:8},P.filterNumber.fieldValue.apply()))),e.operator===l.BETWEEN&&S().createElement(E.InlineField,{label:"and",transparent:!0},S().createElement(or.Q7,cc({value:e.value[1],onChange:n=>{t(uc(cc({},e),{value:[e.value[0],n]}))},width:8},P.filterNumber.fieldAdditionalValue.apply()))));function pc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function fc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){pc(e,t,n[t])}))}return e}function gc(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const mc=({value:e,onChange:t,mode:n,onCancel:r,onSave:o})=>S().createElement(E.InlineField,{label:"Search"},S().createElement(E.Input,fc({placeholder:"Search term",value:e.value,onChange:n=>{t(gc(fc({},e),{value:n.currentTarget.value}))},autoFocus:!0,onKeyDown:e=>{"Enter"!==e.key?"Escape"!==e.key||r():o()},addonAfter:n===c.CLIENT&&S().createElement(E.Button,fc({variant:e.caseSensitive?"primary":"secondary",fill:"outline",icon:"text-fields",onClick:()=>{t(gc(fc({},e),{caseSensitive:!e.caseSensitive}))},tooltip:"Match Case"},P.filterSearch.buttonMatchCase.apply()))},P.filterSearch.root.apply())));function bc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function hc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){bc(e,t,n[t])}))}return e}const vc=({value:e,onChange:t})=>S().createElement(E.InlineFieldRow,null,S().createElement(E.InlineField,{label:"Time"},S().createElement(E.TimeRangeInput,hc({value:e.value,onChange:n=>{var r,o;t((r=hc({},e),o=null!=(o={value:n})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r))},clearable:!0},P.filterTime.root.apply())))),yc=e=>({filterPopup:vr.css`
      background-color: ${e.colors.background.primary};
      padding: ${e.spacing(1.5)};
      border: 1px solid ${e.colors.border.weak};
      min-width: 200px;
    `,filterPopupLine:vr.css`
      border-top: 1px solid ${e.colors.border.weak};
      margin: ${e.spacing(1,0)};
    `,filterPopupFooter:vr.css`
      display: flex;
      align-items: center;
      justify-content: flex-end;
      gap: ${e.spacing(.5)};
    `});function wc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ec(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){wc(e,t,n[t])}))}return e}const Ac=({onClose:e,header:t})=>{var n;const r=(0,E.useStyles2)(yc),[o,i]=(0,A.useState)(t.column.getFilterValue()||{type:"none"}),l=(null===(n=t.column.columnDef.meta)||void 0===n?void 0:n.filterMode)||c.CLIENT,s=(0,A.useCallback)((e=>{if(t.column.setFilterValue(e),l===c.QUERY){var n;let r=null;e&&"value"in e&&(r=e.value),D.locationService.partial({[`var-${null===(n=t.column.columnDef.meta)||void 0===n?void 0:n.filterVariableName}`]:r},!0)}}),[l,t.column]),u=(0,A.useCallback)((()=>{let t;switch(o.type){case a.SEARCH:o.value&&(t=o);break;case a.FACETED:o.value.length&&(t=o);break;case a.NUMBER:t=o;break;case a.TIMESTAMP:o.value.from.isValid()&&o.value.to.isValid()&&(t=o)}s(t),e()}),[o,s,e]),d=(0,A.useCallback)((()=>{s(void 0),e()}),[s,e]),p=(0,A.useMemo)((()=>{var e;return(null===(e=t.column.columnDef.meta)||void 0===e?void 0:e.availableFilterTypes)?t.column.columnDef.meta.availableFilterTypes.map((e=>{let t="Unknown";switch(e){case a.FACETED:t="Options";break;case a.NUMBER:t="Range";break;case a.SEARCH:t="Search";break;case a.TIMESTAMP:t="Time"}return{label:t,value:e,ariaLabel:P.filterPopup.typeOption.selector(e)}})):[]}),[t]);return(0,A.useEffect)((()=>{"none"===o.type&&p.length>0&&i(kn(p[0].value))}),[o.type,p]),S().createElement(E.ClickOutsideWrapper,{onClick:e,useCapture:!0},S().createElement("div",Ec({className:r.filterPopup,onClick:e=>e.stopPropagation()},P.filterPopup.root.apply()),p.length>1&&S().createElement(S().Fragment,null,S().createElement(E.InlineField,{label:"Type"},S().createElement(E.RadioButtonGroup,{options:p,value:o.type,onChange:e=>{i(kn(e))}})),"none"!==o.type&&S().createElement("div",{className:r.filterPopupLine})),o.type===a.SEARCH&&S().createElement(mc,{value:o,onChange:i,onSave:u,onCancel:e,mode:l}),o.type===a.FACETED&&S().createElement(lc,{value:o,onChange:i,header:t}),o.type===a.NUMBER&&S().createElement(dc,{value:o,onChange:i}),o.type===a.TIMESTAMP&&S().createElement(vc,{value:o,onChange:i}),S().createElement("div",{className:r.filterPopupLine}),S().createElement("div",{className:r.filterPopupFooter},S().createElement(E.Button,Ec({variant:"primary",size:"sm",fill:"text",onClick:d},P.filterPopup.buttonClear.apply()),"Clear"),S().createElement(E.Button,Ec({variant:"secondary",size:"sm",onClick:e},P.filterPopup.buttonCancel.apply()),"Cancel"),S().createElement(E.Button,Ec({variant:"primary",size:"sm",onClick:u},P.filterPopup.buttonSave.apply()),"Save"))))};function Cc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Sc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Cc(e,t,n[t])}))}return e}const xc=({row:e,isEditing:t,onStartEdit:n,onCancelEdit:r,onSave:o,isSaving:i})=>t?S().createElement(E.Stack,{gap:.5},S().createElement(E.IconButton,Sc({onClick:()=>null==o?void 0:o(e),"aria-label":"Save",disabled:i,name:i?"spinner":"save",tooltip:"Save",variant:"primary"},P.tableActionsCell.buttonSave.apply())),S().createElement(E.IconButton,Sc({variant:"secondary",onClick:r,"aria-label":"Cancel",disabled:i,tooltip:"Cancel",name:"times"},P.tableActionsCell.buttonCancel.apply()))):S().createElement(S().Fragment,null,S().createElement(E.IconButton,Sc({name:"pen","aria-label":"Edit",onClick:()=>null==n?void 0:n(e),disabled:i,tooltip:"Edit row"},P.tableActionsCell.buttonStartEdit.apply())));function Oc(e,t){return e?function(e){return"function"==typeof e&&(()=>{const t=Object.getPrototypeOf(e);return t.prototype&&t.prototype.isReactComponent})()}(n=e)||"function"==typeof n||function(e){return"object"==typeof e&&"symbol"==typeof e.$$typeof&&["react.memo","react.forward_ref"].includes(e.$$typeof.description)}(n)?A.createElement(e,t):e:null;var n}const Rc=()=>({labelSortable:vr.css`
      cursor: pointer;
    `}),Ic=()=>({filterButton:vr.css`
      border: none;
      box-shadow: none;
      background-color: transparent;
      padding: 0;
    `});function Pc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Dc=({header:e})=>{const t=(0,E.useStyles2)(Ic),n=(0,E.useTheme2)(),[r,o]=(0,A.useState)(!1),i=(0,A.useCallback)((()=>{o(!1)}),[]),a=(0,A.useRef)(null);return S().createElement(S().Fragment,null,S().createElement("button",function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Pc(e,t,n[t])}))}return e}({onClick:()=>o(!r),ref:a,className:t.filterButton},P.tableHeaderCellFilter.root.apply()),S().createElement(E.Icon,{name:"filter",style:{color:e.column.getIsFiltered()?n.colors.primary.text:n.colors.secondary.text}})),r&&a.current&&S().createElement(S().Fragment,null,S().createElement(E.Popover,{show:!0,content:S().createElement(Ac,{header:e,onClose:i}),referenceElement:a.current,placement:"bottom-start"})))},Tc=({header:e})=>{const t=(0,E.useStyles2)(Rc),n=e.column.getIsSorted();return e.column.id===I?null:S().createElement(S().Fragment,null,S().createElement("div",{onClick:e.column.getToggleSortingHandler(),className:(0,vr.cx)({[t.labelSortable]:e.column.getCanSort()})},Oc(e.column.columnDef.header,e.getContext()),!!n&&S().createElement(E.Icon,{name:"asc"===n?"arrow-up":"arrow-down"})),e.column.columnDef.enableColumnFilter&&S().createElement(Dc,{header:e}))},Mc=e=>({expandButton:vr.css`
      margin-right: ${e.spacing(1)};
    `,link:vr.css`
      position: relative;
      text-decoration: none;
      transition: color 0.3s ease;
      color: ${e.colors.text.link};

      & span {
        color: ${e.colors.text.link};
      }

      &::after {
        content: '';
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 1px;
        background-color: ${e.colors.text.link};
        transform: scaleX(0);
        transition: transform 0.3s ease;
      }

      &:hover {
        color: ${e.colors.text.link};

        &::after {
          transform: scaleX(1);
        }
      }
    `});function kc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Bc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){kc(e,t,n[t])}))}return e}const Nc=({row:e,cell:t,rendererProps:n})=>{var r;const o=(0,E.useStyles2)(Mc),i=(0,A.useMemo)((()=>{var n,r;const o=null===(n=t.column.columnDef.meta)||void 0===n?void 0:n.field;if(o)return null===(r=o.getLinks)||void 0===r?void 0:r.call(o,{valueRowIndex:e.index})}),[null===(r=t.column.columnDef.meta)||void 0===r?void 0:r.field,e.index]),a=()=>{var e;return t.getIsAggregated()?Oc(null!==(e=t.column.columnDef.aggregatedCell)&&void 0!==e?e:t.column.columnDef.cell,n):Oc(t.column.columnDef.cell,n)};return S().createElement(S().Fragment,null,t.getIsGrouped()&&S().createElement(E.IconButton,{name:e.getIsExpanded()?"angle-down":"angle-right","aria-label":P.table.buttonExpandCell.selector(t.id),className:o.expandButton}),t.getIsPlaceholder()?null:e.getIsGrouped()||t.id.includes(I)?a():i&&0!==i.length?1===i.length?S().createElement("a",Bc({href:i[0].href,onClick:e=>e.stopPropagation(),target:i[0].target,title:i[0].title,className:o.link},P.tableCell.tableLink.apply(i[0].title)),a()):S().createElement(E.DataLinksContextMenu,{links:()=>i},(e=>S().createElement("div",Bc({className:(0,vr.cx)(o.link,vr.css`
                cursor: context-menu;
              `),onClick:t=>{e.openMenu(t),t.stopPropagation()}},P.tableCell.tableLinkMenu.apply()),a()))):a())},Fc=({onChange:e,row:t,column:n,isSaving:r})=>{var o,i;const a=(0,A.useCallback)((r=>{e(t,{columnId:n.id,value:r})}),[n.id,e,t]),l=null===(o=n.columnDef.meta)||void 0===o?void 0:o.editor,s=l?null===(i=gr.get(l.type))||void 0===i?void 0:i.control:void 0;if(!l||!s)return null;const c=t.getValue(n.id);return S().createElement(s,{value:c,onChange:a,config:l,isSaving:r})},Lc=e=>{const t=e.colors.border.weak;return{row:vr.css`
      display: flex;
      position: absolute;
      width: 100%;
      justify-content: space-between;
      &:not(:last-child) {
        border-bottom: 1px solid ${t};
      }
    `,cell:vr.css`
      display: flex;
      min-height: ${e.spacing(4.5)};
      align-items: center;
      white-space: wrap;
      padding: ${e.spacing(.75)};
      flex: auto;
      overflow: hidden;
      text-overflow: ellipsis;
      z-index: 0;

      &:not(:last-child) {
        border-right: 1px solid ${t};
      }
    `,cellEditable:vr.css`
      &:hover {
        box-shadow: ${e.colors.primary.border} 0 0 2px;
      }
    `,cellExpandable:vr.css`
      cursor: pointer;
      border-right: none !important;
    `,expandButton:vr.css`
      margin-right: ${e.spacing(1)};
    `}};function jc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function _c(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){jc(e,t,n[t])}))}return e}function Vc(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const zc=(e,t,n)=>{const r=t.getIsPinned();return r?{boxShadow:"right"===r&&t.getIsFirstColumn("right")?`-1px 0 ${e.colors.border.weak}`:void 0,left:"left"===r?`${t.getStart("left")}px`:void 0,right:"right"===r?`${t.getAfter("right")}px`:void 0,position:"sticky",zIndex:1,backgroundColor:n||e.colors.background.primary}:{}},Gc=({virtualRow:e,row:t,rowVirtualizer:n,editingRow:r,onStartEdit:i,onCancelEdit:a,onChange:l,onSave:s,isSaving:c})=>{const u=(0,E.useTheme2)(),d=(0,E.useStyles2)(Lc),p=t.getVisibleCells(),f=p.reduce(((e,n)=>{if(!n.column.columnDef.meta)return e;const r={},{field:i,config:a}=n.column.columnDef.meta,l=n.getValue();if(r.wrap=a.appearance.wrap,r.align=a.appearance.alignment,i.display&&a.type===o.COLORED_BACKGROUND&&!t.getIsGrouped()){const t=i.display(l);t.color&&(r.background=t.color,a.appearance.background.applyToRow&&(e.background=t.color))}return Vc(_c({},e),{cells:e.cells.concat(r)})}),{background:void 0,cells:[]});return S().createElement("tr",_c({"data-index":e.index,key:t.id,className:d.row,ref:n.measureElement,style:{transform:`translateY(${e.start}px)`,backgroundColor:f.background}},P.table.bodyRow.apply(t.id)),p.map(((e,n)=>{const o=f.cells[n],p=null==o?void 0:o.background,g=Vc(_c({},e.getContext()),{bgColor:p||f.background,isEditing:!!r,onStartEdit:i,onCancelEdit:a,onSave:s,isSaving:c});return r&&(g.row=r),S().createElement("td",_c({key:e.id,className:(0,vr.cx)(d.cell,{[d.cellExpandable]:t.getCanExpand(),[d.cellEditable]:!t.getIsGrouped()&&e.column.id!==I}),style:_c({maxWidth:e.column.columnDef.maxSize,minWidth:e.column.columnDef.minSize,width:e.column.getSize(),backgroundColor:p,wordBreak:(null==o?void 0:o.wrap)?"break-all":"normal",justifyContent:null==o?void 0:o.align,textAlign:null==o?void 0:o.align},zc(u,e.column,p||f.background)),onClick:t.getToggleExpandedHandler()},P.table.bodyCell.apply(e.id)),((e,n)=>{var o;return r?e.column.id!==I&&(null===(o=e.column.columnDef.meta)||void 0===o?void 0:o.editable)?S().createElement(Fc,Vc(_c({},e.getContext()),{row:r,onChange:l,isSaving:c})):Oc(e.column.columnDef.cell,n):S().createElement(Nc,{cell:e,rendererProps:n,row:t})})(e,g))})))};function Hc(e,t,n){let r,o=n.initialDeps??[];return()=>{var i,a,l,s;let c;n.key&&(null==(i=n.debug)?void 0:i.call(n))&&(c=Date.now());const u=e(),d=u.length!==o.length||u.some(((e,t)=>o[t]!==e));if(!d)return r;let p;if(o=u,n.key&&(null==(a=n.debug)?void 0:a.call(n))&&(p=Date.now()),r=t(...u),n.key&&(null==(l=n.debug)?void 0:l.call(n))){const e=Math.round(100*(Date.now()-c))/100,t=Math.round(100*(Date.now()-p))/100,r=t/16,o=(e,t)=>{for(e=String(e);e.length<t;)e=" "+e;return e};console.info(`%c⏱ ${o(t,5)} /${o(e,5)} ms`,`\n            font-size: .6rem;\n            font-weight: bold;\n            color: hsl(${Math.max(0,Math.min(120-120*r,120))}deg 100% 31%);`,null==n?void 0:n.key)}return null==(s=null==n?void 0:n.onChange)||s.call(n,r),r}}function Uc(e,t){if(void 0===e)throw new Error("Unexpected undefined"+(t?`: ${t}`:""));return e}const $c=(e,t,n)=>{let r;return function(...o){e.clearTimeout(r),r=e.setTimeout((()=>t.apply(this,o)),n)}},Wc=e=>e,qc=e=>{const t=Math.max(e.startIndex-e.overscan,0),n=Math.min(e.endIndex+e.overscan,e.count-1),r=[];for(let e=t;e<=n;e++)r.push(e);return r},Yc=(e,t)=>{const n=e.scrollElement;if(!n)return;const r=e.targetWindow;if(!r)return;const o=e=>{const{width:n,height:r}=e;t({width:Math.round(n),height:Math.round(r)})};if(o(n.getBoundingClientRect()),!r.ResizeObserver)return()=>{};const i=new r.ResizeObserver((e=>{const t=e[0];if(null==t?void 0:t.borderBoxSize){const e=t.borderBoxSize[0];if(e)return void o({width:e.inlineSize,height:e.blockSize})}o(n.getBoundingClientRect())}));return i.observe(n,{box:"border-box"}),()=>{i.unobserve(n)}},Kc={passive:!0},Xc="undefined"==typeof window||"onscrollend"in window,Qc=(e,t)=>{const n=e.scrollElement;if(!n)return;const r=e.targetWindow;if(!r)return;let o=0;const i=Xc?()=>{}:$c(r,(()=>{t(o,!1)}),e.options.isScrollingResetDelay),a=r=>()=>{const{horizontal:a,isRtl:l}=e.options;o=a?n.scrollLeft*(l?-1:1):n.scrollTop,i(),t(o,r)},l=a(!0),s=a(!1);return s(),n.addEventListener("scroll",l,Kc),n.addEventListener("scrollend",s,Kc),()=>{n.removeEventListener("scroll",l),n.removeEventListener("scrollend",s)}},Jc=(e,t,n)=>{if(null==t?void 0:t.borderBoxSize){const e=t.borderBoxSize[0];if(e)return Math.round(e[n.options.horizontal?"inlineSize":"blockSize"])}return Math.round(e.getBoundingClientRect()[n.options.horizontal?"width":"height"])},Zc=(e,{adjustments:t=0,behavior:n},r)=>{var o,i;const a=e+t;null==(i=null==(o=r.scrollElement)?void 0:o.scrollTo)||i.call(o,{[r.options.horizontal?"left":"top"]:a,behavior:n})};class eu{constructor(e){this.unsubs=[],this.scrollElement=null,this.targetWindow=null,this.isScrolling=!1,this.scrollToIndexTimeoutId=null,this.measurementsCache=[],this.itemSizeCache=new Map,this.pendingMeasuredCacheIndexes=[],this.scrollRect=null,this.scrollOffset=null,this.scrollDirection=null,this.scrollAdjustments=0,this.elementsCache=new Map,this.observer=(()=>{let e=null;const t=()=>e||(this.targetWindow&&this.targetWindow.ResizeObserver?e=new this.targetWindow.ResizeObserver((e=>{e.forEach((e=>{this._measureElement(e.target,e)}))})):null);return{disconnect:()=>{var n;null==(n=t())||n.disconnect(),e=null},observe:e=>{var n;return null==(n=t())?void 0:n.observe(e,{box:"border-box"})},unobserve:e=>{var n;return null==(n=t())?void 0:n.unobserve(e)}}})(),this.range=null,this.setOptions=e=>{Object.entries(e).forEach((([t,n])=>{void 0===n&&delete e[t]})),this.options={debug:!1,initialOffset:0,overscan:1,paddingStart:0,paddingEnd:0,scrollPaddingStart:0,scrollPaddingEnd:0,horizontal:!1,getItemKey:Wc,rangeExtractor:qc,onChange:()=>{},measureElement:Jc,initialRect:{width:0,height:0},scrollMargin:0,gap:0,indexAttribute:"data-index",initialMeasurementsCache:[],lanes:1,isScrollingResetDelay:150,enabled:!0,isRtl:!1,...e}},this.notify=e=>{var t,n;null==(n=(t=this.options).onChange)||n.call(t,this,e)},this.maybeNotify=Hc((()=>(this.calculateRange(),[this.isScrolling,this.range?this.range.startIndex:null,this.range?this.range.endIndex:null])),(e=>{this.notify(e)}),{key:!1,debug:()=>this.options.debug,initialDeps:[this.isScrolling,this.range?this.range.startIndex:null,this.range?this.range.endIndex:null]}),this.cleanup=()=>{this.unsubs.filter(Boolean).forEach((e=>e())),this.unsubs=[],this.observer.disconnect(),this.scrollElement=null,this.targetWindow=null},this._didMount=()=>()=>{this.cleanup()},this._willUpdate=()=>{var e;const t=this.options.enabled?this.options.getScrollElement():null;if(this.scrollElement!==t){if(this.cleanup(),!t)return void this.maybeNotify();this.scrollElement=t,this.scrollElement&&"ownerDocument"in this.scrollElement?this.targetWindow=this.scrollElement.ownerDocument.defaultView:this.targetWindow=(null==(e=this.scrollElement)?void 0:e.window)??null,this.elementsCache.forEach((e=>{this.observer.observe(e)})),this._scrollToOffset(this.getScrollOffset(),{adjustments:void 0,behavior:void 0}),this.unsubs.push(this.options.observeElementRect(this,(e=>{this.scrollRect=e,this.maybeNotify()}))),this.unsubs.push(this.options.observeElementOffset(this,((e,t)=>{this.scrollAdjustments=0,this.scrollDirection=t?this.getScrollOffset()<e?"forward":"backward":null,this.scrollOffset=e,this.isScrolling=t,this.maybeNotify()})))}},this.getSize=()=>this.options.enabled?(this.scrollRect=this.scrollRect??this.options.initialRect,this.scrollRect[this.options.horizontal?"width":"height"]):(this.scrollRect=null,0),this.getScrollOffset=()=>this.options.enabled?(this.scrollOffset=this.scrollOffset??("function"==typeof this.options.initialOffset?this.options.initialOffset():this.options.initialOffset),this.scrollOffset):(this.scrollOffset=null,0),this.getFurthestMeasurement=(e,t)=>{const n=new Map,r=new Map;for(let o=t-1;o>=0;o--){const t=e[o];if(n.has(t.lane))continue;const i=r.get(t.lane);if(null==i||t.end>i.end?r.set(t.lane,t):t.end<i.end&&n.set(t.lane,!0),n.size===this.options.lanes)break}return r.size===this.options.lanes?Array.from(r.values()).sort(((e,t)=>e.end===t.end?e.index-t.index:e.end-t.end))[0]:void 0},this.getMeasurementOptions=Hc((()=>[this.options.count,this.options.paddingStart,this.options.scrollMargin,this.options.getItemKey,this.options.enabled]),((e,t,n,r,o)=>(this.pendingMeasuredCacheIndexes=[],{count:e,paddingStart:t,scrollMargin:n,getItemKey:r,enabled:o})),{key:!1}),this.getMeasurements=Hc((()=>[this.getMeasurementOptions(),this.itemSizeCache]),(({count:e,paddingStart:t,scrollMargin:n,getItemKey:r,enabled:o},i)=>{if(!o)return this.measurementsCache=[],this.itemSizeCache.clear(),[];0===this.measurementsCache.length&&(this.measurementsCache=this.options.initialMeasurementsCache,this.measurementsCache.forEach((e=>{this.itemSizeCache.set(e.key,e.size)})));const a=this.pendingMeasuredCacheIndexes.length>0?Math.min(...this.pendingMeasuredCacheIndexes):0;this.pendingMeasuredCacheIndexes=[];const l=this.measurementsCache.slice(0,a);for(let o=a;o<e;o++){const e=r(o),a=1===this.options.lanes?l[o-1]:this.getFurthestMeasurement(l,o),s=a?a.end+this.options.gap:t+n,c=i.get(e),u="number"==typeof c?c:this.options.estimateSize(o),d=s+u,p=a?a.lane:o%this.options.lanes;l[o]={index:o,start:s,size:u,end:d,key:e,lane:p}}return this.measurementsCache=l,l}),{key:!1,debug:()=>this.options.debug}),this.calculateRange=Hc((()=>[this.getMeasurements(),this.getSize(),this.getScrollOffset()]),((e,t,n)=>this.range=e.length>0&&t>0?function({measurements:e,outerSize:t,scrollOffset:n}){const r=e.length-1,o=tu(0,r,(t=>e[t].start),n);let i=o;for(;i<r&&e[i].end<n+t;)i++;return{startIndex:o,endIndex:i}}({measurements:e,outerSize:t,scrollOffset:n}):null),{key:!1,debug:()=>this.options.debug}),this.getIndexes=Hc((()=>[this.options.rangeExtractor,this.calculateRange(),this.options.overscan,this.options.count]),((e,t,n,r)=>null===t?[]:e({startIndex:t.startIndex,endIndex:t.endIndex,overscan:n,count:r})),{key:!1,debug:()=>this.options.debug}),this.indexFromElement=e=>{const t=this.options.indexAttribute,n=e.getAttribute(t);return n?parseInt(n,10):(console.warn(`Missing attribute name '${t}={index}' on measured element.`),-1)},this._measureElement=(e,t)=>{const n=this.indexFromElement(e),r=this.measurementsCache[n];if(!r)return;const o=r.key,i=this.elementsCache.get(o);i!==e&&(i&&this.observer.unobserve(i),this.observer.observe(e),this.elementsCache.set(o,e)),e.isConnected&&this.resizeItem(n,this.options.measureElement(e,t,this))},this.resizeItem=(e,t)=>{const n=this.measurementsCache[e];if(!n)return;const r=t-(this.itemSizeCache.get(n.key)??n.size);0!==r&&((void 0!==this.shouldAdjustScrollPositionOnItemSizeChange?this.shouldAdjustScrollPositionOnItemSizeChange(n,r,this):n.start<this.getScrollOffset()+this.scrollAdjustments)&&this._scrollToOffset(this.getScrollOffset(),{adjustments:this.scrollAdjustments+=r,behavior:void 0}),this.pendingMeasuredCacheIndexes.push(n.index),this.itemSizeCache=new Map(this.itemSizeCache.set(n.key,t)),this.notify(!1))},this.measureElement=e=>{e?this._measureElement(e,void 0):this.elementsCache.forEach(((e,t)=>{e.isConnected||(this.observer.unobserve(e),this.elementsCache.delete(t))}))},this.getVirtualItems=Hc((()=>[this.getIndexes(),this.getMeasurements()]),((e,t)=>{const n=[];for(let r=0,o=e.length;r<o;r++){const o=t[e[r]];n.push(o)}return n}),{key:!1,debug:()=>this.options.debug}),this.getVirtualItemForOffset=e=>{const t=this.getMeasurements();if(0!==t.length)return Uc(t[tu(0,t.length-1,(e=>Uc(t[e]).start),e)])},this.getOffsetForAlignment=(e,t)=>{const n=this.getSize(),r=this.getScrollOffset();"auto"===t&&(t=e<=r?"start":e>=r+n?"end":"start"),"start"===t||("end"===t?e-=n:"center"===t&&(e-=n/2));const o=this.options.horizontal?"scrollWidth":"scrollHeight",i=(this.scrollElement?"document"in this.scrollElement?this.scrollElement.document.documentElement[o]:this.scrollElement[o]:0)-n;return Math.max(Math.min(i,e),0)},this.getOffsetForIndex=(e,t="auto")=>{e=Math.max(0,Math.min(e,this.options.count-1));const n=this.measurementsCache[e];if(!n)return;const r=this.getSize(),o=this.getScrollOffset();if("auto"===t)if(n.end>=o+r-this.options.scrollPaddingEnd)t="end";else{if(!(n.start<=o+this.options.scrollPaddingStart))return[o,t];t="start"}const i="end"===t?n.end+this.options.scrollPaddingEnd:n.start-this.options.scrollPaddingStart;return[this.getOffsetForAlignment(i,t),t]},this.isDynamicMode=()=>this.elementsCache.size>0,this.cancelScrollToIndex=()=>{null!==this.scrollToIndexTimeoutId&&this.targetWindow&&(this.targetWindow.clearTimeout(this.scrollToIndexTimeoutId),this.scrollToIndexTimeoutId=null)},this.scrollToOffset=(e,{align:t="start",behavior:n}={})=>{this.cancelScrollToIndex(),"smooth"===n&&this.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),this._scrollToOffset(this.getOffsetForAlignment(e,t),{adjustments:void 0,behavior:n})},this.scrollToIndex=(e,{align:t="auto",behavior:n}={})=>{e=Math.max(0,Math.min(e,this.options.count-1)),this.cancelScrollToIndex(),"smooth"===n&&this.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size.");const r=this.getOffsetForIndex(e,t);if(!r)return;const[o,i]=r;this._scrollToOffset(o,{adjustments:void 0,behavior:n}),"smooth"!==n&&this.isDynamicMode()&&this.targetWindow&&(this.scrollToIndexTimeoutId=this.targetWindow.setTimeout((()=>{if(this.scrollToIndexTimeoutId=null,this.elementsCache.has(this.options.getItemKey(e))){const[o]=Uc(this.getOffsetForIndex(e,i));t=o,r=this.getScrollOffset(),Math.abs(t-r)<1||this.scrollToIndex(e,{align:i,behavior:n})}else this.scrollToIndex(e,{align:i,behavior:n});var t,r})))},this.scrollBy=(e,{behavior:t}={})=>{this.cancelScrollToIndex(),"smooth"===t&&this.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),this._scrollToOffset(this.getScrollOffset()+e,{adjustments:void 0,behavior:t})},this.getTotalSize=()=>{var e;const t=this.getMeasurements();let n;return n=0===t.length?this.options.paddingStart:1===this.options.lanes?(null==(e=t[t.length-1])?void 0:e.end)??0:Math.max(...t.slice(-this.options.lanes).map((e=>e.end))),n-this.options.scrollMargin+this.options.paddingEnd},this._scrollToOffset=(e,{adjustments:t,behavior:n})=>{this.options.scrollToFn(e,{behavior:n,adjustments:t},this)},this.measure=()=>{this.itemSizeCache=new Map,this.notify(!1)},this.setOptions(e)}}const tu=(e,t,n,r)=>{for(;e<=t;){const o=(e+t)/2|0,i=n(o);if(i<r)e=o+1;else{if(!(i>r))return o;t=o-1}}return e>0?e-1:0},nu="undefined"!=typeof document?A.useLayoutEffect:A.useEffect;function ru(e,t,n,r,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void n(e)}l.done?t(s):Promise.resolve(s).then(r,o)}function ou(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const iu=({table:e,onUpdateRow:t})=>{const[n,r]=(0,A.useState)(null),[o,i]=(0,A.useState)(!1),a=(0,A.useCallback)((e=>{r(e)}),[]),l=(0,A.useCallback)((()=>{r(null)}),[]),s=(0,A.useCallback)(((t,n)=>{const o=(i=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ou(e,t,n[t])}))}return e}({},t.original),a=null!=(a={[n.columnId]:n.value})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;r(W(e,t.id,o,t.index,t.depth))}),[e]),c=(0,A.useCallback)((u=function*(e){i(!0);try{yield t(e.original),i(!1),l()}catch(e){i(!1)}},d=function(){var e=this,t=arguments;return new Promise((function(n,r){var o=u.apply(e,t);function i(e){ru(o,n,r,i,a,"next",e)}function a(e){ru(o,n,r,i,a,"throw",e)}i(void 0)}))},function(e){return d.apply(this,arguments)}),[l,t]);var u,d;return(0,A.useMemo)((()=>({onStartEdit:a,row:n,onCancelEdit:l,onChange:s,onSave:c,isSaving:o})),[a,n,l,s,c,o])},au=e=>{const t=e.colors.border.weak;return{root:vr.css`
      overflow: auto;
      position: relative;
    `,table:vr.css`
      display: grid;
      min-width: 100%;
    `,header:vr.css`
      border-bottom: 1px solid ${t};
      position: sticky;
      z-index: 100;
      top: 0;
      background-color: ${e.colors.background.primary};
    `,headerRow:vr.css`
      display: flex;
      width: 100%;
      justify-content: space-between;
    `,headerCell:vr.css`
      display: flex;
      min-height: ${e.spacing(3.5)};
      align-items: center;
      padding: ${e.spacing(.75)};
      gap: ${e.spacing(.5)};
      flex-wrap: wrap;
      flex: auto;

      &:not(:last-child) {
        border-right: 1px solid ${t};
      }
    `,body:vr.css`
      display: grid;
      position: relative; //needed for absolute positioning of rows
    `,footer:vr.css`
      position: sticky;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border-top: 1px solid ${t};
    `,footerRow:vr.css`
      display: flex;
      width: 100%;
      justify-content: space-between;
      background-color: ${e.colors.background.canvas};
    `,footerCell:vr.css`
      display: flex;
      min-height: ${e.spacing(3.5)};
      align-items: center;
      padding: ${e.spacing(.75)};
      gap: ${e.spacing(.5)};
      flex-wrap: wrap;
      flex: auto;

      &:not(:last-child) {
        border-right: 1px solid ${t};
      }
    `,paginationRow:vr.css`
      z-index: 200;
      background-color: ${e.colors.background.primary};
      position: sticky;
      bottom: 0;
      left: 0;
      min-width: 100%;
      display: flex;
      justify-content: center;
      padding-top: ${e.spacing(1)};
      gap: ${e.spacing(1)};
      align-items: center;
    `,pagination:vr.css`
      float: none;
      li {
        margin-bottom: 0;
      }
    `}};function lu(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function su(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){lu(e,t,n[t])}))}return e}const cu={size:50,minSize:20,maxSize:Number.MAX_SAFE_INTEGER},uu=[10,20,50,100,1e3].map((e=>({value:e,label:e.toString()}))),du=(e,t)=>{const n=t.getIsPinned();return n?{boxShadow:"right"===n&&t.getIsFirstColumn("right")?`-1px 0 ${e.colors.border.weak}`:void 0,left:"left"===n?`${t.getStart("left")}px`:void 0,right:"right"===n?`${t.getAfter("right")}px`:void 0,position:"sticky",zIndex:1,backgroundColor:e.colors.background.primary}:{}},pu=(e,t)=>{const n=t.getIsPinned();return n?{boxShadow:"right"===n&&t.getIsFirstColumn("right")?`-1px 0 ${e.colors.border.weak}`:void 0,left:"left"===n?`${t.getStart("left")}px`:void 0,right:"right"===n?`${t.getAfter("right")}px`:void 0,position:"sticky",zIndex:1,backgroundColor:e.colors.background.canvas}:{}},fu=({data:e,columns:t,scrollableContainerRef:r,tableHeaderRef:o,tableRef:i,topOffset:a,eventBus:l,onUpdateRow:s,bottomOffset:c,paginationRef:u,width:d,pagination:p,tableInstance:f})=>{const g=(0,E.useTheme2)(),m=(0,E.useStyles2)(au),b=(0,A.useMemo)((()=>t.filter((e=>e.enableGrouping)).map((e=>e.id||""))),[t]),h=(0,A.useMemo)((()=>t.filter((e=>e.enablePinning)).reduce(((e,t)=>{var r,o,i;return(null===(r=t.meta)||void 0===r?void 0:r.config.pin)===n.LEFT?null===(o=e.left)||void 0===o||o.push(t.id||""):null===(i=e.right)||void 0===i||i.push(t.id||""),e}),{left:[],right:[]})),[t]),[v,y]=(0,A.useState)({}),[w,C]=(({columns:e,eventBus:t})=>{const[n,r]=(0,A.useState)([]);return(0,A.useEffect)((()=>{r((t=>Fn(t,Nn(e))));const n=t.getStream(D.RefreshEvent).subscribe((()=>{r((t=>Fn(t,Nn(e))))}));return()=>n.unsubscribe()}),[e,t]),[n,r]})({columns:t,eventBus:l}),{sorting:x,onChangeSort:O}=(({columns:e})=>{const[t,n]=(0,A.useState)([]);(0,A.useEffect)((()=>{const t=e.find((e=>e.enableSorting));n(t?[{id:t.id,desc:t.sortDescFirst}]:[])}),[e]);const r=(0,A.useCallback)(n,[n]);return(0,A.useMemo)((()=>({sorting:t,onChangeSort:r})),[r,t])})({columns:t}),R=function(e){const t={state:{},onStateChange:()=>{},renderFallbackValue:null,...e},[n]=A.useState((()=>({current:Te(t)}))),[r,o]=A.useState((()=>n.current.initialState));return n.current.setOptions((t=>({...t,...e,state:{...r,...e.state},onStateChange:t=>{o(t),null==e.onStateChange||e.onStateChange(t)}}))),n.current}({state:{grouping:b,expanded:v,columnFilters:w,sorting:x,pagination:p.value,columnPinning:h},data:e,columns:t,getCoreRowModel:Me(),getGroupedRowModel:e=>V((()=>[e.getState().grouping,e.getPreGroupedRowModel()]),((t,n)=>{if(!n.rows.length||!t.length)return n.rows.forEach((e=>{e.depth=0,e.parentId=void 0})),n;const r=t.filter((t=>e.getColumn(t))),o=[],i={},a=function(t,n,l){if(void 0===n&&(n=0),n>=r.length)return t.map((e=>(e.depth=n,o.push(e),i[e.id]=e,e.subRows&&(e.subRows=a(e.subRows,n+1,e.id)),e)));const s=r[n],c=function(e,t){const n=new Map;return e.reduce(((e,n)=>{const r=`${n.getGroupingValue(t)}`,o=e.get(r);return o?o.push(n):e.set(r,[n]),e}),n)}(t,s),u=Array.from(c.entries()).map(((t,c)=>{let[u,d]=t,p=`${s}:${u}`;p=l?`${l}>${p}`:p;const f=a(d,n+1,p);f.forEach((e=>{e.parentId=p}));const g=n?_(d,(e=>e.subRows)):d,m=W(e,p,g[0].original,c,n,void 0,l);return Object.assign(m,{groupingColumnId:s,groupingValue:u,subRows:f,leafRows:g,getValue:t=>{var n;if(r.includes(t))return m._valuesCache.hasOwnProperty(t)||d[0]&&(m._valuesCache[t]=null!=(n=d[0].getValue(t))?n:void 0),m._valuesCache[t];if(m._groupingValuesCache.hasOwnProperty(t))return m._groupingValuesCache[t];const o=e.getColumn(t),i=null==o?void 0:o.getAggregationFn();return i?(m._groupingValuesCache[t]=i(t,g,d),m._groupingValuesCache[t]):void 0}}),f.forEach((e=>{o.push(e),i[e.id]=e})),m}));return u},l=a(n.rows,0);return l.forEach((e=>{o.push(e),i[e.id]=e})),{rows:l,flatRows:o,rowsById:i}}),z(e.options,"debugTable",0,(()=>{e._queue((()=>{e._autoResetExpanded(),e._autoResetPageIndex()}))}))),getExpandedRowModel:e=>V((()=>[e.getState().expanded,e.getPreExpandedRowModel(),e.options.paginateExpandedRows]),((e,t,n)=>!t.rows.length||!0!==e&&!Object.keys(null!=e?e:{}).length?t:n?ke(t):t),z(e.options,"debugTable")),enableExpanding:!0,enableGrouping:!0,onExpandedChange:y,getFilteredRowModel:Ne(),onColumnFiltersChange:C,getFacetedRowModel:(e,t)=>V((()=>[e.getPreFilteredRowModel(),e.getState().columnFilters,e.getState().globalFilter,e.getFilteredRowModel()]),((n,r,o)=>{if(!n.rows.length||(null==r||!r.length)&&!o)return n;const i=[...r.map((e=>e.id)).filter((e=>e!==t)),o?"__global__":void 0].filter(Boolean);return Be(n.rows,(e=>{for(let t=0;t<i.length;t++)if(!1===e.columnFilters[i[t]])return!1;return!0}),e)}),z(e.options,"debugTable")),getFacetedUniqueValues:(e,t)=>V((()=>{var n;return[null==(n=e.getColumn(t))?void 0:n.getFacetedRowModel()]}),(e=>{if(!e)return new Map;let n=new Map;for(let o=0;o<e.flatRows.length;o++){const i=e.flatRows[o].getUniqueValues(t);for(let e=0;e<i.length;e++){const t=i[e];var r;n.has(t)?n.set(t,(null!=(r=n.get(t))?r:0)+1):n.set(t,1)}}return n}),z(e.options,"debugTable")),getSortedRowModel:Fe(),onSortingChange:O,enableSorting:!0,getPaginationRowModel:e=>V((()=>[e.getState().pagination,e.getPrePaginationRowModel(),e.options.paginateExpandedRows?void 0:e.getState().expanded]),((t,n)=>{if(!n.rows.length)return n;const{pageSize:r,pageIndex:o}=t;let{rows:i,flatRows:a,rowsById:l}=n;const s=r*o,c=s+r;let u;i=i.slice(s,c),u=e.options.paginateExpandedRows?{rows:i,flatRows:a,rowsById:l}:ke({rows:i,flatRows:a,rowsById:l}),u.flatRows=[];const d=e=>{u.flatRows.push(e),e.subRows.length&&e.subRows.forEach(d)};return u.rows.forEach(d),u}),z(e.options,"debugTable")),onPaginationChange:p.onChange,manualPagination:p.isManual,debugTable:!1,debugColumns:!1,defaultColumn:cu}),{rows:I}=R.getRowModel(),T=(M={getScrollElement:(0,A.useCallback)((()=>r.current),[r]),count:I.length,estimateSize:(0,A.useCallback)((()=>36),[]),measureElement:(0,A.useCallback)((e=>e.offsetHeight),[]),overscan:10},function(e){const t=A.useReducer((()=>({})),{})[1],n={...e,onChange:(n,r)=>{var o;r?(0,Br.flushSync)(t):t(),null==(o=e.onChange)||o.call(e,n,r)}},[r]=A.useState((()=>new eu(n)));return r.setOptions(n),A.useEffect((()=>r._didMount()),[]),nu((()=>r._willUpdate())),r}({observeElementRect:Yc,observeElementOffset:Qc,scrollToFn:Zc,...M}));var M;const k=T.getVirtualItems(),B=(0,A.useMemo)((()=>t.some((e=>{var t;return!!(null===(t=e.meta)||void 0===t?void 0:t.footerEnabled)}))),[t]),N=iu({table:R,onUpdateRow:s});return(0,A.useEffect)((()=>{f.current=R}),[R,f]),S().createElement(S().Fragment,null,S().createElement("table",su({className:m.table,ref:i,style:{width:R.getCenterTotalSize()}},P.table.root.apply()),S().createElement("thead",{className:m.header,ref:o,style:{top:a}},R.getHeaderGroups().map((e=>S().createElement("tr",{key:e.id,className:m.headerRow},e.headers.map((e=>{var t,n;return S().createElement("th",su({key:e.id,className:m.headerCell,style:su({maxWidth:e.column.columnDef.maxSize,minWidth:e.column.columnDef.minSize,width:e.getSize(),textAlign:null===(t=e.column.columnDef.meta)||void 0===t?void 0:t.config.appearance.alignment,justifyContent:null===(n=e.column.columnDef.meta)||void 0===n?void 0:n.config.appearance.alignment},du(g,e.column))},P.table.headerCell.apply(e.id)),S().createElement(Tc,{header:e}))})))))),S().createElement("tbody",{style:{height:`${T.getTotalSize()}px`},className:m.body},k.map((e=>{var t;const n=I[e.index];return S().createElement(Gc,{key:n.id,row:n,virtualRow:e,rowVirtualizer:T,editingRow:(null===(t=N.row)||void 0===t?void 0:t.id)===n.id?N.row:null,onStartEdit:N.onStartEdit,onCancelEdit:N.onCancelEdit,onChange:N.onChange,onSave:N.onSave,isSaving:N.isSaving})}))),B&&S().createElement("tfoot",{className:m.footer,style:{maxHeight:T.getTotalSize(),bottom:c}},R.getFooterGroups().map((e=>S().createElement("tr",{key:e.id,className:m.footerRow},e.headers.map((e=>{var t,n;return S().createElement("th",su({key:e.id,className:m.footerCell,style:su({maxWidth:e.column.columnDef.maxSize,minWidth:e.column.columnDef.minSize,width:e.getSize(),textAlign:null===(t=e.column.columnDef.meta)||void 0===t?void 0:t.config.appearance.alignment,justifyContent:null===(n=e.column.columnDef.meta)||void 0===n?void 0:n.config.appearance.alignment},pu(g,e.column))},P.table.footerCell.apply(e.id)),Oc(e.column.columnDef.footer,e.getContext()))}))))))),p.isEnabled&&S().createElement("div",su({className:m.paginationRow,ref:u,style:{width:R.getCenterTotalSize()}},P.table.pagination.apply()),S().createElement(E.Pagination,{currentPage:p.value.pageIndex+1,numberOfPages:p.isManual?Math.ceil(p.total/p.value.pageSize):R.getPageCount(),onNavigate:e=>{var t,n;p.onChange((t=su({},p.value),n=null!=(n={pageIndex:e-1})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))})),t))},className:m.pagination,showSmallVersion:d<=200,"data-testid":P.table.fieldPageNumber.selector()}),S().createElement(lf,{options:uu,value:{value:p.value.pageSize},onChange:e=>{p.onChange({pageIndex:0,pageSize:e.value})},"data-testid":P.table.fieldPageSize.selector()})))},gu=e=>({root:vr.css`
      position: relative;
    `,content:vr.css`
      overflow: auto;
    `,toolbar:vr.css`
      padding: ${e.spacing(.5)};
    `,header:vr.css`
      position: sticky;
      top: 0;
      background-color: ${e.colors.background.primary};
      z-index: 120;
      min-width: 100%;
      left: 0;
    `,tabs:vr.css`
      div > div {
        flex-direction: column;
        max-width: 100%;
      }
      padding: 0;
      border-bottom: 1px solid ${e.colors.border.weak};
      background-color: transparent;
      min-height: 33px;
    `,tabButton:vr.css`
      overflow: hidden;
      max-width: 100%;

      > div {
        overflow: hidden;
        text-overflow: ellipsis;
      }
    `});function mu(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function bu(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){mu(e,t,n[t])}))}return e}const hu=Math.min,vu=Math.max,yu=Math.round,wu=Math.floor,Eu=e=>({x:e,y:e}),Au={left:"right",right:"left",bottom:"top",top:"bottom"},Cu={start:"end",end:"start"};function Su(e,t,n){return vu(e,hu(t,n))}function xu(e,t){return"function"==typeof e?e(t):e}function Ou(e){return e.split("-")[0]}function Ru(e){return e.split("-")[1]}function Iu(e){return"x"===e?"y":"x"}function Pu(e){return"y"===e?"height":"width"}function Du(e){return["top","bottom"].includes(Ou(e))?"y":"x"}function Tu(e){return Iu(Du(e))}function Mu(e){return e.replace(/start|end/g,(e=>Cu[e]))}function ku(e){return e.replace(/left|right|bottom|top/g,(e=>Au[e]))}function Bu(e){const{x:t,y:n,width:r,height:o}=e;return{width:r,height:o,top:n,left:t,right:t+r,bottom:n+o,x:t,y:n}}function Nu(e,t,n){let{reference:r,floating:o}=e;const i=Du(t),a=Tu(t),l=Pu(a),s=Ou(t),c="y"===i,u=r.x+r.width/2-o.width/2,d=r.y+r.height/2-o.height/2,p=r[l]/2-o[l]/2;let f;switch(s){case"top":f={x:u,y:r.y-o.height};break;case"bottom":f={x:u,y:r.y+r.height};break;case"right":f={x:r.x+r.width,y:d};break;case"left":f={x:r.x-o.width,y:d};break;default:f={x:r.x,y:r.y}}switch(Ru(t)){case"start":f[a]-=p*(n&&c?-1:1);break;case"end":f[a]+=p*(n&&c?-1:1)}return f}async function Fu(e,t){var n;void 0===t&&(t={});const{x:r,y:o,platform:i,rects:a,elements:l,strategy:s}=e,{boundary:c="clippingAncestors",rootBoundary:u="viewport",elementContext:d="floating",altBoundary:p=!1,padding:f=0}=xu(t,e),g=function(e){return"number"!=typeof e?function(e){return{top:0,right:0,bottom:0,left:0,...e}}(e):{top:e,right:e,bottom:e,left:e}}(f),m=l[p?"floating"===d?"reference":"floating":d],b=Bu(await i.getClippingRect({element:null==(n=await(null==i.isElement?void 0:i.isElement(m)))||n?m:m.contextElement||await(null==i.getDocumentElement?void 0:i.getDocumentElement(l.floating)),boundary:c,rootBoundary:u,strategy:s})),h="floating"===d?{x:r,y:o,width:a.floating.width,height:a.floating.height}:a.reference,v=await(null==i.getOffsetParent?void 0:i.getOffsetParent(l.floating)),y=await(null==i.isElement?void 0:i.isElement(v))&&await(null==i.getScale?void 0:i.getScale(v))||{x:1,y:1},w=Bu(i.convertOffsetParentRelativeRectToViewportRelativeRect?await i.convertOffsetParentRelativeRectToViewportRelativeRect({elements:l,rect:h,offsetParent:v,strategy:s}):h);return{top:(b.top-w.top+g.top)/y.y,bottom:(w.bottom-b.bottom+g.bottom)/y.y,left:(b.left-w.left+g.left)/y.x,right:(w.right-b.right+g.right)/y.x}}function Lu(){return"undefined"!=typeof window}function ju(e){return zu(e)?(e.nodeName||"").toLowerCase():"#document"}function _u(e){var t;return(null==e||null==(t=e.ownerDocument)?void 0:t.defaultView)||window}function Vu(e){var t;return null==(t=(zu(e)?e.ownerDocument:e.document)||window.document)?void 0:t.documentElement}function zu(e){return!!Lu()&&(e instanceof Node||e instanceof _u(e).Node)}function Gu(e){return!!Lu()&&(e instanceof Element||e instanceof _u(e).Element)}function Hu(e){return!!Lu()&&(e instanceof HTMLElement||e instanceof _u(e).HTMLElement)}function Uu(e){return!(!Lu()||"undefined"==typeof ShadowRoot)&&(e instanceof ShadowRoot||e instanceof _u(e).ShadowRoot)}function $u(e){const{overflow:t,overflowX:n,overflowY:r,display:o}=Qu(e);return/auto|scroll|overlay|hidden|clip/.test(t+r+n)&&!["inline","contents"].includes(o)}function Wu(e){return["table","td","th"].includes(ju(e))}function qu(e){return[":popover-open",":modal"].some((t=>{try{return e.matches(t)}catch(e){return!1}}))}function Yu(e){const t=Ku(),n=Gu(e)?Qu(e):e;return"none"!==n.transform||"none"!==n.perspective||!!n.containerType&&"normal"!==n.containerType||!t&&!!n.backdropFilter&&"none"!==n.backdropFilter||!t&&!!n.filter&&"none"!==n.filter||["transform","perspective","filter"].some((e=>(n.willChange||"").includes(e)))||["paint","layout","strict","content"].some((e=>(n.contain||"").includes(e)))}function Ku(){return!("undefined"==typeof CSS||!CSS.supports)&&CSS.supports("-webkit-backdrop-filter","none")}function Xu(e){return["html","body","#document"].includes(ju(e))}function Qu(e){return _u(e).getComputedStyle(e)}function Ju(e){return Gu(e)?{scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}:{scrollLeft:e.scrollX,scrollTop:e.scrollY}}function Zu(e){if("html"===ju(e))return e;const t=e.assignedSlot||e.parentNode||Uu(e)&&e.host||Vu(e);return Uu(t)?t.host:t}function ed(e){const t=Zu(e);return Xu(t)?e.ownerDocument?e.ownerDocument.body:e.body:Hu(t)&&$u(t)?t:ed(t)}function td(e,t,n){var r;void 0===t&&(t=[]),void 0===n&&(n=!0);const o=ed(e),i=o===(null==(r=e.ownerDocument)?void 0:r.body),a=_u(o);if(i){const e=nd(a);return t.concat(a,a.visualViewport||[],$u(o)?o:[],e&&n?td(e):[])}return t.concat(o,td(o,[],n))}function nd(e){return e.parent&&Object.getPrototypeOf(e.parent)?e.frameElement:null}function rd(e){const t=Qu(e);let n=parseFloat(t.width)||0,r=parseFloat(t.height)||0;const o=Hu(e),i=o?e.offsetWidth:n,a=o?e.offsetHeight:r,l=yu(n)!==i||yu(r)!==a;return l&&(n=i,r=a),{width:n,height:r,$:l}}function od(e){return Gu(e)?e:e.contextElement}function id(e){const t=od(e);if(!Hu(t))return Eu(1);const n=t.getBoundingClientRect(),{width:r,height:o,$:i}=rd(t);let a=(i?yu(n.width):n.width)/r,l=(i?yu(n.height):n.height)/o;return a&&Number.isFinite(a)||(a=1),l&&Number.isFinite(l)||(l=1),{x:a,y:l}}const ad=Eu(0);function ld(e){const t=_u(e);return Ku()&&t.visualViewport?{x:t.visualViewport.offsetLeft,y:t.visualViewport.offsetTop}:ad}function sd(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1);const o=e.getBoundingClientRect(),i=od(e);let a=Eu(1);t&&(r?Gu(r)&&(a=id(r)):a=id(e));const l=function(e,t,n){return void 0===t&&(t=!1),!(!n||t&&n!==_u(e))&&t}(i,n,r)?ld(i):Eu(0);let s=(o.left+l.x)/a.x,c=(o.top+l.y)/a.y,u=o.width/a.x,d=o.height/a.y;if(i){const e=_u(i),t=r&&Gu(r)?_u(r):r;let n=e,o=nd(n);for(;o&&r&&t!==n;){const e=id(o),t=o.getBoundingClientRect(),r=Qu(o),i=t.left+(o.clientLeft+parseFloat(r.paddingLeft))*e.x,a=t.top+(o.clientTop+parseFloat(r.paddingTop))*e.y;s*=e.x,c*=e.y,u*=e.x,d*=e.y,s+=i,c+=a,n=_u(o),o=nd(n)}}return Bu({width:u,height:d,x:s,y:c})}function cd(e){return sd(Vu(e)).left+Ju(e).scrollLeft}function ud(e,t,n){let r;if("viewport"===t)r=function(e,t){const n=_u(e),r=Vu(e),o=n.visualViewport;let i=r.clientWidth,a=r.clientHeight,l=0,s=0;if(o){i=o.width,a=o.height;const e=Ku();(!e||e&&"fixed"===t)&&(l=o.offsetLeft,s=o.offsetTop)}return{width:i,height:a,x:l,y:s}}(e,n);else if("document"===t)r=function(e){const t=Vu(e),n=Ju(e),r=e.ownerDocument.body,o=vu(t.scrollWidth,t.clientWidth,r.scrollWidth,r.clientWidth),i=vu(t.scrollHeight,t.clientHeight,r.scrollHeight,r.clientHeight);let a=-n.scrollLeft+cd(e);const l=-n.scrollTop;return"rtl"===Qu(r).direction&&(a+=vu(t.clientWidth,r.clientWidth)-o),{width:o,height:i,x:a,y:l}}(Vu(e));else if(Gu(t))r=function(e,t){const n=sd(e,!0,"fixed"===t),r=n.top+e.clientTop,o=n.left+e.clientLeft,i=Hu(e)?id(e):Eu(1);return{width:e.clientWidth*i.x,height:e.clientHeight*i.y,x:o*i.x,y:r*i.y}}(t,n);else{const n=ld(e);r={...t,x:t.x-n.x,y:t.y-n.y}}return Bu(r)}function dd(e,t){const n=Zu(e);return!(n===t||!Gu(n)||Xu(n))&&("fixed"===Qu(n).position||dd(n,t))}function pd(e,t,n){const r=Hu(t),o=Vu(t),i="fixed"===n,a=sd(e,!0,i,t);let l={scrollLeft:0,scrollTop:0};const s=Eu(0);if(r||!r&&!i)if(("body"!==ju(t)||$u(o))&&(l=Ju(t)),r){const e=sd(t,!0,i,t);s.x=e.x+t.clientLeft,s.y=e.y+t.clientTop}else o&&(s.x=cd(o));return{x:a.left+l.scrollLeft-s.x,y:a.top+l.scrollTop-s.y,width:a.width,height:a.height}}function fd(e){return"static"===Qu(e).position}function gd(e,t){return Hu(e)&&"fixed"!==Qu(e).position?t?t(e):e.offsetParent:null}function md(e,t){const n=_u(e);if(qu(e))return n;if(!Hu(e)){let t=Zu(e);for(;t&&!Xu(t);){if(Gu(t)&&!fd(t))return t;t=Zu(t)}return n}let r=gd(e,t);for(;r&&Wu(r)&&fd(r);)r=gd(r,t);return r&&Xu(r)&&fd(r)&&!Yu(r)?n:r||function(e){let t=Zu(e);for(;Hu(t)&&!Xu(t);){if(Yu(t))return t;if(qu(t))return null;t=Zu(t)}return null}(e)||n}const bd={convertOffsetParentRelativeRectToViewportRelativeRect:function(e){let{elements:t,rect:n,offsetParent:r,strategy:o}=e;const i="fixed"===o,a=Vu(r),l=!!t&&qu(t.floating);if(r===a||l&&i)return n;let s={scrollLeft:0,scrollTop:0},c=Eu(1);const u=Eu(0),d=Hu(r);if((d||!d&&!i)&&(("body"!==ju(r)||$u(a))&&(s=Ju(r)),Hu(r))){const e=sd(r);c=id(r),u.x=e.x+r.clientLeft,u.y=e.y+r.clientTop}return{width:n.width*c.x,height:n.height*c.y,x:n.x*c.x-s.scrollLeft*c.x+u.x,y:n.y*c.y-s.scrollTop*c.y+u.y}},getDocumentElement:Vu,getClippingRect:function(e){let{element:t,boundary:n,rootBoundary:r,strategy:o}=e;const i=[..."clippingAncestors"===n?qu(t)?[]:function(e,t){const n=t.get(e);if(n)return n;let r=td(e,[],!1).filter((e=>Gu(e)&&"body"!==ju(e))),o=null;const i="fixed"===Qu(e).position;let a=i?Zu(e):e;for(;Gu(a)&&!Xu(a);){const t=Qu(a),n=Yu(a);n||"fixed"!==t.position||(o=null),(i?!n&&!o:!n&&"static"===t.position&&o&&["absolute","fixed"].includes(o.position)||$u(a)&&!n&&dd(e,a))?r=r.filter((e=>e!==a)):o=t,a=Zu(a)}return t.set(e,r),r}(t,this._c):[].concat(n),r],a=i[0],l=i.reduce(((e,n)=>{const r=ud(t,n,o);return e.top=vu(r.top,e.top),e.right=hu(r.right,e.right),e.bottom=hu(r.bottom,e.bottom),e.left=vu(r.left,e.left),e}),ud(t,a,o));return{width:l.right-l.left,height:l.bottom-l.top,x:l.left,y:l.top}},getOffsetParent:md,getElementRects:async function(e){const t=this.getOffsetParent||md,n=this.getDimensions,r=await n(e.floating);return{reference:pd(e.reference,await t(e.floating),e.strategy),floating:{x:0,y:0,width:r.width,height:r.height}}},getClientRects:function(e){return Array.from(e.getClientRects())},getDimensions:function(e){const{width:t,height:n}=rd(e);return{width:t,height:n}},getScale:id,isElement:Gu,isRTL:function(e){return"rtl"===Qu(e).direction}};function hd(e,t,n,r){void 0===r&&(r={});const{ancestorScroll:o=!0,ancestorResize:i=!0,elementResize:a="function"==typeof ResizeObserver,layoutShift:l="function"==typeof IntersectionObserver,animationFrame:s=!1}=r,c=od(e),u=o||i?[...c?td(c):[],...td(t)]:[];u.forEach((e=>{o&&e.addEventListener("scroll",n,{passive:!0}),i&&e.addEventListener("resize",n)}));const d=c&&l?function(e,t){let n,r=null;const o=Vu(e);function i(){var e;clearTimeout(n),null==(e=r)||e.disconnect(),r=null}return function a(l,s){void 0===l&&(l=!1),void 0===s&&(s=1),i();const{left:c,top:u,width:d,height:p}=e.getBoundingClientRect();if(l||t(),!d||!p)return;const f={rootMargin:-wu(u)+"px "+-wu(o.clientWidth-(c+d))+"px "+-wu(o.clientHeight-(u+p))+"px "+-wu(c)+"px",threshold:vu(0,hu(1,s))||1};let g=!0;function m(e){const t=e[0].intersectionRatio;if(t!==s){if(!g)return a();t?a(!1,t):n=setTimeout((()=>{a(!1,1e-7)}),1e3)}g=!1}try{r=new IntersectionObserver(m,{...f,root:o.ownerDocument})}catch(e){r=new IntersectionObserver(m,f)}r.observe(e)}(!0),i}(c,n):null;let p,f=-1,g=null;a&&(g=new ResizeObserver((e=>{let[r]=e;r&&r.target===c&&g&&(g.unobserve(t),cancelAnimationFrame(f),f=requestAnimationFrame((()=>{var e;null==(e=g)||e.observe(t)}))),n()})),c&&!s&&g.observe(c),g.observe(t));let m=s?sd(e):null;return s&&function t(){const r=sd(e);!m||r.x===m.x&&r.y===m.y&&r.width===m.width&&r.height===m.height||n(),m=r,p=requestAnimationFrame(t)}(),n(),()=>{var e;u.forEach((e=>{o&&e.removeEventListener("scroll",n),i&&e.removeEventListener("resize",n)})),null==d||d(),null==(e=g)||e.disconnect(),g=null,s&&cancelAnimationFrame(p)}}const vd=function(e){return void 0===e&&(e=0),{name:"offset",options:e,async fn(t){var n,r;const{x:o,y:i,placement:a,middlewareData:l}=t,s=await async function(e,t){const{placement:n,platform:r,elements:o}=e,i=await(null==r.isRTL?void 0:r.isRTL(o.floating)),a=Ou(n),l=Ru(n),s="y"===Du(n),c=["left","top"].includes(a)?-1:1,u=i&&s?-1:1,d=xu(t,e);let{mainAxis:p,crossAxis:f,alignmentAxis:g}="number"==typeof d?{mainAxis:d,crossAxis:0,alignmentAxis:null}:{mainAxis:0,crossAxis:0,alignmentAxis:null,...d};return l&&"number"==typeof g&&(f="end"===l?-1*g:g),s?{x:f*u,y:p*c}:{x:p*c,y:f*u}}(t,e);return a===(null==(n=l.offset)?void 0:n.placement)&&null!=(r=l.arrow)&&r.alignmentOffset?{}:{x:o+s.x,y:i+s.y,data:{...s,placement:a}}}}},yd=function(e){return void 0===e&&(e={}),{name:"shift",options:e,async fn(t){const{x:n,y:r,placement:o}=t,{mainAxis:i=!0,crossAxis:a=!1,limiter:l={fn:e=>{let{x:t,y:n}=e;return{x:t,y:n}}},...s}=xu(e,t),c={x:n,y:r},u=await Fu(t,s),d=Du(Ou(o)),p=Iu(d);let f=c[p],g=c[d];if(i){const e="y"===p?"bottom":"right";f=Su(f+u["y"===p?"top":"left"],f,f-u[e])}if(a){const e="y"===d?"bottom":"right";g=Su(g+u["y"===d?"top":"left"],g,g-u[e])}const m=l.fn({...t,[p]:f,[d]:g});return{...m,data:{x:m.x-n,y:m.y-r}}}}},wd=function(e){return void 0===e&&(e={}),{name:"flip",options:e,async fn(t){var n,r;const{placement:o,middlewareData:i,rects:a,initialPlacement:l,platform:s,elements:c}=t,{mainAxis:u=!0,crossAxis:d=!0,fallbackPlacements:p,fallbackStrategy:f="bestFit",fallbackAxisSideDirection:g="none",flipAlignment:m=!0,...b}=xu(e,t);if(null!=(n=i.arrow)&&n.alignmentOffset)return{};const h=Ou(o),v=Du(l),y=Ou(l)===l,w=await(null==s.isRTL?void 0:s.isRTL(c.floating)),E=p||(y||!m?[ku(l)]:function(e){const t=ku(e);return[Mu(e),t,Mu(t)]}(l)),A="none"!==g;!p&&A&&E.push(...function(e,t,n,r){const o=Ru(e);let i=function(e,t,n){const r=["left","right"],o=["right","left"],i=["top","bottom"],a=["bottom","top"];switch(e){case"top":case"bottom":return n?t?o:r:t?r:o;case"left":case"right":return t?i:a;default:return[]}}(Ou(e),"start"===n,r);return o&&(i=i.map((e=>e+"-"+o)),t&&(i=i.concat(i.map(Mu)))),i}(l,m,g,w));const C=[l,...E],S=await Fu(t,b),x=[];let O=(null==(r=i.flip)?void 0:r.overflows)||[];if(u&&x.push(S[h]),d){const e=function(e,t,n){void 0===n&&(n=!1);const r=Ru(e),o=Tu(e),i=Pu(o);let a="x"===o?r===(n?"end":"start")?"right":"left":"start"===r?"bottom":"top";return t.reference[i]>t.floating[i]&&(a=ku(a)),[a,ku(a)]}(o,a,w);x.push(S[e[0]],S[e[1]])}if(O=[...O,{placement:o,overflows:x}],!x.every((e=>e<=0))){var R,I;const e=((null==(R=i.flip)?void 0:R.index)||0)+1,t=C[e];if(t)return{data:{index:e,overflows:O},reset:{placement:t}};let n=null==(I=O.filter((e=>e.overflows[0]<=0)).sort(((e,t)=>e.overflows[1]-t.overflows[1]))[0])?void 0:I.placement;if(!n)switch(f){case"bestFit":{var P;const e=null==(P=O.filter((e=>{if(A){const t=Du(e.placement);return t===v||"y"===t}return!0})).map((e=>[e.placement,e.overflows.filter((e=>e>0)).reduce(((e,t)=>e+t),0)])).sort(((e,t)=>e[1]-t[1]))[0])?void 0:P[0];e&&(n=e);break}case"initialPlacement":n=l}if(o!==n)return{reset:{placement:n}}}return{}}}},Ed=(e,t,n)=>{const r=new Map,o={platform:bd,...n},i={...o.platform,_c:r};return(async(e,t,n)=>{const{placement:r="bottom",strategy:o="absolute",middleware:i=[],platform:a}=n,l=i.filter(Boolean),s=await(null==a.isRTL?void 0:a.isRTL(t));let c=await a.getElementRects({reference:e,floating:t,strategy:o}),{x:u,y:d}=Nu(c,r,s),p=r,f={},g=0;for(let n=0;n<l.length;n++){const{name:i,fn:m}=l[n],{x:b,y:h,data:v,reset:y}=await m({x:u,y:d,initialPlacement:r,placement:p,strategy:o,middlewareData:f,rects:c,platform:a,elements:{reference:e,floating:t}});u=null!=b?b:u,d=null!=h?h:d,f={...f,[i]:{...f[i],...v}},y&&g<=50&&(g++,"object"==typeof y&&(y.placement&&(p=y.placement),y.rects&&(c=!0===y.rects?await a.getElementRects({reference:e,floating:t,strategy:o}):y.rects),({x:u,y:d}=Nu(c,p,s))),n=-1)}return{x:u,y:d,placement:p,strategy:o,middlewareData:f}})(e,t,{...o,platform:i})};var Ad="undefined"!=typeof document?A.useLayoutEffect:A.useEffect;function Cd(e,t){if(e===t)return!0;if(typeof e!=typeof t)return!1;if("function"==typeof e&&e.toString()===t.toString())return!0;let n,r,o;if(e&&t&&"object"==typeof e){if(Array.isArray(e)){if(n=e.length,n!==t.length)return!1;for(r=n;0!=r--;)if(!Cd(e[r],t[r]))return!1;return!0}if(o=Object.keys(e),n=o.length,n!==Object.keys(t).length)return!1;for(r=n;0!=r--;)if(!{}.hasOwnProperty.call(t,o[r]))return!1;for(r=n;0!=r--;){const n=o[r];if(!("_owner"===n&&e.$$typeof||Cd(e[n],t[n])))return!1}return!0}return e!=e&&t!=t}function Sd(e){return"undefined"==typeof window?1:(e.ownerDocument.defaultView||window).devicePixelRatio||1}function xd(e,t){const n=Sd(e);return Math.round(t*n)/n}function Od(e){const t=A.useRef(e);return Ad((()=>{t.current=e})),t}const Rd=(e,t)=>({...vd(e),options:[e,t]}),Id=(e,t)=>({...yd(e),options:[e,t]}),Pd=(e,t)=>({...wd(e),options:[e,t]});function Dd(e,t){if(!e||!t)return!1;const n=null==t.getRootNode?void 0:t.getRootNode();if(e.contains(t))return!0;if(n&&Uu(n)){let n=t;for(;n;){if(e===n)return!0;n=n.parentNode||n.host}}return!1}function Td(e,t){const n=["mouse","pen"];return t||n.push("",void 0),n.includes(e)}function Md(e){return(null==e?void 0:e.ownerDocument)||document}function kd(e,t){if(null==t)return!1;if("composedPath"in e)return e.composedPath().includes(t);const n=e;return null!=n.target&&t.contains(n.target)}function Bd(e){return"composedPath"in e?e.composedPath()[0]:e.target}const Nd="input:not([type='hidden']):not([disabled]),[contenteditable]:not([contenteditable='false']),textarea:not([disabled])";const Fd={...C},Ld=Fd.useInsertionEffect||(e=>e());function jd(e){const t=A.useRef((()=>{}));return Ld((()=>{t.current=e})),A.useCallback((function(){for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];return null==t.current?void 0:t.current(...n)}),[])}var _d="undefined"!=typeof document?A.useLayoutEffect:A.useEffect;let Vd=!1,zd=0;const Gd=()=>"floating-ui-"+Math.random().toString(36).slice(2,6)+zd++,Hd=Fd.useId||function(){const[e,t]=A.useState((()=>Vd?Gd():void 0));return _d((()=>{null==e&&t(Gd())}),[]),A.useEffect((()=>{Vd=!0}),[]),e};const Ud=A.createContext(null),$d=A.createContext(null),Wd=()=>A.useContext($d);function qd(e,t){let n=e.filter((e=>{var n;return e.parentId===t&&(null==(n=e.context)?void 0:n.open)})),r=n;for(;r.length;)r=e.filter((e=>{var t;return null==(t=r)?void 0:t.some((t=>{var n;return e.parentId===t.id&&(null==(n=e.context)?void 0:n.open)}))})),n=n.concat(r);return n}const Yd="data-floating-ui-focusable";function Kd(e){return Hu(e.target)&&"BUTTON"===e.target.tagName}function Xd(e){return function(e){return Hu(e)&&e.matches(Nd)}(e)}const Qd={pointerdown:"onPointerDown",mousedown:"onMouseDown",click:"onClick"},Jd={pointerdown:"onPointerDownCapture",mousedown:"onMouseDownCapture",click:"onClickCapture"},Zd=e=>{var t,n;return{escapeKey:"boolean"==typeof e?e:null!=(t=null==e?void 0:e.escapeKey)&&t,outsidePress:"boolean"==typeof e?e:null==(n=null==e?void 0:e.outsidePress)||n}};function ep(e){void 0===e&&(e={});const{nodeId:t}=e,n=function(e){const{open:t=!1,onOpenChange:n,elements:r}=e,o=Hd(),i=A.useRef({}),[a]=A.useState((()=>function(){const e=new Map;return{emit(t,n){var r;null==(r=e.get(t))||r.forEach((e=>e(n)))},on(t,n){e.set(t,[...e.get(t)||[],n])},off(t,n){var r;e.set(t,(null==(r=e.get(t))?void 0:r.filter((e=>e!==n)))||[])}}}())),l=null!=((null==(f=A.useContext(Ud))?void 0:f.id)||null),[s,c]=A.useState(r.reference),u=jd(((e,t,r)=>{i.current.openEvent=e?t:void 0,a.emit("openchange",{open:e,event:t,reason:r,nested:l}),null==n||n(e,t,r)})),d=A.useMemo((()=>({setPositionReference:c})),[]),p=A.useMemo((()=>({reference:s||r.reference||null,floating:r.floating||null,domReference:r.reference})),[s,r.reference,r.floating]);var f;return A.useMemo((()=>({dataRef:i,open:t,onOpenChange:u,elements:p,events:a,floatingId:o,refs:d})),[t,u,p,a,o,d])}({...e,elements:{reference:null,floating:null,...e.elements}}),r=e.rootContext||n,o=r.elements,[i,a]=A.useState(null),[l,s]=A.useState(null),c=(null==o?void 0:o.reference)||i,u=A.useRef(null),d=Wd();_d((()=>{c&&(u.current=c)}),[c]);const p=function(e){void 0===e&&(e={});const{placement:t="bottom",strategy:n="absolute",middleware:r=[],platform:o,elements:{reference:i,floating:a}={},transform:l=!0,whileElementsMounted:s,open:c}=e,[u,d]=A.useState({x:0,y:0,strategy:n,placement:t,middlewareData:{},isPositioned:!1}),[p,f]=A.useState(r);Cd(p,r)||f(r);const[g,m]=A.useState(null),[b,h]=A.useState(null),v=A.useCallback((e=>{e!==C.current&&(C.current=e,m(e))}),[]),y=A.useCallback((e=>{e!==S.current&&(S.current=e,h(e))}),[]),w=i||g,E=a||b,C=A.useRef(null),S=A.useRef(null),x=A.useRef(u),O=null!=s,R=Od(s),I=Od(o),P=Od(c),D=A.useCallback((()=>{if(!C.current||!S.current)return;const e={placement:t,strategy:n,middleware:p};I.current&&(e.platform=I.current),Ed(C.current,S.current,e).then((e=>{const t={...e,isPositioned:!1!==P.current};T.current&&!Cd(x.current,t)&&(x.current=t,Br.flushSync((()=>{d(t)})))}))}),[p,t,n,I,P]);Ad((()=>{!1===c&&x.current.isPositioned&&(x.current.isPositioned=!1,d((e=>({...e,isPositioned:!1}))))}),[c]);const T=A.useRef(!1);Ad((()=>(T.current=!0,()=>{T.current=!1})),[]),Ad((()=>{if(w&&(C.current=w),E&&(S.current=E),w&&E){if(R.current)return R.current(w,E,D);D()}}),[w,E,D,R,O]);const M=A.useMemo((()=>({reference:C,floating:S,setReference:v,setFloating:y})),[v,y]),k=A.useMemo((()=>({reference:w,floating:E})),[w,E]),B=A.useMemo((()=>{const e={position:n,left:0,top:0};if(!k.floating)return e;const t=xd(k.floating,u.x),r=xd(k.floating,u.y);return l?{...e,transform:"translate("+t+"px, "+r+"px)",...Sd(k.floating)>=1.5&&{willChange:"transform"}}:{position:n,left:t,top:r}}),[n,l,k.floating,u.x,u.y]);return A.useMemo((()=>({...u,update:D,refs:M,elements:k,floatingStyles:B})),[u,D,M,k,B])}({...e,elements:{...o,...l&&{reference:l}}}),f=A.useCallback((e=>{const t=Gu(e)?{getBoundingClientRect:()=>e.getBoundingClientRect(),contextElement:e}:e;s(t),p.refs.setReference(t)}),[p.refs]),g=A.useCallback((e=>{(Gu(e)||null===e)&&(u.current=e,a(e)),(Gu(p.refs.reference.current)||null===p.refs.reference.current||null!==e&&!Gu(e))&&p.refs.setReference(e)}),[p.refs]),m=A.useMemo((()=>({...p.refs,setReference:g,setPositionReference:f,domReference:u})),[p.refs,g,f]),b=A.useMemo((()=>({...p.elements,domReference:c})),[p.elements,c]),h=A.useMemo((()=>({...p,...r,refs:m,elements:b,nodeId:t})),[p,m,b,t,r]);return _d((()=>{r.dataRef.current.floatingContext=h;const e=null==d?void 0:d.nodesRef.current.find((e=>e.id===t));e&&(e.context=h)})),A.useMemo((()=>({...p,context:h,refs:m,elements:b})),[p,m,b,h])}const tp="active",np="selected";function rp(e,t,n){const r=new Map,o="item"===n;let i=e;if(o&&e){const{[tp]:t,[np]:n,...r}=e;i=r}return{..."floating"===n&&{tabIndex:-1,[Yd]:""},...i,...t.map((t=>{const r=t?t[n]:null;return"function"==typeof r?e?r(e):null:r})).concat(e).reduce(((e,t)=>t?(Object.entries(t).forEach((t=>{let[n,i]=t;var a;o&&[tp,np].includes(n)||(0===n.indexOf("on")?(r.has(n)||r.set(n,[]),"function"==typeof i&&(null==(a=r.get(n))||a.push(i),e[n]=function(){for(var e,t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return null==(e=r.get(n))?void 0:e.map((e=>e(...o))).find((e=>void 0!==e))})):e[n]=i)})),e):e),{})}}const op=e=>{var t;return null!==(t=null==e?void 0:e.ownerDocument)&&void 0!==t?t:document},ip=e=>e&&"window"in e&&e.window===e?e:op(e).defaultView||window;let ap=new Map,lp=new Set;function sp(){if("undefined"==typeof window)return;function e(e){return"propertyName"in e}let t=n=>{if(!e(n)||!n.target)return;let r=ap.get(n.target);if(r&&(r.delete(n.propertyName),0===r.size&&(n.target.removeEventListener("transitioncancel",t),ap.delete(n.target)),0===ap.size)){for(let e of lp)e();lp.clear()}};document.body.addEventListener("transitionrun",(n=>{if(!e(n)||!n.target)return;let r=ap.get(n.target);r||(r=new Set,ap.set(n.target,r),n.target.addEventListener("transitioncancel",t,{once:!0})),r.add(n.propertyName)})),document.body.addEventListener("transitionend",t)}function cp(e){if(function(){if(null==up){up=!1;try{document.createElement("div").focus({get preventScroll(){return up=!0,!0}})}catch(e){}}return up}())e.focus({preventScroll:!0});else{let t=function(e){let t=e.parentNode,n=[],r=document.scrollingElement||document.documentElement;for(;t instanceof HTMLElement&&t!==r;)(t.offsetHeight<t.scrollHeight||t.offsetWidth<t.scrollWidth)&&n.push({element:t,scrollTop:t.scrollTop,scrollLeft:t.scrollLeft}),t=t.parentNode;return r instanceof HTMLElement&&n.push({element:r,scrollTop:r.scrollTop,scrollLeft:r.scrollLeft}),n}(e);e.focus(),function(e){for(let{element:t,scrollTop:n,scrollLeft:r}of e)t.scrollTop=n,t.scrollLeft=r}(t)}}"undefined"!=typeof document&&("loading"!==document.readyState?sp():document.addEventListener("DOMContentLoaded",sp));let up=null;function dp(e){var t;return"undefined"!=typeof window&&null!=window.navigator&&((null===(t=window.navigator.userAgentData)||void 0===t?void 0:t.brands.some((t=>e.test(t.brand))))||e.test(window.navigator.userAgent))}function pp(e){var t;return"undefined"!=typeof window&&null!=window.navigator&&e.test((null===(t=window.navigator.userAgentData)||void 0===t?void 0:t.platform)||window.navigator.platform)}function fp(e){let t=null;return()=>(null==t&&(t=e()),t)}const gp=fp((function(){return pp(/^Mac/i)})),mp=fp((function(){return pp(/^iPhone/i)})),bp=fp((function(){return pp(/^iPad/i)||gp()&&navigator.maxTouchPoints>1})),hp=fp((function(){return mp()||bp()})),vp=(fp((function(){return gp()||hp()})),fp((function(){return dp(/AppleWebKit/i)&&!vp()})),fp((function(){return dp(/Chrome/i)}))),yp=fp((function(){return dp(/Android/i)}));fp((function(){return dp(/Firefox/i)}));const wp=e=>{var t;return null!==(t=null==e?void 0:e.ownerDocument)&&void 0!==t?t:document},Ep=e=>e&&"window"in e&&e.window===e?e:wp(e).defaultView||window;let Ap=null,Cp=new Set,Sp=new Map,xp=!1,Op=!1;function Rp(e,t){for(let n of Cp)n(e,t)}function Ip(e){xp=!0,function(e){return!(e.metaKey||!gp()&&e.altKey||e.ctrlKey||"Control"===e.key||"Shift"===e.key||"Meta"===e.key)}(e)&&(Ap="keyboard",Rp("keyboard",e))}function Pp(e){Ap="pointer","mousedown"!==e.type&&"pointerdown"!==e.type||(xp=!0,Rp("pointer",e))}function Dp(e){var t;(0===(t=e).mozInputSource&&t.isTrusted||(yp()&&t.pointerType?"click"===t.type&&1===t.buttons:0===t.detail&&!t.pointerType))&&(xp=!0,Ap="virtual")}function Tp(e){e.target!==window&&e.target!==document&&(xp||Op||(Ap="virtual",Rp("virtual",e)),xp=!1,Op=!1)}function Mp(){xp=!1,Op=!0}function kp(e){if("undefined"==typeof window||Sp.get(Ep(e)))return;const t=Ep(e),n=wp(e);let r=t.HTMLElement.prototype.focus;t.HTMLElement.prototype.focus=function(){xp=!0,r.apply(this,arguments)},n.addEventListener("keydown",Ip,!0),n.addEventListener("keyup",Ip,!0),n.addEventListener("click",Dp,!0),t.addEventListener("focus",Tp,!0),t.addEventListener("blur",Mp,!1),"undefined"!=typeof PointerEvent?(n.addEventListener("pointerdown",Pp,!0),n.addEventListener("pointermove",Pp,!0),n.addEventListener("pointerup",Pp,!0)):(n.addEventListener("mousedown",Pp,!0),n.addEventListener("mousemove",Pp,!0),n.addEventListener("mouseup",Pp,!0)),t.addEventListener("beforeunload",(()=>{Bp(e)}),{once:!0}),Sp.set(t,{focus:r})}const Bp=(e,t)=>{const n=Ep(e),r=wp(e);t&&r.removeEventListener("DOMContentLoaded",t),Sp.has(n)&&(n.HTMLElement.prototype.focus=Sp.get(n).focus,r.removeEventListener("keydown",Ip,!0),r.removeEventListener("keyup",Ip,!0),r.removeEventListener("click",Dp,!0),n.removeEventListener("focus",Tp,!0),n.removeEventListener("blur",Mp,!1),"undefined"!=typeof PointerEvent?(r.removeEventListener("pointerdown",Pp,!0),r.removeEventListener("pointermove",Pp,!0),r.removeEventListener("pointerup",Pp,!0)):(r.removeEventListener("mousedown",Pp,!0),r.removeEventListener("mousemove",Pp,!0),r.removeEventListener("mouseup",Pp,!0)),Sp.delete(n))};function Np(e,t){return"#comment"!==e.nodeName&&function(e){const t=ip(e);if(!(e instanceof t.HTMLElement||e instanceof t.SVGElement))return!1;let{display:n,visibility:r}=e.style,o="none"!==n&&"hidden"!==r&&"collapse"!==r;if(o){const{getComputedStyle:t}=e.ownerDocument.defaultView;let{display:n,visibility:r}=t(e);o="none"!==n&&"hidden"!==r&&"collapse"!==r}return o}(e)&&function(e,t){return!e.hasAttribute("hidden")&&!e.hasAttribute("data-react-aria-prevent-focus")&&("DETAILS"!==e.nodeName||!t||"SUMMARY"===t.nodeName||e.hasAttribute("open"))}(e,t)&&(!e.parentElement||Np(e.parentElement,e))}"undefined"!=typeof document&&function(e){const t=wp(e);let n;"loading"!==t.readyState?kp(e):(n=()=>{kp(e)},t.addEventListener("DOMContentLoaded",n))}(),new Set(["checkbox","radio","range","color","file","image","button","submit","reset"]);const Fp="undefined"!=typeof document?A.useLayoutEffect:()=>{},Lp=A.createContext(null),jp="react-aria-focus-scope-restore";let _p=null;function Vp(e){let{children:t,contain:n,restoreFocus:r,autoFocus:o}=e,i=(0,A.useRef)(null),a=(0,A.useRef)(null),l=(0,A.useRef)([]),{parentNode:s}=(0,A.useContext)(Lp)||{},c=(0,A.useMemo)((()=>new nf({scopeRef:l})),[l]);Fp((()=>{let e=s||rf.root;if(rf.getTreeNode(e.scopeRef)&&_p&&!Kp(_p,e.scopeRef)){let t=rf.getTreeNode(_p);t&&(e=t)}e.addChild(c),rf.addNode(c)}),[c,s]),Fp((()=>{let e=rf.getTreeNode(l);e&&(e.contain=!!n)}),[n]),Fp((()=>{var e;let t=null===(e=i.current)||void 0===e?void 0:e.nextSibling,n=[],r=e=>e.stopPropagation();for(;t&&t!==a.current;)n.push(t),t.addEventListener(jp,r),t=t.nextSibling;return l.current=n,()=>{for(let e of n)e.removeEventListener(jp,r)}}),[t]),function(e,t,n){Fp((()=>{if(t||n)return;let r=e.current;const o=op(r?r[0]:void 0);let i=t=>{let n=t.target;qp(n,e.current)?_p=e:Wp(n)||(_p=null)};return o.addEventListener("focusin",i,!1),null==r||r.forEach((e=>e.addEventListener("focusin",i,!1))),()=>{o.removeEventListener("focusin",i,!1),null==r||r.forEach((e=>e.removeEventListener("focusin",i,!1)))}}),[e,t,n])}(l,r,n),function(e,t){let n=(0,A.useRef)(void 0),r=(0,A.useRef)(void 0);Fp((()=>{let o=e.current;if(!t)return void(r.current&&(cancelAnimationFrame(r.current),r.current=void 0));const i=op(o?o[0]:void 0);let a=t=>{if("Tab"!==t.key||t.altKey||t.ctrlKey||t.metaKey||!$p(e)||t.isComposing)return;let n=i.activeElement,r=e.current;if(!r||!qp(n,r))return;let o=ef(Up(r),{tabbable:!0},r);if(!n)return;o.currentNode=n;let a=t.shiftKey?o.previousNode():o.nextNode();a||(o.currentNode=t.shiftKey?r[r.length-1].nextElementSibling:r[0].previousElementSibling,a=t.shiftKey?o.previousNode():o.nextNode()),t.preventDefault(),a&&Xp(a,!0)},l=t=>{_p&&!Kp(_p,e)||!qp(t.target,e.current)?$p(e)&&!Yp(t.target,e)?n.current?n.current.focus():_p&&_p.current&&Jp(_p.current):$p(e)&&(n.current=t.target):(_p=e,n.current=t.target)},s=t=>{r.current&&cancelAnimationFrame(r.current),r.current=requestAnimationFrame((()=>{var r;i.activeElement&&$p(e)&&!Yp(i.activeElement,e)&&(_p=e,i.body.contains(t.target)?(n.current=t.target,null===(r=n.current)||void 0===r||r.focus()):_p.current&&Jp(_p.current))}))};return i.addEventListener("keydown",a,!1),i.addEventListener("focusin",l,!1),null==o||o.forEach((e=>e.addEventListener("focusin",l,!1))),null==o||o.forEach((e=>e.addEventListener("focusout",s,!1))),()=>{i.removeEventListener("keydown",a,!1),i.removeEventListener("focusin",l,!1),null==o||o.forEach((e=>e.removeEventListener("focusin",l,!1))),null==o||o.forEach((e=>e.removeEventListener("focusout",s,!1)))}}),[e,t]),Fp((()=>()=>{r.current&&cancelAnimationFrame(r.current)}),[r])}(l,n),function(e,t,n){const r=(0,A.useRef)("undefined"!=typeof document?op(e.current?e.current[0]:void 0).activeElement:null);Fp((()=>{let r=e.current;const o=op(r?r[0]:void 0);if(!t||n)return;let i=()=>{_p&&!Kp(_p,e)||!qp(o.activeElement,e.current)||(_p=e)};return o.addEventListener("focusin",i,!1),null==r||r.forEach((e=>e.addEventListener("focusin",i,!1))),()=>{o.removeEventListener("focusin",i,!1),null==r||r.forEach((e=>e.removeEventListener("focusin",i,!1)))}}),[e,n]),Fp((()=>{const r=op(e.current?e.current[0]:void 0);if(!t)return;let o=t=>{if("Tab"!==t.key||t.altKey||t.ctrlKey||t.metaKey||!$p(e)||t.isComposing)return;let n=r.activeElement;if(!qp(n,e.current))return;let o=rf.getTreeNode(e);if(!o)return;let i=o.nodeToRestore,a=ef(r.body,{tabbable:!0});a.currentNode=n;let l=t.shiftKey?a.previousNode():a.nextNode();if(i&&r.body.contains(i)&&i!==r.body||(i=void 0,o.nodeToRestore=void 0),(!l||!qp(l,e.current))&&i){a.currentNode=i;do{l=t.shiftKey?a.previousNode():a.nextNode()}while(qp(l,e.current));t.preventDefault(),t.stopPropagation(),l?Xp(l,!0):Wp(i)?Xp(i,!0):n.blur()}};return n||r.addEventListener("keydown",o,!0),()=>{n||r.removeEventListener("keydown",o,!0)}}),[e,t,n]),Fp((()=>{const n=op(e.current?e.current[0]:void 0);if(!t)return;let o=rf.getTreeNode(e);var i;return o?(o.nodeToRestore=null!==(i=r.current)&&void 0!==i?i:void 0,()=>{let r=rf.getTreeNode(e);if(!r)return;let o=r.nodeToRestore;if(t&&o&&(qp(n.activeElement,e.current)||n.activeElement===n.body&&function(e){let t=rf.getTreeNode(_p);for(;t&&t.scopeRef!==e;){if(t.nodeToRestore)return!1;t=t.parent}return(null==t?void 0:t.scopeRef)===e}(e))){let t=rf.clone();requestAnimationFrame((()=>{if(n.activeElement===n.body){let n=t.getTreeNode(e);for(;n;){if(n.nodeToRestore&&n.nodeToRestore.isConnected)return void Zp(n.nodeToRestore);n=n.parent}for(n=t.getTreeNode(e);n;){if(n.scopeRef&&n.scopeRef.current&&rf.getTreeNode(n.scopeRef))return void Zp(Qp(n.scopeRef.current,!0));n=n.parent}}}))}}):void 0}),[e,t])}(l,r,n),function(e,t){const n=A.useRef(t);(0,A.useEffect)((()=>{n.current&&(_p=e,!qp(op(e.current?e.current[0]:void 0).activeElement,_p.current)&&e.current&&Jp(e.current)),n.current=!1}),[e])}(l,o),(0,A.useEffect)((()=>{const e=op(l.current?l.current[0]:void 0).activeElement;let t=null;if(qp(e,l.current)){for(let n of rf.traverse())n.scopeRef&&qp(e,n.scopeRef.current)&&(t=n);t===rf.getTreeNode(l)&&(_p=t.scopeRef)}}),[l]),Fp((()=>()=>{var e,t,n;let r=null!==(n=null===(t=rf.getTreeNode(l))||void 0===t||null===(e=t.parent)||void 0===e?void 0:e.scopeRef)&&void 0!==n?n:null;l!==_p&&!Kp(l,_p)||r&&!rf.getTreeNode(r)||(_p=r),rf.removeTreeNode(l)}),[l]);let u=(0,A.useMemo)((()=>function(e){return{focusNext(t={}){let n=e.current,{from:r,tabbable:o,wrap:i,accept:a}=t,l=r||op(n[0]).activeElement,s=n[0].previousElementSibling,c=ef(Up(n),{tabbable:o,accept:a},n);c.currentNode=qp(l,n)?l:s;let u=c.nextNode();return!u&&i&&(c.currentNode=s,u=c.nextNode()),u&&Xp(u,!0),u},focusPrevious(t={}){let n=e.current,{from:r,tabbable:o,wrap:i,accept:a}=t,l=r||op(n[0]).activeElement,s=n[n.length-1].nextElementSibling,c=ef(Up(n),{tabbable:o,accept:a},n);c.currentNode=qp(l,n)?l:s;let u=c.previousNode();return!u&&i&&(c.currentNode=s,u=c.previousNode()),u&&Xp(u,!0),u},focusFirst(t={}){let n=e.current,{tabbable:r,accept:o}=t,i=ef(Up(n),{tabbable:r,accept:o},n);i.currentNode=n[0].previousElementSibling;let a=i.nextNode();return a&&Xp(a,!0),a},focusLast(t={}){let n=e.current,{tabbable:r,accept:o}=t,i=ef(Up(n),{tabbable:r,accept:o},n);i.currentNode=n[n.length-1].nextElementSibling;let a=i.previousNode();return a&&Xp(a,!0),a}}}(l)),[]),d=(0,A.useMemo)((()=>({focusManager:u,parentNode:c})),[c,u]);return A.createElement(Lp.Provider,{value:d},A.createElement("span",{"data-focus-scope-start":!0,hidden:!0,ref:i}),t,A.createElement("span",{"data-focus-scope-end":!0,hidden:!0,ref:a}))}const zp=["input:not([disabled]):not([type=hidden])","select:not([disabled])","textarea:not([disabled])","button:not([disabled])","a[href]","area[href]","summary","iframe","object","embed","audio[controls]","video[controls]","[contenteditable]"],Gp=zp.join(":not([hidden]),")+",[tabindex]:not([disabled]):not([hidden])";zp.push('[tabindex]:not([tabindex="-1"]):not([disabled])');const Hp=zp.join(':not([hidden]):not([tabindex="-1"]),');function Up(e){return e[0].parentElement}function $p(e){let t=rf.getTreeNode(_p);for(;t&&t.scopeRef!==e;){if(t.contain)return!1;t=t.parent}return!0}function Wp(e){return Yp(e)}function qp(e,t){return!!e&&!!t&&t.some((t=>t.contains(e)))}function Yp(e,t=null){if(e instanceof Element&&e.closest("[data-react-aria-top-layer]"))return!0;for(let{scopeRef:n}of rf.traverse(rf.getTreeNode(t)))if(n&&qp(e,n.current))return!0;return!1}function Kp(e,t){var n;let r=null===(n=rf.getTreeNode(t))||void 0===n?void 0:n.parent;for(;r;){if(r.scopeRef===e)return!0;r=r.parent}return!1}function Xp(e,t=!1){if(null==e||t){if(null!=e)try{e.focus()}catch(e){}}else try{!function(e){const t=op(e);if("virtual"===Ap){let r=t.activeElement;n=()=>{t.activeElement===r&&e.isConnected&&cp(e)},requestAnimationFrame((()=>{0===ap.size?n():lp.add(n)}))}else cp(e);var n}(e)}catch(e){}}function Qp(e,t=!0){let n=e[0].previousElementSibling,r=Up(e),o=ef(r,{tabbable:t},e);o.currentNode=n;let i=o.nextNode();return t&&!i&&(r=Up(e),o=ef(r,{tabbable:!1},e),o.currentNode=n,i=o.nextNode()),i}function Jp(e,t=!0){Xp(Qp(e,t))}function Zp(e){e.dispatchEvent(new CustomEvent(jp,{bubbles:!0,cancelable:!0}))&&Xp(e)}function ef(e,t,n){let r=(null==t?void 0:t.tabbable)?Hp:Gp,o=op(e).createTreeWalker(e,NodeFilter.SHOW_ELEMENT,{acceptNode(e){var o;return(null==t||null===(o=t.from)||void 0===o?void 0:o.contains(e))?NodeFilter.FILTER_REJECT:!e.matches(r)||!Np(e)||n&&!qp(e,n)||(null==t?void 0:t.accept)&&!t.accept(e)?NodeFilter.FILTER_SKIP:NodeFilter.FILTER_ACCEPT}});return(null==t?void 0:t.from)&&(o.currentNode=t.from),o}class tf{get size(){return this.fastMap.size}getTreeNode(e){return this.fastMap.get(e)}addTreeNode(e,t,n){let r=this.fastMap.get(null!=t?t:null);if(!r)return;let o=new nf({scopeRef:e});r.addChild(o),o.parent=r,this.fastMap.set(e,o),n&&(o.nodeToRestore=n)}addNode(e){this.fastMap.set(e.scopeRef,e)}removeTreeNode(e){if(null===e)return;let t=this.fastMap.get(e);if(!t)return;let n=t.parent;for(let e of this.traverse())e!==t&&t.nodeToRestore&&e.nodeToRestore&&t.scopeRef&&t.scopeRef.current&&qp(e.nodeToRestore,t.scopeRef.current)&&(e.nodeToRestore=t.nodeToRestore);let r=t.children;n&&(n.removeChild(t),r.size>0&&r.forEach((e=>n&&n.addChild(e)))),this.fastMap.delete(t.scopeRef)}*traverse(e=this.root){if(null!=e.scopeRef&&(yield e),e.children.size>0)for(let t of e.children)yield*this.traverse(t)}clone(){var e;let t=new tf;var n;for(let r of this.traverse())t.addTreeNode(r.scopeRef,null!==(n=null===(e=r.parent)||void 0===e?void 0:e.scopeRef)&&void 0!==n?n:null,r.nodeToRestore);return t}constructor(){this.fastMap=new Map,this.root=new nf({scopeRef:null}),this.fastMap.set(null,this.root)}}class nf{addChild(e){this.children.add(e),e.parent=this}removeChild(e){this.children.delete(e),e.parent=void 0}constructor(e){this.children=new Set,this.contain=!1,this.scopeRef=e.scopeRef}}let rf=new tf;function of(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function af(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){of(e,t,n[t])}))}return e}const lf=e=>{const t=(y=(0,E.useTheme2)(),{wrapper:(0,vr.css)({position:"relative",display:"inline-flex"}),menuWrapper:(0,vr.css)({zIndex:y.zIndex.dropdown})}),{className:n,options:r,value:o,onChange:i,narrow:a,variant:l}=e,s=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["className","options","value","onChange","narrow","variant"]),[c,u]=(0,A.useState)(!1),d=[Rd(0),Pd({fallbackAxisSideDirection:"end",crossAxis:!1,boundary:document.body}),Id()],{context:p,refs:f,floatingStyles:g}=ep({open:c,placement:"top-start",onOpenChange:u,middleware:d,whileElementsMounted:hd}),m=function(e,t){void 0===t&&(t={});const{open:n,onOpenChange:r,dataRef:o,elements:{domReference:i}}=e,{enabled:a=!0,event:l="click",toggle:s=!0,ignoreMouse:c=!1,keyboardHandlers:u=!0}=t,d=A.useRef(),p=A.useRef(!1),f=A.useMemo((()=>({onPointerDown(e){d.current=e.pointerType},onMouseDown(e){const t=d.current;0===e.button&&"click"!==l&&(Td(t,!0)&&c||(!n||!s||o.current.openEvent&&"mousedown"!==o.current.openEvent.type?(e.preventDefault(),r(!0,e.nativeEvent,"click")):r(!1,e.nativeEvent,"click")))},onClick(e){const t=d.current;"mousedown"===l&&d.current?d.current=void 0:Td(t,!0)&&c||(!n||!s||o.current.openEvent&&"click"!==o.current.openEvent.type?r(!0,e.nativeEvent,"click"):r(!1,e.nativeEvent,"click"))},onKeyDown(e){d.current=void 0,e.defaultPrevented||!u||Kd(e)||(" "!==e.key||Xd(i)||(e.preventDefault(),p.current=!0),"Enter"===e.key&&r(!n||!s,e.nativeEvent,"click"))},onKeyUp(e){e.defaultPrevented||!u||Kd(e)||Xd(i)||" "===e.key&&p.current&&(p.current=!1,r(!n||!s,e.nativeEvent,"click"))}})),[o,i,l,c,u,r,n,s]);return A.useMemo((()=>a?{reference:f}:{}),[a,f])}(p),b=function(e,t){void 0===t&&(t={});const{open:n,onOpenChange:r,elements:o,dataRef:i}=e,{enabled:a=!0,escapeKey:l=!0,outsidePress:s=!0,outsidePressEvent:c="pointerdown",referencePress:u=!1,referencePressEvent:d="pointerdown",ancestorScroll:p=!1,bubbles:f,capture:g}=t,m=Wd(),b=jd("function"==typeof s?s:()=>!1),h="function"==typeof s?b:s,v=A.useRef(!1),y=A.useRef(!1),{escapeKey:w,outsidePress:E}=Zd(f),{escapeKey:C,outsidePress:S}=Zd(g),x=jd((e=>{var t;if(!n||!a||!l||"Escape"!==e.key)return;const o=null==(t=i.current.floatingContext)?void 0:t.nodeId,s=m?qd(m.nodesRef.current,o):[];if(!w&&(e.stopPropagation(),s.length>0)){let e=!0;if(s.forEach((t=>{var n;null==(n=t.context)||!n.open||t.context.dataRef.current.__escapeKeyBubbles||(e=!1)})),!e)return}r(!1,function(e){return"nativeEvent"in e}(e)?e.nativeEvent:e,"escape-key")})),O=jd((e=>{var t;const n=()=>{var t;x(e),null==(t=Bd(e))||t.removeEventListener("keydown",n)};null==(t=Bd(e))||t.addEventListener("keydown",n)})),R=jd((e=>{var t;const n=v.current;v.current=!1;const a=y.current;if(y.current=!1,"click"===c&&a)return;if(n)return;if("function"==typeof h&&!h(e))return;const l=Bd(e),s="["+("data-floating-ui-"+"inert"+"]"),u=Md(o.floating).querySelectorAll(s);let d=Gu(l)?l:null;for(;d&&!Xu(d);){const e=Zu(d);if(Xu(e)||!Gu(e))break;d=e}if(u.length&&Gu(l)&&!l.matches("html,body")&&!Dd(l,o.floating)&&Array.from(u).every((e=>!Dd(d,e))))return;if(Hu(l)&&D){const t=l.clientWidth>0&&l.scrollWidth>l.clientWidth,n=l.clientHeight>0&&l.scrollHeight>l.clientHeight;let r=n&&e.offsetX>l.clientWidth;if(n&&"rtl"===Qu(l).direction&&(r=e.offsetX<=l.offsetWidth-l.clientWidth),r||t&&e.offsetY>l.clientHeight)return}const p=null==(t=i.current.floatingContext)?void 0:t.nodeId,f=m&&qd(m.nodesRef.current,p).some((t=>{var n;return kd(e,null==(n=t.context)?void 0:n.elements.floating)}));if(kd(e,o.floating)||kd(e,o.domReference)||f)return;const g=m?qd(m.nodesRef.current,p):[];if(g.length>0){let e=!0;if(g.forEach((t=>{var n;null==(n=t.context)||!n.open||t.context.dataRef.current.__outsidePressBubbles||(e=!1)})),!e)return}r(!1,e,"outside-press")})),I=jd((e=>{var t;const n=()=>{var t;R(e),null==(t=Bd(e))||t.removeEventListener(c,n)};null==(t=Bd(e))||t.addEventListener(c,n)}));A.useEffect((()=>{if(!n||!a)return;function e(e){r(!1,e,"ancestor-scroll")}i.current.__escapeKeyBubbles=w,i.current.__outsidePressBubbles=E;const t=Md(o.floating);l&&t.addEventListener("keydown",C?O:x,C),h&&t.addEventListener(c,S?I:R,S);let s=[];return p&&(Gu(o.domReference)&&(s=td(o.domReference)),Gu(o.floating)&&(s=s.concat(td(o.floating))),!Gu(o.reference)&&o.reference&&o.reference.contextElement&&(s=s.concat(td(o.reference.contextElement)))),s=s.filter((e=>{var n;return e!==(null==(n=t.defaultView)?void 0:n.visualViewport)})),s.forEach((t=>{t.addEventListener("scroll",e,{passive:!0})})),()=>{l&&t.removeEventListener("keydown",C?O:x,C),h&&t.removeEventListener(c,S?I:R,S),s.forEach((t=>{t.removeEventListener("scroll",e)}))}}),[i,o,l,h,c,n,r,p,a,w,E,x,C,O,R,S,I]),A.useEffect((()=>{v.current=!1}),[h,c]);const P=A.useMemo((()=>({onKeyDown:x,[Qd[d]]:e=>{u&&r(!1,e.nativeEvent,"reference-press")}})),[x,r,u,d]),D=A.useMemo((()=>({onKeyDown:x,onMouseDown(){y.current=!0},onMouseUp(){y.current=!0},[Jd[c]]:()=>{v.current=!0}})),[x,c]);return A.useMemo((()=>a?{reference:P,floating:D}:{}),[a,P,D])}(p),{getReferenceProps:h,getFloatingProps:v}=function(e){void 0===e&&(e=[]);const t=e.map((e=>null==e?void 0:e.reference)),n=e.map((e=>null==e?void 0:e.floating)),r=e.map((e=>null==e?void 0:e.item)),o=A.useCallback((t=>rp(t,e,"reference")),t),i=A.useCallback((t=>rp(t,e,"floating")),n),a=A.useCallback((t=>rp(t,e,"item")),r);return A.useMemo((()=>({getReferenceProps:o,getFloatingProps:i,getItemProps:a})),[o,i,a])}([b,m]);var y,w,C;return S().createElement("div",af({className:t.wrapper},P.buttonSelect.root.apply()),S().createElement(E.ToolbarButton,af({className:n,isOpen:c,narrow:a,variant:l,ref:f.setReference},h(),s),(null==o?void 0:o.label)||String(null==o?void 0:o.value)),c&&S().createElement("div",af((w=af({className:t.menuWrapper,ref:f.setFloating},v()),C=null!=(C={style:g})?C:{},Object.getOwnPropertyDescriptors?Object.defineProperties(w,Object.getOwnPropertyDescriptors(C)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(C)).forEach((function(e){Object.defineProperty(w,e,Object.getOwnPropertyDescriptor(C,e))})),w),P.buttonSelect.dropdown.apply()),S().createElement(Vp,{contain:!0,autoFocus:!0,restoreFocus:!0},S().createElement(E.Menu,{tabIndex:-1},r.map((e=>S().createElement(E.MenuItem,af({key:`${e.value}`,label:String(e.value),onClick:()=>(e=>{i(e),u(!1)})(e),active:e.value===(null==o?void 0:o.value),ariaChecked:e.value===(null==o?void 0:o.value),ariaLabel:e.ariaLabel||e.label,disabled:e.isDisabled,component:e.component,role:"menuitemradio"},P.buttonSelect.option.apply(e.value)))))))))},sf=e=>({titleWrapper:vr.css`
      display: flex;
      align-items: center;
      flex-grow: 1;
      cursor: pointer;
      overflow: hidden;
      margin-right: ${e.spacing(.5)};
    `,title:vr.css`
      font-weight: ${e.typography.fontWeightBold};
      color: ${e.colors.text.secondary};
      margin-left: ${e.spacing(.5)};
      overflow: hidden;
      text-overflow: ellipsis;
      display: flex;
      gap: ${e.spacing(.5)};
      align-items: center;
    `}),cf=({children:e})=>{const t=(0,E.useStyles2)(sf);return S().createElement("div",{className:t.titleWrapper},S().createElement("div",{className:t.title},e))},uf=e=>({root:vr.css`
      margin-bottom: ${e.spacing(1)};
    `}),df=({label:e,children:t})=>{const n=(0,E.useStyles2)(uf);return S().createElement("fieldset",{className:n.root},S().createElement(E.Label,null,e),t)};function pf(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ff(){return ff=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},ff.apply(this,arguments)}function gf(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){pf(e,t,n[t])}))}return e}function mf(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const bf=new w.PanelPlugin((({id:e,data:t,width:o,height:l,options:s,eventBus:u,replaceVariables:d,title:p})=>{var f,g;const m=(0,E.useStyles2)(gu),[b,h]=qn({key:`volkovlabs.table.panel.${e}`,initialValue:(null===(g=s.tables)||void 0===g||null===(f=g[0])||void 0===f?void 0:f.name)||""}),v=(0,A.useMemo)((()=>{var e;if((null===(e=s.tables)||void 0===e?void 0:e.length)&&b)return s.tables.find((e=>e.name===b))}),[s.tables,b]),{tableData:y,columns:C}=(({data:e,columns:t})=>{const r=(0,E.useTheme2)(),o=(0,D.getTemplateSrv)(),l=(0,A.useMemo)((()=>{var n;if(!(null==t||null===(n=t[0])||void 0===n?void 0:n.field))return{frame:null,items:[]};const r=(o=e.series,"number"==typeof(i=null==t?void 0:t[0].field).source?o[i.source]:o.find((e=>e.refId===i.source)));var o,i;if(!r)return{frame:null,items:[]};const a=t.map((e=>({config:e,field:r.fields.find((t=>On(0,t,e.field)))}))).filter((e=>!!e.field));return{frame:r,items:a}}),[t,e.series]),s=(0,A.useMemo)((()=>{if(!l.frame)return[];const e=[];for(let t=0;t<l.frame.length;t+=1){const n=l.items.reduce(((e,n)=>{return r=Kn({},e),o=null!=(o={[n.field.name]:n.field.values[t]})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r;var r,o}),{});e.push(n)}return e}),[l]),u=(0,A.useCallback)((t=>{const n=gr.get(t.type);return n?null==n?void 0:n.getControlOptions({config:t,data:e}):t}),[e]),d=(0,A.useMemo)((()=>{if(!l.frame)return[];let t=!1;const s=[];for(const p of l.items){var d;const l=[];if(p.config.filter.mode===c.CLIENT)switch(p.field.type){case w.FieldType.string:l.push(a.SEARCH,a.FACETED);break;case w.FieldType.number:l.push(a.NUMBER);break;case w.FieldType.time:l.push(a.TIMESTAMP);break;default:l.push(a.SEARCH,a.FACETED)}else if(p.config.filter.mode===c.QUERY){const e=o.getVariables().find((e=>e.name===p.config.filter.variable));e&&l.push(...Bn(e))}const f={};p.config.appearance.width.auto?(f.minSize=p.config.appearance.width.min,f.maxSize=p.config.appearance.width.max):(f.size=p.config.appearance.width.value,f.maxSize=p.config.appearance.width.value);const g=In(p.config.edit,{series:e.series,user:D.config.bootData.user});g&&(t=!0),s.push(Kn({id:p.field.name,accessorKey:p.field.name,header:p.config.label||(null===(d=p.field.config)||void 0===d?void 0:d.displayName)||p.field.name,cell:nc,enableGrouping:p.config.group,aggregationFn:p.config.aggregation===i.NONE?()=>null:p.config.aggregation,enableColumnFilter:p.config.filter.enabled&&l.length>0,filterFn:p.config.filter.mode===c.CLIENT?Mn:()=>!0,enableSorting:p.config.sort.enabled,sortDescFirst:p.config.sort.descFirst,enablePinning:p.config.pin!==n.NONE,meta:{availableFilterTypes:l,filterMode:p.config.filter.mode,filterVariableName:p.config.filter.variable,config:p.config,field:p.field,footerEnabled:p.config.footer.length>0,editable:g,editor:g?u(p.config.edit.editor):void 0},footer:e=>Ln({context:e,config:p.config,field:p.field,theme:r})},f))}return t&&s.push({id:I,cell:xc,size:120,maxSize:120,enablePinning:s.some((e=>{var t;return e.enablePinning&&(null===(t=e.meta)||void 0===t?void 0:t.config.pin)===n.RIGHT}))}),s}),[l.frame,l.items,e.series,u,o,r]);return(0,A.useMemo)((()=>({tableData:s,columns:d})),[s,d])})({data:t,columns:null==v?void 0:v.items}),x=(0,A.useRef)(null),O=(({paginationConfig:e,data:t,eventBus:n})=>{var o,i,a,l;const[s,c]=(0,A.useState)({pageSize:10,pageIndex:0}),{getVariable:u}=(e=>{const[t,n]=(0,A.useState)({}),[r,o]=(0,A.useState)();(0,A.useEffect)((()=>{n(_n((0,D.getTemplateSrv)().getVariables()));const t=e.getStream(D.RefreshEvent).subscribe((()=>{n(_n((0,D.getTemplateSrv)().getVariables()))}));return()=>{t.unsubscribe()}}),[e]);const i=(0,A.useCallback)((e=>t[e]||void 0),[t]);return(0,A.useEffect)((()=>{o(i(""))}),[i,""]),{variable:r,getVariable:i}})(n);var d;const p=u(null!==(d=null==e||null===(o=e.query)||void 0===o?void 0:o.pageIndexVariable)&&void 0!==d?d:"");var f;const g=u(null!==(f=null==e||null===(i=e.query)||void 0===i?void 0:i.pageSizeVariable)&&void 0!==f?f:"");var m;const b=u(null!==(m=null==e||null===(a=e.query)||void 0===a?void 0:a.offsetVariable)&&void 0!==m?m:"");(0,A.useEffect)((()=>{c((t=>{if((null==e?void 0:e.mode)===r.CLIENT)return t;var n;let o=p&&null!==(n=Vn(p))&&void 0!==n?n:t.pageIndex;var i;const a=g&&null!==(i=Vn(g))&&void 0!==i?i:t.pageSize;if(b){const e=Vn(b);if(void 0!==e){const t=Math.ceil(e/a);t!==o&&(o=t)}}return{pageIndex:o,pageSize:a}}))}),[u,b,p,g,null==e?void 0:e.mode]);const h=(0,A.useMemo)((()=>{if((null==e?void 0:e.enabled)&&(null==e?void 0:e.mode)===r.QUERY){var n;if(null===(n=e.query)||void 0===n?void 0:n.totalCountField){const n=Rn(t,e.query.totalCountField);if(n)return n.values[0]}return(s.pageIndex+2)*s.pageSize}return 0}),[t,null==e?void 0:e.enabled,null==e?void 0:e.mode,null==e||null===(l=e.query)||void 0===l?void 0:l.totalCountField,s.pageIndex,s.pageSize]),v=(0,A.useCallback)((t=>{c((n=>{const o="function"==typeof t?t(n):t;if((null==e?void 0:e.mode)===r.CLIENT)return o;const i={};var a;return p&&(i[zn(p.name)]=o.pageIndex),g&&(i[zn(g.name)]=o.pageSize),b&&(i[zn(b.name)]=o.pageIndex*o.pageSize),a=i,0!==Object.keys(a).length&&D.locationService.partial(a,!0),o}))}),[null==e?void 0:e.mode,p,g,b]);return(0,A.useMemo)((()=>({isEnabled:!!(null==e?void 0:e.enabled),isManual:!(null==e?void 0:e.enabled)||e.mode===r.QUERY,value:s,onChange:v,total:h})),[v,null==e?void 0:e.enabled,null==e?void 0:e.mode,h,s])})({paginationConfig:null==v?void 0:v.pagination,eventBus:u,data:t.series});(0,A.useEffect)((()=>{var e,t,n;(null===(e=s.tables)||void 0===e?void 0:e.some((e=>e.name===b)))||h((null===(n=s.tables)||void 0===n||null===(t=n[0])||void 0===t?void 0:t.name)||"")}),[b,e,s.tables,h]);const R=(0,A.useMemo)((()=>{if(!s.tables)return[];const e=s.tables.find((e=>e.name===b));return e&&s.tabsSorting?[e,...s.tables.filter((e=>e.name!==b))]:s.tables}),[b,s.tables,s.tabsSorting]),T=(0,A.useMemo)((()=>R.length>1||s.toolbar.export),[s.toolbar.export,R.length]),{containerRef:M,tableRef:k,headerRef:B,tableTopOffset:N,tableHeaderRef:F,paginationRef:L,tableBottomOffset:j}=(({tableData:e,width:t,height:n,options:r})=>{const o=(0,A.useRef)(null),i=(0,A.useRef)(null),a=(0,A.useRef)(null),l=(0,A.useRef)(null),s=(0,A.useRef)(null),[c,u]=(0,A.useState)(0),[d,p]=(0,A.useState)(0);return(0,A.useEffect)((()=>{if(o.current){let e=0;i.current&&(e+=i.current.clientHeight);let t=0;s.current&&(t+=s.current.clientHeight),u(e),p(t)}}),[e,n,r.tables,t,r.toolbar.export]),{containerRef:o,headerRef:i,tableRef:a,tableHeaderRef:l,tableTopOffset:c,tableBottomOffset:d,paginationRef:s}})({width:o,height:l,options:s,tableData:y}),_=Qn({replaceVariables:d,currentTable:v}),V=(({data:e,columns:t,tableConfig:n,panelTitle:r})=>(0,A.useCallback)((({table:o})=>{if(!o)return;const i=o.getState(),a=(e=>{const t=e.getHeaderGroups()[0].headers.map((e=>{var t;return Tn(Dn({},(null===(t=e.column.columnDef.meta)||void 0===t?void 0:t.field)||{name:e.id,type:w.FieldType.other,config:{}}),{values:[]})}));return e.getRowModel().rows.forEach((e=>{e.getVisibleCells().forEach(((e,n)=>{t[n].values.push(e.getValue())}))})),e.getAllColumns().some((e=>{var t;return!!(null===(t=e.columnDef.meta)||void 0===t?void 0:t.footerEnabled)}))&&e.getFooterGroups()[0].headers.forEach(((e,n)=>{var r;const o=null===(r=e.column.columnDef.meta)||void 0===r?void 0:r.config.footer[0];if(!o)return void t[n].values.push(null);const i=(0,w.reduceField)({field:t[n],reducers:[o]})[o];t[n].values.push(i)})),(0,w.toDataFrame)({fields:t})})(Te({state:{columnFilters:i.columnFilters,columnPinning:i.columnPinning,sorting:i.sorting},data:e,columns:t.filter((e=>e.id!==I)),getCoreRowModel:Me(),getFilteredRowModel:Ne(),getSortedRowModel:Fe(),enableFilters:!0,enableSorting:!0,onStateChange:null,renderFallbackValue:null})),l=(0,w.toCSV)([a],{useExcelHeader:!1});let s="";r&&(s+=`${r}-`),(null==n?void 0:n.name)&&(s+=`${n.name}-`),((e,t="download")=>{(0,ze.saveAs)(new Blob([e],{type:"text/csv;charset=utf-8"}),`${t}.csv`)})(l,`${s}${(0,w.dateTimeFormat)(new Date)}`)}),[t,e,r,null==n?void 0:n.name]))({data:y,columns:C,tableConfig:v,panelTitle:p});return S().createElement("div",(z=bu({},P.panel.root.apply()),G=null!=(G={className:m.root,style:{width:o,height:l}})?G:{},Object.getOwnPropertyDescriptors?Object.defineProperties(z,Object.getOwnPropertyDescriptors(G)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(G)).forEach((function(e){Object.defineProperty(z,e,Object.getOwnPropertyDescriptor(G,e))})),z),S().createElement("div",{ref:M,className:m.content,style:{width:o,height:l}},T&&S().createElement("div",{ref:B,className:m.header},S().createElement(E.ToolbarButtonRow,{alignment:"left",key:b,className:m.tabs},R.length>1&&R.map(((e,t)=>S().createElement(E.ToolbarButton,bu({key:e.name,variant:b===e.name?"active":"default",onClick:()=>{h(e.name)},className:m.tabButton,style:{maxWidth:0===t?o-60:void 0}},P.panel.tab.apply(e.name)),e.name))),s.toolbar.export&&S().createElement(E.Button,bu({icon:"download-alt",onClick:()=>V({table:x.current}),variant:"secondary",size:"sm"},P.panel.buttonDownload.apply()),"Download"))),S().createElement(fu,{key:null==v?void 0:v.name,data:y,columns:C,tableRef:k,tableHeaderRef:F,topOffset:N,scrollableContainerRef:M,eventBus:u,onUpdateRow:_,bottomOffset:j,paginationRef:L,width:o,pagination:O,tableInstance:x})));var z,G})).useFieldConfig({}).setMigrationHandler((o=>{const i=ff({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(o.options));if(i.groups||i.tables){const o=i.groups||i.tables;i.tables=o.map((o=>{const i=o.items.map((r=>{const o=r;return o.filter||(o.filter={enabled:!1,mode:c.CLIENT,variable:""}),o.sort||(o.sort={descFirst:!1,enabled:!1}),void 0===o.sort.descFirst&&(o.sort=mf(gf({},o.sort),{descFirst:!1})),o.appearance=gf({width:{auto:!0,value:100},background:{applyToRow:!1},wrap:!0,alignment:s.START},o.appearance),o.footer||(o.footer=[]),o.edit||(o.edit={enabled:!1,permission:{mode:t.ALLOWED,field:{source:"",name:""},userRole:[]},editor:je(e.STRING)}),void 0===o.pin?o.pin=n.NONE:"boolean"==typeof o.pin&&(o.pin=o.pin?n.LEFT:n.NONE),o})),a=mf(gf({},o),{items:i});return a.update||(a.update={datasource:"",payload:{}}),a.pagination||(a.pagination={enabled:!1,mode:r.CLIENT}),a})),delete i.groups}return void 0===i.tabsSorting&&(i.tabsSorting=!1),i.toolbar||(i.toolbar={}),void 0===i.toolbar.export&&(i.toolbar.export=!1),i})).setPanelOptions((e=>(e.addBooleanSwitch({path:"toolbar.export",name:"Exportable",description:"Allow to download table data.",defaultValue:!1}).addCustomEditor({id:"tables",path:"tables",name:"",editor:Zs,category:["Layout"],defaultValue:[]}).addBooleanSwitch({path:"tabsSorting",name:"Tabs Sorting",description:"Show selected tab at the first",showIf:e=>{var t;return(null===(t=e.tables)||void 0===t?void 0:t.length)>1},category:["Layout"]}).addCustomEditor({id:"editableData",path:"tables",name:"",editor:Dr,category:["Editable Data"],defaultValue:[],showIf:e=>e.tables.length>0}),e)))})(),b})()));
//# sourceMappingURL=module.js.map